#include <stdio.h>
#include "X3dSceneGraph.h"

/* 
   matching white_dune commandline usage:

	dune -prefix Pre_ -c file1.x3dv 
	dune -prefix Pre_ +c Append_ file2.x3dv 

*/

void doWithData(Pre_Node *self, void *data) {
    struct Pre_Text* text = (struct Pre_Text *) self;
    if (text)
        if (text->string_length > 0)
            printf("%s\n", text->string[0]);
}

int main(int argc, char** argv) {
    Pre_TextDoWithDataCallback = &doWithData;

    struct Pre_SceneGraph sceneGraph;
    Pre_SceneGraphInit(&sceneGraph);
    Pre_GroupTreeDoWithData(&sceneGraph.root, NULL);

    struct Append_Pre_SceneGraph appendedSceneGraph;
    Append_Pre_SceneGraphInit(&appendedSceneGraph);
    Pre_GroupTreeDoWithData(&appendedSceneGraph.root, NULL);
    return 0;
}
