// VRML97/X3D file "helloWorld.x3dv" converted to java with white_dune

class Pre_Node {
    void treeRender() {}
    void treeDoWithData() {}
    Pre_Node m_parent;
    Object m_data;
};

class RenderCallback {
   public void render(Pre_Node node) {}
}

class DoWithDataCallback {
   public void doWithData(Pre_Node node) {}
}


class Pre_ColorRGBA extends Pre_Node {
    Pre_Node metadata;
    float[] color;
    Pre_ColorRGBA() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackColorRGBA != null)
            Pre_SceneGraph.Pre_renderCallbackColorRGBA.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackColorRGBA != null)
            Pre_SceneGraph.Pre_doWithDataCallbackColorRGBA.doWithData(this);
    }
}

class Pre_ColorRGBARenderCallback extends RenderCallback {}
class Pre_ColorRGBADoWithDataCallback extends DoWithDataCallback {};


class Pre_CoordinateDamper extends Pre_Node {
    Pre_Node metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    Pre_CoordinateDamper() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCoordinateDamper != null)
            Pre_SceneGraph.Pre_renderCallbackCoordinateDamper.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCoordinateDamper != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCoordinateDamper.doWithData(this);
    }
}

class Pre_CoordinateDamperRenderCallback extends RenderCallback {}
class Pre_CoordinateDamperDoWithDataCallback extends DoWithDataCallback {};


class Pre_HAnimDisplacer extends Pre_Node {
    Pre_Node metadata;
    int[] coordIndex;
    float[] displacements;
    String name;
    float weight;
    Pre_HAnimDisplacer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackHAnimDisplacer != null)
            Pre_SceneGraph.Pre_renderCallbackHAnimDisplacer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackHAnimDisplacer != null)
            Pre_SceneGraph.Pre_doWithDataCallbackHAnimDisplacer.doWithData(this);
    }
}

class Pre_HAnimDisplacerRenderCallback extends RenderCallback {}
class Pre_HAnimDisplacerDoWithDataCallback extends DoWithDataCallback {};


class Pre_SplineScalarInterpolator extends Pre_Node {
    Pre_Node metadata;
    boolean closed;
    float[] key;
    float[] keyValue;
    float[] keyVelocity;
    boolean normalizeVelocity;
    Pre_SplineScalarInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSplineScalarInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackSplineScalarInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSplineScalarInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSplineScalarInterpolator.doWithData(this);
    }
}

class Pre_SplineScalarInterpolatorRenderCallback extends RenderCallback {}
class Pre_SplineScalarInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_VolumeEmitter extends Pre_Node {
    Pre_Node metadata;
    float speed;
    float variation;
    float mass;
    float surfaceArea;
    Pre_Node coord;
    float[] direction;
    int[] coordIndex;
    boolean internal;
    Pre_VolumeEmitter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (coord != null)
            coord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackVolumeEmitter != null)
            Pre_SceneGraph.Pre_renderCallbackVolumeEmitter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackVolumeEmitter != null)
            Pre_SceneGraph.Pre_doWithDataCallbackVolumeEmitter.doWithData(this);
    }
}

class Pre_VolumeEmitterRenderCallback extends RenderCallback {}
class Pre_VolumeEmitterDoWithDataCallback extends DoWithDataCallback {};


class Pre_Contour2D extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    Pre_Contour2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackContour2D != null)
            Pre_SceneGraph.Pre_renderCallbackContour2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackContour2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackContour2D.doWithData(this);
    }
}

class Pre_Contour2DRenderCallback extends RenderCallback {}
class Pre_Contour2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_HAnimJoint extends Pre_Node {
    Pre_Node metadata;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] scale;
    float[] scaleOrientation;
    Pre_Node [] children;
    Pre_Node [] displacers;
    float[] limitOrientation;
    float[] llimit;
    String name;
    int[] skinCoordIndex;
    float[] skinCoordWeight;
    float[] stiffness;
    float[] ulimit;
    Pre_HAnimJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (displacers != null)
            for (int i = 0; i < displacers.length; i++)
                if (displacers[i] != null)
                    displacers[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackHAnimJoint != null)
            Pre_SceneGraph.Pre_renderCallbackHAnimJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (displacers != null)
            for (int i = 0; i < displacers.length; i++)
                if (displacers[i] != null)
                    displacers[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackHAnimJoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackHAnimJoint.doWithData(this);
    }
}

class Pre_HAnimJointRenderCallback extends RenderCallback {}
class Pre_HAnimJointDoWithDataCallback extends DoWithDataCallback {};


class Pre_TexCoordDamper2D extends Pre_Node {
    Pre_Node metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    Pre_TexCoordDamper2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTexCoordDamper2D != null)
            Pre_SceneGraph.Pre_renderCallbackTexCoordDamper2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTexCoordDamper2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTexCoordDamper2D.doWithData(this);
    }
}

class Pre_TexCoordDamper2DRenderCallback extends RenderCallback {}
class Pre_TexCoordDamper2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_TextureCoordinate3D extends Pre_Node {
    Pre_Node metadata;
    float[] point;
    Pre_TextureCoordinate3D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTextureCoordinate3D != null)
            Pre_SceneGraph.Pre_renderCallbackTextureCoordinate3D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTextureCoordinate3D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTextureCoordinate3D.doWithData(this);
    }
}

class Pre_TextureCoordinate3DRenderCallback extends RenderCallback {}
class Pre_TextureCoordinate3DDoWithDataCallback extends DoWithDataCallback {};


class Pre_UniversalJoint extends Pre_Node {
    Pre_Node metadata;
    Pre_Node body1;
    Pre_Node body2;
    String[] forceOutput;
    float[] anchorPoint;
    float[] axis1;
    float[] axis2;
    float stop1Bounce;
    float stop1ErrorCorrection;
    float stop2Bounce;
    float stop2ErrorCorrection;
    Pre_UniversalJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackUniversalJoint != null)
            Pre_SceneGraph.Pre_renderCallbackUniversalJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackUniversalJoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackUniversalJoint.doWithData(this);
    }
}

class Pre_UniversalJointRenderCallback extends RenderCallback {}
class Pre_UniversalJointDoWithDataCallback extends DoWithDataCallback {};


class Pre_FloatVertexAttribute extends Pre_Node {
    Pre_Node metadata;
    float[] value;
    String name;
    int numComponents;
    Pre_FloatVertexAttribute() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackFloatVertexAttribute != null)
            Pre_SceneGraph.Pre_renderCallbackFloatVertexAttribute.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackFloatVertexAttribute != null)
            Pre_SceneGraph.Pre_doWithDataCallbackFloatVertexAttribute.doWithData(this);
    }
}

class Pre_FloatVertexAttributeRenderCallback extends RenderCallback {}
class Pre_FloatVertexAttributeDoWithDataCallback extends DoWithDataCallback {};


class Pre_SuperShape extends Pre_Node {
    Pre_Node metadata;
    float ua;
    float ub;
    float um;
    float un1;
    float un2;
    float un3;
    float va;
    float vb;
    float vm;
    float vn1;
    float vn2;
    float vn3;
    boolean bottom;
    float bottomBorder;
    float border;
    boolean ccw;
    float creaseAngle;
    float[] size;
    boolean solid;
    Pre_Node texCoord;
    boolean top;
    int uTessellation;
    int vTessellation;
    Pre_SuperShape() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSuperShape != null)
            Pre_SceneGraph.Pre_renderCallbackSuperShape.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSuperShape != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSuperShape.doWithData(this);
    }
}

class Pre_SuperShapeRenderCallback extends RenderCallback {}
class Pre_SuperShapeDoWithDataCallback extends DoWithDataCallback {};


class Pre_TransmitterPdu extends Pre_Node {
    Pre_Node metadata;
    float[] antennaLocation;
    int antennaPatternLength;
    int antennaPatternType;
    int cryptoKeyID;
    int cryptoSystem;
    int frequency;
    int inputSource;
    int lengthOfModulationParameters;
    int modulationTypeDetail;
    int modulationTypeMajor;
    int modulationTypeSpreadSpectrum;
    int modulationTypeSystem;
    float power;
    int radioEntityTypeCategory;
    int radioEntityTypeCountry;
    int radioEntityTypeDomain;
    int radioEntityTypeKind;
    int radioEntityTypeNomenclature;
    int radioEntityTypeNomenclatureVersion;
    int radioID;
    float[] relativeAntennaLocation;
    float transmitFrequencyBandwidth;
    int transmitState;
    int whichGeometry;
    float[] bboxCenter;
    float[] bboxSize;
    boolean enabled;
    String networkMode;
    double readInterval;
    double writeInterval;
    int siteID;
    int applicationID;
    int entityID;
    String address;
    int port;
    String multicastRelayHost;
    int multicastRelayPort;
    boolean rtpHeaderExpected;
    Pre_TransmitterPdu() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTransmitterPdu != null)
            Pre_SceneGraph.Pre_renderCallbackTransmitterPdu.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTransmitterPdu != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTransmitterPdu.doWithData(this);
    }
}

class Pre_TransmitterPduRenderCallback extends RenderCallback {}
class Pre_TransmitterPduDoWithDataCallback extends DoWithDataCallback {};


class Pre_TwoSidedMaterial extends Pre_Node {
    Pre_Node metadata;
    float ambientIntensity;
    float backAmbientIntensity;
    float[] backDiffuseColor;
    float[] backEmissiveColor;
    float backShininess;
    float[] backSpecularColor;
    float backTransparency;
    float[] diffuseColor;
    float[] emissiveColor;
    float shininess;
    boolean separateBackColor;
    float[] specularColor;
    float transparency;
    Pre_TwoSidedMaterial() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTwoSidedMaterial != null)
            Pre_SceneGraph.Pre_renderCallbackTwoSidedMaterial.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTwoSidedMaterial != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTwoSidedMaterial.doWithData(this);
    }
}

class Pre_TwoSidedMaterialRenderCallback extends RenderCallback {}
class Pre_TwoSidedMaterialDoWithDataCallback extends DoWithDataCallback {};


class Pre_WindPhysicsModel extends Pre_Node {
    Pre_Node metadata;
    float[] direction;
    boolean enabled;
    float gustiness;
    float speed;
    float turbulence;
    Pre_WindPhysicsModel() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackWindPhysicsModel != null)
            Pre_SceneGraph.Pre_renderCallbackWindPhysicsModel.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackWindPhysicsModel != null)
            Pre_SceneGraph.Pre_doWithDataCallbackWindPhysicsModel.doWithData(this);
    }
}

class Pre_WindPhysicsModelRenderCallback extends RenderCallback {}
class Pre_WindPhysicsModelDoWithDataCallback extends DoWithDataCallback {};


class Pre_GeoTransform extends Pre_Node {
    Pre_Node metadata;
    Pre_Node geoOrigin;
    String[] geoSystem;
    Pre_Node [] children;
    double[] geoCenter;
    float[] rotation;
    float[] scale;
    float[] scaleOrientation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_GeoTransform() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGeoTransform != null)
            Pre_SceneGraph.Pre_renderCallbackGeoTransform.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGeoTransform != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGeoTransform.doWithData(this);
    }
}

class Pre_GeoTransformRenderCallback extends RenderCallback {}
class Pre_GeoTransformDoWithDataCallback extends DoWithDataCallback {};


class Pre_Transform extends Pre_Node {
    Pre_Node metadata;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] scale;
    float[] scaleOrientation;
    Pre_Node [] children;
    Pre_Transform() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTransform != null)
            Pre_SceneGraph.Pre_renderCallbackTransform.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTransform != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTransform.doWithData(this);
    }
}

class Pre_TransformRenderCallback extends RenderCallback {}
class Pre_TransformDoWithDataCallback extends DoWithDataCallback {};


class Pre_SuperExtrusion extends Pre_Node {
    Pre_Node metadata;
    float a;
    float b;
    float m;
    float n1;
    float n2;
    float n3;
    float border;
    float bottomBorder;
    int superTessellation;
    int spineTessellation;
    float[] controlPoint;
    float[] weight;
    float[] knot;
    int order;
    float creaseAngle;
    boolean beginCap;
    boolean endCap;
    boolean solid;
    float[] scale;
    Pre_SuperExtrusion() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSuperExtrusion != null)
            Pre_SceneGraph.Pre_renderCallbackSuperExtrusion.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSuperExtrusion != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSuperExtrusion.doWithData(this);
    }
}

class Pre_SuperExtrusionRenderCallback extends RenderCallback {}
class Pre_SuperExtrusionDoWithDataCallback extends DoWithDataCallback {};


class Pre_CylinderSensor extends Pre_Node {
    Pre_Node metadata;
    boolean autoOffset;
    float[] axisRotation;
    String description;
    float diskAngle;
    boolean enabled;
    float maxAngle;
    float minAngle;
    float offset;
    Pre_CylinderSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCylinderSensor != null)
            Pre_SceneGraph.Pre_renderCallbackCylinderSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCylinderSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCylinderSensor.doWithData(this);
    }
}

class Pre_CylinderSensorRenderCallback extends RenderCallback {}
class Pre_CylinderSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_LoadSensor extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    double timeOut;
    Pre_Node [] watchList;
    Pre_LoadSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (watchList != null)
            for (int i = 0; i < watchList.length; i++)
                if (watchList[i] != null)
                    watchList[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackLoadSensor != null)
            Pre_SceneGraph.Pre_renderCallbackLoadSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (watchList != null)
            for (int i = 0; i < watchList.length; i++)
                if (watchList[i] != null)
                    watchList[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackLoadSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackLoadSensor.doWithData(this);
    }
}

class Pre_LoadSensorRenderCallback extends RenderCallback {}
class Pre_LoadSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_PackagedShader extends Pre_Node {
    Pre_Node metadata;
    String[] url;
    String language;
    Pre_PackagedShader() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPackagedShader != null)
            Pre_SceneGraph.Pre_renderCallbackPackagedShader.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPackagedShader != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPackagedShader.doWithData(this);
    }
}

class Pre_PackagedShaderRenderCallback extends RenderCallback {}
class Pre_PackagedShaderDoWithDataCallback extends DoWithDataCallback {};


class Pre_SuperRevolver extends Pre_Node {
    Pre_Node metadata;
    float a;
    float b;
    float m;
    float n1;
    float n2;
    float n3;
    float border;
    float bottomBorder;
    int superTessellation;
    int nurbsTessellation;
    float[] controlPoint;
    float[] weight;
    float[] knot;
    int order;
    float creaseAngle;
    boolean ccw;
    boolean solid;
    boolean pieceOfCake;
    Pre_SuperRevolver() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSuperRevolver != null)
            Pre_SceneGraph.Pre_renderCallbackSuperRevolver.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSuperRevolver != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSuperRevolver.doWithData(this);
    }
}

class Pre_SuperRevolverRenderCallback extends RenderCallback {}
class Pre_SuperRevolverDoWithDataCallback extends DoWithDataCallback {};


class Pre_TextureCoordinateGenerator extends Pre_Node {
    Pre_Node metadata;
    String mode;
    float[] parameter;
    Pre_TextureCoordinateGenerator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTextureCoordinateGenerator != null)
            Pre_SceneGraph.Pre_renderCallbackTextureCoordinateGenerator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTextureCoordinateGenerator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTextureCoordinateGenerator.doWithData(this);
    }
}

class Pre_TextureCoordinateGeneratorRenderCallback extends RenderCallback {}
class Pre_TextureCoordinateGeneratorDoWithDataCallback extends DoWithDataCallback {};


class Pre_TextureProperties extends Pre_Node {
    Pre_Node metadata;
    float anisotropicDegree;
    float[] borderColor;
    int borderWidth;
    String boundaryModeS;
    String boundaryModeT;
    String boundaryModeR;
    String magnificationFilter;
    String minificationFilter;
    String textureCompression;
    float texturePriority;
    boolean generateMipMaps;
    Pre_TextureProperties() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTextureProperties != null)
            Pre_SceneGraph.Pre_renderCallbackTextureProperties.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTextureProperties != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTextureProperties.doWithData(this);
    }
}

class Pre_TexturePropertiesRenderCallback extends RenderCallback {}
class Pre_TexturePropertiesDoWithDataCallback extends DoWithDataCallback {};


class Pre_ArcClose2D extends Pre_Node {
    Pre_Node metadata;
    String closureType;
    float endAngle;
    float radius;
    boolean solid;
    float startAngle;
    Pre_ArcClose2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackArcClose2D != null)
            Pre_SceneGraph.Pre_renderCallbackArcClose2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackArcClose2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackArcClose2D.doWithData(this);
    }
}

class Pre_ArcClose2DRenderCallback extends RenderCallback {}
class Pre_ArcClose2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_ElevationGrid extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] attrib;
    Pre_Node color;
    Pre_Node fogCoord;
    Pre_Node normal;
    Pre_Node texCoord;
    boolean ccw;
    boolean colorPerVertex;
    float creaseAngle;
    float[] height;
    boolean normalPerVertex;
    boolean solid;
    int xDimension;
    float xSpacing;
    int zDimension;
    float zSpacing;
    Pre_ElevationGrid() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (color != null)
            color.treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackElevationGrid != null)
            Pre_SceneGraph.Pre_renderCallbackElevationGrid.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackElevationGrid != null)
            Pre_SceneGraph.Pre_doWithDataCallbackElevationGrid.doWithData(this);
    }
}

class Pre_ElevationGridRenderCallback extends RenderCallback {}
class Pre_ElevationGridDoWithDataCallback extends DoWithDataCallback {};


class Pre_IndexedTriangleFanSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node color;
    Pre_Node coord;
    Pre_Node normal;
    Pre_Node texCoord;
    boolean ccw;
    boolean normalPerVertex;
    boolean solid;
    int[] index;
    boolean colorPerVertex;
    Pre_IndexedTriangleFanSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackIndexedTriangleFanSet != null)
            Pre_SceneGraph.Pre_renderCallbackIndexedTriangleFanSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackIndexedTriangleFanSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackIndexedTriangleFanSet.doWithData(this);
    }
}

class Pre_IndexedTriangleFanSetRenderCallback extends RenderCallback {}
class Pre_IndexedTriangleFanSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsCurve2D extends Pre_Node {
    Pre_Node metadata;
    float[] controlPoint;
    int tessellation;
    float[] weight;
    boolean closed;
    float[] knot;
    int order;
    Pre_NurbsCurve2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsCurve2D != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsCurve2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsCurve2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsCurve2D.doWithData(this);
    }
}

class Pre_NurbsCurve2DRenderCallback extends RenderCallback {}
class Pre_NurbsCurve2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsSurface extends Pre_Node {
    Pre_Node metadata;
    int uDimension;
    int vDimension;
    float[] uKnot;
    float[] vKnot;
    int uOrder;
    int vOrder;
    Pre_Node controlPoint;
    float[] weight;
    int uTessellation;
    int vTessellation;
    Pre_Node texCoord;
    boolean uClosed;
    boolean vClosed;
    boolean solid;
    Pre_NurbsSurface() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (controlPoint != null)
            controlPoint.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsSurface != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsSurface.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (controlPoint != null)
            controlPoint.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsSurface != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsSurface.doWithData(this);
    }
}

class Pre_NurbsSurfaceRenderCallback extends RenderCallback {}
class Pre_NurbsSurfaceDoWithDataCallback extends DoWithDataCallback {};


class Pre_PickableGroup extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    String[] objectType;
    boolean pickable;
    Pre_PickableGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPickableGroup != null)
            Pre_SceneGraph.Pre_renderCallbackPickableGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPickableGroup != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPickableGroup.doWithData(this);
    }
}

class Pre_PickableGroupRenderCallback extends RenderCallback {}
class Pre_PickableGroupDoWithDataCallback extends DoWithDataCallback {};


class Pre_CollisionSensor extends Pre_Node {
    Pre_Node metadata;
    Pre_Node collidables;
    boolean enabled;
    Pre_CollisionSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (collidables != null)
            collidables.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCollisionSensor != null)
            Pre_SceneGraph.Pre_renderCallbackCollisionSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (collidables != null)
            collidables.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCollisionSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCollisionSensor.doWithData(this);
    }
}

class Pre_CollisionSensorRenderCallback extends RenderCallback {}
class Pre_CollisionSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_GeoTouchSensor extends Pre_Node {
    Pre_Node metadata;
    Pre_Node geoOrigin;
    String[] geoSystem;
    String description;
    boolean enabled;
    Pre_GeoTouchSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGeoTouchSensor != null)
            Pre_SceneGraph.Pre_renderCallbackGeoTouchSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGeoTouchSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGeoTouchSensor.doWithData(this);
    }
}

class Pre_GeoTouchSensorRenderCallback extends RenderCallback {}
class Pre_GeoTouchSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_PlaneSensor extends Pre_Node {
    Pre_Node metadata;
    boolean autoOffset;
    float[] axisRotation;
    String description;
    boolean enabled;
    float[] maxPosition;
    float[] minPosition;
    float[] offset;
    Pre_PlaneSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPlaneSensor != null)
            Pre_SceneGraph.Pre_renderCallbackPlaneSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPlaneSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPlaneSensor.doWithData(this);
    }
}

class Pre_PlaneSensorRenderCallback extends RenderCallback {}
class Pre_PlaneSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_StringSensor extends Pre_Node {
    Pre_Node metadata;
    boolean deletionAllowed;
    boolean enabled;
    Pre_StringSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackStringSensor != null)
            Pre_SceneGraph.Pre_renderCallbackStringSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackStringSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackStringSensor.doWithData(this);
    }
}

class Pre_StringSensorRenderCallback extends RenderCallback {}
class Pre_StringSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_CoordinateInterpolator2D extends Pre_Node {
    Pre_Node metadata;
    float[] key;
    float[] keyValue;
    Pre_CoordinateInterpolator2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCoordinateInterpolator2D != null)
            Pre_SceneGraph.Pre_renderCallbackCoordinateInterpolator2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCoordinateInterpolator2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCoordinateInterpolator2D.doWithData(this);
    }
}

class Pre_CoordinateInterpolator2DRenderCallback extends RenderCallback {}
class Pre_CoordinateInterpolator2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_DoubleAxisHingeJoint extends Pre_Node {
    Pre_Node metadata;
    Pre_Node body1;
    Pre_Node body2;
    String[] forceOutput;
    float[] anchorPoint;
    float[] axis1;
    float[] axis2;
    float desiredAngularVelocity1;
    float desiredAngularVelocity2;
    float maxAngle1;
    float maxTorque1;
    float maxTorque2;
    float minAngle1;
    float stopBounce1;
    float stopConstantForceMix1;
    float stopErrorCorrection1;
    float suspensionErrorCorrection;
    float suspensionForce;
    Pre_DoubleAxisHingeJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackDoubleAxisHingeJoint != null)
            Pre_SceneGraph.Pre_renderCallbackDoubleAxisHingeJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackDoubleAxisHingeJoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackDoubleAxisHingeJoint.doWithData(this);
    }
}

class Pre_DoubleAxisHingeJointRenderCallback extends RenderCallback {}
class Pre_DoubleAxisHingeJointDoWithDataCallback extends DoWithDataCallback {};


class Pre_Polyline2D extends Pre_Node {
    Pre_Node metadata;
    float[] lineSegments;
    Pre_Polyline2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPolyline2D != null)
            Pre_SceneGraph.Pre_renderCallbackPolyline2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPolyline2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPolyline2D.doWithData(this);
    }
}

class Pre_Polyline2DRenderCallback extends RenderCallback {}
class Pre_Polyline2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_PositionInterpolator2D extends Pre_Node {
    Pre_Node metadata;
    float[] key;
    float[] keyValue;
    Pre_PositionInterpolator2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPositionInterpolator2D != null)
            Pre_SceneGraph.Pre_renderCallbackPositionInterpolator2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPositionInterpolator2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPositionInterpolator2D.doWithData(this);
    }
}

class Pre_PositionInterpolator2DRenderCallback extends RenderCallback {}
class Pre_PositionInterpolator2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_HAnimSite extends Pre_Node {
    Pre_Node metadata;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] scale;
    float[] scaleOrientation;
    Pre_Node [] children;
    String name;
    Pre_HAnimSite() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackHAnimSite != null)
            Pre_SceneGraph.Pre_renderCallbackHAnimSite.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackHAnimSite != null)
            Pre_SceneGraph.Pre_doWithDataCallbackHAnimSite.doWithData(this);
    }
}

class Pre_HAnimSiteRenderCallback extends RenderCallback {}
class Pre_HAnimSiteDoWithDataCallback extends DoWithDataCallback {};


class Pre_ImageCubeMapTexture extends Pre_Node {
    Pre_Node metadata;
    String[] url;
    Pre_Node textureProperties;
    Pre_ImageCubeMapTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackImageCubeMapTexture != null)
            Pre_SceneGraph.Pre_renderCallbackImageCubeMapTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackImageCubeMapTexture != null)
            Pre_SceneGraph.Pre_doWithDataCallbackImageCubeMapTexture.doWithData(this);
    }
}

class Pre_ImageCubeMapTextureRenderCallback extends RenderCallback {}
class Pre_ImageCubeMapTextureDoWithDataCallback extends DoWithDataCallback {};


class Pre_ImageTexture extends Pre_Node {
    Pre_Node metadata;
    String[] url;
    boolean repeatS;
    boolean repeatT;
    String alphaChannel;
    Pre_Node textureProperties;
    Pre_ImageTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackImageTexture != null)
            Pre_SceneGraph.Pre_renderCallbackImageTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackImageTexture != null)
            Pre_SceneGraph.Pre_doWithDataCallbackImageTexture.doWithData(this);
    }
}

class Pre_ImageTextureRenderCallback extends RenderCallback {}
class Pre_ImageTextureDoWithDataCallback extends DoWithDataCallback {};


class Pre_MovieTexture extends Pre_Node {
    Pre_Node metadata;
    boolean loop;
    float speed;
    double pauseTime;
    double resumeTime;
    double startTime;
    double stopTime;
    String[] url;
    boolean repeatS;
    boolean repeatT;
    String alphaChannel;
    Pre_Node textureProperties;
    Pre_MovieTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMovieTexture != null)
            Pre_SceneGraph.Pre_renderCallbackMovieTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMovieTexture != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMovieTexture.doWithData(this);
    }
}

class Pre_MovieTextureRenderCallback extends RenderCallback {}
class Pre_MovieTextureDoWithDataCallback extends DoWithDataCallback {};


class Pre_ScreenFontStyle extends Pre_Node {
    Pre_Node metadata;
    String[] family;
    boolean horizontal;
    String[] justify;
    String language;
    boolean leftToRight;
    float pointSize;
    float spacing;
    String style;
    boolean topToBottom;
    Pre_ScreenFontStyle() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackScreenFontStyle != null)
            Pre_SceneGraph.Pre_renderCallbackScreenFontStyle.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackScreenFontStyle != null)
            Pre_SceneGraph.Pre_doWithDataCallbackScreenFontStyle.doWithData(this);
    }
}

class Pre_ScreenFontStyleRenderCallback extends RenderCallback {}
class Pre_ScreenFontStyleDoWithDataCallback extends DoWithDataCallback {};


class Pre_NavigationInfo extends Pre_Node {
    Pre_Node metadata;
    float[] avatarSize;
    boolean headlight;
    float speed;
    double transitionTime;
    String[] transitionType;
    String[] type;
    float visibilityLimit;
    Pre_NavigationInfo() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNavigationInfo != null)
            Pre_SceneGraph.Pre_renderCallbackNavigationInfo.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNavigationInfo != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNavigationInfo.doWithData(this);
    }
}

class Pre_NavigationInfoRenderCallback extends RenderCallback {}
class Pre_NavigationInfoDoWithDataCallback extends DoWithDataCallback {};


class Pre_CoordinateInterpolator extends Pre_Node {
    Pre_Node metadata;
    float[] key;
    float[] keyValue;
    Pre_CoordinateInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCoordinateInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackCoordinateInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCoordinateInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCoordinateInterpolator.doWithData(this);
    }
}

class Pre_CoordinateInterpolatorRenderCallback extends RenderCallback {}
class Pre_CoordinateInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_DirectionalLight extends Pre_Node {
    Pre_Node metadata;
    float ambientIntensity;
    float[] color;
    float[] direction;
    boolean global;
    float intensity;
    boolean on;
    boolean kambiShadows;
    boolean kambiShadowsMain;
    float[] projectionRectangle;
    float[] projectionLocation;
    Pre_DirectionalLight() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackDirectionalLight != null)
            Pre_SceneGraph.Pre_renderCallbackDirectionalLight.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackDirectionalLight != null)
            Pre_SceneGraph.Pre_doWithDataCallbackDirectionalLight.doWithData(this);
    }
}

class Pre_DirectionalLightRenderCallback extends RenderCallback {}
class Pre_DirectionalLightDoWithDataCallback extends DoWithDataCallback {};


class Pre_GeoLOD extends Pre_Node {
    Pre_Node metadata;
    Pre_Node geoOrigin;
    String[] geoSystem;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    double[] center;
    String[] child1Url;
    String[] child2Url;
    String[] child3Url;
    String[] child4Url;
    float[] range;
    String[] rootUrl;
    Pre_Node [] rootNode;
    Pre_GeoLOD() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (rootNode != null)
            for (int i = 0; i < rootNode.length; i++)
                if (rootNode[i] != null)
                    rootNode[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGeoLOD != null)
            Pre_SceneGraph.Pre_renderCallbackGeoLOD.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (rootNode != null)
            for (int i = 0; i < rootNode.length; i++)
                if (rootNode[i] != null)
                    rootNode[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGeoLOD != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGeoLOD.doWithData(this);
    }
}

class Pre_GeoLODRenderCallback extends RenderCallback {}
class Pre_GeoLODDoWithDataCallback extends DoWithDataCallback {};


class Pre_LdrawDatExport extends Pre_Node {
    Pre_Node metadata;
    String partDescription;
    String author;
    String fileType;
    String license;
    String bfc;
    String[] help;
    String category;
    String[] keywords;
    String cmdline;
    String[] history;
    String[] commands;
    Pre_LdrawDatExport() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackLdrawDatExport != null)
            Pre_SceneGraph.Pre_renderCallbackLdrawDatExport.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackLdrawDatExport != null)
            Pre_SceneGraph.Pre_doWithDataCallbackLdrawDatExport.doWithData(this);
    }
}

class Pre_LdrawDatExportRenderCallback extends RenderCallback {}
class Pre_LdrawDatExportDoWithDataCallback extends DoWithDataCallback {};


class Pre_LOD extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] range;
    Pre_LOD() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackLOD != null)
            Pre_SceneGraph.Pre_renderCallbackLOD.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackLOD != null)
            Pre_SceneGraph.Pre_doWithDataCallbackLOD.doWithData(this);
    }
}

class Pre_LODRenderCallback extends RenderCallback {}
class Pre_LODDoWithDataCallback extends DoWithDataCallback {};


class Pre_OdeSingleAxisHingeJoint extends Pre_Node {
    Pre_Node metadata;
    Pre_Node body1;
    Pre_Node body2;
    String[] forceOutput;
    float[] anchorPoint;
    float[] axis;
    float maxAngle;
    float minAngle;
    float stopBounce;
    float stopErrorCorrection;
    float fMax;
    Pre_OdeSingleAxisHingeJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackOdeSingleAxisHingeJoint != null)
            Pre_SceneGraph.Pre_renderCallbackOdeSingleAxisHingeJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackOdeSingleAxisHingeJoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackOdeSingleAxisHingeJoint.doWithData(this);
    }
}

class Pre_OdeSingleAxisHingeJointRenderCallback extends RenderCallback {}
class Pre_OdeSingleAxisHingeJointDoWithDataCallback extends DoWithDataCallback {};


class Pre_SingleAxisHingeJoint extends Pre_Node {
    Pre_Node metadata;
    Pre_Node body1;
    Pre_Node body2;
    String[] forceOutput;
    float[] anchorPoint;
    float[] axis;
    float maxAngle;
    float minAngle;
    float stopBounce;
    float stopErrorCorrection;
    Pre_SingleAxisHingeJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSingleAxisHingeJoint != null)
            Pre_SceneGraph.Pre_renderCallbackSingleAxisHingeJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSingleAxisHingeJoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSingleAxisHingeJoint.doWithData(this);
    }
}

class Pre_SingleAxisHingeJointRenderCallback extends RenderCallback {}
class Pre_SingleAxisHingeJointDoWithDataCallback extends DoWithDataCallback {};


class Pre_ComposedCubeMapTexture extends Pre_Node {
    Pre_Node metadata;
    Pre_Node back;
    Pre_Node bottom;
    Pre_Node front;
    Pre_Node left;
    Pre_Node right;
    Pre_Node top;
    Pre_ComposedCubeMapTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (back != null)
            back.treeRender();
        if (bottom != null)
            bottom.treeRender();
        if (front != null)
            front.treeRender();
        if (left != null)
            left.treeRender();
        if (right != null)
            right.treeRender();
        if (top != null)
            top.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackComposedCubeMapTexture != null)
            Pre_SceneGraph.Pre_renderCallbackComposedCubeMapTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (back != null)
            back.treeDoWithData();
        if (bottom != null)
            bottom.treeDoWithData();
        if (front != null)
            front.treeDoWithData();
        if (left != null)
            left.treeDoWithData();
        if (right != null)
            right.treeDoWithData();
        if (top != null)
            top.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackComposedCubeMapTexture != null)
            Pre_SceneGraph.Pre_doWithDataCallbackComposedCubeMapTexture.doWithData(this);
    }
}

class Pre_ComposedCubeMapTextureRenderCallback extends RenderCallback {}
class Pre_ComposedCubeMapTextureDoWithDataCallback extends DoWithDataCallback {};


class Pre_Collision extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    boolean enabled;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_Node proxy;
    Pre_Collision() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (proxy != null)
            proxy.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCollision != null)
            Pre_SceneGraph.Pre_renderCallbackCollision.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (proxy != null)
            proxy.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCollision != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCollision.doWithData(this);
    }
}

class Pre_CollisionRenderCallback extends RenderCallback {}
class Pre_CollisionDoWithDataCallback extends DoWithDataCallback {};


class Pre_GeoOrigin extends Pre_Node {
    Pre_Node metadata;
    double[] geoCoords;
    String[] geoSystem;
    boolean rotateYUp;
    Pre_GeoOrigin() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGeoOrigin != null)
            Pre_SceneGraph.Pre_renderCallbackGeoOrigin.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGeoOrigin != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGeoOrigin.doWithData(this);
    }
}

class Pre_GeoOriginRenderCallback extends RenderCallback {}
class Pre_GeoOriginDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsGroup extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    float tessellationScale;
    Pre_NurbsGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsGroup != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsGroup != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsGroup.doWithData(this);
    }
}

class Pre_NurbsGroupRenderCallback extends RenderCallback {}
class Pre_NurbsGroupDoWithDataCallback extends DoWithDataCallback {};


class Pre_GeoProximitySensor extends Pre_Node {
    Pre_Node metadata;
    Pre_Node geoOrigin;
    String[] geoSystem;
    boolean enabled;
    double[] geoCenter;
    float[] size;
    Pre_GeoProximitySensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGeoProximitySensor != null)
            Pre_SceneGraph.Pre_renderCallbackGeoProximitySensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGeoProximitySensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGeoProximitySensor.doWithData(this);
    }
}

class Pre_GeoProximitySensorRenderCallback extends RenderCallback {}
class Pre_GeoProximitySensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_PointEmitter extends Pre_Node {
    Pre_Node metadata;
    float speed;
    float variation;
    float mass;
    float surfaceArea;
    float[] direction;
    float[] position;
    Pre_PointEmitter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPointEmitter != null)
            Pre_SceneGraph.Pre_renderCallbackPointEmitter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPointEmitter != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPointEmitter.doWithData(this);
    }
}

class Pre_PointEmitterRenderCallback extends RenderCallback {}
class Pre_PointEmitterDoWithDataCallback extends DoWithDataCallback {};


class Pre_ProximitySensor extends Pre_Node {
    Pre_Node metadata;
    float[] center;
    boolean enabled;
    float[] size;
    Pre_ProximitySensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackProximitySensor != null)
            Pre_SceneGraph.Pre_renderCallbackProximitySensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackProximitySensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackProximitySensor.doWithData(this);
    }
}

class Pre_ProximitySensorRenderCallback extends RenderCallback {}
class Pre_ProximitySensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_ScalarChaser extends Pre_Node {
    Pre_Node metadata;
    double duration;
    float initialDestination;
    float initialValue;
    Pre_ScalarChaser() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackScalarChaser != null)
            Pre_SceneGraph.Pre_renderCallbackScalarChaser.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackScalarChaser != null)
            Pre_SceneGraph.Pre_doWithDataCallbackScalarChaser.doWithData(this);
    }
}

class Pre_ScalarChaserRenderCallback extends RenderCallback {}
class Pre_ScalarChaserDoWithDataCallback extends DoWithDataCallback {};


class Pre_VisibilitySensor extends Pre_Node {
    Pre_Node metadata;
    float[] center;
    boolean enabled;
    float[] size;
    Pre_VisibilitySensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackVisibilitySensor != null)
            Pre_SceneGraph.Pre_renderCallbackVisibilitySensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackVisibilitySensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackVisibilitySensor.doWithData(this);
    }
}

class Pre_VisibilitySensorRenderCallback extends RenderCallback {}
class Pre_VisibilitySensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_CattExportSrc extends Pre_Node {
    Pre_Node metadata;
    String id;
    float[] sourceCenterLocation;
    String sourceDirectivityName;
    float[] coordinateToAimTheSource;
    float roll;
    String[] furtherParameters;
    Pre_CattExportSrc() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCattExportSrc != null)
            Pre_SceneGraph.Pre_renderCallbackCattExportSrc.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCattExportSrc != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCattExportSrc.doWithData(this);
    }
}

class Pre_CattExportSrcRenderCallback extends RenderCallback {}
class Pre_CattExportSrcDoWithDataCallback extends DoWithDataCallback {};


class Pre_HAnimHumanoid extends Pre_Node {
    Pre_Node metadata;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] scale;
    float[] scaleOrientation;
    String[] info;
    Pre_Node [] joints;
    String name;
    Pre_Node [] segments;
    Pre_Node [] sites;
    Pre_Node [] skeleton;
    Pre_Node [] skin;
    Pre_Node skinCoord;
    Pre_Node skinNormal;
    String version;
    Pre_Node [] viewpoints;
    Pre_HAnimHumanoid() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (joints != null)
            for (int i = 0; i < joints.length; i++)
                if (joints[i] != null)
                    joints[i].treeRender();
        if (segments != null)
            for (int i = 0; i < segments.length; i++)
                if (segments[i] != null)
                    segments[i].treeRender();
        if (sites != null)
            for (int i = 0; i < sites.length; i++)
                if (sites[i] != null)
                    sites[i].treeRender();
        if (skeleton != null)
            for (int i = 0; i < skeleton.length; i++)
                if (skeleton[i] != null)
                    skeleton[i].treeRender();
        if (skin != null)
            for (int i = 0; i < skin.length; i++)
                if (skin[i] != null)
                    skin[i].treeRender();
        if (skinCoord != null)
            skinCoord.treeRender();
        if (skinNormal != null)
            skinNormal.treeRender();
        if (viewpoints != null)
            for (int i = 0; i < viewpoints.length; i++)
                if (viewpoints[i] != null)
                    viewpoints[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackHAnimHumanoid != null)
            Pre_SceneGraph.Pre_renderCallbackHAnimHumanoid.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (joints != null)
            for (int i = 0; i < joints.length; i++)
                if (joints[i] != null)
                    joints[i].treeDoWithData();
        if (segments != null)
            for (int i = 0; i < segments.length; i++)
                if (segments[i] != null)
                    segments[i].treeDoWithData();
        if (sites != null)
            for (int i = 0; i < sites.length; i++)
                if (sites[i] != null)
                    sites[i].treeDoWithData();
        if (skeleton != null)
            for (int i = 0; i < skeleton.length; i++)
                if (skeleton[i] != null)
                    skeleton[i].treeDoWithData();
        if (skin != null)
            for (int i = 0; i < skin.length; i++)
                if (skin[i] != null)
                    skin[i].treeDoWithData();
        if (skinCoord != null)
            skinCoord.treeDoWithData();
        if (skinNormal != null)
            skinNormal.treeDoWithData();
        if (viewpoints != null)
            for (int i = 0; i < viewpoints.length; i++)
                if (viewpoints[i] != null)
                    viewpoints[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackHAnimHumanoid != null)
            Pre_SceneGraph.Pre_doWithDataCallbackHAnimHumanoid.doWithData(this);
    }
}

class Pre_HAnimHumanoidRenderCallback extends RenderCallback {}
class Pre_HAnimHumanoidDoWithDataCallback extends DoWithDataCallback {};


class Pre_IndexedFaceSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node color;
    Pre_Node coord;
    Pre_Node normal;
    Pre_Node texCoord;
    boolean ccw;
    int[] colorIndex;
    boolean colorPerVertex;
    boolean convex;
    int[] coordIndex;
    float creaseAngle;
    int[] normalIndex;
    boolean normalPerVertex;
    boolean solid;
    int[] texCoordIndex;
    float[] radianceTransfer;
    Pre_Node [] attrib;
    Pre_Node fogCoord;
    Pre_IndexedFaceSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackIndexedFaceSet != null)
            Pre_SceneGraph.Pre_renderCallbackIndexedFaceSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackIndexedFaceSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackIndexedFaceSet.doWithData(this);
    }
}

class Pre_IndexedFaceSetRenderCallback extends RenderCallback {}
class Pre_IndexedFaceSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_Sound extends Pre_Node {
    Pre_Node metadata;
    float[] direction;
    float intensity;
    float[] location;
    float maxBack;
    float maxFront;
    float minBack;
    float minFront;
    float priority;
    Pre_Node source;
    boolean spatialize;
    Pre_Sound() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (source != null)
            source.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSound != null)
            Pre_SceneGraph.Pre_renderCallbackSound.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (source != null)
            source.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSound != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSound.doWithData(this);
    }
}

class Pre_SoundRenderCallback extends RenderCallback {}
class Pre_SoundDoWithDataCallback extends DoWithDataCallback {};


class Pre_TriangleSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node color;
    Pre_Node coord;
    Pre_Node normal;
    Pre_Node texCoord;
    boolean ccw;
    boolean colorPerVertex;
    boolean normalPerVertex;
    boolean solid;
    float[] radianceTransfer;
    Pre_Node [] attrib;
    Pre_Node fogCoord;
    Pre_TriangleSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTriangleSet != null)
            Pre_SceneGraph.Pre_renderCallbackTriangleSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTriangleSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTriangleSet.doWithData(this);
    }
}

class Pre_TriangleSetRenderCallback extends RenderCallback {}
class Pre_TriangleSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_Cone extends Pre_Node {
    Pre_Node metadata;
    boolean bottom;
    float bottomRadius;
    float height;
    boolean side;
    boolean solid;
    Pre_Cone() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCone != null)
            Pre_SceneGraph.Pre_renderCallbackCone.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCone != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCone.doWithData(this);
    }
}

class Pre_ConeRenderCallback extends RenderCallback {}
class Pre_ConeDoWithDataCallback extends DoWithDataCallback {};


class Pre_FontStyle extends Pre_Node {
    Pre_Node metadata;
    String[] family;
    boolean horizontal;
    String[] justify;
    String language;
    boolean leftToRight;
    float size;
    float spacing;
    String style;
    boolean topToBottom;
    Pre_FontStyle() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackFontStyle != null)
            Pre_SceneGraph.Pre_renderCallbackFontStyle.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackFontStyle != null)
            Pre_SceneGraph.Pre_doWithDataCallbackFontStyle.doWithData(this);
    }
}

class Pre_FontStyleRenderCallback extends RenderCallback {}
class Pre_FontStyleDoWithDataCallback extends DoWithDataCallback {};


class Pre_Inline extends Pre_Node {
    Pre_Node metadata;
    boolean load;
    String[] url;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_Inline() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackInline != null)
            Pre_SceneGraph.Pre_renderCallbackInline.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackInline != null)
            Pre_SceneGraph.Pre_doWithDataCallbackInline.doWithData(this);
    }
}

class Pre_InlineRenderCallback extends RenderCallback {}
class Pre_InlineDoWithDataCallback extends DoWithDataCallback {};


class Pre_MultiTextureCoordinate extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] texCoord;
    Pre_MultiTextureCoordinate() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (texCoord != null)
            for (int i = 0; i < texCoord.length; i++)
                if (texCoord[i] != null)
                    texCoord[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMultiTextureCoordinate != null)
            Pre_SceneGraph.Pre_renderCallbackMultiTextureCoordinate.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (texCoord != null)
            for (int i = 0; i < texCoord.length; i++)
                if (texCoord[i] != null)
                    texCoord[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMultiTextureCoordinate != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMultiTextureCoordinate.doWithData(this);
    }
}

class Pre_MultiTextureCoordinateRenderCallback extends RenderCallback {}
class Pre_MultiTextureCoordinateDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsCurve extends Pre_Node {
    Pre_Node metadata;
    Pre_Node controlPoint;
    int tessellation;
    float[] weight;
    boolean closed;
    float[] knot;
    int order;
    Pre_NurbsCurve() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (controlPoint != null)
            controlPoint.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsCurve != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsCurve.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (controlPoint != null)
            controlPoint.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsCurve != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsCurve.doWithData(this);
    }
}

class Pre_NurbsCurveRenderCallback extends RenderCallback {}
class Pre_NurbsCurveDoWithDataCallback extends DoWithDataCallback {};


class Pre_SignalPdu extends Pre_Node {
    Pre_Node metadata;
    int[] data;
    int dataLength;
    int encodingScheme;
    int radioID;
    int sampleRate;
    int samples;
    int tdlType;
    int whichGeometry;
    float[] bboxCenter;
    float[] bboxSize;
    boolean enabled;
    String networkMode;
    double readInterval;
    double writeInterval;
    int siteID;
    int applicationID;
    int entityID;
    String address;
    int port;
    String multicastRelayHost;
    int multicastRelayPort;
    boolean rtpHeaderExpected;
    Pre_SignalPdu() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSignalPdu != null)
            Pre_SceneGraph.Pre_renderCallbackSignalPdu.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSignalPdu != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSignalPdu.doWithData(this);
    }
}

class Pre_SignalPduRenderCallback extends RenderCallback {}
class Pre_SignalPduDoWithDataCallback extends DoWithDataCallback {};


class Pre_RigidBody extends Pre_Node {
    Pre_Node metadata;
    float angularDampingFactor;
    float[] angularVelocity;
    boolean autoDamp;
    boolean autoDisable;
    float[] centerOfMass;
    float disableAngularSpeed;
    float disableLinearSpeed;
    float disableTime;
    boolean enabled;
    float[] finiteRotationAxis;
    boolean fixed;
    float[] forces;
    Pre_Node [] geometry;
    float[] inertia;
    float linearDampingFactor;
    float[] linearVelocity;
    float mass;
    Pre_Node massDensityModel;
    float[] orientation;
    float[] position;
    float[] torques;
    boolean useFiniteRotation;
    boolean useGlobalGravity;
    Pre_RigidBody() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geometry != null)
            for (int i = 0; i < geometry.length; i++)
                if (geometry[i] != null)
                    geometry[i].treeRender();
        if (massDensityModel != null)
            massDensityModel.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackRigidBody != null)
            Pre_SceneGraph.Pre_renderCallbackRigidBody.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geometry != null)
            for (int i = 0; i < geometry.length; i++)
                if (geometry[i] != null)
                    geometry[i].treeDoWithData();
        if (massDensityModel != null)
            massDensityModel.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackRigidBody != null)
            Pre_SceneGraph.Pre_doWithDataCallbackRigidBody.doWithData(this);
    }
}

class Pre_RigidBodyRenderCallback extends RenderCallback {}
class Pre_RigidBodyDoWithDataCallback extends DoWithDataCallback {};


class Pre_Material extends Pre_Node {
    Pre_Node metadata;
    float ambientIntensity;
    float[] diffuseColor;
    float[] emissiveColor;
    float shininess;
    float[] specularColor;
    float transparency;
    boolean fogImmune;
    float mirror;
    float[] reflSpecular;
    float[] reflDiffuse;
    float[] transSpecular;
    float[] transDiffuse;
    float reflSpecularExp;
    float transSpecularExp;
    Pre_Material() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMaterial != null)
            Pre_SceneGraph.Pre_renderCallbackMaterial.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMaterial != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMaterial.doWithData(this);
    }
}

class Pre_MaterialRenderCallback extends RenderCallback {}
class Pre_MaterialDoWithDataCallback extends DoWithDataCallback {};


class Pre_MultiTextureTransform extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] textureTransform;
    Pre_MultiTextureTransform() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureTransform != null)
            for (int i = 0; i < textureTransform.length; i++)
                if (textureTransform[i] != null)
                    textureTransform[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMultiTextureTransform != null)
            Pre_SceneGraph.Pre_renderCallbackMultiTextureTransform.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureTransform != null)
            for (int i = 0; i < textureTransform.length; i++)
                if (textureTransform[i] != null)
                    textureTransform[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMultiTextureTransform != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMultiTextureTransform.doWithData(this);
    }
}

class Pre_MultiTextureTransformRenderCallback extends RenderCallback {}
class Pre_MultiTextureTransformDoWithDataCallback extends DoWithDataCallback {};


class Pre_ConeEmitter extends Pre_Node {
    Pre_Node metadata;
    float speed;
    float variation;
    float mass;
    float surfaceArea;
    float angle;
    float[] direction;
    float[] position;
    Pre_ConeEmitter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackConeEmitter != null)
            Pre_SceneGraph.Pre_renderCallbackConeEmitter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackConeEmitter != null)
            Pre_SceneGraph.Pre_doWithDataCallbackConeEmitter.doWithData(this);
    }
}

class Pre_ConeEmitterRenderCallback extends RenderCallback {}
class Pre_ConeEmitterDoWithDataCallback extends DoWithDataCallback {};


class Pre_MetadataInteger extends Pre_Node {
    Pre_Node metadata;
    String name;
    String reference;
    int[] value;
    Pre_MetadataInteger() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMetadataInteger != null)
            Pre_SceneGraph.Pre_renderCallbackMetadataInteger.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMetadataInteger != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMetadataInteger.doWithData(this);
    }
}

class Pre_MetadataIntegerRenderCallback extends RenderCallback {}
class Pre_MetadataIntegerDoWithDataCallback extends DoWithDataCallback {};


class Pre_OrientationInterpolator extends Pre_Node {
    Pre_Node metadata;
    float[] key;
    float[] keyValue;
    Pre_OrientationInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackOrientationInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackOrientationInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackOrientationInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackOrientationInterpolator.doWithData(this);
    }
}

class Pre_OrientationInterpolatorRenderCallback extends RenderCallback {}
class Pre_OrientationInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_TimeSensor extends Pre_Node {
    Pre_Node metadata;
    double cycleInterval;
    boolean enabled;
    boolean loop;
    double pauseTime;
    double resumeTime;
    double startTime;
    double stopTime;
    Pre_TimeSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTimeSensor != null)
            Pre_SceneGraph.Pre_renderCallbackTimeSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTimeSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTimeSensor.doWithData(this);
    }
}

class Pre_TimeSensorRenderCallback extends RenderCallback {}
class Pre_TimeSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_IndexedLineSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] attrib;
    Pre_Node color;
    Pre_Node coord;
    int[] colorIndex;
    boolean colorPerVertex;
    int[] coordIndex;
    Pre_Node fogCoord;
    Pre_IndexedLineSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackIndexedLineSet != null)
            Pre_SceneGraph.Pre_renderCallbackIndexedLineSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackIndexedLineSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackIndexedLineSet.doWithData(this);
    }
}

class Pre_IndexedLineSetRenderCallback extends RenderCallback {}
class Pre_IndexedLineSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_IndexedQuadSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node color;
    Pre_Node coord;
    Pre_Node normal;
    Pre_Node texCoord;
    boolean ccw;
    boolean colorPerVertex;
    boolean normalPerVertex;
    boolean solid;
    int[] index;
    float[] radianceTransfer;
    Pre_Node [] attrib;
    Pre_Node fogCoord;
    Pre_IndexedQuadSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackIndexedQuadSet != null)
            Pre_SceneGraph.Pre_renderCallbackIndexedQuadSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackIndexedQuadSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackIndexedQuadSet.doWithData(this);
    }
}

class Pre_IndexedQuadSetRenderCallback extends RenderCallback {}
class Pre_IndexedQuadSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_IndexedTriangleStripSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node color;
    Pre_Node coord;
    Pre_Node normal;
    Pre_Node texCoord;
    boolean ccw;
    boolean normalPerVertex;
    boolean solid;
    int[] index;
    float creaseAngle;
    Pre_IndexedTriangleStripSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackIndexedTriangleStripSet != null)
            Pre_SceneGraph.Pre_renderCallbackIndexedTriangleStripSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackIndexedTriangleStripSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackIndexedTriangleStripSet.doWithData(this);
    }
}

class Pre_IndexedTriangleStripSetRenderCallback extends RenderCallback {}
class Pre_IndexedTriangleStripSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_MetadataFloat extends Pre_Node {
    Pre_Node metadata;
    String name;
    String reference;
    float[] value;
    Pre_MetadataFloat() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMetadataFloat != null)
            Pre_SceneGraph.Pre_renderCallbackMetadataFloat.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMetadataFloat != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMetadataFloat.doWithData(this);
    }
}

class Pre_MetadataFloatRenderCallback extends RenderCallback {}
class Pre_MetadataFloatDoWithDataCallback extends DoWithDataCallback {};


class Pre_OdeMotorJoint extends Pre_Node {
    Pre_Node metadata;
    Pre_Node body1;
    Pre_Node body2;
    String[] forceOutput;
    float axis1Angle;
    float axis1Torque;
    float axis2Angle;
    float axis2Torque;
    float axis3Angle;
    float axis3Torque;
    int enabledAxes;
    float[] motor1Axis;
    float[] motor2Axis;
    float[] motor3Axis;
    float stop1Bounce;
    float stop1ErrorCorrection;
    float stop2Bounce;
    float stop2ErrorCorrection;
    float stop3Bounce;
    float stop3ErrorCorrection;
    boolean autoCalc;
    float fMax1;
    float fMax2;
    float fMax3;
    Pre_OdeMotorJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackOdeMotorJoint != null)
            Pre_SceneGraph.Pre_renderCallbackOdeMotorJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackOdeMotorJoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackOdeMotorJoint.doWithData(this);
    }
}

class Pre_OdeMotorJointRenderCallback extends RenderCallback {}
class Pre_OdeMotorJointDoWithDataCallback extends DoWithDataCallback {};


class Pre_PositionChaser2D extends Pre_Node {
    Pre_Node metadata;
    double duration;
    float[] initialDestination;
    float[] initialValue;
    Pre_PositionChaser2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPositionChaser2D != null)
            Pre_SceneGraph.Pre_renderCallbackPositionChaser2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPositionChaser2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPositionChaser2D.doWithData(this);
    }
}

class Pre_PositionChaser2DRenderCallback extends RenderCallback {}
class Pre_PositionChaser2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_TriangleFanSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node color;
    Pre_Node coord;
    int[] fanCount;
    Pre_Node normal;
    Pre_Node texCoord;
    boolean ccw;
    boolean colorPerVertex;
    boolean normalPerVertex;
    boolean solid;
    float[] radianceTransfer;
    Pre_Node [] attrib;
    Pre_Node fogCoord;
    Pre_TriangleFanSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTriangleFanSet != null)
            Pre_SceneGraph.Pre_renderCallbackTriangleFanSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTriangleFanSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTriangleFanSet.doWithData(this);
    }
}

class Pre_TriangleFanSetRenderCallback extends RenderCallback {}
class Pre_TriangleFanSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_Viewport extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    float[] clipBoundary;
    Pre_Viewport() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackViewport != null)
            Pre_SceneGraph.Pre_renderCallbackViewport.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackViewport != null)
            Pre_SceneGraph.Pre_doWithDataCallbackViewport.doWithData(this);
    }
}

class Pre_ViewportRenderCallback extends RenderCallback {}
class Pre_ViewportDoWithDataCallback extends DoWithDataCallback {};


class Pre_Fog extends Pre_Node {
    Pre_Node metadata;
    float[] color;
    String fogType;
    float visibilityRange;
    boolean volumetric;
    float[] volumetricDirection;
    float volumetricVisibilityStart;
    Pre_Node alternative;
    Pre_Fog() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (alternative != null)
            alternative.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackFog != null)
            Pre_SceneGraph.Pre_renderCallbackFog.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (alternative != null)
            alternative.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackFog != null)
            Pre_SceneGraph.Pre_doWithDataCallbackFog.doWithData(this);
    }
}

class Pre_FogRenderCallback extends RenderCallback {}
class Pre_FogDoWithDataCallback extends DoWithDataCallback {};


class Pre_ShaderProgram extends Pre_Node {
    Pre_Node metadata;
    String[] url;
    String type;
    Pre_ShaderProgram() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackShaderProgram != null)
            Pre_SceneGraph.Pre_renderCallbackShaderProgram.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackShaderProgram != null)
            Pre_SceneGraph.Pre_doWithDataCallbackShaderProgram.doWithData(this);
    }
}

class Pre_ShaderProgramRenderCallback extends RenderCallback {}
class Pre_ShaderProgramDoWithDataCallback extends DoWithDataCallback {};


class Pre_CollisionCollection extends Pre_Node {
    Pre_Node metadata;
    String[] appliedParameters;
    float bounce;
    Pre_Node [] collidables;
    boolean enabled;
    float[] frictionCoefficients;
    float minBounceSpeed;
    float[] slipFactors;
    float softnessConstantForceMix;
    float softnessErrorCorrection;
    float[] surfaceSpeed;
    Pre_CollisionCollection() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (collidables != null)
            for (int i = 0; i < collidables.length; i++)
                if (collidables[i] != null)
                    collidables[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCollisionCollection != null)
            Pre_SceneGraph.Pre_renderCallbackCollisionCollection.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (collidables != null)
            for (int i = 0; i < collidables.length; i++)
                if (collidables[i] != null)
                    collidables[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCollisionCollection != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCollisionCollection.doWithData(this);
    }
}

class Pre_CollisionCollectionRenderCallback extends RenderCallback {}
class Pre_CollisionCollectionDoWithDataCallback extends DoWithDataCallback {};


class Pre_StaticGroup extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_StaticGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackStaticGroup != null)
            Pre_SceneGraph.Pre_renderCallbackStaticGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackStaticGroup != null)
            Pre_SceneGraph.Pre_doWithDataCallbackStaticGroup.doWithData(this);
    }
}

class Pre_StaticGroupRenderCallback extends RenderCallback {}
class Pre_StaticGroupDoWithDataCallback extends DoWithDataCallback {};


class Pre_Anchor extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    String description;
    String[] parameter;
    String[] url;
    Pre_Anchor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackAnchor != null)
            Pre_SceneGraph.Pre_renderCallbackAnchor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackAnchor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackAnchor.doWithData(this);
    }
}

class Pre_AnchorRenderCallback extends RenderCallback {}
class Pre_AnchorDoWithDataCallback extends DoWithDataCallback {};


class Pre_BooleanTrigger extends Pre_Node {
    Pre_Node metadata;
    Pre_BooleanTrigger() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackBooleanTrigger != null)
            Pre_SceneGraph.Pre_renderCallbackBooleanTrigger.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackBooleanTrigger != null)
            Pre_SceneGraph.Pre_doWithDataCallbackBooleanTrigger.doWithData(this);
    }
}

class Pre_BooleanTriggerRenderCallback extends RenderCallback {}
class Pre_BooleanTriggerDoWithDataCallback extends DoWithDataCallback {};


class Pre_BooleanSequencer extends Pre_Node {
    Pre_Node metadata;
    float[] key;
    boolean[] keyValue;
    Pre_BooleanSequencer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackBooleanSequencer != null)
            Pre_SceneGraph.Pre_renderCallbackBooleanSequencer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackBooleanSequencer != null)
            Pre_SceneGraph.Pre_doWithDataCallbackBooleanSequencer.doWithData(this);
    }
}

class Pre_BooleanSequencerRenderCallback extends RenderCallback {}
class Pre_BooleanSequencerDoWithDataCallback extends DoWithDataCallback {};


class Pre_Color extends Pre_Node {
    Pre_Node metadata;
    float[] color;
    Pre_Color() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackColor != null)
            Pre_SceneGraph.Pre_renderCallbackColor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackColor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackColor.doWithData(this);
    }
}

class Pre_ColorRenderCallback extends RenderCallback {}
class Pre_ColorDoWithDataCallback extends DoWithDataCallback {};


class Pre_OrientationChaser extends Pre_Node {
    Pre_Node metadata;
    double duration;
    float[] initialDestination;
    float[] initialValue;
    Pre_OrientationChaser() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackOrientationChaser != null)
            Pre_SceneGraph.Pre_renderCallbackOrientationChaser.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackOrientationChaser != null)
            Pre_SceneGraph.Pre_doWithDataCallbackOrientationChaser.doWithData(this);
    }
}

class Pre_OrientationChaserRenderCallback extends RenderCallback {}
class Pre_OrientationChaserDoWithDataCallback extends DoWithDataCallback {};


class Pre_OrientationDamper extends Pre_Node {
    Pre_Node metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    Pre_OrientationDamper() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackOrientationDamper != null)
            Pre_SceneGraph.Pre_renderCallbackOrientationDamper.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackOrientationDamper != null)
            Pre_SceneGraph.Pre_doWithDataCallbackOrientationDamper.doWithData(this);
    }
}

class Pre_OrientationDamperRenderCallback extends RenderCallback {}
class Pre_OrientationDamperDoWithDataCallback extends DoWithDataCallback {};


class Pre_PointPickSensor extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    String[] objectType;
    Pre_Node pickingGeometry;
    Pre_Node [] pickTarget;
    String intersectionType;
    String sortOrder;
    Pre_PointPickSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (pickingGeometry != null)
            pickingGeometry.treeRender();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPointPickSensor != null)
            Pre_SceneGraph.Pre_renderCallbackPointPickSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (pickingGeometry != null)
            pickingGeometry.treeDoWithData();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPointPickSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPointPickSensor.doWithData(this);
    }
}

class Pre_PointPickSensorRenderCallback extends RenderCallback {}
class Pre_PointPickSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_SplinePositionInterpolator extends Pre_Node {
    Pre_Node metadata;
    boolean closed;
    float[] key;
    float[] keyValue;
    float[] keyVelocity;
    boolean normalizeVelocity;
    Pre_SplinePositionInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSplinePositionInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackSplinePositionInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSplinePositionInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSplinePositionInterpolator.doWithData(this);
    }
}

class Pre_SplinePositionInterpolatorRenderCallback extends RenderCallback {}
class Pre_SplinePositionInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_TimeTrigger extends Pre_Node {
    Pre_Node metadata;
    Pre_TimeTrigger() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTimeTrigger != null)
            Pre_SceneGraph.Pre_renderCallbackTimeTrigger.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTimeTrigger != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTimeTrigger.doWithData(this);
    }
}

class Pre_TimeTriggerRenderCallback extends RenderCallback {}
class Pre_TimeTriggerDoWithDataCallback extends DoWithDataCallback {};


class Pre_Arc2D extends Pre_Node {
    Pre_Node metadata;
    float endAngle;
    float radius;
    float startAngle;
    Pre_Arc2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackArc2D != null)
            Pre_SceneGraph.Pre_renderCallbackArc2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackArc2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackArc2D.doWithData(this);
    }
}

class Pre_Arc2DRenderCallback extends RenderCallback {}
class Pre_Arc2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_Disk2D extends Pre_Node {
    Pre_Node metadata;
    float innerRadius;
    float outerRadius;
    boolean solid;
    Pre_Disk2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackDisk2D != null)
            Pre_SceneGraph.Pre_renderCallbackDisk2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackDisk2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackDisk2D.doWithData(this);
    }
}

class Pre_Disk2DRenderCallback extends RenderCallback {}
class Pre_Disk2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_GeoElevationGrid extends Pre_Node {
    Pre_Node metadata;
    Pre_Node geoOrigin;
    String[] geoSystem;
    Pre_Node color;
    Pre_Node normal;
    Pre_Node texCoord;
    float yScale;
    boolean ccw;
    boolean colorPerVertex;
    double creaseAngle;
    double[] geoGridOrigin;
    double[] height;
    boolean normalPerVertex;
    boolean solid;
    int xDimension;
    double xSpacing;
    int zDimension;
    double zSpacing;
    Pre_GeoElevationGrid() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (color != null)
            color.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGeoElevationGrid != null)
            Pre_SceneGraph.Pre_renderCallbackGeoElevationGrid.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGeoElevationGrid != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGeoElevationGrid.doWithData(this);
    }
}

class Pre_GeoElevationGridRenderCallback extends RenderCallback {}
class Pre_GeoElevationGridDoWithDataCallback extends DoWithDataCallback {};


class Pre_IndexedTriangleSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node color;
    Pre_Node coord;
    Pre_Node normal;
    Pre_Node texCoord;
    boolean ccw;
    boolean normalPerVertex;
    boolean solid;
    int[] index;
    boolean colorPerVertex;
    float[] radianceTransfer;
    Pre_Node [] attrib;
    Pre_Node fogCoord;
    Pre_IndexedTriangleSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackIndexedTriangleSet != null)
            Pre_SceneGraph.Pre_renderCallbackIndexedTriangleSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackIndexedTriangleSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackIndexedTriangleSet.doWithData(this);
    }
}

class Pre_IndexedTriangleSetRenderCallback extends RenderCallback {}
class Pre_IndexedTriangleSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_Polypoint2D extends Pre_Node {
    Pre_Node metadata;
    float[] point;
    Pre_Polypoint2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPolypoint2D != null)
            Pre_SceneGraph.Pre_renderCallbackPolypoint2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPolypoint2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPolypoint2D.doWithData(this);
    }
}

class Pre_Polypoint2DRenderCallback extends RenderCallback {}
class Pre_Polypoint2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_PositionDamper2D extends Pre_Node {
    Pre_Node metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    Pre_PositionDamper2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPositionDamper2D != null)
            Pre_SceneGraph.Pre_renderCallbackPositionDamper2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPositionDamper2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPositionDamper2D.doWithData(this);
    }
}

class Pre_PositionDamper2DRenderCallback extends RenderCallback {}
class Pre_PositionDamper2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_SuperEllipsoid extends Pre_Node {
    Pre_Node metadata;
    float n1;
    float n2;
    float border;
    boolean bottom;
    float bottomBorder;
    boolean ccw;
    float creaseAngle;
    float[] size;
    boolean solid;
    Pre_Node texCoord;
    boolean top;
    int uTessellation;
    int vTessellation;
    Pre_SuperEllipsoid() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSuperEllipsoid != null)
            Pre_SceneGraph.Pre_renderCallbackSuperEllipsoid.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSuperEllipsoid != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSuperEllipsoid.doWithData(this);
    }
}

class Pre_SuperEllipsoidRenderCallback extends RenderCallback {}
class Pre_SuperEllipsoidDoWithDataCallback extends DoWithDataCallback {};


class Pre_BooleanToggle extends Pre_Node {
    Pre_Node metadata;
    boolean toggle;
    Pre_BooleanToggle() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackBooleanToggle != null)
            Pre_SceneGraph.Pre_renderCallbackBooleanToggle.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackBooleanToggle != null)
            Pre_SceneGraph.Pre_doWithDataCallbackBooleanToggle.doWithData(this);
    }
}

class Pre_BooleanToggleRenderCallback extends RenderCallback {}
class Pre_BooleanToggleDoWithDataCallback extends DoWithDataCallback {};


class Pre_Matrix3VertexAttribute extends Pre_Node {
    Pre_Node metadata;
    float[] value;
    String name;
    Pre_Matrix3VertexAttribute() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMatrix3VertexAttribute != null)
            Pre_SceneGraph.Pre_renderCallbackMatrix3VertexAttribute.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMatrix3VertexAttribute != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMatrix3VertexAttribute.doWithData(this);
    }
}

class Pre_Matrix3VertexAttributeRenderCallback extends RenderCallback {}
class Pre_Matrix3VertexAttributeDoWithDataCallback extends DoWithDataCallback {};


class Pre_Matrix4VertexAttribute extends Pre_Node {
    Pre_Node metadata;
    float[] value;
    String name;
    Pre_Matrix4VertexAttribute() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMatrix4VertexAttribute != null)
            Pre_SceneGraph.Pre_renderCallbackMatrix4VertexAttribute.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMatrix4VertexAttribute != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMatrix4VertexAttribute.doWithData(this);
    }
}

class Pre_Matrix4VertexAttributeRenderCallback extends RenderCallback {}
class Pre_Matrix4VertexAttributeDoWithDataCallback extends DoWithDataCallback {};


class Pre_MultiTexture extends Pre_Node {
    Pre_Node metadata;
    float alpha;
    float[] color;
    String[] function;
    String[] mode;
    String[] source;
    Pre_Node [] texture;
    Pre_MultiTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (texture != null)
            for (int i = 0; i < texture.length; i++)
                if (texture[i] != null)
                    texture[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMultiTexture != null)
            Pre_SceneGraph.Pre_renderCallbackMultiTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (texture != null)
            for (int i = 0; i < texture.length; i++)
                if (texture[i] != null)
                    texture[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMultiTexture != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMultiTexture.doWithData(this);
    }
}

class Pre_MultiTextureRenderCallback extends RenderCallback {}
class Pre_MultiTextureDoWithDataCallback extends DoWithDataCallback {};


class Pre_Shape extends Pre_Node {
    Pre_Node metadata;
    Pre_Node appearance;
    Pre_Node geometry;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_Node octreeTriangles;
    Pre_Shape() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (appearance != null)
            appearance.treeRender();
        if (geometry != null)
            geometry.treeRender();
        if (octreeTriangles != null)
            octreeTriangles.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackShape != null)
            Pre_SceneGraph.Pre_renderCallbackShape.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (appearance != null)
            appearance.treeDoWithData();
        if (geometry != null)
            geometry.treeDoWithData();
        if (octreeTriangles != null)
            octreeTriangles.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackShape != null)
            Pre_SceneGraph.Pre_doWithDataCallbackShape.doWithData(this);
    }
}

class Pre_ShapeRenderCallback extends RenderCallback {}
class Pre_ShapeDoWithDataCallback extends DoWithDataCallback {};


class Pre_DISEntityTypeMapping extends Pre_Node {
    Pre_Node metadata;
    String[] url;
    int category;
    int country;
    int domain;
    int extra;
    int kind;
    int specific;
    int subcategory;
    Pre_DISEntityTypeMapping() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackDISEntityTypeMapping != null)
            Pre_SceneGraph.Pre_renderCallbackDISEntityTypeMapping.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackDISEntityTypeMapping != null)
            Pre_SceneGraph.Pre_doWithDataCallbackDISEntityTypeMapping.doWithData(this);
    }
}

class Pre_DISEntityTypeMappingRenderCallback extends RenderCallback {}
class Pre_DISEntityTypeMappingDoWithDataCallback extends DoWithDataCallback {};


class Pre_LocalFog extends Pre_Node {
    Pre_Node metadata;
    float[] color;
    boolean enabled;
    String fogType;
    float visibilityRange;
    Pre_LocalFog() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackLocalFog != null)
            Pre_SceneGraph.Pre_renderCallbackLocalFog.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackLocalFog != null)
            Pre_SceneGraph.Pre_doWithDataCallbackLocalFog.doWithData(this);
    }
}

class Pre_LocalFogRenderCallback extends RenderCallback {}
class Pre_LocalFogDoWithDataCallback extends DoWithDataCallback {};


class Pre_Box extends Pre_Node {
    Pre_Node metadata;
    float[] size;
    boolean solid;
    Pre_Box() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackBox != null)
            Pre_SceneGraph.Pre_renderCallbackBox.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackBox != null)
            Pre_SceneGraph.Pre_doWithDataCallbackBox.doWithData(this);
    }
}

class Pre_BoxRenderCallback extends RenderCallback {}
class Pre_BoxDoWithDataCallback extends DoWithDataCallback {};


class Pre_GeoLocation extends Pre_Node {
    Pre_Node metadata;
    Pre_Node geoOrigin;
    String[] geoSystem;
    Pre_Node [] children;
    double[] geoCoords;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_GeoLocation() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGeoLocation != null)
            Pre_SceneGraph.Pre_renderCallbackGeoLocation.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGeoLocation != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGeoLocation.doWithData(this);
    }
}

class Pre_GeoLocationRenderCallback extends RenderCallback {}
class Pre_GeoLocationDoWithDataCallback extends DoWithDataCallback {};


class Pre_ScreenGroup extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_ScreenGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackScreenGroup != null)
            Pre_SceneGraph.Pre_renderCallbackScreenGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackScreenGroup != null)
            Pre_SceneGraph.Pre_doWithDataCallbackScreenGroup.doWithData(this);
    }
}

class Pre_ScreenGroupRenderCallback extends RenderCallback {}
class Pre_ScreenGroupDoWithDataCallback extends DoWithDataCallback {};


class Pre_Cylinder extends Pre_Node {
    Pre_Node metadata;
    boolean bottom;
    float height;
    float radius;
    boolean side;
    boolean solid;
    boolean top;
    Pre_Cylinder() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCylinder != null)
            Pre_SceneGraph.Pre_renderCallbackCylinder.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCylinder != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCylinder.doWithData(this);
    }
}

class Pre_CylinderRenderCallback extends RenderCallback {}
class Pre_CylinderDoWithDataCallback extends DoWithDataCallback {};


class Pre_DISEntityManager extends Pre_Node {
    Pre_Node metadata;
    String address;
    int applicationID;
    Pre_Node [] mapping;
    int port;
    int siteID;
    Pre_DISEntityManager() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (mapping != null)
            for (int i = 0; i < mapping.length; i++)
                if (mapping[i] != null)
                    mapping[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackDISEntityManager != null)
            Pre_SceneGraph.Pre_renderCallbackDISEntityManager.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (mapping != null)
            for (int i = 0; i < mapping.length; i++)
                if (mapping[i] != null)
                    mapping[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackDISEntityManager != null)
            Pre_SceneGraph.Pre_doWithDataCallbackDISEntityManager.doWithData(this);
    }
}

class Pre_DISEntityManagerRenderCallback extends RenderCallback {}
class Pre_DISEntityManagerDoWithDataCallback extends DoWithDataCallback {};


class Pre_NormalInterpolator extends Pre_Node {
    Pre_Node metadata;
    float[] key;
    float[] keyValue;
    Pre_NormalInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNormalInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackNormalInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNormalInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNormalInterpolator.doWithData(this);
    }
}

class Pre_NormalInterpolatorRenderCallback extends RenderCallback {}
class Pre_NormalInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_ScalarInterpolator extends Pre_Node {
    Pre_Node metadata;
    float[] key;
    float[] keyValue;
    Pre_ScalarInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackScalarInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackScalarInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackScalarInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackScalarInterpolator.doWithData(this);
    }
}

class Pre_ScalarInterpolatorRenderCallback extends RenderCallback {}
class Pre_ScalarInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_TransformSensor extends Pre_Node {
    Pre_Node metadata;
    float[] center;
    boolean enabled;
    float[] size;
    Pre_Node targetObject;
    Pre_TransformSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (targetObject != null)
            targetObject.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTransformSensor != null)
            Pre_SceneGraph.Pre_renderCallbackTransformSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (targetObject != null)
            targetObject.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTransformSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTransformSensor.doWithData(this);
    }
}

class Pre_TransformSensorRenderCallback extends RenderCallback {}
class Pre_TransformSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_CattExportRec extends Pre_Node {
    Pre_Node metadata;
    int id;
    float[] receiverLocation;
    String furtherParameters;
    Pre_CattExportRec() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCattExportRec != null)
            Pre_SceneGraph.Pre_renderCallbackCattExportRec.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCattExportRec != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCattExportRec.doWithData(this);
    }
}

class Pre_CattExportRecRenderCallback extends RenderCallback {}
class Pre_CattExportRecDoWithDataCallback extends DoWithDataCallback {};


class Pre_FillProperties extends Pre_Node {
    Pre_Node metadata;
    boolean filled;
    float[] hatchColor;
    boolean hatched;
    int hatchStyle;
    Pre_FillProperties() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackFillProperties != null)
            Pre_SceneGraph.Pre_renderCallbackFillProperties.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackFillProperties != null)
            Pre_SceneGraph.Pre_doWithDataCallbackFillProperties.doWithData(this);
    }
}

class Pre_FillPropertiesRenderCallback extends RenderCallback {}
class Pre_FillPropertiesDoWithDataCallback extends DoWithDataCallback {};


class Pre_HAnimSegment extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    float[] centerOfMass;
    Pre_Node coord;
    Pre_Node [] displacers;
    float mass;
    float[] momentsOfInertia;
    String name;
    Pre_HAnimSegment() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (coord != null)
            coord.treeRender();
        if (displacers != null)
            for (int i = 0; i < displacers.length; i++)
                if (displacers[i] != null)
                    displacers[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackHAnimSegment != null)
            Pre_SceneGraph.Pre_renderCallbackHAnimSegment.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (displacers != null)
            for (int i = 0; i < displacers.length; i++)
                if (displacers[i] != null)
                    displacers[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackHAnimSegment != null)
            Pre_SceneGraph.Pre_doWithDataCallbackHAnimSegment.doWithData(this);
    }
}

class Pre_HAnimSegmentRenderCallback extends RenderCallback {}
class Pre_HAnimSegmentDoWithDataCallback extends DoWithDataCallback {};


class Pre_SplinePositionInterpolator2D extends Pre_Node {
    Pre_Node metadata;
    boolean closed;
    float[] key;
    float[] keyValue;
    float[] keyVelocity;
    boolean normalizeVelocity;
    Pre_SplinePositionInterpolator2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSplinePositionInterpolator2D != null)
            Pre_SceneGraph.Pre_renderCallbackSplinePositionInterpolator2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSplinePositionInterpolator2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSplinePositionInterpolator2D.doWithData(this);
    }
}

class Pre_SplinePositionInterpolator2DRenderCallback extends RenderCallback {}
class Pre_SplinePositionInterpolator2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_TextureBackground extends Pre_Node {
    Pre_Node metadata;
    float[] groundAngle;
    float[] groundColor;
    Pre_Node backTexture;
    Pre_Node rightTexture;
    Pre_Node frontTexture;
    Pre_Node leftTexture;
    Pre_Node topTexture;
    Pre_Node bottomTexture;
    float[] skyAngle;
    float[] skyColor;
    Pre_TextureBackground() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (backTexture != null)
            backTexture.treeRender();
        if (rightTexture != null)
            rightTexture.treeRender();
        if (frontTexture != null)
            frontTexture.treeRender();
        if (leftTexture != null)
            leftTexture.treeRender();
        if (topTexture != null)
            topTexture.treeRender();
        if (bottomTexture != null)
            bottomTexture.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTextureBackground != null)
            Pre_SceneGraph.Pre_renderCallbackTextureBackground.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (backTexture != null)
            backTexture.treeDoWithData();
        if (rightTexture != null)
            rightTexture.treeDoWithData();
        if (frontTexture != null)
            frontTexture.treeDoWithData();
        if (leftTexture != null)
            leftTexture.treeDoWithData();
        if (topTexture != null)
            topTexture.treeDoWithData();
        if (bottomTexture != null)
            bottomTexture.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTextureBackground != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTextureBackground.doWithData(this);
    }
}

class Pre_TextureBackgroundRenderCallback extends RenderCallback {}
class Pre_TextureBackgroundDoWithDataCallback extends DoWithDataCallback {};


class Pre_ClipPlane extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    float[] plane;
    Pre_ClipPlane() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackClipPlane != null)
            Pre_SceneGraph.Pre_renderCallbackClipPlane.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackClipPlane != null)
            Pre_SceneGraph.Pre_doWithDataCallbackClipPlane.doWithData(this);
    }
}

class Pre_ClipPlaneRenderCallback extends RenderCallback {}
class Pre_ClipPlaneDoWithDataCallback extends DoWithDataCallback {};


class Pre_ReceiverPdu extends Pre_Node {
    Pre_Node metadata;
    int radioID;
    float receivedPower;
    int receiverState;
    int transmitterApplicationID;
    int transmitterEntityID;
    int transmitterRadioID;
    int transmitterSiteID;
    int whichGeometry;
    float[] bboxCenter;
    float[] bboxSize;
    boolean enabled;
    String networkMode;
    double readInterval;
    double writeInterval;
    int siteID;
    int applicationID;
    int entityID;
    String address;
    int port;
    String multicastRelayHost;
    int multicastRelayPort;
    boolean rtpHeaderExpected;
    Pre_ReceiverPdu() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackReceiverPdu != null)
            Pre_SceneGraph.Pre_renderCallbackReceiverPdu.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackReceiverPdu != null)
            Pre_SceneGraph.Pre_doWithDataCallbackReceiverPdu.doWithData(this);
    }
}

class Pre_ReceiverPduRenderCallback extends RenderCallback {}
class Pre_ReceiverPduDoWithDataCallback extends DoWithDataCallback {};


class Pre_TextureCoordinate extends Pre_Node {
    Pre_Node metadata;
    float[] point;
    Pre_TextureCoordinate() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTextureCoordinate != null)
            Pre_SceneGraph.Pre_renderCallbackTextureCoordinate.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTextureCoordinate != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTextureCoordinate.doWithData(this);
    }
}

class Pre_TextureCoordinateRenderCallback extends RenderCallback {}
class Pre_TextureCoordinateDoWithDataCallback extends DoWithDataCallback {};


class Pre_Normal extends Pre_Node {
    Pre_Node metadata;
    float[] vector;
    Pre_Normal() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNormal != null)
            Pre_SceneGraph.Pre_renderCallbackNormal.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNormal != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNormal.doWithData(this);
    }
}

class Pre_NormalRenderCallback extends RenderCallback {}
class Pre_NormalDoWithDataCallback extends DoWithDataCallback {};


class Pre_ViewpointGroup extends Pre_Node {
    Pre_Node metadata;
    float[] center;
    Pre_Node [] children;
    String description;
    boolean displayed;
    boolean retainUserOffsets;
    float[] size;
    Pre_ViewpointGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackViewpointGroup != null)
            Pre_SceneGraph.Pre_renderCallbackViewpointGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackViewpointGroup != null)
            Pre_SceneGraph.Pre_doWithDataCallbackViewpointGroup.doWithData(this);
    }
}

class Pre_ViewpointGroupRenderCallback extends RenderCallback {}
class Pre_ViewpointGroupDoWithDataCallback extends DoWithDataCallback {};


class Pre_BooleanFilter extends Pre_Node {
    Pre_Node metadata;
    Pre_BooleanFilter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackBooleanFilter != null)
            Pre_SceneGraph.Pre_renderCallbackBooleanFilter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackBooleanFilter != null)
            Pre_SceneGraph.Pre_doWithDataCallbackBooleanFilter.doWithData(this);
    }
}

class Pre_BooleanFilterRenderCallback extends RenderCallback {}
class Pre_BooleanFilterDoWithDataCallback extends DoWithDataCallback {};


class Pre_Billboard extends Pre_Node {
    Pre_Node metadata;
    float[] axisOfRotation;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_Billboard() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackBillboard != null)
            Pre_SceneGraph.Pre_renderCallbackBillboard.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackBillboard != null)
            Pre_SceneGraph.Pre_doWithDataCallbackBillboard.doWithData(this);
    }
}

class Pre_BillboardRenderCallback extends RenderCallback {}
class Pre_BillboardDoWithDataCallback extends DoWithDataCallback {};


class Pre_SpotLight extends Pre_Node {
    Pre_Node metadata;
    float ambientIntensity;
    float[] attenuation;
    float beamWidth;
    float[] color;
    float cutOffAngle;
    float[] direction;
    boolean global;
    float intensity;
    float[] location;
    boolean on;
    float radius;
    boolean kambiShadows;
    boolean kambiShadowsMain;
    float projectionAngle;
    Pre_SpotLight() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSpotLight != null)
            Pre_SceneGraph.Pre_renderCallbackSpotLight.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSpotLight != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSpotLight.doWithData(this);
    }
}

class Pre_SpotLightRenderCallback extends RenderCallback {}
class Pre_SpotLightDoWithDataCallback extends DoWithDataCallback {};


class Pre_FogCoordinate extends Pre_Node {
    Pre_Node metadata;
    float[] depth;
    Pre_FogCoordinate() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackFogCoordinate != null)
            Pre_SceneGraph.Pre_renderCallbackFogCoordinate.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackFogCoordinate != null)
            Pre_SceneGraph.Pre_doWithDataCallbackFogCoordinate.doWithData(this);
    }
}

class Pre_FogCoordinateRenderCallback extends RenderCallback {}
class Pre_FogCoordinateDoWithDataCallback extends DoWithDataCallback {};


class Pre_GeoCoordinate extends Pre_Node {
    Pre_Node metadata;
    Pre_Node geoOrigin;
    String[] geoSystem;
    double[] point;
    Pre_GeoCoordinate() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGeoCoordinate != null)
            Pre_SceneGraph.Pre_renderCallbackGeoCoordinate.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGeoCoordinate != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGeoCoordinate.doWithData(this);
    }
}

class Pre_GeoCoordinateRenderCallback extends RenderCallback {}
class Pre_GeoCoordinateDoWithDataCallback extends DoWithDataCallback {};


class Pre_Sphere extends Pre_Node {
    Pre_Node metadata;
    float radius;
    boolean solid;
    Pre_Sphere() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSphere != null)
            Pre_SceneGraph.Pre_renderCallbackSphere.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSphere != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSphere.doWithData(this);
    }
}

class Pre_SphereRenderCallback extends RenderCallback {}
class Pre_SphereDoWithDataCallback extends DoWithDataCallback {};


class Pre_RigidBodyCollection extends Pre_Node {
    Pre_Node metadata;
    boolean autoDisable;
    Pre_Node [] bodies;
    float constantForceMix;
    float contactSurfaceThickness;
    float disableAngularSpeed;
    float disableLinearSpeed;
    float disableTime;
    boolean enabled;
    float errorCorrection;
    float[] gravity;
    int iterations;
    Pre_Node [] joints;
    float maxCorrectionSpeed;
    boolean preferAccuracy;
    Pre_Node collider;
    Pre_RigidBodyCollection() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (bodies != null)
            for (int i = 0; i < bodies.length; i++)
                if (bodies[i] != null)
                    bodies[i].treeRender();
        if (joints != null)
            for (int i = 0; i < joints.length; i++)
                if (joints[i] != null)
                    joints[i].treeRender();
        if (collider != null)
            collider.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackRigidBodyCollection != null)
            Pre_SceneGraph.Pre_renderCallbackRigidBodyCollection.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (bodies != null)
            for (int i = 0; i < bodies.length; i++)
                if (bodies[i] != null)
                    bodies[i].treeDoWithData();
        if (joints != null)
            for (int i = 0; i < joints.length; i++)
                if (joints[i] != null)
                    joints[i].treeDoWithData();
        if (collider != null)
            collider.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackRigidBodyCollection != null)
            Pre_SceneGraph.Pre_doWithDataCallbackRigidBodyCollection.doWithData(this);
    }
}

class Pre_RigidBodyCollectionRenderCallback extends RenderCallback {}
class Pre_RigidBodyCollectionDoWithDataCallback extends DoWithDataCallback {};


class Pre_GeoMetadata extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] data;
    String[] summary;
    String[] url;
    Pre_GeoMetadata() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (data != null)
            for (int i = 0; i < data.length; i++)
                if (data[i] != null)
                    data[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGeoMetadata != null)
            Pre_SceneGraph.Pre_renderCallbackGeoMetadata.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (data != null)
            for (int i = 0; i < data.length; i++)
                if (data[i] != null)
                    data[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGeoMetadata != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGeoMetadata.doWithData(this);
    }
}

class Pre_GeoMetadataRenderCallback extends RenderCallback {}
class Pre_GeoMetadataDoWithDataCallback extends DoWithDataCallback {};


class Pre_ColorInterpolator extends Pre_Node {
    Pre_Node metadata;
    float[] key;
    float[] keyValue;
    Pre_ColorInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackColorInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackColorInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackColorInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackColorInterpolator.doWithData(this);
    }
}

class Pre_ColorInterpolatorRenderCallback extends RenderCallback {}
class Pre_ColorInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_ExplosionEmitter extends Pre_Node {
    Pre_Node metadata;
    float speed;
    float variation;
    float mass;
    float surfaceArea;
    float[] position;
    Pre_ExplosionEmitter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackExplosionEmitter != null)
            Pre_SceneGraph.Pre_renderCallbackExplosionEmitter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackExplosionEmitter != null)
            Pre_SceneGraph.Pre_doWithDataCallbackExplosionEmitter.doWithData(this);
    }
}

class Pre_ExplosionEmitterRenderCallback extends RenderCallback {}
class Pre_ExplosionEmitterDoWithDataCallback extends DoWithDataCallback {};


class Pre_LineProperties extends Pre_Node {
    Pre_Node metadata;
    boolean applied;
    int linetype;
    float linewidthScaleFactor;
    Pre_LineProperties() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackLineProperties != null)
            Pre_SceneGraph.Pre_renderCallbackLineProperties.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackLineProperties != null)
            Pre_SceneGraph.Pre_doWithDataCallbackLineProperties.doWithData(this);
    }
}

class Pre_LinePropertiesRenderCallback extends RenderCallback {}
class Pre_LinePropertiesDoWithDataCallback extends DoWithDataCallback {};


class Pre_LineSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] attrib;
    Pre_Node color;
    Pre_Node coord;
    Pre_Node fogCoord;
    int[] vertexCount;
    Pre_LineSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackLineSet != null)
            Pre_SceneGraph.Pre_renderCallbackLineSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackLineSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackLineSet.doWithData(this);
    }
}

class Pre_LineSetRenderCallback extends RenderCallback {}
class Pre_LineSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] geometry;
    float tessellationScale;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_NurbsSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geometry != null)
            for (int i = 0; i < geometry.length; i++)
                if (geometry[i] != null)
                    geometry[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsSet != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geometry != null)
            for (int i = 0; i < geometry.length; i++)
                if (geometry[i] != null)
                    geometry[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsSet.doWithData(this);
    }
}

class Pre_NurbsSetRenderCallback extends RenderCallback {}
class Pre_NurbsSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_QuadSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node color;
    Pre_Node coord;
    Pre_Node normal;
    Pre_Node texCoord;
    boolean ccw;
    boolean colorPerVertex;
    boolean normalPerVertex;
    boolean solid;
    float[] radianceTransfer;
    Pre_Node [] attrib;
    Pre_Node fogCoord;
    Pre_QuadSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackQuadSet != null)
            Pre_SceneGraph.Pre_renderCallbackQuadSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackQuadSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackQuadSet.doWithData(this);
    }
}

class Pre_QuadSetRenderCallback extends RenderCallback {}
class Pre_QuadSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_TriangleStripSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node color;
    Pre_Node coord;
    Pre_Node normal;
    int[] stripCount;
    Pre_Node texCoord;
    boolean ccw;
    boolean colorPerVertex;
    float creaseAngle;
    boolean normalPerVertex;
    boolean solid;
    float[] radianceTransfer;
    Pre_Node [] attrib;
    Pre_Node fogCoord;
    Pre_TriangleStripSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTriangleStripSet != null)
            Pre_SceneGraph.Pre_renderCallbackTriangleStripSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTriangleStripSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTriangleStripSet.doWithData(this);
    }
}

class Pre_TriangleStripSetRenderCallback extends RenderCallback {}
class Pre_TriangleStripSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_VrmlCut extends Pre_Node {
    Pre_Node metadata;
    double[] sceneLengths;
    int sceneNumber;
    Pre_Node [] scenes;
    int numberPreviousScenes;
    int numberNextScenes;
    Pre_VrmlCut() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (scenes != null)
            for (int i = 0; i < scenes.length; i++)
                if (scenes[i] != null)
                    scenes[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackVrmlCut != null)
            Pre_SceneGraph.Pre_renderCallbackVrmlCut.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (scenes != null)
            for (int i = 0; i < scenes.length; i++)
                if (scenes[i] != null)
                    scenes[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackVrmlCut != null)
            Pre_SceneGraph.Pre_doWithDataCallbackVrmlCut.doWithData(this);
    }
}

class Pre_VrmlCutRenderCallback extends RenderCallback {}
class Pre_VrmlCutDoWithDataCallback extends DoWithDataCallback {};


class Pre_CollidableShape extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_Node shape;
    Pre_CollidableShape() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (shape != null)
            shape.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCollidableShape != null)
            Pre_SceneGraph.Pre_renderCallbackCollidableShape.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (shape != null)
            shape.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCollidableShape != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCollidableShape.doWithData(this);
    }
}

class Pre_CollidableShapeRenderCallback extends RenderCallback {}
class Pre_CollidableShapeDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsSweptSurface extends Pre_Node {
    Pre_Node metadata;
    Pre_Node crossSectionCurve;
    Pre_Node trajectoryCurve;
    boolean ccw;
    boolean solid;
    Pre_NurbsSweptSurface() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (crossSectionCurve != null)
            crossSectionCurve.treeRender();
        if (trajectoryCurve != null)
            trajectoryCurve.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsSweptSurface != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsSweptSurface.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (crossSectionCurve != null)
            crossSectionCurve.treeDoWithData();
        if (trajectoryCurve != null)
            trajectoryCurve.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsSweptSurface != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsSweptSurface.doWithData(this);
    }
}

class Pre_NurbsSweptSurfaceRenderCallback extends RenderCallback {}
class Pre_NurbsSweptSurfaceDoWithDataCallback extends DoWithDataCallback {};


class Pre_PixelTexture extends Pre_Node {
    Pre_Node metadata;
    int[] image;
    boolean repeatS;
    boolean repeatT;
    String alphaChannel;
    Pre_Node textureProperties;
    Pre_PixelTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPixelTexture != null)
            Pre_SceneGraph.Pre_renderCallbackPixelTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPixelTexture != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPixelTexture.doWithData(this);
    }
}

class Pre_PixelTextureRenderCallback extends RenderCallback {}
class Pre_PixelTextureDoWithDataCallback extends DoWithDataCallback {};


class Pre_Switch extends Pre_Node {
    Pre_Node metadata;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_Node [] children;
    int whichChoice;
    Pre_Switch() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSwitch != null)
            Pre_SceneGraph.Pre_renderCallbackSwitch.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSwitch != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSwitch.doWithData(this);
    }
}

class Pre_SwitchRenderCallback extends RenderCallback {}
class Pre_SwitchDoWithDataCallback extends DoWithDataCallback {};


class Pre_LayoutGroup extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    Pre_Node layout;
    Pre_Node viewport;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_LayoutGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (layout != null)
            layout.treeRender();
        if (viewport != null)
            viewport.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackLayoutGroup != null)
            Pre_SceneGraph.Pre_renderCallbackLayoutGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (layout != null)
            layout.treeDoWithData();
        if (viewport != null)
            viewport.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackLayoutGroup != null)
            Pre_SceneGraph.Pre_doWithDataCallbackLayoutGroup.doWithData(this);
    }
}

class Pre_LayoutGroupRenderCallback extends RenderCallback {}
class Pre_LayoutGroupDoWithDataCallback extends DoWithDataCallback {};


class Pre_ColorDamper extends Pre_Node {
    Pre_Node metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    Pre_ColorDamper() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackColorDamper != null)
            Pre_SceneGraph.Pre_renderCallbackColorDamper.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackColorDamper != null)
            Pre_SceneGraph.Pre_doWithDataCallbackColorDamper.doWithData(this);
    }
}

class Pre_ColorDamperRenderCallback extends RenderCallback {}
class Pre_ColorDamperDoWithDataCallback extends DoWithDataCallback {};


class Pre_IntegerSequencer extends Pre_Node {
    Pre_Node metadata;
    float[] key;
    int[] keyValue;
    Pre_IntegerSequencer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackIntegerSequencer != null)
            Pre_SceneGraph.Pre_renderCallbackIntegerSequencer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackIntegerSequencer != null)
            Pre_SceneGraph.Pre_doWithDataCallbackIntegerSequencer.doWithData(this);
    }
}

class Pre_IntegerSequencerRenderCallback extends RenderCallback {}
class Pre_IntegerSequencerDoWithDataCallback extends DoWithDataCallback {};


class Pre_KeySensor extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    Pre_KeySensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackKeySensor != null)
            Pre_SceneGraph.Pre_renderCallbackKeySensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackKeySensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackKeySensor.doWithData(this);
    }
}

class Pre_KeySensorRenderCallback extends RenderCallback {}
class Pre_KeySensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_LayoutLayer extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    boolean isPickable;
    Pre_Node layout;
    Pre_Node viewport;
    Pre_LayoutLayer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (layout != null)
            layout.treeRender();
        if (viewport != null)
            viewport.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackLayoutLayer != null)
            Pre_SceneGraph.Pre_renderCallbackLayoutLayer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (layout != null)
            layout.treeDoWithData();
        if (viewport != null)
            viewport.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackLayoutLayer != null)
            Pre_SceneGraph.Pre_doWithDataCallbackLayoutLayer.doWithData(this);
    }
}

class Pre_LayoutLayerRenderCallback extends RenderCallback {}
class Pre_LayoutLayerDoWithDataCallback extends DoWithDataCallback {};


class Pre_SquadOrientationInterpolator extends Pre_Node {
    Pre_Node metadata;
    float[] key;
    float[] keyValue;
    boolean normalizeVelocity;
    Pre_SquadOrientationInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSquadOrientationInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackSquadOrientationInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSquadOrientationInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSquadOrientationInterpolator.doWithData(this);
    }
}

class Pre_SquadOrientationInterpolatorRenderCallback extends RenderCallback {}
class Pre_SquadOrientationInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_EaseInEaseOut extends Pre_Node {
    Pre_Node metadata;
    float[] easeInEaseOut;
    float[] key;
    Pre_EaseInEaseOut() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackEaseInEaseOut != null)
            Pre_SceneGraph.Pre_renderCallbackEaseInEaseOut.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackEaseInEaseOut != null)
            Pre_SceneGraph.Pre_doWithDataCallbackEaseInEaseOut.doWithData(this);
    }
}

class Pre_EaseInEaseOutRenderCallback extends RenderCallback {}
class Pre_EaseInEaseOutDoWithDataCallback extends DoWithDataCallback {};


class Pre_GeoViewpoint extends Pre_Node {
    Pre_Node metadata;
    Pre_Node geoOrigin;
    String[] geoSystem;
    String description;
    float fieldOfView;
    boolean headlight;
    boolean jump;
    String[] navType;
    float[] orientation;
    double[] position;
    float speedFactor;
    Pre_GeoViewpoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGeoViewpoint != null)
            Pre_SceneGraph.Pre_renderCallbackGeoViewpoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGeoViewpoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGeoViewpoint.doWithData(this);
    }
}

class Pre_GeoViewpointRenderCallback extends RenderCallback {}
class Pre_GeoViewpointDoWithDataCallback extends DoWithDataCallback {};


class Pre_OdeSliderJoint extends Pre_Node {
    Pre_Node metadata;
    Pre_Node body1;
    Pre_Node body2;
    String[] forceOutput;
    float[] axis;
    float maxSeparation;
    float minSeparation;
    float stopBounce;
    float stopErrorCorrection;
    float fMax;
    Pre_OdeSliderJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackOdeSliderJoint != null)
            Pre_SceneGraph.Pre_renderCallbackOdeSliderJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackOdeSliderJoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackOdeSliderJoint.doWithData(this);
    }
}

class Pre_OdeSliderJointRenderCallback extends RenderCallback {}
class Pre_OdeSliderJointDoWithDataCallback extends DoWithDataCallback {};


class Pre_Viewpoint extends Pre_Node {
    Pre_Node metadata;
    float[] centerOfRotation;
    String description;
    float fieldOfView;
    boolean jump;
    float[] orientation;
    float[] position;
    boolean retainUserOffsets;
    Pre_Viewpoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackViewpoint != null)
            Pre_SceneGraph.Pre_renderCallbackViewpoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackViewpoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackViewpoint.doWithData(this);
    }
}

class Pre_ViewpointRenderCallback extends RenderCallback {}
class Pre_ViewpointDoWithDataCallback extends DoWithDataCallback {};


class Pre_Extrusion extends Pre_Node {
    Pre_Node metadata;
    boolean beginCap;
    boolean ccw;
    boolean convex;
    float creaseAngle;
    float[] crossSection;
    boolean endCap;
    float[] orientation;
    float[] scale;
    boolean solid;
    float[] spine;
    Pre_Extrusion() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackExtrusion != null)
            Pre_SceneGraph.Pre_renderCallbackExtrusion.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackExtrusion != null)
            Pre_SceneGraph.Pre_doWithDataCallbackExtrusion.doWithData(this);
    }
}

class Pre_ExtrusionRenderCallback extends RenderCallback {}
class Pre_ExtrusionDoWithDataCallback extends DoWithDataCallback {};


class Pre_WorldInfo extends Pre_Node {
    Pre_Node metadata;
    String[] info;
    String title;
    Pre_WorldInfo() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackWorldInfo != null)
            Pre_SceneGraph.Pre_renderCallbackWorldInfo.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackWorldInfo != null)
            Pre_SceneGraph.Pre_doWithDataCallbackWorldInfo.doWithData(this);
    }
}

class Pre_WorldInfoRenderCallback extends RenderCallback {}
class Pre_WorldInfoDoWithDataCallback extends DoWithDataCallback {};


class Pre_AudioClip extends Pre_Node {
    Pre_Node metadata;
    String description;
    boolean loop;
    double pauseTime;
    float pitch;
    double resumeTime;
    double startTime;
    double stopTime;
    String[] url;
    Pre_AudioClip() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackAudioClip != null)
            Pre_SceneGraph.Pre_renderCallbackAudioClip.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackAudioClip != null)
            Pre_SceneGraph.Pre_doWithDataCallbackAudioClip.doWithData(this);
    }
}

class Pre_AudioClipRenderCallback extends RenderCallback {}
class Pre_AudioClipDoWithDataCallback extends DoWithDataCallback {};


class Pre_CADLayer extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    String name;
    boolean[] visible;
    Pre_CADLayer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCADLayer != null)
            Pre_SceneGraph.Pre_renderCallbackCADLayer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCADLayer != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCADLayer.doWithData(this);
    }
}

class Pre_CADLayerRenderCallback extends RenderCallback {}
class Pre_CADLayerDoWithDataCallback extends DoWithDataCallback {};


class Pre_IntegerTrigger extends Pre_Node {
    Pre_Node metadata;
    int integerKey;
    Pre_IntegerTrigger() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackIntegerTrigger != null)
            Pre_SceneGraph.Pre_renderCallbackIntegerTrigger.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackIntegerTrigger != null)
            Pre_SceneGraph.Pre_doWithDataCallbackIntegerTrigger.doWithData(this);
    }
}

class Pre_IntegerTriggerRenderCallback extends RenderCallback {}
class Pre_IntegerTriggerDoWithDataCallback extends DoWithDataCallback {};


class Pre_ImageTexture3D extends Pre_Node {
    Pre_Node metadata;
    String[] url;
    boolean repeatS;
    boolean repeatT;
    boolean repeatR;
    Pre_Node textureProperties;
    Pre_ImageTexture3D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackImageTexture3D != null)
            Pre_SceneGraph.Pre_renderCallbackImageTexture3D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackImageTexture3D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackImageTexture3D.doWithData(this);
    }
}

class Pre_ImageTexture3DRenderCallback extends RenderCallback {}
class Pre_ImageTexture3DDoWithDataCallback extends DoWithDataCallback {};


class Pre_MetadataSet extends Pre_Node {
    Pre_Node metadata;
    String name;
    String reference;
    Pre_Node [] value;
    Pre_MetadataSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (value != null)
            for (int i = 0; i < value.length; i++)
                if (value[i] != null)
                    value[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMetadataSet != null)
            Pre_SceneGraph.Pre_renderCallbackMetadataSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (value != null)
            for (int i = 0; i < value.length; i++)
                if (value[i] != null)
                    value[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMetadataSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMetadataSet.doWithData(this);
    }
}

class Pre_MetadataSetRenderCallback extends RenderCallback {}
class Pre_MetadataSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_PointSet extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] attrib;
    Pre_Node color;
    Pre_Node coord;
    Pre_Node fogCoord;
    Pre_PointSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPointSet != null)
            Pre_SceneGraph.Pre_renderCallbackPointSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPointSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPointSet.doWithData(this);
    }
}

class Pre_PointSetRenderCallback extends RenderCallback {}
class Pre_PointSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_GeneratedCubeMapTexture extends Pre_Node {
    Pre_Node metadata;
    String update;
    int size;
    Pre_Node textureProperties;
    Pre_GeneratedCubeMapTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGeneratedCubeMapTexture != null)
            Pre_SceneGraph.Pre_renderCallbackGeneratedCubeMapTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGeneratedCubeMapTexture != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGeneratedCubeMapTexture.doWithData(this);
    }
}

class Pre_GeneratedCubeMapTextureRenderCallback extends RenderCallback {}
class Pre_GeneratedCubeMapTextureDoWithDataCallback extends DoWithDataCallback {};


class Pre_MetadataDouble extends Pre_Node {
    Pre_Node metadata;
    String name;
    String reference;
    double[] value;
    Pre_MetadataDouble() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMetadataDouble != null)
            Pre_SceneGraph.Pre_renderCallbackMetadataDouble.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMetadataDouble != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMetadataDouble.doWithData(this);
    }
}

class Pre_MetadataDoubleRenderCallback extends RenderCallback {}
class Pre_MetadataDoubleDoWithDataCallback extends DoWithDataCallback {};


class Pre_TrimmedSurface extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] trimmingContour;
    Pre_Node surface;
    Pre_TrimmedSurface() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (trimmingContour != null)
            for (int i = 0; i < trimmingContour.length; i++)
                if (trimmingContour[i] != null)
                    trimmingContour[i].treeRender();
        if (surface != null)
            surface.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTrimmedSurface != null)
            Pre_SceneGraph.Pre_renderCallbackTrimmedSurface.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (trimmingContour != null)
            for (int i = 0; i < trimmingContour.length; i++)
                if (trimmingContour[i] != null)
                    trimmingContour[i].treeDoWithData();
        if (surface != null)
            surface.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTrimmedSurface != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTrimmedSurface.doWithData(this);
    }
}

class Pre_TrimmedSurfaceRenderCallback extends RenderCallback {}
class Pre_TrimmedSurfaceDoWithDataCallback extends DoWithDataCallback {};


class Pre_CADAssembly extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    String name;
    Pre_CADAssembly() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCADAssembly != null)
            Pre_SceneGraph.Pre_renderCallbackCADAssembly.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCADAssembly != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCADAssembly.doWithData(this);
    }
}

class Pre_CADAssemblyRenderCallback extends RenderCallback {}
class Pre_CADAssemblyDoWithDataCallback extends DoWithDataCallback {};


class Pre_BoundedPhysicsModel extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    Pre_Node geometry;
    Pre_BoundedPhysicsModel() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geometry != null)
            geometry.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackBoundedPhysicsModel != null)
            Pre_SceneGraph.Pre_renderCallbackBoundedPhysicsModel.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geometry != null)
            geometry.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackBoundedPhysicsModel != null)
            Pre_SceneGraph.Pre_doWithDataCallbackBoundedPhysicsModel.doWithData(this);
    }
}

class Pre_BoundedPhysicsModelRenderCallback extends RenderCallback {}
class Pre_BoundedPhysicsModelDoWithDataCallback extends DoWithDataCallback {};


class Pre_GravityPhysicsModel extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    float[] force;
    Pre_GravityPhysicsModel() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGravityPhysicsModel != null)
            Pre_SceneGraph.Pre_renderCallbackGravityPhysicsModel.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGravityPhysicsModel != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGravityPhysicsModel.doWithData(this);
    }
}

class Pre_GravityPhysicsModelRenderCallback extends RenderCallback {}
class Pre_GravityPhysicsModelDoWithDataCallback extends DoWithDataCallback {};


class Pre_Group extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_Group() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGroup != null)
            Pre_SceneGraph.Pre_renderCallbackGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGroup != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGroup.doWithData(this);
    }
}

class Pre_GroupRenderCallback extends RenderCallback {}
class Pre_GroupDoWithDataCallback extends DoWithDataCallback {};


class Pre_CoordinateDeformer extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    Pre_Node [] outputCoord;
    Pre_Node [] inputCoord;
    float[] controlPoint;
    float[] bboxCenter;
    float[] bboxSize;
    float[] weight;
    int uDimension;
    int vDimension;
    int wDimension;
    float[] uKnot;
    float[] vKnot;
    float[] wKnot;
    int uOrder;
    int vOrder;
    int wOrder;
    Pre_CoordinateDeformer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (outputCoord != null)
            for (int i = 0; i < outputCoord.length; i++)
                if (outputCoord[i] != null)
                    outputCoord[i].treeRender();
        if (inputCoord != null)
            for (int i = 0; i < inputCoord.length; i++)
                if (inputCoord[i] != null)
                    inputCoord[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCoordinateDeformer != null)
            Pre_SceneGraph.Pre_renderCallbackCoordinateDeformer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (outputCoord != null)
            for (int i = 0; i < outputCoord.length; i++)
                if (outputCoord[i] != null)
                    outputCoord[i].treeDoWithData();
        if (inputCoord != null)
            for (int i = 0; i < inputCoord.length; i++)
                if (inputCoord[i] != null)
                    inputCoord[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCoordinateDeformer != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCoordinateDeformer.doWithData(this);
    }
}

class Pre_CoordinateDeformerRenderCallback extends RenderCallback {}
class Pre_CoordinateDeformerDoWithDataCallback extends DoWithDataCallback {};


class Pre_GeoPositionInterpolator extends Pre_Node {
    Pre_Node metadata;
    Pre_Node geoOrigin;
    String[] geoSystem;
    float[] key;
    double[] keyValue;
    Pre_GeoPositionInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackGeoPositionInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackGeoPositionInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackGeoPositionInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackGeoPositionInterpolator.doWithData(this);
    }
}

class Pre_GeoPositionInterpolatorRenderCallback extends RenderCallback {}
class Pre_GeoPositionInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_Layer extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    boolean isPickable;
    Pre_Node viewport;
    Pre_Layer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (viewport != null)
            viewport.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackLayer != null)
            Pre_SceneGraph.Pre_renderCallbackLayer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (viewport != null)
            viewport.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackLayer != null)
            Pre_SceneGraph.Pre_doWithDataCallbackLayer.doWithData(this);
    }
}

class Pre_LayerRenderCallback extends RenderCallback {}
class Pre_LayerDoWithDataCallback extends DoWithDataCallback {};


class Pre_PolylineEmitter extends Pre_Node {
    Pre_Node metadata;
    float speed;
    float variation;
    float mass;
    float surfaceArea;
    Pre_Node coord;
    float[] direction;
    int[] coordIndex;
    Pre_PolylineEmitter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (coord != null)
            coord.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPolylineEmitter != null)
            Pre_SceneGraph.Pre_renderCallbackPolylineEmitter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPolylineEmitter != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPolylineEmitter.doWithData(this);
    }
}

class Pre_PolylineEmitterRenderCallback extends RenderCallback {}
class Pre_PolylineEmitterDoWithDataCallback extends DoWithDataCallback {};


class Pre_PositionInterpolator extends Pre_Node {
    Pre_Node metadata;
    float[] key;
    float[] keyValue;
    Pre_PositionInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPositionInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackPositionInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPositionInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPositionInterpolator.doWithData(this);
    }
}

class Pre_PositionInterpolatorRenderCallback extends RenderCallback {}
class Pre_PositionInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_PrimitivePickSensor extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    String[] objectType;
    Pre_Node pickingGeometry;
    Pre_Node [] pickTarget;
    String intersectionType;
    String sortOrder;
    Pre_PrimitivePickSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (pickingGeometry != null)
            pickingGeometry.treeRender();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPrimitivePickSensor != null)
            Pre_SceneGraph.Pre_renderCallbackPrimitivePickSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (pickingGeometry != null)
            pickingGeometry.treeDoWithData();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPrimitivePickSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPrimitivePickSensor.doWithData(this);
    }
}

class Pre_PrimitivePickSensorRenderCallback extends RenderCallback {}
class Pre_PrimitivePickSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_Circle2D extends Pre_Node {
    Pre_Node metadata;
    float radius;
    Pre_Circle2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCircle2D != null)
            Pre_SceneGraph.Pre_renderCallbackCircle2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCircle2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCircle2D.doWithData(this);
    }
}

class Pre_Circle2DRenderCallback extends RenderCallback {}
class Pre_Circle2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_ComposedTexture3D extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] texture;
    boolean repeatS;
    boolean repeatR;
    boolean repeatT;
    Pre_ComposedTexture3D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (texture != null)
            for (int i = 0; i < texture.length; i++)
                if (texture[i] != null)
                    texture[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackComposedTexture3D != null)
            Pre_SceneGraph.Pre_renderCallbackComposedTexture3D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (texture != null)
            for (int i = 0; i < texture.length; i++)
                if (texture[i] != null)
                    texture[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackComposedTexture3D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackComposedTexture3D.doWithData(this);
    }
}

class Pre_ComposedTexture3DRenderCallback extends RenderCallback {}
class Pre_ComposedTexture3DDoWithDataCallback extends DoWithDataCallback {};


class Pre_Layout extends Pre_Node {
    Pre_Node metadata;
    String[] align;
    float[] offset;
    String[] offsetUnits;
    String[] scaleMode;
    float[] size;
    String[] sizeUnits;
    Pre_Layout() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackLayout != null)
            Pre_SceneGraph.Pre_renderCallbackLayout.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackLayout != null)
            Pre_SceneGraph.Pre_doWithDataCallbackLayout.doWithData(this);
    }
}

class Pre_LayoutRenderCallback extends RenderCallback {}
class Pre_LayoutDoWithDataCallback extends DoWithDataCallback {};


class Pre_OrthoViewpoint extends Pre_Node {
    Pre_Node metadata;
    float[] centerOfRotation;
    String description;
    float[] fieldOfView;
    boolean jump;
    float[] orientation;
    float[] position;
    boolean retainUserOffsets;
    Pre_OrthoViewpoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackOrthoViewpoint != null)
            Pre_SceneGraph.Pre_renderCallbackOrthoViewpoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackOrthoViewpoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackOrthoViewpoint.doWithData(this);
    }
}

class Pre_OrthoViewpointRenderCallback extends RenderCallback {}
class Pre_OrthoViewpointDoWithDataCallback extends DoWithDataCallback {};


class Pre_PixelTexture3D extends Pre_Node {
    Pre_Node metadata;
    int[] image;
    boolean repeatS;
    boolean repeatR;
    boolean repeatT;
    Pre_Node textureProperties;
    Pre_PixelTexture3D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPixelTexture3D != null)
            Pre_SceneGraph.Pre_renderCallbackPixelTexture3D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPixelTexture3D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPixelTexture3D.doWithData(this);
    }
}

class Pre_PixelTexture3DRenderCallback extends RenderCallback {}
class Pre_PixelTexture3DDoWithDataCallback extends DoWithDataCallback {};


class Pre_Rectangle2D extends Pre_Node {
    Pre_Node metadata;
    float[] size;
    boolean solid;
    Pre_Rectangle2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackRectangle2D != null)
            Pre_SceneGraph.Pre_renderCallbackRectangle2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackRectangle2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackRectangle2D.doWithData(this);
    }
}

class Pre_Rectangle2DRenderCallback extends RenderCallback {}
class Pre_Rectangle2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_Coordinate extends Pre_Node {
    Pre_Node metadata;
    float[] point;
    Pre_Coordinate() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCoordinate != null)
            Pre_SceneGraph.Pre_renderCallbackCoordinate.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCoordinate != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCoordinate.doWithData(this);
    }
}

class Pre_CoordinateRenderCallback extends RenderCallback {}
class Pre_CoordinateDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsSwungSurface extends Pre_Node {
    Pre_Node metadata;
    Pre_Node profileCurve;
    Pre_Node trajectoryCurve;
    boolean ccw;
    boolean solid;
    Pre_NurbsSwungSurface() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (profileCurve != null)
            profileCurve.treeRender();
        if (trajectoryCurve != null)
            trajectoryCurve.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsSwungSurface != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsSwungSurface.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (profileCurve != null)
            profileCurve.treeDoWithData();
        if (trajectoryCurve != null)
            trajectoryCurve.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsSwungSurface != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsSwungSurface.doWithData(this);
    }
}

class Pre_NurbsSwungSurfaceRenderCallback extends RenderCallback {}
class Pre_NurbsSwungSurfaceDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsTextureSurface extends Pre_Node {
    Pre_Node metadata;
    int uDimension;
    int vDimension;
    float[] uKnot;
    float[] vKnot;
    int uOrder;
    int vOrder;
    float[] controlPoint;
    float[] weight;
    int uTessellation;
    int vTessellation;
    Pre_NurbsTextureSurface() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsTextureSurface != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsTextureSurface.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsTextureSurface != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsTextureSurface.doWithData(this);
    }
}

class Pre_NurbsTextureSurfaceRenderCallback extends RenderCallback {}
class Pre_NurbsTextureSurfaceDoWithDataCallback extends DoWithDataCallback {};


class Pre_EspduTransform extends Pre_Node {
    Pre_Node metadata;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] scale;
    float[] scaleOrientation;
    Pre_Node [] children;
    int articulationParameterCount;
    int[] articulationParameterDesignatorArray;
    int[] articulationParameterChangeIndicatorArray;
    int[] articulationParameterIdPartAttachedToArray;
    int[] articulationParameterTypeArray;
    float[] articulationParameterArray;
    int collisionType;
    int deadReckoning;
    float[] detonationLocation;
    float[] detonationRelativeLocation;
    int detonationResult;
    int entityCategory;
    int entityCountry;
    int entityDomain;
    int entityExtra;
    int entityKind;
    int entitySpecific;
    int eventApplicationID;
    int eventEntityID;
    int eventNumber;
    int eventSiteID;
    boolean fired1;
    boolean fired2;
    int fireMissionIndex;
    float firingRange;
    int firingRate;
    int forceID;
    int fuse;
    float[] linearVelocity;
    float[] linearAcceleration;
    String marking;
    int munitionApplicationID;
    float[] munitionEndPoint;
    int munitionEntityID;
    int munitionQuantity;
    int munitionSiteID;
    float[] munitionStartPoint;
    int warhead;
    boolean enabled;
    String networkMode;
    double readInterval;
    double writeInterval;
    int siteID;
    int applicationID;
    int entityID;
    String address;
    int port;
    String multicastRelayHost;
    int multicastRelayPort;
    boolean rtpHeaderExpected;
    Pre_EspduTransform() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackEspduTransform != null)
            Pre_SceneGraph.Pre_renderCallbackEspduTransform.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackEspduTransform != null)
            Pre_SceneGraph.Pre_doWithDataCallbackEspduTransform.doWithData(this);
    }
}

class Pre_EspduTransformRenderCallback extends RenderCallback {}
class Pre_EspduTransformDoWithDataCallback extends DoWithDataCallback {};


class Pre_ComposedShader extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] parts;
    String language;
    Pre_ComposedShader() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (parts != null)
            for (int i = 0; i < parts.length; i++)
                if (parts[i] != null)
                    parts[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackComposedShader != null)
            Pre_SceneGraph.Pre_renderCallbackComposedShader.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (parts != null)
            for (int i = 0; i < parts.length; i++)
                if (parts[i] != null)
                    parts[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackComposedShader != null)
            Pre_SceneGraph.Pre_doWithDataCallbackComposedShader.doWithData(this);
    }
}

class Pre_ComposedShaderRenderCallback extends RenderCallback {}
class Pre_ComposedShaderDoWithDataCallback extends DoWithDataCallback {};


class Pre_LinePickSensor extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    String[] objectType;
    Pre_Node pickingGeometry;
    Pre_Node [] pickTarget;
    String intersectionType;
    String sortOrder;
    Pre_LinePickSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (pickingGeometry != null)
            pickingGeometry.treeRender();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackLinePickSensor != null)
            Pre_SceneGraph.Pre_renderCallbackLinePickSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (pickingGeometry != null)
            pickingGeometry.treeDoWithData();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackLinePickSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackLinePickSensor.doWithData(this);
    }
}

class Pre_LinePickSensorRenderCallback extends RenderCallback {}
class Pre_LinePickSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsOrientationInterpolator extends Pre_Node {
    Pre_Node metadata;
    Pre_Node controlPoints;
    double[] knot;
    int order;
    double[] weight;
    Pre_NurbsOrientationInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (controlPoints != null)
            controlPoints.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsOrientationInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsOrientationInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (controlPoints != null)
            controlPoints.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsOrientationInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsOrientationInterpolator.doWithData(this);
    }
}

class Pre_NurbsOrientationInterpolatorRenderCallback extends RenderCallback {}
class Pre_NurbsOrientationInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsPositionInterpolator extends Pre_Node {
    Pre_Node metadata;
    Pre_Node controlPoint;
    float[] weight;
    float[] knot;
    int order;
    Pre_NurbsPositionInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (controlPoint != null)
            controlPoint.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsPositionInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsPositionInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (controlPoint != null)
            controlPoint.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsPositionInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsPositionInterpolator.doWithData(this);
    }
}

class Pre_NurbsPositionInterpolatorRenderCallback extends RenderCallback {}
class Pre_NurbsPositionInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_VolumePickSensor extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    String[] objectType;
    Pre_Node pickingGeometry;
    Pre_Node [] pickTarget;
    String intersectionType;
    String sortOrder;
    Pre_VolumePickSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (pickingGeometry != null)
            pickingGeometry.treeRender();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackVolumePickSensor != null)
            Pre_SceneGraph.Pre_renderCallbackVolumePickSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (pickingGeometry != null)
            pickingGeometry.treeDoWithData();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackVolumePickSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackVolumePickSensor.doWithData(this);
    }
}

class Pre_VolumePickSensorRenderCallback extends RenderCallback {}
class Pre_VolumePickSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_BallJoint extends Pre_Node {
    Pre_Node metadata;
    Pre_Node body1;
    Pre_Node body2;
    String[] forceOutput;
    float[] anchorPoint;
    Pre_BallJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackBallJoint != null)
            Pre_SceneGraph.Pre_renderCallbackBallJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackBallJoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackBallJoint.doWithData(this);
    }
}

class Pre_BallJointRenderCallback extends RenderCallback {}
class Pre_BallJointDoWithDataCallback extends DoWithDataCallback {};


class Pre_CADPart extends Pre_Node {
    Pre_Node metadata;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] scale;
    float[] scaleOrientation;
    Pre_Node [] children;
    String name;
    Pre_CADPart() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCADPart != null)
            Pre_SceneGraph.Pre_renderCallbackCADPart.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCADPart != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCADPart.doWithData(this);
    }
}

class Pre_CADPartRenderCallback extends RenderCallback {}
class Pre_CADPartDoWithDataCallback extends DoWithDataCallback {};


class Pre_CollidableOffset extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_Node collidable;
    Pre_CollidableOffset() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (collidable != null)
            collidable.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCollidableOffset != null)
            Pre_SceneGraph.Pre_renderCallbackCollidableOffset.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (collidable != null)
            collidable.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCollidableOffset != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCollidableOffset.doWithData(this);
    }
}

class Pre_CollidableOffsetRenderCallback extends RenderCallback {}
class Pre_CollidableOffsetDoWithDataCallback extends DoWithDataCallback {};


class Pre_TextureTransformMatrix3D extends Pre_Node {
    Pre_Node metadata;
    float[] matrix;
    Pre_TextureTransformMatrix3D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTextureTransformMatrix3D != null)
            Pre_SceneGraph.Pre_renderCallbackTextureTransformMatrix3D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTextureTransformMatrix3D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTextureTransformMatrix3D.doWithData(this);
    }
}

class Pre_TextureTransformMatrix3DRenderCallback extends RenderCallback {}
class Pre_TextureTransformMatrix3DDoWithDataCallback extends DoWithDataCallback {};


class Pre_CADFace extends Pre_Node {
    Pre_Node metadata;
    String name;
    Pre_Node shape;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_CADFace() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (shape != null)
            shape.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCADFace != null)
            Pre_SceneGraph.Pre_renderCallbackCADFace.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (shape != null)
            shape.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCADFace != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCADFace.doWithData(this);
    }
}

class Pre_CADFaceRenderCallback extends RenderCallback {}
class Pre_CADFaceDoWithDataCallback extends DoWithDataCallback {};


class Pre_VrmlScene extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] children;
    Pre_VrmlScene() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackVrmlScene != null)
            Pre_SceneGraph.Pre_renderCallbackVrmlScene.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackVrmlScene != null)
            Pre_SceneGraph.Pre_doWithDataCallbackVrmlScene.doWithData(this);
    }
}

class Pre_VrmlSceneRenderCallback extends RenderCallback {}
class Pre_VrmlSceneDoWithDataCallback extends DoWithDataCallback {};


class Pre_MetadataString extends Pre_Node {
    Pre_Node metadata;
    String name;
    String reference;
    String[] value;
    Pre_MetadataString() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMetadataString != null)
            Pre_SceneGraph.Pre_renderCallbackMetadataString.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMetadataString != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMetadataString.doWithData(this);
    }
}

class Pre_MetadataStringRenderCallback extends RenderCallback {}
class Pre_MetadataStringDoWithDataCallback extends DoWithDataCallback {};


class Pre_ForcePhysicsModel extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    float[] force;
    Pre_ForcePhysicsModel() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackForcePhysicsModel != null)
            Pre_SceneGraph.Pre_renderCallbackForcePhysicsModel.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackForcePhysicsModel != null)
            Pre_SceneGraph.Pre_doWithDataCallbackForcePhysicsModel.doWithData(this);
    }
}

class Pre_ForcePhysicsModelRenderCallback extends RenderCallback {}
class Pre_ForcePhysicsModelDoWithDataCallback extends DoWithDataCallback {};


class Pre_InlineLoadControl extends Pre_Node {
    Pre_Node metadata;
    boolean load;
    String[] url;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_InlineLoadControl() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackInlineLoadControl != null)
            Pre_SceneGraph.Pre_renderCallbackInlineLoadControl.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackInlineLoadControl != null)
            Pre_SceneGraph.Pre_doWithDataCallbackInlineLoadControl.doWithData(this);
    }
}

class Pre_InlineLoadControlRenderCallback extends RenderCallback {}
class Pre_InlineLoadControlDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsSurfaceInterpolator extends Pre_Node {
    Pre_Node metadata;
    int uDimension;
    int vDimension;
    double[] uKnot;
    double[] vKnot;
    int uOrder;
    int vOrder;
    Pre_Node controlPoint;
    double[] weight;
    Pre_NurbsSurfaceInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (controlPoint != null)
            controlPoint.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsSurfaceInterpolator != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsSurfaceInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (controlPoint != null)
            controlPoint.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsSurfaceInterpolator != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsSurfaceInterpolator.doWithData(this);
    }
}

class Pre_NurbsSurfaceInterpolatorRenderCallback extends RenderCallback {}
class Pre_NurbsSurfaceInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class Pre_SphereSensor extends Pre_Node {
    Pre_Node metadata;
    boolean autoOffset;
    String description;
    boolean enabled;
    float[] offset;
    Pre_SphereSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSphereSensor != null)
            Pre_SceneGraph.Pre_renderCallbackSphereSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSphereSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSphereSensor.doWithData(this);
    }
}

class Pre_SphereSensorRenderCallback extends RenderCallback {}
class Pre_SphereSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_TexCoordDamper extends Pre_Node {
    Pre_Node metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    Pre_TexCoordDamper() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTexCoordDamper != null)
            Pre_SceneGraph.Pre_renderCallbackTexCoordDamper.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTexCoordDamper != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTexCoordDamper.doWithData(this);
    }
}

class Pre_TexCoordDamperRenderCallback extends RenderCallback {}
class Pre_TexCoordDamperDoWithDataCallback extends DoWithDataCallback {};


class Pre_Background extends Pre_Node {
    Pre_Node metadata;
    float[] groundAngle;
    float[] groundColor;
    String[] backUrl;
    String[] rightUrl;
    String[] frontUrl;
    String[] leftUrl;
    String[] topUrl;
    String[] bottomUrl;
    float[] skyAngle;
    float transparency;
    float[] skyColor;
    Pre_Background() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackBackground != null)
            Pre_SceneGraph.Pre_renderCallbackBackground.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackBackground != null)
            Pre_SceneGraph.Pre_doWithDataCallbackBackground.doWithData(this);
    }
}

class Pre_BackgroundRenderCallback extends RenderCallback {}
class Pre_BackgroundDoWithDataCallback extends DoWithDataCallback {};


class Pre_Contact extends Pre_Node {
    Pre_Node metadata;
    String[] appliedParameters;
    Pre_Node body1;
    Pre_Node body2;
    float bounce;
    float[] contactNormal;
    float depth;
    float[] frictionCoefficients;
    float[] frictionDirection;
    Pre_Node geometry1;
    Pre_Node geometry2;
    float minBounceSpeed;
    float[] position;
    float[] slipCoefficients;
    float softnessConstantForceMix;
    float softnessErrorCorrection;
    float[] surfaceSpeed;
    Pre_Contact() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (geometry1 != null)
            geometry1.treeRender();
        if (geometry2 != null)
            geometry2.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackContact != null)
            Pre_SceneGraph.Pre_renderCallbackContact.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (geometry1 != null)
            geometry1.treeDoWithData();
        if (geometry2 != null)
            geometry2.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackContact != null)
            Pre_SceneGraph.Pre_doWithDataCallbackContact.doWithData(this);
    }
}

class Pre_ContactRenderCallback extends RenderCallback {}
class Pre_ContactDoWithDataCallback extends DoWithDataCallback {};


class Pre_ContourPolyline2D extends Pre_Node {
    Pre_Node metadata;
    float[] lineSegments;
    Pre_ContourPolyline2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackContourPolyline2D != null)
            Pre_SceneGraph.Pre_renderCallbackContourPolyline2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackContourPolyline2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackContourPolyline2D.doWithData(this);
    }
}

class Pre_ContourPolyline2DRenderCallback extends RenderCallback {}
class Pre_ContourPolyline2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_LayerSet extends Pre_Node {
    Pre_Node metadata;
    int activeLayer;
    Pre_Node [] layers;
    int[] order;
    Pre_LayerSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (layers != null)
            for (int i = 0; i < layers.length; i++)
                if (layers[i] != null)
                    layers[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackLayerSet != null)
            Pre_SceneGraph.Pre_renderCallbackLayerSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (layers != null)
            for (int i = 0; i < layers.length; i++)
                if (layers[i] != null)
                    layers[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackLayerSet != null)
            Pre_SceneGraph.Pre_doWithDataCallbackLayerSet.doWithData(this);
    }
}

class Pre_LayerSetRenderCallback extends RenderCallback {}
class Pre_LayerSetDoWithDataCallback extends DoWithDataCallback {};


class Pre_MotorJoint extends Pre_Node {
    Pre_Node metadata;
    Pre_Node body1;
    Pre_Node body2;
    String[] forceOutput;
    float axis1Angle;
    float axis1Torque;
    float axis2Angle;
    float axis2Torque;
    float axis3Angle;
    float axis3Torque;
    int enabledAxes;
    float[] motor1Axis;
    float[] motor2Axis;
    float[] motor3Axis;
    float stop1Bounce;
    float stop1ErrorCorrection;
    float stop2Bounce;
    float stop2ErrorCorrection;
    float stop3Bounce;
    float stop3ErrorCorrection;
    boolean autoCalc;
    Pre_MotorJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackMotorJoint != null)
            Pre_SceneGraph.Pre_renderCallbackMotorJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackMotorJoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackMotorJoint.doWithData(this);
    }
}

class Pre_MotorJointRenderCallback extends RenderCallback {}
class Pre_MotorJointDoWithDataCallback extends DoWithDataCallback {};


class Pre_ShaderPart extends Pre_Node {
    Pre_Node metadata;
    String[] url;
    String type;
    Pre_ShaderPart() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackShaderPart != null)
            Pre_SceneGraph.Pre_renderCallbackShaderPart.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackShaderPart != null)
            Pre_SceneGraph.Pre_doWithDataCallbackShaderPart.doWithData(this);
    }
}

class Pre_ShaderPartRenderCallback extends RenderCallback {}
class Pre_ShaderPartDoWithDataCallback extends DoWithDataCallback {};


class Pre_TextureTransform3D extends Pre_Node {
    Pre_Node metadata;
    float[] center;
    float[] rotation;
    float[] scale;
    float[] translation;
    Pre_TextureTransform3D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTextureTransform3D != null)
            Pre_SceneGraph.Pre_renderCallbackTextureTransform3D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTextureTransform3D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTextureTransform3D.doWithData(this);
    }
}

class Pre_TextureTransform3DRenderCallback extends RenderCallback {}
class Pre_TextureTransform3DDoWithDataCallback extends DoWithDataCallback {};


class Pre_CoordinateDouble extends Pre_Node {
    Pre_Node metadata;
    double[] point;
    Pre_CoordinateDouble() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCoordinateDouble != null)
            Pre_SceneGraph.Pre_renderCallbackCoordinateDouble.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCoordinateDouble != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCoordinateDouble.doWithData(this);
    }
}

class Pre_CoordinateDoubleRenderCallback extends RenderCallback {}
class Pre_CoordinateDoubleDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsTrimmedSurface extends Pre_Node {
    Pre_Node metadata;
    int uDimension;
    int vDimension;
    float[] uKnot;
    float[] vKnot;
    int uOrder;
    int vOrder;
    Pre_Node controlPoint;
    float[] weight;
    int uTessellation;
    int vTessellation;
    Pre_Node texCoord;
    boolean uClosed;
    boolean vClosed;
    boolean solid;
    Pre_Node [] trimmingContour;
    Pre_NurbsTrimmedSurface() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (controlPoint != null)
            controlPoint.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (trimmingContour != null)
            for (int i = 0; i < trimmingContour.length; i++)
                if (trimmingContour[i] != null)
                    trimmingContour[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsTrimmedSurface != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsTrimmedSurface.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (controlPoint != null)
            controlPoint.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (trimmingContour != null)
            for (int i = 0; i < trimmingContour.length; i++)
                if (trimmingContour[i] != null)
                    trimmingContour[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsTrimmedSurface != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsTrimmedSurface.doWithData(this);
    }
}

class Pre_NurbsTrimmedSurfaceRenderCallback extends RenderCallback {}
class Pre_NurbsTrimmedSurfaceDoWithDataCallback extends DoWithDataCallback {};


class Pre_PositionChaser extends Pre_Node {
    Pre_Node metadata;
    double duration;
    float[] initialDestination;
    float[] initialValue;
    Pre_PositionChaser() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPositionChaser != null)
            Pre_SceneGraph.Pre_renderCallbackPositionChaser.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPositionChaser != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPositionChaser.doWithData(this);
    }
}

class Pre_PositionChaserRenderCallback extends RenderCallback {}
class Pre_PositionChaserDoWithDataCallback extends DoWithDataCallback {};


class Pre_PositionDamper extends Pre_Node {
    Pre_Node metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    Pre_PositionDamper() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPositionDamper != null)
            Pre_SceneGraph.Pre_renderCallbackPositionDamper.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPositionDamper != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPositionDamper.doWithData(this);
    }
}

class Pre_PositionDamperRenderCallback extends RenderCallback {}
class Pre_PositionDamperDoWithDataCallback extends DoWithDataCallback {};


class Pre_ProgramShader extends Pre_Node {
    Pre_Node metadata;
    Pre_Node [] programs;
    String language;
    Pre_ProgramShader() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (programs != null)
            for (int i = 0; i < programs.length; i++)
                if (programs[i] != null)
                    programs[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackProgramShader != null)
            Pre_SceneGraph.Pre_renderCallbackProgramShader.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (programs != null)
            for (int i = 0; i < programs.length; i++)
                if (programs[i] != null)
                    programs[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackProgramShader != null)
            Pre_SceneGraph.Pre_doWithDataCallbackProgramShader.doWithData(this);
    }
}

class Pre_ProgramShaderRenderCallback extends RenderCallback {}
class Pre_ProgramShaderDoWithDataCallback extends DoWithDataCallback {};


class Pre_SurfaceEmitter extends Pre_Node {
    Pre_Node metadata;
    float speed;
    float variation;
    float mass;
    float surfaceArea;
    int[] coordIndex;
    Pre_Node surface;
    Pre_SurfaceEmitter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (surface != null)
            surface.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSurfaceEmitter != null)
            Pre_SceneGraph.Pre_renderCallbackSurfaceEmitter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (surface != null)
            surface.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSurfaceEmitter != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSurfaceEmitter.doWithData(this);
    }
}

class Pre_SurfaceEmitterRenderCallback extends RenderCallback {}
class Pre_SurfaceEmitterDoWithDataCallback extends DoWithDataCallback {};


class Pre_TouchSensor extends Pre_Node {
    Pre_Node metadata;
    String description;
    boolean enabled;
    Pre_TouchSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTouchSensor != null)
            Pre_SceneGraph.Pre_renderCallbackTouchSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTouchSensor != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTouchSensor.doWithData(this);
    }
}

class Pre_TouchSensorRenderCallback extends RenderCallback {}
class Pre_TouchSensorDoWithDataCallback extends DoWithDataCallback {};


class Pre_PointLight extends Pre_Node {
    Pre_Node metadata;
    float ambientIntensity;
    float[] attenuation;
    float[] color;
    boolean global;
    float intensity;
    float[] location;
    boolean on;
    float radius;
    boolean kambiShadows;
    boolean kambiShadowsMain;
    Pre_PointLight() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackPointLight != null)
            Pre_SceneGraph.Pre_renderCallbackPointLight.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackPointLight != null)
            Pre_SceneGraph.Pre_doWithDataCallbackPointLight.doWithData(this);
    }
}

class Pre_PointLightRenderCallback extends RenderCallback {}
class Pre_PointLightDoWithDataCallback extends DoWithDataCallback {};


class Pre_SliderJoint extends Pre_Node {
    Pre_Node metadata;
    Pre_Node body1;
    Pre_Node body2;
    String[] forceOutput;
    float[] axis;
    float maxSeparation;
    float minSeparation;
    float stopBounce;
    float stopErrorCorrection;
    Pre_SliderJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackSliderJoint != null)
            Pre_SceneGraph.Pre_renderCallbackSliderJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackSliderJoint != null)
            Pre_SceneGraph.Pre_doWithDataCallbackSliderJoint.doWithData(this);
    }
}

class Pre_SliderJointRenderCallback extends RenderCallback {}
class Pre_SliderJointDoWithDataCallback extends DoWithDataCallback {};


class Pre_Text extends Pre_Node {
    Pre_Node metadata;
    Pre_Node fontStyle;
    float[] length;
    float maxExtent;
    String[] string;
    boolean solid;
    Pre_Text() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (fontStyle != null)
            fontStyle.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackText != null)
            Pre_SceneGraph.Pre_renderCallbackText.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (fontStyle != null)
            fontStyle.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackText != null)
            Pre_SceneGraph.Pre_doWithDataCallbackText.doWithData(this);
    }
}

class Pre_TextRenderCallback extends RenderCallback {}
class Pre_TextDoWithDataCallback extends DoWithDataCallback {};


class Pre_TextureCoordinate4D extends Pre_Node {
    Pre_Node metadata;
    float[] point;
    Pre_TextureCoordinate4D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTextureCoordinate4D != null)
            Pre_SceneGraph.Pre_renderCallbackTextureCoordinate4D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTextureCoordinate4D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTextureCoordinate4D.doWithData(this);
    }
}

class Pre_TextureCoordinate4DRenderCallback extends RenderCallback {}
class Pre_TextureCoordinate4DDoWithDataCallback extends DoWithDataCallback {};


class Pre_TriangleSet2D extends Pre_Node {
    Pre_Node metadata;
    float[] vertices;
    boolean solid;
    Pre_TriangleSet2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTriangleSet2D != null)
            Pre_SceneGraph.Pre_renderCallbackTriangleSet2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTriangleSet2D != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTriangleSet2D.doWithData(this);
    }
}

class Pre_TriangleSet2DRenderCallback extends RenderCallback {}
class Pre_TriangleSet2DDoWithDataCallback extends DoWithDataCallback {};


class Pre_Appearance extends Pre_Node {
    Pre_Node metadata;
    Pre_Node material;
    Pre_Node texture;
    Pre_Node textureTransform;
    Pre_Node fillProperties;
    Pre_Node lineProperties;
    Pre_Node [] shaders;
    Pre_Appearance() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (material != null)
            material.treeRender();
        if (texture != null)
            texture.treeRender();
        if (textureTransform != null)
            textureTransform.treeRender();
        if (fillProperties != null)
            fillProperties.treeRender();
        if (lineProperties != null)
            lineProperties.treeRender();
        if (shaders != null)
            for (int i = 0; i < shaders.length; i++)
                if (shaders[i] != null)
                    shaders[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackAppearance != null)
            Pre_SceneGraph.Pre_renderCallbackAppearance.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (material != null)
            material.treeDoWithData();
        if (texture != null)
            texture.treeDoWithData();
        if (textureTransform != null)
            textureTransform.treeDoWithData();
        if (fillProperties != null)
            fillProperties.treeDoWithData();
        if (lineProperties != null)
            lineProperties.treeDoWithData();
        if (shaders != null)
            for (int i = 0; i < shaders.length; i++)
                if (shaders[i] != null)
                    shaders[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackAppearance != null)
            Pre_SceneGraph.Pre_doWithDataCallbackAppearance.doWithData(this);
    }
}

class Pre_AppearanceRenderCallback extends RenderCallback {}
class Pre_AppearanceDoWithDataCallback extends DoWithDataCallback {};


class Pre_CollisionSpace extends Pre_Node {
    Pre_Node metadata;
    boolean enabled;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_Node [] collidables;
    boolean useGeometry;
    Pre_CollisionSpace() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (collidables != null)
            for (int i = 0; i < collidables.length; i++)
                if (collidables[i] != null)
                    collidables[i].treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackCollisionSpace != null)
            Pre_SceneGraph.Pre_renderCallbackCollisionSpace.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (collidables != null)
            for (int i = 0; i < collidables.length; i++)
                if (collidables[i] != null)
                    collidables[i].treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackCollisionSpace != null)
            Pre_SceneGraph.Pre_doWithDataCallbackCollisionSpace.doWithData(this);
    }
}

class Pre_CollisionSpaceRenderCallback extends RenderCallback {}
class Pre_CollisionSpaceDoWithDataCallback extends DoWithDataCallback {};


class Pre_NurbsTextureCoordinate extends Pre_Node {
    Pre_Node metadata;
    int uDimension;
    int vDimension;
    float[] uKnot;
    float[] vKnot;
    int uOrder;
    int vOrder;
    float[] controlPoint;
    float[] weight;
    Pre_NurbsTextureCoordinate() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackNurbsTextureCoordinate != null)
            Pre_SceneGraph.Pre_renderCallbackNurbsTextureCoordinate.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackNurbsTextureCoordinate != null)
            Pre_SceneGraph.Pre_doWithDataCallbackNurbsTextureCoordinate.doWithData(this);
    }
}

class Pre_NurbsTextureCoordinateRenderCallback extends RenderCallback {}
class Pre_NurbsTextureCoordinateDoWithDataCallback extends DoWithDataCallback {};


class Pre_ParticleSystem extends Pre_Node {
    Pre_Node metadata;
    Pre_Node appearance;
    boolean createParticles;
    Pre_Node geometry;
    boolean enabled;
    float lifetimeVariation;
    int maxParticles;
    float particleLifetime;
    float[] particleSize;
    float[] bboxCenter;
    float[] bboxSize;
    Pre_Node colorRamp;
    float[] colorKey;
    Pre_Node emitter;
    String geometryType;
    Pre_Node [] physics;
    Pre_Node texCoordRamp;
    float[] texCoordKey;
    Pre_ParticleSystem() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (appearance != null)
            appearance.treeRender();
        if (geometry != null)
            geometry.treeRender();
        if (colorRamp != null)
            colorRamp.treeRender();
        if (emitter != null)
            emitter.treeRender();
        if (physics != null)
            for (int i = 0; i < physics.length; i++)
                if (physics[i] != null)
                    physics[i].treeRender();
        if (texCoordRamp != null)
            texCoordRamp.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackParticleSystem != null)
            Pre_SceneGraph.Pre_renderCallbackParticleSystem.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (appearance != null)
            appearance.treeDoWithData();
        if (geometry != null)
            geometry.treeDoWithData();
        if (colorRamp != null)
            colorRamp.treeDoWithData();
        if (emitter != null)
            emitter.treeDoWithData();
        if (physics != null)
            for (int i = 0; i < physics.length; i++)
                if (physics[i] != null)
                    physics[i].treeDoWithData();
        if (texCoordRamp != null)
            texCoordRamp.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackParticleSystem != null)
            Pre_SceneGraph.Pre_doWithDataCallbackParticleSystem.doWithData(this);
    }
}

class Pre_ParticleSystemRenderCallback extends RenderCallback {}
class Pre_ParticleSystemDoWithDataCallback extends DoWithDataCallback {};


class Pre_TextureTransform extends Pre_Node {
    Pre_Node metadata;
    float[] center;
    float rotation;
    float[] scale;
    float[] translation;
    Pre_TextureTransform() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (Pre_SceneGraph.Pre_renderCallbackTextureTransform != null)
            Pre_SceneGraph.Pre_renderCallbackTextureTransform.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (Pre_SceneGraph.Pre_doWithDataCallbackTextureTransform != null)
            Pre_SceneGraph.Pre_doWithDataCallbackTextureTransform.doWithData(this);
    }
}

class Pre_TextureTransformRenderCallback extends RenderCallback {}
class Pre_TextureTransformDoWithDataCallback extends DoWithDataCallback {};



class Pre_SceneGraph {
    Pre_Group root;
    Pre_Transform Transform_1;
    Pre_Shape Shape_2;
    Pre_Appearance Appearance_3;
    Pre_Material Material_4;
    Pre_Text Text_5;
    void rootDataFunction0(Pre_Group v) {
    }
    void rootDataFunction1(Pre_Group v) {
        Transform_1 = new Pre_Transform();
        Transform_1.m_parent = root;

    }
    void Transform_1DataFunction0(Pre_Transform v) {
    }
    void Transform_1DataFunction1(Pre_Transform v) {
        Shape_2 = new Pre_Shape();
        Shape_2.m_parent = Transform_1;

    }
    void Shape_2DataFunction0(Pre_Shape v) {
    }
    void Shape_2DataFunction1(Pre_Shape v) {
        Appearance_3 = new Pre_Appearance();
        Appearance_3.m_parent = Shape_2;

    }
    void Appearance_3DataFunction0(Pre_Appearance v) {
    }
    void Appearance_3DataFunction1(Pre_Appearance v) {
        Material_4 = new Pre_Material();
        Material_4.m_parent = Appearance_3;

    }
    void Material_4DataFunction0(Pre_Material v) {
    }
    void Material_4DataFunction1(Pre_Material v) {
    }
    void Material_4DataFunction2(Pre_Material v) {
        Material_4.ambientIntensity = 0.200000f;
    }
    void Material_4DataFunction3(Pre_Material v) {
        {
        float m_diffuseColor[] = { 0.800000f, 0.800000f, 0.800000f };
        Material_4.diffuseColor = m_diffuseColor;
        }
    }
    void Material_4DataFunction4(Pre_Material v) {
        {
        float m_emissiveColor[] = { 0f, 0f, 0f };
        Material_4.emissiveColor = m_emissiveColor;
        }
    }
    void Material_4DataFunction5(Pre_Material v) {
        Material_4.shininess = 0.200000f;
    }
    void Material_4DataFunction6(Pre_Material v) {
        {
        float m_specularColor[] = { 0f, 0f, 0f };
        Material_4.specularColor = m_specularColor;
        }
    }
    void Material_4DataFunction7(Pre_Material v) {
        Material_4.transparency = 0f;
    }
    void Material_4DataFunction8(Pre_Material v) {
    }
    void Material_4DataFunction9(Pre_Material v) {
    }
    void Material_4DataFunction10(Pre_Material v) {
         v.reflSpecular = null;
         int i = 0;
    }
    void Material_4DataFunction11(Pre_Material v) {
         v.reflDiffuse = null;
         int i = 0;
    }
    void Material_4DataFunction12(Pre_Material v) {
         v.transSpecular = null;
         int i = 0;
    }
    void Material_4DataFunction13(Pre_Material v) {
         v.transDiffuse = null;
         int i = 0;
    }
    void Material_4DataFunction14(Pre_Material v) {
    }
    void Material_4DataFunction15(Pre_Material v) {
    }
    void Appearance_3DataFunction2(Pre_Appearance v) {
    }
    void Appearance_3DataFunction3(Pre_Appearance v) {
    }
    void Appearance_3DataFunction4(Pre_Appearance v) {
    }
    void Appearance_3DataFunction5(Pre_Appearance v) {
    }
    void Appearance_3DataFunction6(Pre_Appearance v) {
    }
    void Appearance_3DataFunction7(Pre_Appearance v) {
    }
    void Appearance_3DataFunction8(Pre_Appearance v) {
        Appearance_3.material = Material_4;
    }
    void Appearance_3DataFunction9(Pre_Appearance v) {
        Appearance_3.texture = null;
    }
    void Appearance_3DataFunction10(Pre_Appearance v) {
        Appearance_3.textureTransform = null;
    }
    void Appearance_3DataFunction11(Pre_Appearance v) {
    }
    void Appearance_3DataFunction12(Pre_Appearance v) {
    }
    void Appearance_3DataFunction13(Pre_Appearance v) {
    }
    void Shape_2DataFunction2(Pre_Shape v) {
        Text_5 = new Pre_Text();
        Text_5.m_parent = Shape_2;

    }
    void Text_5DataFunction0(Pre_Text v) {
    }
    void Text_5DataFunction1(Pre_Text v) {
    }
    void Text_5DataFunction2(Pre_Text v) {
    }
    void Text_5DataFunction3(Pre_Text v) {
        Text_5.fontStyle = null;
    }
    void Text_5DataFunction4(Pre_Text v) {
         v.length = null;
         int i = 0;
    }
    void Text_5DataFunction5(Pre_Text v) {
        Text_5.maxExtent = 0f;
    }
    void Text_5DataFunction6(Pre_Text v) {
         v.string = new String[1];
         int i = 0;
         v.string[i++] = "Hello World";
    }
    void Text_5DataFunction7(Pre_Text v) {
    }
    void Shape_2DataFunction3(Pre_Shape v) {
    }
    void Shape_2DataFunction4(Pre_Shape v) {
    }
    void Shape_2DataFunction5(Pre_Shape v) {
        Shape_2.appearance = Appearance_3;
    }
    void Shape_2DataFunction6(Pre_Shape v) {
        Shape_2.geometry = Text_5;
    }
    void Shape_2DataFunction7(Pre_Shape v) {
    }
    void Shape_2DataFunction8(Pre_Shape v) {
    }
    void Shape_2DataFunction9(Pre_Shape v) {
    }
    void Transform_1DataFunction2(Pre_Transform v) {
    }
    void Transform_1DataFunction3(Pre_Transform v) {
        {
        float m_rotation[] = { 0f, 0f, 1f, 0f };
        Transform_1.rotation = m_rotation;
        }
    }
    void Transform_1DataFunction4(Pre_Transform v) {
        {
        float m_translation[] = { 0f, 0f, 0f };
        Transform_1.translation = m_translation;
        }
    }
    void Transform_1DataFunction5(Pre_Transform v) {
        {
        float m_bboxCenter[] = { 0f, 0f, 0f };
        Transform_1.bboxCenter = m_bboxCenter;
        }
    }
    void Transform_1DataFunction6(Pre_Transform v) {
        {
        float m_bboxSize[] = { -1f, -1f, -1f };
        Transform_1.bboxSize = m_bboxSize;
        }
    }
    void Transform_1DataFunction7(Pre_Transform v) {
        {
        float m_center[] = { 0f, 0f, 0f };
        Transform_1.center = m_center;
        }
    }
    void Transform_1DataFunction8(Pre_Transform v) {
        {
        float m_scale[] = { 1f, 1f, 1f };
        Transform_1.scale = m_scale;
        }
    }
    void Transform_1DataFunction9(Pre_Transform v) {
        {
        float m_scaleOrientation[] = { 0f, 0f, 1f, 0f };
        Transform_1.scaleOrientation = m_scaleOrientation;
        }
    }
    void Transform_1DataFunction10(Pre_Transform v) {
        {
        Pre_Node [] m_children = { Shape_2 };
        Transform_1.children = m_children;
        }
    }
    void rootDataFunction2(Pre_Group v) {
    }
    void rootDataFunction3(Pre_Group v) {
        {
        Pre_Node [] m_children = { Transform_1 };
        root.children = m_children;
        }
    }
    void rootDataFunction4(Pre_Group v) {
        {
        float m_bboxCenter[] = { 0f, 0f, 0f };
        root.bboxCenter = m_bboxCenter;
        }
    }
    void rootDataFunction5(Pre_Group v) {
        {
        float m_bboxSize[] = { -1f, -1f, -1f };
        root.bboxSize = m_bboxSize;
        }
    }
    Pre_SceneGraph() {
        root = new Pre_Group();
        rootDataFunction0(root);
        rootDataFunction1(root);
        rootDataFunction2(root);
        rootDataFunction3(root);
        rootDataFunction4(root);
        rootDataFunction5(root);
        Transform_1DataFunction0(Transform_1);
        Transform_1DataFunction1(Transform_1);
        Transform_1DataFunction2(Transform_1);
        Transform_1DataFunction3(Transform_1);
        Transform_1DataFunction4(Transform_1);
        Transform_1DataFunction5(Transform_1);
        Transform_1DataFunction6(Transform_1);
        Transform_1DataFunction7(Transform_1);
        Transform_1DataFunction8(Transform_1);
        Transform_1DataFunction9(Transform_1);
        Transform_1DataFunction10(Transform_1);
        Shape_2DataFunction0(Shape_2);
        Shape_2DataFunction1(Shape_2);
        Shape_2DataFunction2(Shape_2);
        Shape_2DataFunction3(Shape_2);
        Shape_2DataFunction4(Shape_2);
        Shape_2DataFunction5(Shape_2);
        Shape_2DataFunction6(Shape_2);
        Shape_2DataFunction7(Shape_2);
        Shape_2DataFunction8(Shape_2);
        Shape_2DataFunction9(Shape_2);
        Appearance_3DataFunction0(Appearance_3);
        Appearance_3DataFunction1(Appearance_3);
        Appearance_3DataFunction2(Appearance_3);
        Appearance_3DataFunction3(Appearance_3);
        Appearance_3DataFunction4(Appearance_3);
        Appearance_3DataFunction5(Appearance_3);
        Appearance_3DataFunction6(Appearance_3);
        Appearance_3DataFunction7(Appearance_3);
        Appearance_3DataFunction8(Appearance_3);
        Appearance_3DataFunction9(Appearance_3);
        Appearance_3DataFunction10(Appearance_3);
        Appearance_3DataFunction11(Appearance_3);
        Appearance_3DataFunction12(Appearance_3);
        Appearance_3DataFunction13(Appearance_3);
        Material_4DataFunction0(Material_4);
        Material_4DataFunction1(Material_4);
        Material_4DataFunction2(Material_4);
        Material_4DataFunction3(Material_4);
        Material_4DataFunction4(Material_4);
        Material_4DataFunction5(Material_4);
        Material_4DataFunction6(Material_4);
        Material_4DataFunction7(Material_4);
        Material_4DataFunction8(Material_4);
        Material_4DataFunction9(Material_4);
        Material_4DataFunction10(Material_4);
        Material_4DataFunction11(Material_4);
        Material_4DataFunction12(Material_4);
        Material_4DataFunction13(Material_4);
        Material_4DataFunction14(Material_4);
        Material_4DataFunction15(Material_4);
        Text_5DataFunction0(Text_5);
        Text_5DataFunction1(Text_5);
        Text_5DataFunction2(Text_5);
        Text_5DataFunction3(Text_5);
        Text_5DataFunction4(Text_5);
        Text_5DataFunction5(Text_5);
        Text_5DataFunction6(Text_5);
        Text_5DataFunction7(Text_5);
        root.m_parent = null;

    }
    static Pre_ColorRGBARenderCallback Pre_renderCallbackColorRGBA;
    void setPre_ColorRGBARenderCallback(Pre_ColorRGBARenderCallback node) {
        Pre_renderCallbackColorRGBA = node;
    }

    static Pre_ColorRGBADoWithDataCallback Pre_doWithDataCallbackColorRGBA;
    void setPre_ColorRGBADoWithDataCallback(Pre_ColorRGBADoWithDataCallback node) {
        Pre_doWithDataCallbackColorRGBA = node;
    }

    static Pre_CoordinateDamperRenderCallback Pre_renderCallbackCoordinateDamper;
    void setPre_CoordinateDamperRenderCallback(Pre_CoordinateDamperRenderCallback node) {
        Pre_renderCallbackCoordinateDamper = node;
    }

    static Pre_CoordinateDamperDoWithDataCallback Pre_doWithDataCallbackCoordinateDamper;
    void setPre_CoordinateDamperDoWithDataCallback(Pre_CoordinateDamperDoWithDataCallback node) {
        Pre_doWithDataCallbackCoordinateDamper = node;
    }

    static Pre_HAnimDisplacerRenderCallback Pre_renderCallbackHAnimDisplacer;
    void setPre_HAnimDisplacerRenderCallback(Pre_HAnimDisplacerRenderCallback node) {
        Pre_renderCallbackHAnimDisplacer = node;
    }

    static Pre_HAnimDisplacerDoWithDataCallback Pre_doWithDataCallbackHAnimDisplacer;
    void setPre_HAnimDisplacerDoWithDataCallback(Pre_HAnimDisplacerDoWithDataCallback node) {
        Pre_doWithDataCallbackHAnimDisplacer = node;
    }

    static Pre_SplineScalarInterpolatorRenderCallback Pre_renderCallbackSplineScalarInterpolator;
    void setPre_SplineScalarInterpolatorRenderCallback(Pre_SplineScalarInterpolatorRenderCallback node) {
        Pre_renderCallbackSplineScalarInterpolator = node;
    }

    static Pre_SplineScalarInterpolatorDoWithDataCallback Pre_doWithDataCallbackSplineScalarInterpolator;
    void setPre_SplineScalarInterpolatorDoWithDataCallback(Pre_SplineScalarInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackSplineScalarInterpolator = node;
    }

    static Pre_VolumeEmitterRenderCallback Pre_renderCallbackVolumeEmitter;
    void setPre_VolumeEmitterRenderCallback(Pre_VolumeEmitterRenderCallback node) {
        Pre_renderCallbackVolumeEmitter = node;
    }

    static Pre_VolumeEmitterDoWithDataCallback Pre_doWithDataCallbackVolumeEmitter;
    void setPre_VolumeEmitterDoWithDataCallback(Pre_VolumeEmitterDoWithDataCallback node) {
        Pre_doWithDataCallbackVolumeEmitter = node;
    }

    static Pre_Contour2DRenderCallback Pre_renderCallbackContour2D;
    void setPre_Contour2DRenderCallback(Pre_Contour2DRenderCallback node) {
        Pre_renderCallbackContour2D = node;
    }

    static Pre_Contour2DDoWithDataCallback Pre_doWithDataCallbackContour2D;
    void setPre_Contour2DDoWithDataCallback(Pre_Contour2DDoWithDataCallback node) {
        Pre_doWithDataCallbackContour2D = node;
    }

    static Pre_HAnimJointRenderCallback Pre_renderCallbackHAnimJoint;
    void setPre_HAnimJointRenderCallback(Pre_HAnimJointRenderCallback node) {
        Pre_renderCallbackHAnimJoint = node;
    }

    static Pre_HAnimJointDoWithDataCallback Pre_doWithDataCallbackHAnimJoint;
    void setPre_HAnimJointDoWithDataCallback(Pre_HAnimJointDoWithDataCallback node) {
        Pre_doWithDataCallbackHAnimJoint = node;
    }

    static Pre_TexCoordDamper2DRenderCallback Pre_renderCallbackTexCoordDamper2D;
    void setPre_TexCoordDamper2DRenderCallback(Pre_TexCoordDamper2DRenderCallback node) {
        Pre_renderCallbackTexCoordDamper2D = node;
    }

    static Pre_TexCoordDamper2DDoWithDataCallback Pre_doWithDataCallbackTexCoordDamper2D;
    void setPre_TexCoordDamper2DDoWithDataCallback(Pre_TexCoordDamper2DDoWithDataCallback node) {
        Pre_doWithDataCallbackTexCoordDamper2D = node;
    }

    static Pre_TextureCoordinate3DRenderCallback Pre_renderCallbackTextureCoordinate3D;
    void setPre_TextureCoordinate3DRenderCallback(Pre_TextureCoordinate3DRenderCallback node) {
        Pre_renderCallbackTextureCoordinate3D = node;
    }

    static Pre_TextureCoordinate3DDoWithDataCallback Pre_doWithDataCallbackTextureCoordinate3D;
    void setPre_TextureCoordinate3DDoWithDataCallback(Pre_TextureCoordinate3DDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureCoordinate3D = node;
    }

    static Pre_UniversalJointRenderCallback Pre_renderCallbackUniversalJoint;
    void setPre_UniversalJointRenderCallback(Pre_UniversalJointRenderCallback node) {
        Pre_renderCallbackUniversalJoint = node;
    }

    static Pre_UniversalJointDoWithDataCallback Pre_doWithDataCallbackUniversalJoint;
    void setPre_UniversalJointDoWithDataCallback(Pre_UniversalJointDoWithDataCallback node) {
        Pre_doWithDataCallbackUniversalJoint = node;
    }

    static Pre_FloatVertexAttributeRenderCallback Pre_renderCallbackFloatVertexAttribute;
    void setPre_FloatVertexAttributeRenderCallback(Pre_FloatVertexAttributeRenderCallback node) {
        Pre_renderCallbackFloatVertexAttribute = node;
    }

    static Pre_FloatVertexAttributeDoWithDataCallback Pre_doWithDataCallbackFloatVertexAttribute;
    void setPre_FloatVertexAttributeDoWithDataCallback(Pre_FloatVertexAttributeDoWithDataCallback node) {
        Pre_doWithDataCallbackFloatVertexAttribute = node;
    }

    static Pre_SuperShapeRenderCallback Pre_renderCallbackSuperShape;
    void setPre_SuperShapeRenderCallback(Pre_SuperShapeRenderCallback node) {
        Pre_renderCallbackSuperShape = node;
    }

    static Pre_SuperShapeDoWithDataCallback Pre_doWithDataCallbackSuperShape;
    void setPre_SuperShapeDoWithDataCallback(Pre_SuperShapeDoWithDataCallback node) {
        Pre_doWithDataCallbackSuperShape = node;
    }

    static Pre_TransmitterPduRenderCallback Pre_renderCallbackTransmitterPdu;
    void setPre_TransmitterPduRenderCallback(Pre_TransmitterPduRenderCallback node) {
        Pre_renderCallbackTransmitterPdu = node;
    }

    static Pre_TransmitterPduDoWithDataCallback Pre_doWithDataCallbackTransmitterPdu;
    void setPre_TransmitterPduDoWithDataCallback(Pre_TransmitterPduDoWithDataCallback node) {
        Pre_doWithDataCallbackTransmitterPdu = node;
    }

    static Pre_TwoSidedMaterialRenderCallback Pre_renderCallbackTwoSidedMaterial;
    void setPre_TwoSidedMaterialRenderCallback(Pre_TwoSidedMaterialRenderCallback node) {
        Pre_renderCallbackTwoSidedMaterial = node;
    }

    static Pre_TwoSidedMaterialDoWithDataCallback Pre_doWithDataCallbackTwoSidedMaterial;
    void setPre_TwoSidedMaterialDoWithDataCallback(Pre_TwoSidedMaterialDoWithDataCallback node) {
        Pre_doWithDataCallbackTwoSidedMaterial = node;
    }

    static Pre_WindPhysicsModelRenderCallback Pre_renderCallbackWindPhysicsModel;
    void setPre_WindPhysicsModelRenderCallback(Pre_WindPhysicsModelRenderCallback node) {
        Pre_renderCallbackWindPhysicsModel = node;
    }

    static Pre_WindPhysicsModelDoWithDataCallback Pre_doWithDataCallbackWindPhysicsModel;
    void setPre_WindPhysicsModelDoWithDataCallback(Pre_WindPhysicsModelDoWithDataCallback node) {
        Pre_doWithDataCallbackWindPhysicsModel = node;
    }

    static Pre_GeoTransformRenderCallback Pre_renderCallbackGeoTransform;
    void setPre_GeoTransformRenderCallback(Pre_GeoTransformRenderCallback node) {
        Pre_renderCallbackGeoTransform = node;
    }

    static Pre_GeoTransformDoWithDataCallback Pre_doWithDataCallbackGeoTransform;
    void setPre_GeoTransformDoWithDataCallback(Pre_GeoTransformDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoTransform = node;
    }

    static Pre_TransformRenderCallback Pre_renderCallbackTransform;
    void setPre_TransformRenderCallback(Pre_TransformRenderCallback node) {
        Pre_renderCallbackTransform = node;
    }

    static Pre_TransformDoWithDataCallback Pre_doWithDataCallbackTransform;
    void setPre_TransformDoWithDataCallback(Pre_TransformDoWithDataCallback node) {
        Pre_doWithDataCallbackTransform = node;
    }

    static Pre_SuperExtrusionRenderCallback Pre_renderCallbackSuperExtrusion;
    void setPre_SuperExtrusionRenderCallback(Pre_SuperExtrusionRenderCallback node) {
        Pre_renderCallbackSuperExtrusion = node;
    }

    static Pre_SuperExtrusionDoWithDataCallback Pre_doWithDataCallbackSuperExtrusion;
    void setPre_SuperExtrusionDoWithDataCallback(Pre_SuperExtrusionDoWithDataCallback node) {
        Pre_doWithDataCallbackSuperExtrusion = node;
    }

    static Pre_CylinderSensorRenderCallback Pre_renderCallbackCylinderSensor;
    void setPre_CylinderSensorRenderCallback(Pre_CylinderSensorRenderCallback node) {
        Pre_renderCallbackCylinderSensor = node;
    }

    static Pre_CylinderSensorDoWithDataCallback Pre_doWithDataCallbackCylinderSensor;
    void setPre_CylinderSensorDoWithDataCallback(Pre_CylinderSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackCylinderSensor = node;
    }

    static Pre_LoadSensorRenderCallback Pre_renderCallbackLoadSensor;
    void setPre_LoadSensorRenderCallback(Pre_LoadSensorRenderCallback node) {
        Pre_renderCallbackLoadSensor = node;
    }

    static Pre_LoadSensorDoWithDataCallback Pre_doWithDataCallbackLoadSensor;
    void setPre_LoadSensorDoWithDataCallback(Pre_LoadSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackLoadSensor = node;
    }

    static Pre_PackagedShaderRenderCallback Pre_renderCallbackPackagedShader;
    void setPre_PackagedShaderRenderCallback(Pre_PackagedShaderRenderCallback node) {
        Pre_renderCallbackPackagedShader = node;
    }

    static Pre_PackagedShaderDoWithDataCallback Pre_doWithDataCallbackPackagedShader;
    void setPre_PackagedShaderDoWithDataCallback(Pre_PackagedShaderDoWithDataCallback node) {
        Pre_doWithDataCallbackPackagedShader = node;
    }

    static Pre_SuperRevolverRenderCallback Pre_renderCallbackSuperRevolver;
    void setPre_SuperRevolverRenderCallback(Pre_SuperRevolverRenderCallback node) {
        Pre_renderCallbackSuperRevolver = node;
    }

    static Pre_SuperRevolverDoWithDataCallback Pre_doWithDataCallbackSuperRevolver;
    void setPre_SuperRevolverDoWithDataCallback(Pre_SuperRevolverDoWithDataCallback node) {
        Pre_doWithDataCallbackSuperRevolver = node;
    }

    static Pre_TextureCoordinateGeneratorRenderCallback Pre_renderCallbackTextureCoordinateGenerator;
    void setPre_TextureCoordinateGeneratorRenderCallback(Pre_TextureCoordinateGeneratorRenderCallback node) {
        Pre_renderCallbackTextureCoordinateGenerator = node;
    }

    static Pre_TextureCoordinateGeneratorDoWithDataCallback Pre_doWithDataCallbackTextureCoordinateGenerator;
    void setPre_TextureCoordinateGeneratorDoWithDataCallback(Pre_TextureCoordinateGeneratorDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureCoordinateGenerator = node;
    }

    static Pre_TexturePropertiesRenderCallback Pre_renderCallbackTextureProperties;
    void setPre_TexturePropertiesRenderCallback(Pre_TexturePropertiesRenderCallback node) {
        Pre_renderCallbackTextureProperties = node;
    }

    static Pre_TexturePropertiesDoWithDataCallback Pre_doWithDataCallbackTextureProperties;
    void setPre_TexturePropertiesDoWithDataCallback(Pre_TexturePropertiesDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureProperties = node;
    }

    static Pre_ArcClose2DRenderCallback Pre_renderCallbackArcClose2D;
    void setPre_ArcClose2DRenderCallback(Pre_ArcClose2DRenderCallback node) {
        Pre_renderCallbackArcClose2D = node;
    }

    static Pre_ArcClose2DDoWithDataCallback Pre_doWithDataCallbackArcClose2D;
    void setPre_ArcClose2DDoWithDataCallback(Pre_ArcClose2DDoWithDataCallback node) {
        Pre_doWithDataCallbackArcClose2D = node;
    }

    static Pre_ElevationGridRenderCallback Pre_renderCallbackElevationGrid;
    void setPre_ElevationGridRenderCallback(Pre_ElevationGridRenderCallback node) {
        Pre_renderCallbackElevationGrid = node;
    }

    static Pre_ElevationGridDoWithDataCallback Pre_doWithDataCallbackElevationGrid;
    void setPre_ElevationGridDoWithDataCallback(Pre_ElevationGridDoWithDataCallback node) {
        Pre_doWithDataCallbackElevationGrid = node;
    }

    static Pre_IndexedTriangleFanSetRenderCallback Pre_renderCallbackIndexedTriangleFanSet;
    void setPre_IndexedTriangleFanSetRenderCallback(Pre_IndexedTriangleFanSetRenderCallback node) {
        Pre_renderCallbackIndexedTriangleFanSet = node;
    }

    static Pre_IndexedTriangleFanSetDoWithDataCallback Pre_doWithDataCallbackIndexedTriangleFanSet;
    void setPre_IndexedTriangleFanSetDoWithDataCallback(Pre_IndexedTriangleFanSetDoWithDataCallback node) {
        Pre_doWithDataCallbackIndexedTriangleFanSet = node;
    }

    static Pre_NurbsCurve2DRenderCallback Pre_renderCallbackNurbsCurve2D;
    void setPre_NurbsCurve2DRenderCallback(Pre_NurbsCurve2DRenderCallback node) {
        Pre_renderCallbackNurbsCurve2D = node;
    }

    static Pre_NurbsCurve2DDoWithDataCallback Pre_doWithDataCallbackNurbsCurve2D;
    void setPre_NurbsCurve2DDoWithDataCallback(Pre_NurbsCurve2DDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsCurve2D = node;
    }

    static Pre_NurbsSurfaceRenderCallback Pre_renderCallbackNurbsSurface;
    void setPre_NurbsSurfaceRenderCallback(Pre_NurbsSurfaceRenderCallback node) {
        Pre_renderCallbackNurbsSurface = node;
    }

    static Pre_NurbsSurfaceDoWithDataCallback Pre_doWithDataCallbackNurbsSurface;
    void setPre_NurbsSurfaceDoWithDataCallback(Pre_NurbsSurfaceDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsSurface = node;
    }

    static Pre_PickableGroupRenderCallback Pre_renderCallbackPickableGroup;
    void setPre_PickableGroupRenderCallback(Pre_PickableGroupRenderCallback node) {
        Pre_renderCallbackPickableGroup = node;
    }

    static Pre_PickableGroupDoWithDataCallback Pre_doWithDataCallbackPickableGroup;
    void setPre_PickableGroupDoWithDataCallback(Pre_PickableGroupDoWithDataCallback node) {
        Pre_doWithDataCallbackPickableGroup = node;
    }

    static Pre_CollisionSensorRenderCallback Pre_renderCallbackCollisionSensor;
    void setPre_CollisionSensorRenderCallback(Pre_CollisionSensorRenderCallback node) {
        Pre_renderCallbackCollisionSensor = node;
    }

    static Pre_CollisionSensorDoWithDataCallback Pre_doWithDataCallbackCollisionSensor;
    void setPre_CollisionSensorDoWithDataCallback(Pre_CollisionSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackCollisionSensor = node;
    }

    static Pre_GeoTouchSensorRenderCallback Pre_renderCallbackGeoTouchSensor;
    void setPre_GeoTouchSensorRenderCallback(Pre_GeoTouchSensorRenderCallback node) {
        Pre_renderCallbackGeoTouchSensor = node;
    }

    static Pre_GeoTouchSensorDoWithDataCallback Pre_doWithDataCallbackGeoTouchSensor;
    void setPre_GeoTouchSensorDoWithDataCallback(Pre_GeoTouchSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoTouchSensor = node;
    }

    static Pre_PlaneSensorRenderCallback Pre_renderCallbackPlaneSensor;
    void setPre_PlaneSensorRenderCallback(Pre_PlaneSensorRenderCallback node) {
        Pre_renderCallbackPlaneSensor = node;
    }

    static Pre_PlaneSensorDoWithDataCallback Pre_doWithDataCallbackPlaneSensor;
    void setPre_PlaneSensorDoWithDataCallback(Pre_PlaneSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackPlaneSensor = node;
    }

    static Pre_StringSensorRenderCallback Pre_renderCallbackStringSensor;
    void setPre_StringSensorRenderCallback(Pre_StringSensorRenderCallback node) {
        Pre_renderCallbackStringSensor = node;
    }

    static Pre_StringSensorDoWithDataCallback Pre_doWithDataCallbackStringSensor;
    void setPre_StringSensorDoWithDataCallback(Pre_StringSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackStringSensor = node;
    }

    static Pre_CoordinateInterpolator2DRenderCallback Pre_renderCallbackCoordinateInterpolator2D;
    void setPre_CoordinateInterpolator2DRenderCallback(Pre_CoordinateInterpolator2DRenderCallback node) {
        Pre_renderCallbackCoordinateInterpolator2D = node;
    }

    static Pre_CoordinateInterpolator2DDoWithDataCallback Pre_doWithDataCallbackCoordinateInterpolator2D;
    void setPre_CoordinateInterpolator2DDoWithDataCallback(Pre_CoordinateInterpolator2DDoWithDataCallback node) {
        Pre_doWithDataCallbackCoordinateInterpolator2D = node;
    }

    static Pre_DoubleAxisHingeJointRenderCallback Pre_renderCallbackDoubleAxisHingeJoint;
    void setPre_DoubleAxisHingeJointRenderCallback(Pre_DoubleAxisHingeJointRenderCallback node) {
        Pre_renderCallbackDoubleAxisHingeJoint = node;
    }

    static Pre_DoubleAxisHingeJointDoWithDataCallback Pre_doWithDataCallbackDoubleAxisHingeJoint;
    void setPre_DoubleAxisHingeJointDoWithDataCallback(Pre_DoubleAxisHingeJointDoWithDataCallback node) {
        Pre_doWithDataCallbackDoubleAxisHingeJoint = node;
    }

    static Pre_Polyline2DRenderCallback Pre_renderCallbackPolyline2D;
    void setPre_Polyline2DRenderCallback(Pre_Polyline2DRenderCallback node) {
        Pre_renderCallbackPolyline2D = node;
    }

    static Pre_Polyline2DDoWithDataCallback Pre_doWithDataCallbackPolyline2D;
    void setPre_Polyline2DDoWithDataCallback(Pre_Polyline2DDoWithDataCallback node) {
        Pre_doWithDataCallbackPolyline2D = node;
    }

    static Pre_PositionInterpolator2DRenderCallback Pre_renderCallbackPositionInterpolator2D;
    void setPre_PositionInterpolator2DRenderCallback(Pre_PositionInterpolator2DRenderCallback node) {
        Pre_renderCallbackPositionInterpolator2D = node;
    }

    static Pre_PositionInterpolator2DDoWithDataCallback Pre_doWithDataCallbackPositionInterpolator2D;
    void setPre_PositionInterpolator2DDoWithDataCallback(Pre_PositionInterpolator2DDoWithDataCallback node) {
        Pre_doWithDataCallbackPositionInterpolator2D = node;
    }

    static Pre_HAnimSiteRenderCallback Pre_renderCallbackHAnimSite;
    void setPre_HAnimSiteRenderCallback(Pre_HAnimSiteRenderCallback node) {
        Pre_renderCallbackHAnimSite = node;
    }

    static Pre_HAnimSiteDoWithDataCallback Pre_doWithDataCallbackHAnimSite;
    void setPre_HAnimSiteDoWithDataCallback(Pre_HAnimSiteDoWithDataCallback node) {
        Pre_doWithDataCallbackHAnimSite = node;
    }

    static Pre_ImageCubeMapTextureRenderCallback Pre_renderCallbackImageCubeMapTexture;
    void setPre_ImageCubeMapTextureRenderCallback(Pre_ImageCubeMapTextureRenderCallback node) {
        Pre_renderCallbackImageCubeMapTexture = node;
    }

    static Pre_ImageCubeMapTextureDoWithDataCallback Pre_doWithDataCallbackImageCubeMapTexture;
    void setPre_ImageCubeMapTextureDoWithDataCallback(Pre_ImageCubeMapTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackImageCubeMapTexture = node;
    }

    static Pre_ImageTextureRenderCallback Pre_renderCallbackImageTexture;
    void setPre_ImageTextureRenderCallback(Pre_ImageTextureRenderCallback node) {
        Pre_renderCallbackImageTexture = node;
    }

    static Pre_ImageTextureDoWithDataCallback Pre_doWithDataCallbackImageTexture;
    void setPre_ImageTextureDoWithDataCallback(Pre_ImageTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackImageTexture = node;
    }

    static Pre_MovieTextureRenderCallback Pre_renderCallbackMovieTexture;
    void setPre_MovieTextureRenderCallback(Pre_MovieTextureRenderCallback node) {
        Pre_renderCallbackMovieTexture = node;
    }

    static Pre_MovieTextureDoWithDataCallback Pre_doWithDataCallbackMovieTexture;
    void setPre_MovieTextureDoWithDataCallback(Pre_MovieTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackMovieTexture = node;
    }

    static Pre_ScreenFontStyleRenderCallback Pre_renderCallbackScreenFontStyle;
    void setPre_ScreenFontStyleRenderCallback(Pre_ScreenFontStyleRenderCallback node) {
        Pre_renderCallbackScreenFontStyle = node;
    }

    static Pre_ScreenFontStyleDoWithDataCallback Pre_doWithDataCallbackScreenFontStyle;
    void setPre_ScreenFontStyleDoWithDataCallback(Pre_ScreenFontStyleDoWithDataCallback node) {
        Pre_doWithDataCallbackScreenFontStyle = node;
    }

    static Pre_NavigationInfoRenderCallback Pre_renderCallbackNavigationInfo;
    void setPre_NavigationInfoRenderCallback(Pre_NavigationInfoRenderCallback node) {
        Pre_renderCallbackNavigationInfo = node;
    }

    static Pre_NavigationInfoDoWithDataCallback Pre_doWithDataCallbackNavigationInfo;
    void setPre_NavigationInfoDoWithDataCallback(Pre_NavigationInfoDoWithDataCallback node) {
        Pre_doWithDataCallbackNavigationInfo = node;
    }

    static Pre_CoordinateInterpolatorRenderCallback Pre_renderCallbackCoordinateInterpolator;
    void setPre_CoordinateInterpolatorRenderCallback(Pre_CoordinateInterpolatorRenderCallback node) {
        Pre_renderCallbackCoordinateInterpolator = node;
    }

    static Pre_CoordinateInterpolatorDoWithDataCallback Pre_doWithDataCallbackCoordinateInterpolator;
    void setPre_CoordinateInterpolatorDoWithDataCallback(Pre_CoordinateInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackCoordinateInterpolator = node;
    }

    static Pre_DirectionalLightRenderCallback Pre_renderCallbackDirectionalLight;
    void setPre_DirectionalLightRenderCallback(Pre_DirectionalLightRenderCallback node) {
        Pre_renderCallbackDirectionalLight = node;
    }

    static Pre_DirectionalLightDoWithDataCallback Pre_doWithDataCallbackDirectionalLight;
    void setPre_DirectionalLightDoWithDataCallback(Pre_DirectionalLightDoWithDataCallback node) {
        Pre_doWithDataCallbackDirectionalLight = node;
    }

    static Pre_GeoLODRenderCallback Pre_renderCallbackGeoLOD;
    void setPre_GeoLODRenderCallback(Pre_GeoLODRenderCallback node) {
        Pre_renderCallbackGeoLOD = node;
    }

    static Pre_GeoLODDoWithDataCallback Pre_doWithDataCallbackGeoLOD;
    void setPre_GeoLODDoWithDataCallback(Pre_GeoLODDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoLOD = node;
    }

    static Pre_LdrawDatExportRenderCallback Pre_renderCallbackLdrawDatExport;
    void setPre_LdrawDatExportRenderCallback(Pre_LdrawDatExportRenderCallback node) {
        Pre_renderCallbackLdrawDatExport = node;
    }

    static Pre_LdrawDatExportDoWithDataCallback Pre_doWithDataCallbackLdrawDatExport;
    void setPre_LdrawDatExportDoWithDataCallback(Pre_LdrawDatExportDoWithDataCallback node) {
        Pre_doWithDataCallbackLdrawDatExport = node;
    }

    static Pre_LODRenderCallback Pre_renderCallbackLOD;
    void setPre_LODRenderCallback(Pre_LODRenderCallback node) {
        Pre_renderCallbackLOD = node;
    }

    static Pre_LODDoWithDataCallback Pre_doWithDataCallbackLOD;
    void setPre_LODDoWithDataCallback(Pre_LODDoWithDataCallback node) {
        Pre_doWithDataCallbackLOD = node;
    }

    static Pre_OdeSingleAxisHingeJointRenderCallback Pre_renderCallbackOdeSingleAxisHingeJoint;
    void setPre_OdeSingleAxisHingeJointRenderCallback(Pre_OdeSingleAxisHingeJointRenderCallback node) {
        Pre_renderCallbackOdeSingleAxisHingeJoint = node;
    }

    static Pre_OdeSingleAxisHingeJointDoWithDataCallback Pre_doWithDataCallbackOdeSingleAxisHingeJoint;
    void setPre_OdeSingleAxisHingeJointDoWithDataCallback(Pre_OdeSingleAxisHingeJointDoWithDataCallback node) {
        Pre_doWithDataCallbackOdeSingleAxisHingeJoint = node;
    }

    static Pre_SingleAxisHingeJointRenderCallback Pre_renderCallbackSingleAxisHingeJoint;
    void setPre_SingleAxisHingeJointRenderCallback(Pre_SingleAxisHingeJointRenderCallback node) {
        Pre_renderCallbackSingleAxisHingeJoint = node;
    }

    static Pre_SingleAxisHingeJointDoWithDataCallback Pre_doWithDataCallbackSingleAxisHingeJoint;
    void setPre_SingleAxisHingeJointDoWithDataCallback(Pre_SingleAxisHingeJointDoWithDataCallback node) {
        Pre_doWithDataCallbackSingleAxisHingeJoint = node;
    }

    static Pre_ComposedCubeMapTextureRenderCallback Pre_renderCallbackComposedCubeMapTexture;
    void setPre_ComposedCubeMapTextureRenderCallback(Pre_ComposedCubeMapTextureRenderCallback node) {
        Pre_renderCallbackComposedCubeMapTexture = node;
    }

    static Pre_ComposedCubeMapTextureDoWithDataCallback Pre_doWithDataCallbackComposedCubeMapTexture;
    void setPre_ComposedCubeMapTextureDoWithDataCallback(Pre_ComposedCubeMapTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackComposedCubeMapTexture = node;
    }

    static Pre_CollisionRenderCallback Pre_renderCallbackCollision;
    void setPre_CollisionRenderCallback(Pre_CollisionRenderCallback node) {
        Pre_renderCallbackCollision = node;
    }

    static Pre_CollisionDoWithDataCallback Pre_doWithDataCallbackCollision;
    void setPre_CollisionDoWithDataCallback(Pre_CollisionDoWithDataCallback node) {
        Pre_doWithDataCallbackCollision = node;
    }

    static Pre_GeoOriginRenderCallback Pre_renderCallbackGeoOrigin;
    void setPre_GeoOriginRenderCallback(Pre_GeoOriginRenderCallback node) {
        Pre_renderCallbackGeoOrigin = node;
    }

    static Pre_GeoOriginDoWithDataCallback Pre_doWithDataCallbackGeoOrigin;
    void setPre_GeoOriginDoWithDataCallback(Pre_GeoOriginDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoOrigin = node;
    }

    static Pre_NurbsGroupRenderCallback Pre_renderCallbackNurbsGroup;
    void setPre_NurbsGroupRenderCallback(Pre_NurbsGroupRenderCallback node) {
        Pre_renderCallbackNurbsGroup = node;
    }

    static Pre_NurbsGroupDoWithDataCallback Pre_doWithDataCallbackNurbsGroup;
    void setPre_NurbsGroupDoWithDataCallback(Pre_NurbsGroupDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsGroup = node;
    }

    static Pre_GeoProximitySensorRenderCallback Pre_renderCallbackGeoProximitySensor;
    void setPre_GeoProximitySensorRenderCallback(Pre_GeoProximitySensorRenderCallback node) {
        Pre_renderCallbackGeoProximitySensor = node;
    }

    static Pre_GeoProximitySensorDoWithDataCallback Pre_doWithDataCallbackGeoProximitySensor;
    void setPre_GeoProximitySensorDoWithDataCallback(Pre_GeoProximitySensorDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoProximitySensor = node;
    }

    static Pre_PointEmitterRenderCallback Pre_renderCallbackPointEmitter;
    void setPre_PointEmitterRenderCallback(Pre_PointEmitterRenderCallback node) {
        Pre_renderCallbackPointEmitter = node;
    }

    static Pre_PointEmitterDoWithDataCallback Pre_doWithDataCallbackPointEmitter;
    void setPre_PointEmitterDoWithDataCallback(Pre_PointEmitterDoWithDataCallback node) {
        Pre_doWithDataCallbackPointEmitter = node;
    }

    static Pre_ProximitySensorRenderCallback Pre_renderCallbackProximitySensor;
    void setPre_ProximitySensorRenderCallback(Pre_ProximitySensorRenderCallback node) {
        Pre_renderCallbackProximitySensor = node;
    }

    static Pre_ProximitySensorDoWithDataCallback Pre_doWithDataCallbackProximitySensor;
    void setPre_ProximitySensorDoWithDataCallback(Pre_ProximitySensorDoWithDataCallback node) {
        Pre_doWithDataCallbackProximitySensor = node;
    }

    static Pre_ScalarChaserRenderCallback Pre_renderCallbackScalarChaser;
    void setPre_ScalarChaserRenderCallback(Pre_ScalarChaserRenderCallback node) {
        Pre_renderCallbackScalarChaser = node;
    }

    static Pre_ScalarChaserDoWithDataCallback Pre_doWithDataCallbackScalarChaser;
    void setPre_ScalarChaserDoWithDataCallback(Pre_ScalarChaserDoWithDataCallback node) {
        Pre_doWithDataCallbackScalarChaser = node;
    }

    static Pre_VisibilitySensorRenderCallback Pre_renderCallbackVisibilitySensor;
    void setPre_VisibilitySensorRenderCallback(Pre_VisibilitySensorRenderCallback node) {
        Pre_renderCallbackVisibilitySensor = node;
    }

    static Pre_VisibilitySensorDoWithDataCallback Pre_doWithDataCallbackVisibilitySensor;
    void setPre_VisibilitySensorDoWithDataCallback(Pre_VisibilitySensorDoWithDataCallback node) {
        Pre_doWithDataCallbackVisibilitySensor = node;
    }

    static Pre_CattExportSrcRenderCallback Pre_renderCallbackCattExportSrc;
    void setPre_CattExportSrcRenderCallback(Pre_CattExportSrcRenderCallback node) {
        Pre_renderCallbackCattExportSrc = node;
    }

    static Pre_CattExportSrcDoWithDataCallback Pre_doWithDataCallbackCattExportSrc;
    void setPre_CattExportSrcDoWithDataCallback(Pre_CattExportSrcDoWithDataCallback node) {
        Pre_doWithDataCallbackCattExportSrc = node;
    }

    static Pre_HAnimHumanoidRenderCallback Pre_renderCallbackHAnimHumanoid;
    void setPre_HAnimHumanoidRenderCallback(Pre_HAnimHumanoidRenderCallback node) {
        Pre_renderCallbackHAnimHumanoid = node;
    }

    static Pre_HAnimHumanoidDoWithDataCallback Pre_doWithDataCallbackHAnimHumanoid;
    void setPre_HAnimHumanoidDoWithDataCallback(Pre_HAnimHumanoidDoWithDataCallback node) {
        Pre_doWithDataCallbackHAnimHumanoid = node;
    }

    static Pre_IndexedFaceSetRenderCallback Pre_renderCallbackIndexedFaceSet;
    void setPre_IndexedFaceSetRenderCallback(Pre_IndexedFaceSetRenderCallback node) {
        Pre_renderCallbackIndexedFaceSet = node;
    }

    static Pre_IndexedFaceSetDoWithDataCallback Pre_doWithDataCallbackIndexedFaceSet;
    void setPre_IndexedFaceSetDoWithDataCallback(Pre_IndexedFaceSetDoWithDataCallback node) {
        Pre_doWithDataCallbackIndexedFaceSet = node;
    }

    static Pre_SoundRenderCallback Pre_renderCallbackSound;
    void setPre_SoundRenderCallback(Pre_SoundRenderCallback node) {
        Pre_renderCallbackSound = node;
    }

    static Pre_SoundDoWithDataCallback Pre_doWithDataCallbackSound;
    void setPre_SoundDoWithDataCallback(Pre_SoundDoWithDataCallback node) {
        Pre_doWithDataCallbackSound = node;
    }

    static Pre_TriangleSetRenderCallback Pre_renderCallbackTriangleSet;
    void setPre_TriangleSetRenderCallback(Pre_TriangleSetRenderCallback node) {
        Pre_renderCallbackTriangleSet = node;
    }

    static Pre_TriangleSetDoWithDataCallback Pre_doWithDataCallbackTriangleSet;
    void setPre_TriangleSetDoWithDataCallback(Pre_TriangleSetDoWithDataCallback node) {
        Pre_doWithDataCallbackTriangleSet = node;
    }

    static Pre_ConeRenderCallback Pre_renderCallbackCone;
    void setPre_ConeRenderCallback(Pre_ConeRenderCallback node) {
        Pre_renderCallbackCone = node;
    }

    static Pre_ConeDoWithDataCallback Pre_doWithDataCallbackCone;
    void setPre_ConeDoWithDataCallback(Pre_ConeDoWithDataCallback node) {
        Pre_doWithDataCallbackCone = node;
    }

    static Pre_FontStyleRenderCallback Pre_renderCallbackFontStyle;
    void setPre_FontStyleRenderCallback(Pre_FontStyleRenderCallback node) {
        Pre_renderCallbackFontStyle = node;
    }

    static Pre_FontStyleDoWithDataCallback Pre_doWithDataCallbackFontStyle;
    void setPre_FontStyleDoWithDataCallback(Pre_FontStyleDoWithDataCallback node) {
        Pre_doWithDataCallbackFontStyle = node;
    }

    static Pre_InlineRenderCallback Pre_renderCallbackInline;
    void setPre_InlineRenderCallback(Pre_InlineRenderCallback node) {
        Pre_renderCallbackInline = node;
    }

    static Pre_InlineDoWithDataCallback Pre_doWithDataCallbackInline;
    void setPre_InlineDoWithDataCallback(Pre_InlineDoWithDataCallback node) {
        Pre_doWithDataCallbackInline = node;
    }

    static Pre_MultiTextureCoordinateRenderCallback Pre_renderCallbackMultiTextureCoordinate;
    void setPre_MultiTextureCoordinateRenderCallback(Pre_MultiTextureCoordinateRenderCallback node) {
        Pre_renderCallbackMultiTextureCoordinate = node;
    }

    static Pre_MultiTextureCoordinateDoWithDataCallback Pre_doWithDataCallbackMultiTextureCoordinate;
    void setPre_MultiTextureCoordinateDoWithDataCallback(Pre_MultiTextureCoordinateDoWithDataCallback node) {
        Pre_doWithDataCallbackMultiTextureCoordinate = node;
    }

    static Pre_NurbsCurveRenderCallback Pre_renderCallbackNurbsCurve;
    void setPre_NurbsCurveRenderCallback(Pre_NurbsCurveRenderCallback node) {
        Pre_renderCallbackNurbsCurve = node;
    }

    static Pre_NurbsCurveDoWithDataCallback Pre_doWithDataCallbackNurbsCurve;
    void setPre_NurbsCurveDoWithDataCallback(Pre_NurbsCurveDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsCurve = node;
    }

    static Pre_SignalPduRenderCallback Pre_renderCallbackSignalPdu;
    void setPre_SignalPduRenderCallback(Pre_SignalPduRenderCallback node) {
        Pre_renderCallbackSignalPdu = node;
    }

    static Pre_SignalPduDoWithDataCallback Pre_doWithDataCallbackSignalPdu;
    void setPre_SignalPduDoWithDataCallback(Pre_SignalPduDoWithDataCallback node) {
        Pre_doWithDataCallbackSignalPdu = node;
    }

    static Pre_RigidBodyRenderCallback Pre_renderCallbackRigidBody;
    void setPre_RigidBodyRenderCallback(Pre_RigidBodyRenderCallback node) {
        Pre_renderCallbackRigidBody = node;
    }

    static Pre_RigidBodyDoWithDataCallback Pre_doWithDataCallbackRigidBody;
    void setPre_RigidBodyDoWithDataCallback(Pre_RigidBodyDoWithDataCallback node) {
        Pre_doWithDataCallbackRigidBody = node;
    }

    static Pre_MaterialRenderCallback Pre_renderCallbackMaterial;
    void setPre_MaterialRenderCallback(Pre_MaterialRenderCallback node) {
        Pre_renderCallbackMaterial = node;
    }

    static Pre_MaterialDoWithDataCallback Pre_doWithDataCallbackMaterial;
    void setPre_MaterialDoWithDataCallback(Pre_MaterialDoWithDataCallback node) {
        Pre_doWithDataCallbackMaterial = node;
    }

    static Pre_MultiTextureTransformRenderCallback Pre_renderCallbackMultiTextureTransform;
    void setPre_MultiTextureTransformRenderCallback(Pre_MultiTextureTransformRenderCallback node) {
        Pre_renderCallbackMultiTextureTransform = node;
    }

    static Pre_MultiTextureTransformDoWithDataCallback Pre_doWithDataCallbackMultiTextureTransform;
    void setPre_MultiTextureTransformDoWithDataCallback(Pre_MultiTextureTransformDoWithDataCallback node) {
        Pre_doWithDataCallbackMultiTextureTransform = node;
    }

    static Pre_ConeEmitterRenderCallback Pre_renderCallbackConeEmitter;
    void setPre_ConeEmitterRenderCallback(Pre_ConeEmitterRenderCallback node) {
        Pre_renderCallbackConeEmitter = node;
    }

    static Pre_ConeEmitterDoWithDataCallback Pre_doWithDataCallbackConeEmitter;
    void setPre_ConeEmitterDoWithDataCallback(Pre_ConeEmitterDoWithDataCallback node) {
        Pre_doWithDataCallbackConeEmitter = node;
    }

    static Pre_MetadataIntegerRenderCallback Pre_renderCallbackMetadataInteger;
    void setPre_MetadataIntegerRenderCallback(Pre_MetadataIntegerRenderCallback node) {
        Pre_renderCallbackMetadataInteger = node;
    }

    static Pre_MetadataIntegerDoWithDataCallback Pre_doWithDataCallbackMetadataInteger;
    void setPre_MetadataIntegerDoWithDataCallback(Pre_MetadataIntegerDoWithDataCallback node) {
        Pre_doWithDataCallbackMetadataInteger = node;
    }

    static Pre_OrientationInterpolatorRenderCallback Pre_renderCallbackOrientationInterpolator;
    void setPre_OrientationInterpolatorRenderCallback(Pre_OrientationInterpolatorRenderCallback node) {
        Pre_renderCallbackOrientationInterpolator = node;
    }

    static Pre_OrientationInterpolatorDoWithDataCallback Pre_doWithDataCallbackOrientationInterpolator;
    void setPre_OrientationInterpolatorDoWithDataCallback(Pre_OrientationInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackOrientationInterpolator = node;
    }

    static Pre_TimeSensorRenderCallback Pre_renderCallbackTimeSensor;
    void setPre_TimeSensorRenderCallback(Pre_TimeSensorRenderCallback node) {
        Pre_renderCallbackTimeSensor = node;
    }

    static Pre_TimeSensorDoWithDataCallback Pre_doWithDataCallbackTimeSensor;
    void setPre_TimeSensorDoWithDataCallback(Pre_TimeSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackTimeSensor = node;
    }

    static Pre_IndexedLineSetRenderCallback Pre_renderCallbackIndexedLineSet;
    void setPre_IndexedLineSetRenderCallback(Pre_IndexedLineSetRenderCallback node) {
        Pre_renderCallbackIndexedLineSet = node;
    }

    static Pre_IndexedLineSetDoWithDataCallback Pre_doWithDataCallbackIndexedLineSet;
    void setPre_IndexedLineSetDoWithDataCallback(Pre_IndexedLineSetDoWithDataCallback node) {
        Pre_doWithDataCallbackIndexedLineSet = node;
    }

    static Pre_IndexedQuadSetRenderCallback Pre_renderCallbackIndexedQuadSet;
    void setPre_IndexedQuadSetRenderCallback(Pre_IndexedQuadSetRenderCallback node) {
        Pre_renderCallbackIndexedQuadSet = node;
    }

    static Pre_IndexedQuadSetDoWithDataCallback Pre_doWithDataCallbackIndexedQuadSet;
    void setPre_IndexedQuadSetDoWithDataCallback(Pre_IndexedQuadSetDoWithDataCallback node) {
        Pre_doWithDataCallbackIndexedQuadSet = node;
    }

    static Pre_IndexedTriangleStripSetRenderCallback Pre_renderCallbackIndexedTriangleStripSet;
    void setPre_IndexedTriangleStripSetRenderCallback(Pre_IndexedTriangleStripSetRenderCallback node) {
        Pre_renderCallbackIndexedTriangleStripSet = node;
    }

    static Pre_IndexedTriangleStripSetDoWithDataCallback Pre_doWithDataCallbackIndexedTriangleStripSet;
    void setPre_IndexedTriangleStripSetDoWithDataCallback(Pre_IndexedTriangleStripSetDoWithDataCallback node) {
        Pre_doWithDataCallbackIndexedTriangleStripSet = node;
    }

    static Pre_MetadataFloatRenderCallback Pre_renderCallbackMetadataFloat;
    void setPre_MetadataFloatRenderCallback(Pre_MetadataFloatRenderCallback node) {
        Pre_renderCallbackMetadataFloat = node;
    }

    static Pre_MetadataFloatDoWithDataCallback Pre_doWithDataCallbackMetadataFloat;
    void setPre_MetadataFloatDoWithDataCallback(Pre_MetadataFloatDoWithDataCallback node) {
        Pre_doWithDataCallbackMetadataFloat = node;
    }

    static Pre_OdeMotorJointRenderCallback Pre_renderCallbackOdeMotorJoint;
    void setPre_OdeMotorJointRenderCallback(Pre_OdeMotorJointRenderCallback node) {
        Pre_renderCallbackOdeMotorJoint = node;
    }

    static Pre_OdeMotorJointDoWithDataCallback Pre_doWithDataCallbackOdeMotorJoint;
    void setPre_OdeMotorJointDoWithDataCallback(Pre_OdeMotorJointDoWithDataCallback node) {
        Pre_doWithDataCallbackOdeMotorJoint = node;
    }

    static Pre_PositionChaser2DRenderCallback Pre_renderCallbackPositionChaser2D;
    void setPre_PositionChaser2DRenderCallback(Pre_PositionChaser2DRenderCallback node) {
        Pre_renderCallbackPositionChaser2D = node;
    }

    static Pre_PositionChaser2DDoWithDataCallback Pre_doWithDataCallbackPositionChaser2D;
    void setPre_PositionChaser2DDoWithDataCallback(Pre_PositionChaser2DDoWithDataCallback node) {
        Pre_doWithDataCallbackPositionChaser2D = node;
    }

    static Pre_TriangleFanSetRenderCallback Pre_renderCallbackTriangleFanSet;
    void setPre_TriangleFanSetRenderCallback(Pre_TriangleFanSetRenderCallback node) {
        Pre_renderCallbackTriangleFanSet = node;
    }

    static Pre_TriangleFanSetDoWithDataCallback Pre_doWithDataCallbackTriangleFanSet;
    void setPre_TriangleFanSetDoWithDataCallback(Pre_TriangleFanSetDoWithDataCallback node) {
        Pre_doWithDataCallbackTriangleFanSet = node;
    }

    static Pre_ViewportRenderCallback Pre_renderCallbackViewport;
    void setPre_ViewportRenderCallback(Pre_ViewportRenderCallback node) {
        Pre_renderCallbackViewport = node;
    }

    static Pre_ViewportDoWithDataCallback Pre_doWithDataCallbackViewport;
    void setPre_ViewportDoWithDataCallback(Pre_ViewportDoWithDataCallback node) {
        Pre_doWithDataCallbackViewport = node;
    }

    static Pre_FogRenderCallback Pre_renderCallbackFog;
    void setPre_FogRenderCallback(Pre_FogRenderCallback node) {
        Pre_renderCallbackFog = node;
    }

    static Pre_FogDoWithDataCallback Pre_doWithDataCallbackFog;
    void setPre_FogDoWithDataCallback(Pre_FogDoWithDataCallback node) {
        Pre_doWithDataCallbackFog = node;
    }

    static Pre_ShaderProgramRenderCallback Pre_renderCallbackShaderProgram;
    void setPre_ShaderProgramRenderCallback(Pre_ShaderProgramRenderCallback node) {
        Pre_renderCallbackShaderProgram = node;
    }

    static Pre_ShaderProgramDoWithDataCallback Pre_doWithDataCallbackShaderProgram;
    void setPre_ShaderProgramDoWithDataCallback(Pre_ShaderProgramDoWithDataCallback node) {
        Pre_doWithDataCallbackShaderProgram = node;
    }

    static Pre_CollisionCollectionRenderCallback Pre_renderCallbackCollisionCollection;
    void setPre_CollisionCollectionRenderCallback(Pre_CollisionCollectionRenderCallback node) {
        Pre_renderCallbackCollisionCollection = node;
    }

    static Pre_CollisionCollectionDoWithDataCallback Pre_doWithDataCallbackCollisionCollection;
    void setPre_CollisionCollectionDoWithDataCallback(Pre_CollisionCollectionDoWithDataCallback node) {
        Pre_doWithDataCallbackCollisionCollection = node;
    }

    static Pre_StaticGroupRenderCallback Pre_renderCallbackStaticGroup;
    void setPre_StaticGroupRenderCallback(Pre_StaticGroupRenderCallback node) {
        Pre_renderCallbackStaticGroup = node;
    }

    static Pre_StaticGroupDoWithDataCallback Pre_doWithDataCallbackStaticGroup;
    void setPre_StaticGroupDoWithDataCallback(Pre_StaticGroupDoWithDataCallback node) {
        Pre_doWithDataCallbackStaticGroup = node;
    }

    static Pre_AnchorRenderCallback Pre_renderCallbackAnchor;
    void setPre_AnchorRenderCallback(Pre_AnchorRenderCallback node) {
        Pre_renderCallbackAnchor = node;
    }

    static Pre_AnchorDoWithDataCallback Pre_doWithDataCallbackAnchor;
    void setPre_AnchorDoWithDataCallback(Pre_AnchorDoWithDataCallback node) {
        Pre_doWithDataCallbackAnchor = node;
    }

    static Pre_BooleanTriggerRenderCallback Pre_renderCallbackBooleanTrigger;
    void setPre_BooleanTriggerRenderCallback(Pre_BooleanTriggerRenderCallback node) {
        Pre_renderCallbackBooleanTrigger = node;
    }

    static Pre_BooleanTriggerDoWithDataCallback Pre_doWithDataCallbackBooleanTrigger;
    void setPre_BooleanTriggerDoWithDataCallback(Pre_BooleanTriggerDoWithDataCallback node) {
        Pre_doWithDataCallbackBooleanTrigger = node;
    }

    static Pre_BooleanSequencerRenderCallback Pre_renderCallbackBooleanSequencer;
    void setPre_BooleanSequencerRenderCallback(Pre_BooleanSequencerRenderCallback node) {
        Pre_renderCallbackBooleanSequencer = node;
    }

    static Pre_BooleanSequencerDoWithDataCallback Pre_doWithDataCallbackBooleanSequencer;
    void setPre_BooleanSequencerDoWithDataCallback(Pre_BooleanSequencerDoWithDataCallback node) {
        Pre_doWithDataCallbackBooleanSequencer = node;
    }

    static Pre_ColorRenderCallback Pre_renderCallbackColor;
    void setPre_ColorRenderCallback(Pre_ColorRenderCallback node) {
        Pre_renderCallbackColor = node;
    }

    static Pre_ColorDoWithDataCallback Pre_doWithDataCallbackColor;
    void setPre_ColorDoWithDataCallback(Pre_ColorDoWithDataCallback node) {
        Pre_doWithDataCallbackColor = node;
    }

    static Pre_OrientationChaserRenderCallback Pre_renderCallbackOrientationChaser;
    void setPre_OrientationChaserRenderCallback(Pre_OrientationChaserRenderCallback node) {
        Pre_renderCallbackOrientationChaser = node;
    }

    static Pre_OrientationChaserDoWithDataCallback Pre_doWithDataCallbackOrientationChaser;
    void setPre_OrientationChaserDoWithDataCallback(Pre_OrientationChaserDoWithDataCallback node) {
        Pre_doWithDataCallbackOrientationChaser = node;
    }

    static Pre_OrientationDamperRenderCallback Pre_renderCallbackOrientationDamper;
    void setPre_OrientationDamperRenderCallback(Pre_OrientationDamperRenderCallback node) {
        Pre_renderCallbackOrientationDamper = node;
    }

    static Pre_OrientationDamperDoWithDataCallback Pre_doWithDataCallbackOrientationDamper;
    void setPre_OrientationDamperDoWithDataCallback(Pre_OrientationDamperDoWithDataCallback node) {
        Pre_doWithDataCallbackOrientationDamper = node;
    }

    static Pre_PointPickSensorRenderCallback Pre_renderCallbackPointPickSensor;
    void setPre_PointPickSensorRenderCallback(Pre_PointPickSensorRenderCallback node) {
        Pre_renderCallbackPointPickSensor = node;
    }

    static Pre_PointPickSensorDoWithDataCallback Pre_doWithDataCallbackPointPickSensor;
    void setPre_PointPickSensorDoWithDataCallback(Pre_PointPickSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackPointPickSensor = node;
    }

    static Pre_SplinePositionInterpolatorRenderCallback Pre_renderCallbackSplinePositionInterpolator;
    void setPre_SplinePositionInterpolatorRenderCallback(Pre_SplinePositionInterpolatorRenderCallback node) {
        Pre_renderCallbackSplinePositionInterpolator = node;
    }

    static Pre_SplinePositionInterpolatorDoWithDataCallback Pre_doWithDataCallbackSplinePositionInterpolator;
    void setPre_SplinePositionInterpolatorDoWithDataCallback(Pre_SplinePositionInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackSplinePositionInterpolator = node;
    }

    static Pre_TimeTriggerRenderCallback Pre_renderCallbackTimeTrigger;
    void setPre_TimeTriggerRenderCallback(Pre_TimeTriggerRenderCallback node) {
        Pre_renderCallbackTimeTrigger = node;
    }

    static Pre_TimeTriggerDoWithDataCallback Pre_doWithDataCallbackTimeTrigger;
    void setPre_TimeTriggerDoWithDataCallback(Pre_TimeTriggerDoWithDataCallback node) {
        Pre_doWithDataCallbackTimeTrigger = node;
    }

    static Pre_Arc2DRenderCallback Pre_renderCallbackArc2D;
    void setPre_Arc2DRenderCallback(Pre_Arc2DRenderCallback node) {
        Pre_renderCallbackArc2D = node;
    }

    static Pre_Arc2DDoWithDataCallback Pre_doWithDataCallbackArc2D;
    void setPre_Arc2DDoWithDataCallback(Pre_Arc2DDoWithDataCallback node) {
        Pre_doWithDataCallbackArc2D = node;
    }

    static Pre_Disk2DRenderCallback Pre_renderCallbackDisk2D;
    void setPre_Disk2DRenderCallback(Pre_Disk2DRenderCallback node) {
        Pre_renderCallbackDisk2D = node;
    }

    static Pre_Disk2DDoWithDataCallback Pre_doWithDataCallbackDisk2D;
    void setPre_Disk2DDoWithDataCallback(Pre_Disk2DDoWithDataCallback node) {
        Pre_doWithDataCallbackDisk2D = node;
    }

    static Pre_GeoElevationGridRenderCallback Pre_renderCallbackGeoElevationGrid;
    void setPre_GeoElevationGridRenderCallback(Pre_GeoElevationGridRenderCallback node) {
        Pre_renderCallbackGeoElevationGrid = node;
    }

    static Pre_GeoElevationGridDoWithDataCallback Pre_doWithDataCallbackGeoElevationGrid;
    void setPre_GeoElevationGridDoWithDataCallback(Pre_GeoElevationGridDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoElevationGrid = node;
    }

    static Pre_IndexedTriangleSetRenderCallback Pre_renderCallbackIndexedTriangleSet;
    void setPre_IndexedTriangleSetRenderCallback(Pre_IndexedTriangleSetRenderCallback node) {
        Pre_renderCallbackIndexedTriangleSet = node;
    }

    static Pre_IndexedTriangleSetDoWithDataCallback Pre_doWithDataCallbackIndexedTriangleSet;
    void setPre_IndexedTriangleSetDoWithDataCallback(Pre_IndexedTriangleSetDoWithDataCallback node) {
        Pre_doWithDataCallbackIndexedTriangleSet = node;
    }

    static Pre_Polypoint2DRenderCallback Pre_renderCallbackPolypoint2D;
    void setPre_Polypoint2DRenderCallback(Pre_Polypoint2DRenderCallback node) {
        Pre_renderCallbackPolypoint2D = node;
    }

    static Pre_Polypoint2DDoWithDataCallback Pre_doWithDataCallbackPolypoint2D;
    void setPre_Polypoint2DDoWithDataCallback(Pre_Polypoint2DDoWithDataCallback node) {
        Pre_doWithDataCallbackPolypoint2D = node;
    }

    static Pre_PositionDamper2DRenderCallback Pre_renderCallbackPositionDamper2D;
    void setPre_PositionDamper2DRenderCallback(Pre_PositionDamper2DRenderCallback node) {
        Pre_renderCallbackPositionDamper2D = node;
    }

    static Pre_PositionDamper2DDoWithDataCallback Pre_doWithDataCallbackPositionDamper2D;
    void setPre_PositionDamper2DDoWithDataCallback(Pre_PositionDamper2DDoWithDataCallback node) {
        Pre_doWithDataCallbackPositionDamper2D = node;
    }

    static Pre_SuperEllipsoidRenderCallback Pre_renderCallbackSuperEllipsoid;
    void setPre_SuperEllipsoidRenderCallback(Pre_SuperEllipsoidRenderCallback node) {
        Pre_renderCallbackSuperEllipsoid = node;
    }

    static Pre_SuperEllipsoidDoWithDataCallback Pre_doWithDataCallbackSuperEllipsoid;
    void setPre_SuperEllipsoidDoWithDataCallback(Pre_SuperEllipsoidDoWithDataCallback node) {
        Pre_doWithDataCallbackSuperEllipsoid = node;
    }

    static Pre_BooleanToggleRenderCallback Pre_renderCallbackBooleanToggle;
    void setPre_BooleanToggleRenderCallback(Pre_BooleanToggleRenderCallback node) {
        Pre_renderCallbackBooleanToggle = node;
    }

    static Pre_BooleanToggleDoWithDataCallback Pre_doWithDataCallbackBooleanToggle;
    void setPre_BooleanToggleDoWithDataCallback(Pre_BooleanToggleDoWithDataCallback node) {
        Pre_doWithDataCallbackBooleanToggle = node;
    }

    static Pre_Matrix3VertexAttributeRenderCallback Pre_renderCallbackMatrix3VertexAttribute;
    void setPre_Matrix3VertexAttributeRenderCallback(Pre_Matrix3VertexAttributeRenderCallback node) {
        Pre_renderCallbackMatrix3VertexAttribute = node;
    }

    static Pre_Matrix3VertexAttributeDoWithDataCallback Pre_doWithDataCallbackMatrix3VertexAttribute;
    void setPre_Matrix3VertexAttributeDoWithDataCallback(Pre_Matrix3VertexAttributeDoWithDataCallback node) {
        Pre_doWithDataCallbackMatrix3VertexAttribute = node;
    }

    static Pre_Matrix4VertexAttributeRenderCallback Pre_renderCallbackMatrix4VertexAttribute;
    void setPre_Matrix4VertexAttributeRenderCallback(Pre_Matrix4VertexAttributeRenderCallback node) {
        Pre_renderCallbackMatrix4VertexAttribute = node;
    }

    static Pre_Matrix4VertexAttributeDoWithDataCallback Pre_doWithDataCallbackMatrix4VertexAttribute;
    void setPre_Matrix4VertexAttributeDoWithDataCallback(Pre_Matrix4VertexAttributeDoWithDataCallback node) {
        Pre_doWithDataCallbackMatrix4VertexAttribute = node;
    }

    static Pre_MultiTextureRenderCallback Pre_renderCallbackMultiTexture;
    void setPre_MultiTextureRenderCallback(Pre_MultiTextureRenderCallback node) {
        Pre_renderCallbackMultiTexture = node;
    }

    static Pre_MultiTextureDoWithDataCallback Pre_doWithDataCallbackMultiTexture;
    void setPre_MultiTextureDoWithDataCallback(Pre_MultiTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackMultiTexture = node;
    }

    static Pre_ShapeRenderCallback Pre_renderCallbackShape;
    void setPre_ShapeRenderCallback(Pre_ShapeRenderCallback node) {
        Pre_renderCallbackShape = node;
    }

    static Pre_ShapeDoWithDataCallback Pre_doWithDataCallbackShape;
    void setPre_ShapeDoWithDataCallback(Pre_ShapeDoWithDataCallback node) {
        Pre_doWithDataCallbackShape = node;
    }

    static Pre_DISEntityTypeMappingRenderCallback Pre_renderCallbackDISEntityTypeMapping;
    void setPre_DISEntityTypeMappingRenderCallback(Pre_DISEntityTypeMappingRenderCallback node) {
        Pre_renderCallbackDISEntityTypeMapping = node;
    }

    static Pre_DISEntityTypeMappingDoWithDataCallback Pre_doWithDataCallbackDISEntityTypeMapping;
    void setPre_DISEntityTypeMappingDoWithDataCallback(Pre_DISEntityTypeMappingDoWithDataCallback node) {
        Pre_doWithDataCallbackDISEntityTypeMapping = node;
    }

    static Pre_LocalFogRenderCallback Pre_renderCallbackLocalFog;
    void setPre_LocalFogRenderCallback(Pre_LocalFogRenderCallback node) {
        Pre_renderCallbackLocalFog = node;
    }

    static Pre_LocalFogDoWithDataCallback Pre_doWithDataCallbackLocalFog;
    void setPre_LocalFogDoWithDataCallback(Pre_LocalFogDoWithDataCallback node) {
        Pre_doWithDataCallbackLocalFog = node;
    }

    static Pre_BoxRenderCallback Pre_renderCallbackBox;
    void setPre_BoxRenderCallback(Pre_BoxRenderCallback node) {
        Pre_renderCallbackBox = node;
    }

    static Pre_BoxDoWithDataCallback Pre_doWithDataCallbackBox;
    void setPre_BoxDoWithDataCallback(Pre_BoxDoWithDataCallback node) {
        Pre_doWithDataCallbackBox = node;
    }

    static Pre_GeoLocationRenderCallback Pre_renderCallbackGeoLocation;
    void setPre_GeoLocationRenderCallback(Pre_GeoLocationRenderCallback node) {
        Pre_renderCallbackGeoLocation = node;
    }

    static Pre_GeoLocationDoWithDataCallback Pre_doWithDataCallbackGeoLocation;
    void setPre_GeoLocationDoWithDataCallback(Pre_GeoLocationDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoLocation = node;
    }

    static Pre_ScreenGroupRenderCallback Pre_renderCallbackScreenGroup;
    void setPre_ScreenGroupRenderCallback(Pre_ScreenGroupRenderCallback node) {
        Pre_renderCallbackScreenGroup = node;
    }

    static Pre_ScreenGroupDoWithDataCallback Pre_doWithDataCallbackScreenGroup;
    void setPre_ScreenGroupDoWithDataCallback(Pre_ScreenGroupDoWithDataCallback node) {
        Pre_doWithDataCallbackScreenGroup = node;
    }

    static Pre_CylinderRenderCallback Pre_renderCallbackCylinder;
    void setPre_CylinderRenderCallback(Pre_CylinderRenderCallback node) {
        Pre_renderCallbackCylinder = node;
    }

    static Pre_CylinderDoWithDataCallback Pre_doWithDataCallbackCylinder;
    void setPre_CylinderDoWithDataCallback(Pre_CylinderDoWithDataCallback node) {
        Pre_doWithDataCallbackCylinder = node;
    }

    static Pre_DISEntityManagerRenderCallback Pre_renderCallbackDISEntityManager;
    void setPre_DISEntityManagerRenderCallback(Pre_DISEntityManagerRenderCallback node) {
        Pre_renderCallbackDISEntityManager = node;
    }

    static Pre_DISEntityManagerDoWithDataCallback Pre_doWithDataCallbackDISEntityManager;
    void setPre_DISEntityManagerDoWithDataCallback(Pre_DISEntityManagerDoWithDataCallback node) {
        Pre_doWithDataCallbackDISEntityManager = node;
    }

    static Pre_NormalInterpolatorRenderCallback Pre_renderCallbackNormalInterpolator;
    void setPre_NormalInterpolatorRenderCallback(Pre_NormalInterpolatorRenderCallback node) {
        Pre_renderCallbackNormalInterpolator = node;
    }

    static Pre_NormalInterpolatorDoWithDataCallback Pre_doWithDataCallbackNormalInterpolator;
    void setPre_NormalInterpolatorDoWithDataCallback(Pre_NormalInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackNormalInterpolator = node;
    }

    static Pre_ScalarInterpolatorRenderCallback Pre_renderCallbackScalarInterpolator;
    void setPre_ScalarInterpolatorRenderCallback(Pre_ScalarInterpolatorRenderCallback node) {
        Pre_renderCallbackScalarInterpolator = node;
    }

    static Pre_ScalarInterpolatorDoWithDataCallback Pre_doWithDataCallbackScalarInterpolator;
    void setPre_ScalarInterpolatorDoWithDataCallback(Pre_ScalarInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackScalarInterpolator = node;
    }

    static Pre_TransformSensorRenderCallback Pre_renderCallbackTransformSensor;
    void setPre_TransformSensorRenderCallback(Pre_TransformSensorRenderCallback node) {
        Pre_renderCallbackTransformSensor = node;
    }

    static Pre_TransformSensorDoWithDataCallback Pre_doWithDataCallbackTransformSensor;
    void setPre_TransformSensorDoWithDataCallback(Pre_TransformSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackTransformSensor = node;
    }

    static Pre_CattExportRecRenderCallback Pre_renderCallbackCattExportRec;
    void setPre_CattExportRecRenderCallback(Pre_CattExportRecRenderCallback node) {
        Pre_renderCallbackCattExportRec = node;
    }

    static Pre_CattExportRecDoWithDataCallback Pre_doWithDataCallbackCattExportRec;
    void setPre_CattExportRecDoWithDataCallback(Pre_CattExportRecDoWithDataCallback node) {
        Pre_doWithDataCallbackCattExportRec = node;
    }

    static Pre_FillPropertiesRenderCallback Pre_renderCallbackFillProperties;
    void setPre_FillPropertiesRenderCallback(Pre_FillPropertiesRenderCallback node) {
        Pre_renderCallbackFillProperties = node;
    }

    static Pre_FillPropertiesDoWithDataCallback Pre_doWithDataCallbackFillProperties;
    void setPre_FillPropertiesDoWithDataCallback(Pre_FillPropertiesDoWithDataCallback node) {
        Pre_doWithDataCallbackFillProperties = node;
    }

    static Pre_HAnimSegmentRenderCallback Pre_renderCallbackHAnimSegment;
    void setPre_HAnimSegmentRenderCallback(Pre_HAnimSegmentRenderCallback node) {
        Pre_renderCallbackHAnimSegment = node;
    }

    static Pre_HAnimSegmentDoWithDataCallback Pre_doWithDataCallbackHAnimSegment;
    void setPre_HAnimSegmentDoWithDataCallback(Pre_HAnimSegmentDoWithDataCallback node) {
        Pre_doWithDataCallbackHAnimSegment = node;
    }

    static Pre_SplinePositionInterpolator2DRenderCallback Pre_renderCallbackSplinePositionInterpolator2D;
    void setPre_SplinePositionInterpolator2DRenderCallback(Pre_SplinePositionInterpolator2DRenderCallback node) {
        Pre_renderCallbackSplinePositionInterpolator2D = node;
    }

    static Pre_SplinePositionInterpolator2DDoWithDataCallback Pre_doWithDataCallbackSplinePositionInterpolator2D;
    void setPre_SplinePositionInterpolator2DDoWithDataCallback(Pre_SplinePositionInterpolator2DDoWithDataCallback node) {
        Pre_doWithDataCallbackSplinePositionInterpolator2D = node;
    }

    static Pre_TextureBackgroundRenderCallback Pre_renderCallbackTextureBackground;
    void setPre_TextureBackgroundRenderCallback(Pre_TextureBackgroundRenderCallback node) {
        Pre_renderCallbackTextureBackground = node;
    }

    static Pre_TextureBackgroundDoWithDataCallback Pre_doWithDataCallbackTextureBackground;
    void setPre_TextureBackgroundDoWithDataCallback(Pre_TextureBackgroundDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureBackground = node;
    }

    static Pre_ClipPlaneRenderCallback Pre_renderCallbackClipPlane;
    void setPre_ClipPlaneRenderCallback(Pre_ClipPlaneRenderCallback node) {
        Pre_renderCallbackClipPlane = node;
    }

    static Pre_ClipPlaneDoWithDataCallback Pre_doWithDataCallbackClipPlane;
    void setPre_ClipPlaneDoWithDataCallback(Pre_ClipPlaneDoWithDataCallback node) {
        Pre_doWithDataCallbackClipPlane = node;
    }

    static Pre_ReceiverPduRenderCallback Pre_renderCallbackReceiverPdu;
    void setPre_ReceiverPduRenderCallback(Pre_ReceiverPduRenderCallback node) {
        Pre_renderCallbackReceiverPdu = node;
    }

    static Pre_ReceiverPduDoWithDataCallback Pre_doWithDataCallbackReceiverPdu;
    void setPre_ReceiverPduDoWithDataCallback(Pre_ReceiverPduDoWithDataCallback node) {
        Pre_doWithDataCallbackReceiverPdu = node;
    }

    static Pre_TextureCoordinateRenderCallback Pre_renderCallbackTextureCoordinate;
    void setPre_TextureCoordinateRenderCallback(Pre_TextureCoordinateRenderCallback node) {
        Pre_renderCallbackTextureCoordinate = node;
    }

    static Pre_TextureCoordinateDoWithDataCallback Pre_doWithDataCallbackTextureCoordinate;
    void setPre_TextureCoordinateDoWithDataCallback(Pre_TextureCoordinateDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureCoordinate = node;
    }

    static Pre_NormalRenderCallback Pre_renderCallbackNormal;
    void setPre_NormalRenderCallback(Pre_NormalRenderCallback node) {
        Pre_renderCallbackNormal = node;
    }

    static Pre_NormalDoWithDataCallback Pre_doWithDataCallbackNormal;
    void setPre_NormalDoWithDataCallback(Pre_NormalDoWithDataCallback node) {
        Pre_doWithDataCallbackNormal = node;
    }

    static Pre_ViewpointGroupRenderCallback Pre_renderCallbackViewpointGroup;
    void setPre_ViewpointGroupRenderCallback(Pre_ViewpointGroupRenderCallback node) {
        Pre_renderCallbackViewpointGroup = node;
    }

    static Pre_ViewpointGroupDoWithDataCallback Pre_doWithDataCallbackViewpointGroup;
    void setPre_ViewpointGroupDoWithDataCallback(Pre_ViewpointGroupDoWithDataCallback node) {
        Pre_doWithDataCallbackViewpointGroup = node;
    }

    static Pre_BooleanFilterRenderCallback Pre_renderCallbackBooleanFilter;
    void setPre_BooleanFilterRenderCallback(Pre_BooleanFilterRenderCallback node) {
        Pre_renderCallbackBooleanFilter = node;
    }

    static Pre_BooleanFilterDoWithDataCallback Pre_doWithDataCallbackBooleanFilter;
    void setPre_BooleanFilterDoWithDataCallback(Pre_BooleanFilterDoWithDataCallback node) {
        Pre_doWithDataCallbackBooleanFilter = node;
    }

    static Pre_BillboardRenderCallback Pre_renderCallbackBillboard;
    void setPre_BillboardRenderCallback(Pre_BillboardRenderCallback node) {
        Pre_renderCallbackBillboard = node;
    }

    static Pre_BillboardDoWithDataCallback Pre_doWithDataCallbackBillboard;
    void setPre_BillboardDoWithDataCallback(Pre_BillboardDoWithDataCallback node) {
        Pre_doWithDataCallbackBillboard = node;
    }

    static Pre_SpotLightRenderCallback Pre_renderCallbackSpotLight;
    void setPre_SpotLightRenderCallback(Pre_SpotLightRenderCallback node) {
        Pre_renderCallbackSpotLight = node;
    }

    static Pre_SpotLightDoWithDataCallback Pre_doWithDataCallbackSpotLight;
    void setPre_SpotLightDoWithDataCallback(Pre_SpotLightDoWithDataCallback node) {
        Pre_doWithDataCallbackSpotLight = node;
    }

    static Pre_FogCoordinateRenderCallback Pre_renderCallbackFogCoordinate;
    void setPre_FogCoordinateRenderCallback(Pre_FogCoordinateRenderCallback node) {
        Pre_renderCallbackFogCoordinate = node;
    }

    static Pre_FogCoordinateDoWithDataCallback Pre_doWithDataCallbackFogCoordinate;
    void setPre_FogCoordinateDoWithDataCallback(Pre_FogCoordinateDoWithDataCallback node) {
        Pre_doWithDataCallbackFogCoordinate = node;
    }

    static Pre_GeoCoordinateRenderCallback Pre_renderCallbackGeoCoordinate;
    void setPre_GeoCoordinateRenderCallback(Pre_GeoCoordinateRenderCallback node) {
        Pre_renderCallbackGeoCoordinate = node;
    }

    static Pre_GeoCoordinateDoWithDataCallback Pre_doWithDataCallbackGeoCoordinate;
    void setPre_GeoCoordinateDoWithDataCallback(Pre_GeoCoordinateDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoCoordinate = node;
    }

    static Pre_SphereRenderCallback Pre_renderCallbackSphere;
    void setPre_SphereRenderCallback(Pre_SphereRenderCallback node) {
        Pre_renderCallbackSphere = node;
    }

    static Pre_SphereDoWithDataCallback Pre_doWithDataCallbackSphere;
    void setPre_SphereDoWithDataCallback(Pre_SphereDoWithDataCallback node) {
        Pre_doWithDataCallbackSphere = node;
    }

    static Pre_RigidBodyCollectionRenderCallback Pre_renderCallbackRigidBodyCollection;
    void setPre_RigidBodyCollectionRenderCallback(Pre_RigidBodyCollectionRenderCallback node) {
        Pre_renderCallbackRigidBodyCollection = node;
    }

    static Pre_RigidBodyCollectionDoWithDataCallback Pre_doWithDataCallbackRigidBodyCollection;
    void setPre_RigidBodyCollectionDoWithDataCallback(Pre_RigidBodyCollectionDoWithDataCallback node) {
        Pre_doWithDataCallbackRigidBodyCollection = node;
    }

    static Pre_GeoMetadataRenderCallback Pre_renderCallbackGeoMetadata;
    void setPre_GeoMetadataRenderCallback(Pre_GeoMetadataRenderCallback node) {
        Pre_renderCallbackGeoMetadata = node;
    }

    static Pre_GeoMetadataDoWithDataCallback Pre_doWithDataCallbackGeoMetadata;
    void setPre_GeoMetadataDoWithDataCallback(Pre_GeoMetadataDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoMetadata = node;
    }

    static Pre_ColorInterpolatorRenderCallback Pre_renderCallbackColorInterpolator;
    void setPre_ColorInterpolatorRenderCallback(Pre_ColorInterpolatorRenderCallback node) {
        Pre_renderCallbackColorInterpolator = node;
    }

    static Pre_ColorInterpolatorDoWithDataCallback Pre_doWithDataCallbackColorInterpolator;
    void setPre_ColorInterpolatorDoWithDataCallback(Pre_ColorInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackColorInterpolator = node;
    }

    static Pre_ExplosionEmitterRenderCallback Pre_renderCallbackExplosionEmitter;
    void setPre_ExplosionEmitterRenderCallback(Pre_ExplosionEmitterRenderCallback node) {
        Pre_renderCallbackExplosionEmitter = node;
    }

    static Pre_ExplosionEmitterDoWithDataCallback Pre_doWithDataCallbackExplosionEmitter;
    void setPre_ExplosionEmitterDoWithDataCallback(Pre_ExplosionEmitterDoWithDataCallback node) {
        Pre_doWithDataCallbackExplosionEmitter = node;
    }

    static Pre_LinePropertiesRenderCallback Pre_renderCallbackLineProperties;
    void setPre_LinePropertiesRenderCallback(Pre_LinePropertiesRenderCallback node) {
        Pre_renderCallbackLineProperties = node;
    }

    static Pre_LinePropertiesDoWithDataCallback Pre_doWithDataCallbackLineProperties;
    void setPre_LinePropertiesDoWithDataCallback(Pre_LinePropertiesDoWithDataCallback node) {
        Pre_doWithDataCallbackLineProperties = node;
    }

    static Pre_LineSetRenderCallback Pre_renderCallbackLineSet;
    void setPre_LineSetRenderCallback(Pre_LineSetRenderCallback node) {
        Pre_renderCallbackLineSet = node;
    }

    static Pre_LineSetDoWithDataCallback Pre_doWithDataCallbackLineSet;
    void setPre_LineSetDoWithDataCallback(Pre_LineSetDoWithDataCallback node) {
        Pre_doWithDataCallbackLineSet = node;
    }

    static Pre_NurbsSetRenderCallback Pre_renderCallbackNurbsSet;
    void setPre_NurbsSetRenderCallback(Pre_NurbsSetRenderCallback node) {
        Pre_renderCallbackNurbsSet = node;
    }

    static Pre_NurbsSetDoWithDataCallback Pre_doWithDataCallbackNurbsSet;
    void setPre_NurbsSetDoWithDataCallback(Pre_NurbsSetDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsSet = node;
    }

    static Pre_QuadSetRenderCallback Pre_renderCallbackQuadSet;
    void setPre_QuadSetRenderCallback(Pre_QuadSetRenderCallback node) {
        Pre_renderCallbackQuadSet = node;
    }

    static Pre_QuadSetDoWithDataCallback Pre_doWithDataCallbackQuadSet;
    void setPre_QuadSetDoWithDataCallback(Pre_QuadSetDoWithDataCallback node) {
        Pre_doWithDataCallbackQuadSet = node;
    }

    static Pre_TriangleStripSetRenderCallback Pre_renderCallbackTriangleStripSet;
    void setPre_TriangleStripSetRenderCallback(Pre_TriangleStripSetRenderCallback node) {
        Pre_renderCallbackTriangleStripSet = node;
    }

    static Pre_TriangleStripSetDoWithDataCallback Pre_doWithDataCallbackTriangleStripSet;
    void setPre_TriangleStripSetDoWithDataCallback(Pre_TriangleStripSetDoWithDataCallback node) {
        Pre_doWithDataCallbackTriangleStripSet = node;
    }

    static Pre_VrmlCutRenderCallback Pre_renderCallbackVrmlCut;
    void setPre_VrmlCutRenderCallback(Pre_VrmlCutRenderCallback node) {
        Pre_renderCallbackVrmlCut = node;
    }

    static Pre_VrmlCutDoWithDataCallback Pre_doWithDataCallbackVrmlCut;
    void setPre_VrmlCutDoWithDataCallback(Pre_VrmlCutDoWithDataCallback node) {
        Pre_doWithDataCallbackVrmlCut = node;
    }

    static Pre_CollidableShapeRenderCallback Pre_renderCallbackCollidableShape;
    void setPre_CollidableShapeRenderCallback(Pre_CollidableShapeRenderCallback node) {
        Pre_renderCallbackCollidableShape = node;
    }

    static Pre_CollidableShapeDoWithDataCallback Pre_doWithDataCallbackCollidableShape;
    void setPre_CollidableShapeDoWithDataCallback(Pre_CollidableShapeDoWithDataCallback node) {
        Pre_doWithDataCallbackCollidableShape = node;
    }

    static Pre_NurbsSweptSurfaceRenderCallback Pre_renderCallbackNurbsSweptSurface;
    void setPre_NurbsSweptSurfaceRenderCallback(Pre_NurbsSweptSurfaceRenderCallback node) {
        Pre_renderCallbackNurbsSweptSurface = node;
    }

    static Pre_NurbsSweptSurfaceDoWithDataCallback Pre_doWithDataCallbackNurbsSweptSurface;
    void setPre_NurbsSweptSurfaceDoWithDataCallback(Pre_NurbsSweptSurfaceDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsSweptSurface = node;
    }

    static Pre_PixelTextureRenderCallback Pre_renderCallbackPixelTexture;
    void setPre_PixelTextureRenderCallback(Pre_PixelTextureRenderCallback node) {
        Pre_renderCallbackPixelTexture = node;
    }

    static Pre_PixelTextureDoWithDataCallback Pre_doWithDataCallbackPixelTexture;
    void setPre_PixelTextureDoWithDataCallback(Pre_PixelTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackPixelTexture = node;
    }

    static Pre_SwitchRenderCallback Pre_renderCallbackSwitch;
    void setPre_SwitchRenderCallback(Pre_SwitchRenderCallback node) {
        Pre_renderCallbackSwitch = node;
    }

    static Pre_SwitchDoWithDataCallback Pre_doWithDataCallbackSwitch;
    void setPre_SwitchDoWithDataCallback(Pre_SwitchDoWithDataCallback node) {
        Pre_doWithDataCallbackSwitch = node;
    }

    static Pre_LayoutGroupRenderCallback Pre_renderCallbackLayoutGroup;
    void setPre_LayoutGroupRenderCallback(Pre_LayoutGroupRenderCallback node) {
        Pre_renderCallbackLayoutGroup = node;
    }

    static Pre_LayoutGroupDoWithDataCallback Pre_doWithDataCallbackLayoutGroup;
    void setPre_LayoutGroupDoWithDataCallback(Pre_LayoutGroupDoWithDataCallback node) {
        Pre_doWithDataCallbackLayoutGroup = node;
    }

    static Pre_ColorDamperRenderCallback Pre_renderCallbackColorDamper;
    void setPre_ColorDamperRenderCallback(Pre_ColorDamperRenderCallback node) {
        Pre_renderCallbackColorDamper = node;
    }

    static Pre_ColorDamperDoWithDataCallback Pre_doWithDataCallbackColorDamper;
    void setPre_ColorDamperDoWithDataCallback(Pre_ColorDamperDoWithDataCallback node) {
        Pre_doWithDataCallbackColorDamper = node;
    }

    static Pre_IntegerSequencerRenderCallback Pre_renderCallbackIntegerSequencer;
    void setPre_IntegerSequencerRenderCallback(Pre_IntegerSequencerRenderCallback node) {
        Pre_renderCallbackIntegerSequencer = node;
    }

    static Pre_IntegerSequencerDoWithDataCallback Pre_doWithDataCallbackIntegerSequencer;
    void setPre_IntegerSequencerDoWithDataCallback(Pre_IntegerSequencerDoWithDataCallback node) {
        Pre_doWithDataCallbackIntegerSequencer = node;
    }

    static Pre_KeySensorRenderCallback Pre_renderCallbackKeySensor;
    void setPre_KeySensorRenderCallback(Pre_KeySensorRenderCallback node) {
        Pre_renderCallbackKeySensor = node;
    }

    static Pre_KeySensorDoWithDataCallback Pre_doWithDataCallbackKeySensor;
    void setPre_KeySensorDoWithDataCallback(Pre_KeySensorDoWithDataCallback node) {
        Pre_doWithDataCallbackKeySensor = node;
    }

    static Pre_LayoutLayerRenderCallback Pre_renderCallbackLayoutLayer;
    void setPre_LayoutLayerRenderCallback(Pre_LayoutLayerRenderCallback node) {
        Pre_renderCallbackLayoutLayer = node;
    }

    static Pre_LayoutLayerDoWithDataCallback Pre_doWithDataCallbackLayoutLayer;
    void setPre_LayoutLayerDoWithDataCallback(Pre_LayoutLayerDoWithDataCallback node) {
        Pre_doWithDataCallbackLayoutLayer = node;
    }

    static Pre_SquadOrientationInterpolatorRenderCallback Pre_renderCallbackSquadOrientationInterpolator;
    void setPre_SquadOrientationInterpolatorRenderCallback(Pre_SquadOrientationInterpolatorRenderCallback node) {
        Pre_renderCallbackSquadOrientationInterpolator = node;
    }

    static Pre_SquadOrientationInterpolatorDoWithDataCallback Pre_doWithDataCallbackSquadOrientationInterpolator;
    void setPre_SquadOrientationInterpolatorDoWithDataCallback(Pre_SquadOrientationInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackSquadOrientationInterpolator = node;
    }

    static Pre_EaseInEaseOutRenderCallback Pre_renderCallbackEaseInEaseOut;
    void setPre_EaseInEaseOutRenderCallback(Pre_EaseInEaseOutRenderCallback node) {
        Pre_renderCallbackEaseInEaseOut = node;
    }

    static Pre_EaseInEaseOutDoWithDataCallback Pre_doWithDataCallbackEaseInEaseOut;
    void setPre_EaseInEaseOutDoWithDataCallback(Pre_EaseInEaseOutDoWithDataCallback node) {
        Pre_doWithDataCallbackEaseInEaseOut = node;
    }

    static Pre_GeoViewpointRenderCallback Pre_renderCallbackGeoViewpoint;
    void setPre_GeoViewpointRenderCallback(Pre_GeoViewpointRenderCallback node) {
        Pre_renderCallbackGeoViewpoint = node;
    }

    static Pre_GeoViewpointDoWithDataCallback Pre_doWithDataCallbackGeoViewpoint;
    void setPre_GeoViewpointDoWithDataCallback(Pre_GeoViewpointDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoViewpoint = node;
    }

    static Pre_OdeSliderJointRenderCallback Pre_renderCallbackOdeSliderJoint;
    void setPre_OdeSliderJointRenderCallback(Pre_OdeSliderJointRenderCallback node) {
        Pre_renderCallbackOdeSliderJoint = node;
    }

    static Pre_OdeSliderJointDoWithDataCallback Pre_doWithDataCallbackOdeSliderJoint;
    void setPre_OdeSliderJointDoWithDataCallback(Pre_OdeSliderJointDoWithDataCallback node) {
        Pre_doWithDataCallbackOdeSliderJoint = node;
    }

    static Pre_ViewpointRenderCallback Pre_renderCallbackViewpoint;
    void setPre_ViewpointRenderCallback(Pre_ViewpointRenderCallback node) {
        Pre_renderCallbackViewpoint = node;
    }

    static Pre_ViewpointDoWithDataCallback Pre_doWithDataCallbackViewpoint;
    void setPre_ViewpointDoWithDataCallback(Pre_ViewpointDoWithDataCallback node) {
        Pre_doWithDataCallbackViewpoint = node;
    }

    static Pre_ExtrusionRenderCallback Pre_renderCallbackExtrusion;
    void setPre_ExtrusionRenderCallback(Pre_ExtrusionRenderCallback node) {
        Pre_renderCallbackExtrusion = node;
    }

    static Pre_ExtrusionDoWithDataCallback Pre_doWithDataCallbackExtrusion;
    void setPre_ExtrusionDoWithDataCallback(Pre_ExtrusionDoWithDataCallback node) {
        Pre_doWithDataCallbackExtrusion = node;
    }

    static Pre_WorldInfoRenderCallback Pre_renderCallbackWorldInfo;
    void setPre_WorldInfoRenderCallback(Pre_WorldInfoRenderCallback node) {
        Pre_renderCallbackWorldInfo = node;
    }

    static Pre_WorldInfoDoWithDataCallback Pre_doWithDataCallbackWorldInfo;
    void setPre_WorldInfoDoWithDataCallback(Pre_WorldInfoDoWithDataCallback node) {
        Pre_doWithDataCallbackWorldInfo = node;
    }

    static Pre_AudioClipRenderCallback Pre_renderCallbackAudioClip;
    void setPre_AudioClipRenderCallback(Pre_AudioClipRenderCallback node) {
        Pre_renderCallbackAudioClip = node;
    }

    static Pre_AudioClipDoWithDataCallback Pre_doWithDataCallbackAudioClip;
    void setPre_AudioClipDoWithDataCallback(Pre_AudioClipDoWithDataCallback node) {
        Pre_doWithDataCallbackAudioClip = node;
    }

    static Pre_CADLayerRenderCallback Pre_renderCallbackCADLayer;
    void setPre_CADLayerRenderCallback(Pre_CADLayerRenderCallback node) {
        Pre_renderCallbackCADLayer = node;
    }

    static Pre_CADLayerDoWithDataCallback Pre_doWithDataCallbackCADLayer;
    void setPre_CADLayerDoWithDataCallback(Pre_CADLayerDoWithDataCallback node) {
        Pre_doWithDataCallbackCADLayer = node;
    }

    static Pre_IntegerTriggerRenderCallback Pre_renderCallbackIntegerTrigger;
    void setPre_IntegerTriggerRenderCallback(Pre_IntegerTriggerRenderCallback node) {
        Pre_renderCallbackIntegerTrigger = node;
    }

    static Pre_IntegerTriggerDoWithDataCallback Pre_doWithDataCallbackIntegerTrigger;
    void setPre_IntegerTriggerDoWithDataCallback(Pre_IntegerTriggerDoWithDataCallback node) {
        Pre_doWithDataCallbackIntegerTrigger = node;
    }

    static Pre_ImageTexture3DRenderCallback Pre_renderCallbackImageTexture3D;
    void setPre_ImageTexture3DRenderCallback(Pre_ImageTexture3DRenderCallback node) {
        Pre_renderCallbackImageTexture3D = node;
    }

    static Pre_ImageTexture3DDoWithDataCallback Pre_doWithDataCallbackImageTexture3D;
    void setPre_ImageTexture3DDoWithDataCallback(Pre_ImageTexture3DDoWithDataCallback node) {
        Pre_doWithDataCallbackImageTexture3D = node;
    }

    static Pre_MetadataSetRenderCallback Pre_renderCallbackMetadataSet;
    void setPre_MetadataSetRenderCallback(Pre_MetadataSetRenderCallback node) {
        Pre_renderCallbackMetadataSet = node;
    }

    static Pre_MetadataSetDoWithDataCallback Pre_doWithDataCallbackMetadataSet;
    void setPre_MetadataSetDoWithDataCallback(Pre_MetadataSetDoWithDataCallback node) {
        Pre_doWithDataCallbackMetadataSet = node;
    }

    static Pre_PointSetRenderCallback Pre_renderCallbackPointSet;
    void setPre_PointSetRenderCallback(Pre_PointSetRenderCallback node) {
        Pre_renderCallbackPointSet = node;
    }

    static Pre_PointSetDoWithDataCallback Pre_doWithDataCallbackPointSet;
    void setPre_PointSetDoWithDataCallback(Pre_PointSetDoWithDataCallback node) {
        Pre_doWithDataCallbackPointSet = node;
    }

    static Pre_GeneratedCubeMapTextureRenderCallback Pre_renderCallbackGeneratedCubeMapTexture;
    void setPre_GeneratedCubeMapTextureRenderCallback(Pre_GeneratedCubeMapTextureRenderCallback node) {
        Pre_renderCallbackGeneratedCubeMapTexture = node;
    }

    static Pre_GeneratedCubeMapTextureDoWithDataCallback Pre_doWithDataCallbackGeneratedCubeMapTexture;
    void setPre_GeneratedCubeMapTextureDoWithDataCallback(Pre_GeneratedCubeMapTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackGeneratedCubeMapTexture = node;
    }

    static Pre_MetadataDoubleRenderCallback Pre_renderCallbackMetadataDouble;
    void setPre_MetadataDoubleRenderCallback(Pre_MetadataDoubleRenderCallback node) {
        Pre_renderCallbackMetadataDouble = node;
    }

    static Pre_MetadataDoubleDoWithDataCallback Pre_doWithDataCallbackMetadataDouble;
    void setPre_MetadataDoubleDoWithDataCallback(Pre_MetadataDoubleDoWithDataCallback node) {
        Pre_doWithDataCallbackMetadataDouble = node;
    }

    static Pre_TrimmedSurfaceRenderCallback Pre_renderCallbackTrimmedSurface;
    void setPre_TrimmedSurfaceRenderCallback(Pre_TrimmedSurfaceRenderCallback node) {
        Pre_renderCallbackTrimmedSurface = node;
    }

    static Pre_TrimmedSurfaceDoWithDataCallback Pre_doWithDataCallbackTrimmedSurface;
    void setPre_TrimmedSurfaceDoWithDataCallback(Pre_TrimmedSurfaceDoWithDataCallback node) {
        Pre_doWithDataCallbackTrimmedSurface = node;
    }

    static Pre_CADAssemblyRenderCallback Pre_renderCallbackCADAssembly;
    void setPre_CADAssemblyRenderCallback(Pre_CADAssemblyRenderCallback node) {
        Pre_renderCallbackCADAssembly = node;
    }

    static Pre_CADAssemblyDoWithDataCallback Pre_doWithDataCallbackCADAssembly;
    void setPre_CADAssemblyDoWithDataCallback(Pre_CADAssemblyDoWithDataCallback node) {
        Pre_doWithDataCallbackCADAssembly = node;
    }

    static Pre_BoundedPhysicsModelRenderCallback Pre_renderCallbackBoundedPhysicsModel;
    void setPre_BoundedPhysicsModelRenderCallback(Pre_BoundedPhysicsModelRenderCallback node) {
        Pre_renderCallbackBoundedPhysicsModel = node;
    }

    static Pre_BoundedPhysicsModelDoWithDataCallback Pre_doWithDataCallbackBoundedPhysicsModel;
    void setPre_BoundedPhysicsModelDoWithDataCallback(Pre_BoundedPhysicsModelDoWithDataCallback node) {
        Pre_doWithDataCallbackBoundedPhysicsModel = node;
    }

    static Pre_GravityPhysicsModelRenderCallback Pre_renderCallbackGravityPhysicsModel;
    void setPre_GravityPhysicsModelRenderCallback(Pre_GravityPhysicsModelRenderCallback node) {
        Pre_renderCallbackGravityPhysicsModel = node;
    }

    static Pre_GravityPhysicsModelDoWithDataCallback Pre_doWithDataCallbackGravityPhysicsModel;
    void setPre_GravityPhysicsModelDoWithDataCallback(Pre_GravityPhysicsModelDoWithDataCallback node) {
        Pre_doWithDataCallbackGravityPhysicsModel = node;
    }

    static Pre_GroupRenderCallback Pre_renderCallbackGroup;
    void setPre_GroupRenderCallback(Pre_GroupRenderCallback node) {
        Pre_renderCallbackGroup = node;
    }

    static Pre_GroupDoWithDataCallback Pre_doWithDataCallbackGroup;
    void setPre_GroupDoWithDataCallback(Pre_GroupDoWithDataCallback node) {
        Pre_doWithDataCallbackGroup = node;
    }

    static Pre_CoordinateDeformerRenderCallback Pre_renderCallbackCoordinateDeformer;
    void setPre_CoordinateDeformerRenderCallback(Pre_CoordinateDeformerRenderCallback node) {
        Pre_renderCallbackCoordinateDeformer = node;
    }

    static Pre_CoordinateDeformerDoWithDataCallback Pre_doWithDataCallbackCoordinateDeformer;
    void setPre_CoordinateDeformerDoWithDataCallback(Pre_CoordinateDeformerDoWithDataCallback node) {
        Pre_doWithDataCallbackCoordinateDeformer = node;
    }

    static Pre_GeoPositionInterpolatorRenderCallback Pre_renderCallbackGeoPositionInterpolator;
    void setPre_GeoPositionInterpolatorRenderCallback(Pre_GeoPositionInterpolatorRenderCallback node) {
        Pre_renderCallbackGeoPositionInterpolator = node;
    }

    static Pre_GeoPositionInterpolatorDoWithDataCallback Pre_doWithDataCallbackGeoPositionInterpolator;
    void setPre_GeoPositionInterpolatorDoWithDataCallback(Pre_GeoPositionInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoPositionInterpolator = node;
    }

    static Pre_LayerRenderCallback Pre_renderCallbackLayer;
    void setPre_LayerRenderCallback(Pre_LayerRenderCallback node) {
        Pre_renderCallbackLayer = node;
    }

    static Pre_LayerDoWithDataCallback Pre_doWithDataCallbackLayer;
    void setPre_LayerDoWithDataCallback(Pre_LayerDoWithDataCallback node) {
        Pre_doWithDataCallbackLayer = node;
    }

    static Pre_PolylineEmitterRenderCallback Pre_renderCallbackPolylineEmitter;
    void setPre_PolylineEmitterRenderCallback(Pre_PolylineEmitterRenderCallback node) {
        Pre_renderCallbackPolylineEmitter = node;
    }

    static Pre_PolylineEmitterDoWithDataCallback Pre_doWithDataCallbackPolylineEmitter;
    void setPre_PolylineEmitterDoWithDataCallback(Pre_PolylineEmitterDoWithDataCallback node) {
        Pre_doWithDataCallbackPolylineEmitter = node;
    }

    static Pre_PositionInterpolatorRenderCallback Pre_renderCallbackPositionInterpolator;
    void setPre_PositionInterpolatorRenderCallback(Pre_PositionInterpolatorRenderCallback node) {
        Pre_renderCallbackPositionInterpolator = node;
    }

    static Pre_PositionInterpolatorDoWithDataCallback Pre_doWithDataCallbackPositionInterpolator;
    void setPre_PositionInterpolatorDoWithDataCallback(Pre_PositionInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackPositionInterpolator = node;
    }

    static Pre_PrimitivePickSensorRenderCallback Pre_renderCallbackPrimitivePickSensor;
    void setPre_PrimitivePickSensorRenderCallback(Pre_PrimitivePickSensorRenderCallback node) {
        Pre_renderCallbackPrimitivePickSensor = node;
    }

    static Pre_PrimitivePickSensorDoWithDataCallback Pre_doWithDataCallbackPrimitivePickSensor;
    void setPre_PrimitivePickSensorDoWithDataCallback(Pre_PrimitivePickSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackPrimitivePickSensor = node;
    }

    static Pre_Circle2DRenderCallback Pre_renderCallbackCircle2D;
    void setPre_Circle2DRenderCallback(Pre_Circle2DRenderCallback node) {
        Pre_renderCallbackCircle2D = node;
    }

    static Pre_Circle2DDoWithDataCallback Pre_doWithDataCallbackCircle2D;
    void setPre_Circle2DDoWithDataCallback(Pre_Circle2DDoWithDataCallback node) {
        Pre_doWithDataCallbackCircle2D = node;
    }

    static Pre_ComposedTexture3DRenderCallback Pre_renderCallbackComposedTexture3D;
    void setPre_ComposedTexture3DRenderCallback(Pre_ComposedTexture3DRenderCallback node) {
        Pre_renderCallbackComposedTexture3D = node;
    }

    static Pre_ComposedTexture3DDoWithDataCallback Pre_doWithDataCallbackComposedTexture3D;
    void setPre_ComposedTexture3DDoWithDataCallback(Pre_ComposedTexture3DDoWithDataCallback node) {
        Pre_doWithDataCallbackComposedTexture3D = node;
    }

    static Pre_LayoutRenderCallback Pre_renderCallbackLayout;
    void setPre_LayoutRenderCallback(Pre_LayoutRenderCallback node) {
        Pre_renderCallbackLayout = node;
    }

    static Pre_LayoutDoWithDataCallback Pre_doWithDataCallbackLayout;
    void setPre_LayoutDoWithDataCallback(Pre_LayoutDoWithDataCallback node) {
        Pre_doWithDataCallbackLayout = node;
    }

    static Pre_OrthoViewpointRenderCallback Pre_renderCallbackOrthoViewpoint;
    void setPre_OrthoViewpointRenderCallback(Pre_OrthoViewpointRenderCallback node) {
        Pre_renderCallbackOrthoViewpoint = node;
    }

    static Pre_OrthoViewpointDoWithDataCallback Pre_doWithDataCallbackOrthoViewpoint;
    void setPre_OrthoViewpointDoWithDataCallback(Pre_OrthoViewpointDoWithDataCallback node) {
        Pre_doWithDataCallbackOrthoViewpoint = node;
    }

    static Pre_PixelTexture3DRenderCallback Pre_renderCallbackPixelTexture3D;
    void setPre_PixelTexture3DRenderCallback(Pre_PixelTexture3DRenderCallback node) {
        Pre_renderCallbackPixelTexture3D = node;
    }

    static Pre_PixelTexture3DDoWithDataCallback Pre_doWithDataCallbackPixelTexture3D;
    void setPre_PixelTexture3DDoWithDataCallback(Pre_PixelTexture3DDoWithDataCallback node) {
        Pre_doWithDataCallbackPixelTexture3D = node;
    }

    static Pre_Rectangle2DRenderCallback Pre_renderCallbackRectangle2D;
    void setPre_Rectangle2DRenderCallback(Pre_Rectangle2DRenderCallback node) {
        Pre_renderCallbackRectangle2D = node;
    }

    static Pre_Rectangle2DDoWithDataCallback Pre_doWithDataCallbackRectangle2D;
    void setPre_Rectangle2DDoWithDataCallback(Pre_Rectangle2DDoWithDataCallback node) {
        Pre_doWithDataCallbackRectangle2D = node;
    }

    static Pre_CoordinateRenderCallback Pre_renderCallbackCoordinate;
    void setPre_CoordinateRenderCallback(Pre_CoordinateRenderCallback node) {
        Pre_renderCallbackCoordinate = node;
    }

    static Pre_CoordinateDoWithDataCallback Pre_doWithDataCallbackCoordinate;
    void setPre_CoordinateDoWithDataCallback(Pre_CoordinateDoWithDataCallback node) {
        Pre_doWithDataCallbackCoordinate = node;
    }

    static Pre_NurbsSwungSurfaceRenderCallback Pre_renderCallbackNurbsSwungSurface;
    void setPre_NurbsSwungSurfaceRenderCallback(Pre_NurbsSwungSurfaceRenderCallback node) {
        Pre_renderCallbackNurbsSwungSurface = node;
    }

    static Pre_NurbsSwungSurfaceDoWithDataCallback Pre_doWithDataCallbackNurbsSwungSurface;
    void setPre_NurbsSwungSurfaceDoWithDataCallback(Pre_NurbsSwungSurfaceDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsSwungSurface = node;
    }

    static Pre_NurbsTextureSurfaceRenderCallback Pre_renderCallbackNurbsTextureSurface;
    void setPre_NurbsTextureSurfaceRenderCallback(Pre_NurbsTextureSurfaceRenderCallback node) {
        Pre_renderCallbackNurbsTextureSurface = node;
    }

    static Pre_NurbsTextureSurfaceDoWithDataCallback Pre_doWithDataCallbackNurbsTextureSurface;
    void setPre_NurbsTextureSurfaceDoWithDataCallback(Pre_NurbsTextureSurfaceDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsTextureSurface = node;
    }

    static Pre_EspduTransformRenderCallback Pre_renderCallbackEspduTransform;
    void setPre_EspduTransformRenderCallback(Pre_EspduTransformRenderCallback node) {
        Pre_renderCallbackEspduTransform = node;
    }

    static Pre_EspduTransformDoWithDataCallback Pre_doWithDataCallbackEspduTransform;
    void setPre_EspduTransformDoWithDataCallback(Pre_EspduTransformDoWithDataCallback node) {
        Pre_doWithDataCallbackEspduTransform = node;
    }

    static Pre_ComposedShaderRenderCallback Pre_renderCallbackComposedShader;
    void setPre_ComposedShaderRenderCallback(Pre_ComposedShaderRenderCallback node) {
        Pre_renderCallbackComposedShader = node;
    }

    static Pre_ComposedShaderDoWithDataCallback Pre_doWithDataCallbackComposedShader;
    void setPre_ComposedShaderDoWithDataCallback(Pre_ComposedShaderDoWithDataCallback node) {
        Pre_doWithDataCallbackComposedShader = node;
    }

    static Pre_LinePickSensorRenderCallback Pre_renderCallbackLinePickSensor;
    void setPre_LinePickSensorRenderCallback(Pre_LinePickSensorRenderCallback node) {
        Pre_renderCallbackLinePickSensor = node;
    }

    static Pre_LinePickSensorDoWithDataCallback Pre_doWithDataCallbackLinePickSensor;
    void setPre_LinePickSensorDoWithDataCallback(Pre_LinePickSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackLinePickSensor = node;
    }

    static Pre_NurbsOrientationInterpolatorRenderCallback Pre_renderCallbackNurbsOrientationInterpolator;
    void setPre_NurbsOrientationInterpolatorRenderCallback(Pre_NurbsOrientationInterpolatorRenderCallback node) {
        Pre_renderCallbackNurbsOrientationInterpolator = node;
    }

    static Pre_NurbsOrientationInterpolatorDoWithDataCallback Pre_doWithDataCallbackNurbsOrientationInterpolator;
    void setPre_NurbsOrientationInterpolatorDoWithDataCallback(Pre_NurbsOrientationInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsOrientationInterpolator = node;
    }

    static Pre_NurbsPositionInterpolatorRenderCallback Pre_renderCallbackNurbsPositionInterpolator;
    void setPre_NurbsPositionInterpolatorRenderCallback(Pre_NurbsPositionInterpolatorRenderCallback node) {
        Pre_renderCallbackNurbsPositionInterpolator = node;
    }

    static Pre_NurbsPositionInterpolatorDoWithDataCallback Pre_doWithDataCallbackNurbsPositionInterpolator;
    void setPre_NurbsPositionInterpolatorDoWithDataCallback(Pre_NurbsPositionInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsPositionInterpolator = node;
    }

    static Pre_VolumePickSensorRenderCallback Pre_renderCallbackVolumePickSensor;
    void setPre_VolumePickSensorRenderCallback(Pre_VolumePickSensorRenderCallback node) {
        Pre_renderCallbackVolumePickSensor = node;
    }

    static Pre_VolumePickSensorDoWithDataCallback Pre_doWithDataCallbackVolumePickSensor;
    void setPre_VolumePickSensorDoWithDataCallback(Pre_VolumePickSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackVolumePickSensor = node;
    }

    static Pre_BallJointRenderCallback Pre_renderCallbackBallJoint;
    void setPre_BallJointRenderCallback(Pre_BallJointRenderCallback node) {
        Pre_renderCallbackBallJoint = node;
    }

    static Pre_BallJointDoWithDataCallback Pre_doWithDataCallbackBallJoint;
    void setPre_BallJointDoWithDataCallback(Pre_BallJointDoWithDataCallback node) {
        Pre_doWithDataCallbackBallJoint = node;
    }

    static Pre_CADPartRenderCallback Pre_renderCallbackCADPart;
    void setPre_CADPartRenderCallback(Pre_CADPartRenderCallback node) {
        Pre_renderCallbackCADPart = node;
    }

    static Pre_CADPartDoWithDataCallback Pre_doWithDataCallbackCADPart;
    void setPre_CADPartDoWithDataCallback(Pre_CADPartDoWithDataCallback node) {
        Pre_doWithDataCallbackCADPart = node;
    }

    static Pre_CollidableOffsetRenderCallback Pre_renderCallbackCollidableOffset;
    void setPre_CollidableOffsetRenderCallback(Pre_CollidableOffsetRenderCallback node) {
        Pre_renderCallbackCollidableOffset = node;
    }

    static Pre_CollidableOffsetDoWithDataCallback Pre_doWithDataCallbackCollidableOffset;
    void setPre_CollidableOffsetDoWithDataCallback(Pre_CollidableOffsetDoWithDataCallback node) {
        Pre_doWithDataCallbackCollidableOffset = node;
    }

    static Pre_TextureTransformMatrix3DRenderCallback Pre_renderCallbackTextureTransformMatrix3D;
    void setPre_TextureTransformMatrix3DRenderCallback(Pre_TextureTransformMatrix3DRenderCallback node) {
        Pre_renderCallbackTextureTransformMatrix3D = node;
    }

    static Pre_TextureTransformMatrix3DDoWithDataCallback Pre_doWithDataCallbackTextureTransformMatrix3D;
    void setPre_TextureTransformMatrix3DDoWithDataCallback(Pre_TextureTransformMatrix3DDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureTransformMatrix3D = node;
    }

    static Pre_CADFaceRenderCallback Pre_renderCallbackCADFace;
    void setPre_CADFaceRenderCallback(Pre_CADFaceRenderCallback node) {
        Pre_renderCallbackCADFace = node;
    }

    static Pre_CADFaceDoWithDataCallback Pre_doWithDataCallbackCADFace;
    void setPre_CADFaceDoWithDataCallback(Pre_CADFaceDoWithDataCallback node) {
        Pre_doWithDataCallbackCADFace = node;
    }

    static Pre_VrmlSceneRenderCallback Pre_renderCallbackVrmlScene;
    void setPre_VrmlSceneRenderCallback(Pre_VrmlSceneRenderCallback node) {
        Pre_renderCallbackVrmlScene = node;
    }

    static Pre_VrmlSceneDoWithDataCallback Pre_doWithDataCallbackVrmlScene;
    void setPre_VrmlSceneDoWithDataCallback(Pre_VrmlSceneDoWithDataCallback node) {
        Pre_doWithDataCallbackVrmlScene = node;
    }

    static Pre_MetadataStringRenderCallback Pre_renderCallbackMetadataString;
    void setPre_MetadataStringRenderCallback(Pre_MetadataStringRenderCallback node) {
        Pre_renderCallbackMetadataString = node;
    }

    static Pre_MetadataStringDoWithDataCallback Pre_doWithDataCallbackMetadataString;
    void setPre_MetadataStringDoWithDataCallback(Pre_MetadataStringDoWithDataCallback node) {
        Pre_doWithDataCallbackMetadataString = node;
    }

    static Pre_ForcePhysicsModelRenderCallback Pre_renderCallbackForcePhysicsModel;
    void setPre_ForcePhysicsModelRenderCallback(Pre_ForcePhysicsModelRenderCallback node) {
        Pre_renderCallbackForcePhysicsModel = node;
    }

    static Pre_ForcePhysicsModelDoWithDataCallback Pre_doWithDataCallbackForcePhysicsModel;
    void setPre_ForcePhysicsModelDoWithDataCallback(Pre_ForcePhysicsModelDoWithDataCallback node) {
        Pre_doWithDataCallbackForcePhysicsModel = node;
    }

    static Pre_InlineLoadControlRenderCallback Pre_renderCallbackInlineLoadControl;
    void setPre_InlineLoadControlRenderCallback(Pre_InlineLoadControlRenderCallback node) {
        Pre_renderCallbackInlineLoadControl = node;
    }

    static Pre_InlineLoadControlDoWithDataCallback Pre_doWithDataCallbackInlineLoadControl;
    void setPre_InlineLoadControlDoWithDataCallback(Pre_InlineLoadControlDoWithDataCallback node) {
        Pre_doWithDataCallbackInlineLoadControl = node;
    }

    static Pre_NurbsSurfaceInterpolatorRenderCallback Pre_renderCallbackNurbsSurfaceInterpolator;
    void setPre_NurbsSurfaceInterpolatorRenderCallback(Pre_NurbsSurfaceInterpolatorRenderCallback node) {
        Pre_renderCallbackNurbsSurfaceInterpolator = node;
    }

    static Pre_NurbsSurfaceInterpolatorDoWithDataCallback Pre_doWithDataCallbackNurbsSurfaceInterpolator;
    void setPre_NurbsSurfaceInterpolatorDoWithDataCallback(Pre_NurbsSurfaceInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsSurfaceInterpolator = node;
    }

    static Pre_SphereSensorRenderCallback Pre_renderCallbackSphereSensor;
    void setPre_SphereSensorRenderCallback(Pre_SphereSensorRenderCallback node) {
        Pre_renderCallbackSphereSensor = node;
    }

    static Pre_SphereSensorDoWithDataCallback Pre_doWithDataCallbackSphereSensor;
    void setPre_SphereSensorDoWithDataCallback(Pre_SphereSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackSphereSensor = node;
    }

    static Pre_TexCoordDamperRenderCallback Pre_renderCallbackTexCoordDamper;
    void setPre_TexCoordDamperRenderCallback(Pre_TexCoordDamperRenderCallback node) {
        Pre_renderCallbackTexCoordDamper = node;
    }

    static Pre_TexCoordDamperDoWithDataCallback Pre_doWithDataCallbackTexCoordDamper;
    void setPre_TexCoordDamperDoWithDataCallback(Pre_TexCoordDamperDoWithDataCallback node) {
        Pre_doWithDataCallbackTexCoordDamper = node;
    }

    static Pre_BackgroundRenderCallback Pre_renderCallbackBackground;
    void setPre_BackgroundRenderCallback(Pre_BackgroundRenderCallback node) {
        Pre_renderCallbackBackground = node;
    }

    static Pre_BackgroundDoWithDataCallback Pre_doWithDataCallbackBackground;
    void setPre_BackgroundDoWithDataCallback(Pre_BackgroundDoWithDataCallback node) {
        Pre_doWithDataCallbackBackground = node;
    }

    static Pre_ContactRenderCallback Pre_renderCallbackContact;
    void setPre_ContactRenderCallback(Pre_ContactRenderCallback node) {
        Pre_renderCallbackContact = node;
    }

    static Pre_ContactDoWithDataCallback Pre_doWithDataCallbackContact;
    void setPre_ContactDoWithDataCallback(Pre_ContactDoWithDataCallback node) {
        Pre_doWithDataCallbackContact = node;
    }

    static Pre_ContourPolyline2DRenderCallback Pre_renderCallbackContourPolyline2D;
    void setPre_ContourPolyline2DRenderCallback(Pre_ContourPolyline2DRenderCallback node) {
        Pre_renderCallbackContourPolyline2D = node;
    }

    static Pre_ContourPolyline2DDoWithDataCallback Pre_doWithDataCallbackContourPolyline2D;
    void setPre_ContourPolyline2DDoWithDataCallback(Pre_ContourPolyline2DDoWithDataCallback node) {
        Pre_doWithDataCallbackContourPolyline2D = node;
    }

    static Pre_LayerSetRenderCallback Pre_renderCallbackLayerSet;
    void setPre_LayerSetRenderCallback(Pre_LayerSetRenderCallback node) {
        Pre_renderCallbackLayerSet = node;
    }

    static Pre_LayerSetDoWithDataCallback Pre_doWithDataCallbackLayerSet;
    void setPre_LayerSetDoWithDataCallback(Pre_LayerSetDoWithDataCallback node) {
        Pre_doWithDataCallbackLayerSet = node;
    }

    static Pre_MotorJointRenderCallback Pre_renderCallbackMotorJoint;
    void setPre_MotorJointRenderCallback(Pre_MotorJointRenderCallback node) {
        Pre_renderCallbackMotorJoint = node;
    }

    static Pre_MotorJointDoWithDataCallback Pre_doWithDataCallbackMotorJoint;
    void setPre_MotorJointDoWithDataCallback(Pre_MotorJointDoWithDataCallback node) {
        Pre_doWithDataCallbackMotorJoint = node;
    }

    static Pre_ShaderPartRenderCallback Pre_renderCallbackShaderPart;
    void setPre_ShaderPartRenderCallback(Pre_ShaderPartRenderCallback node) {
        Pre_renderCallbackShaderPart = node;
    }

    static Pre_ShaderPartDoWithDataCallback Pre_doWithDataCallbackShaderPart;
    void setPre_ShaderPartDoWithDataCallback(Pre_ShaderPartDoWithDataCallback node) {
        Pre_doWithDataCallbackShaderPart = node;
    }

    static Pre_TextureTransform3DRenderCallback Pre_renderCallbackTextureTransform3D;
    void setPre_TextureTransform3DRenderCallback(Pre_TextureTransform3DRenderCallback node) {
        Pre_renderCallbackTextureTransform3D = node;
    }

    static Pre_TextureTransform3DDoWithDataCallback Pre_doWithDataCallbackTextureTransform3D;
    void setPre_TextureTransform3DDoWithDataCallback(Pre_TextureTransform3DDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureTransform3D = node;
    }

    static Pre_CoordinateDoubleRenderCallback Pre_renderCallbackCoordinateDouble;
    void setPre_CoordinateDoubleRenderCallback(Pre_CoordinateDoubleRenderCallback node) {
        Pre_renderCallbackCoordinateDouble = node;
    }

    static Pre_CoordinateDoubleDoWithDataCallback Pre_doWithDataCallbackCoordinateDouble;
    void setPre_CoordinateDoubleDoWithDataCallback(Pre_CoordinateDoubleDoWithDataCallback node) {
        Pre_doWithDataCallbackCoordinateDouble = node;
    }

    static Pre_NurbsTrimmedSurfaceRenderCallback Pre_renderCallbackNurbsTrimmedSurface;
    void setPre_NurbsTrimmedSurfaceRenderCallback(Pre_NurbsTrimmedSurfaceRenderCallback node) {
        Pre_renderCallbackNurbsTrimmedSurface = node;
    }

    static Pre_NurbsTrimmedSurfaceDoWithDataCallback Pre_doWithDataCallbackNurbsTrimmedSurface;
    void setPre_NurbsTrimmedSurfaceDoWithDataCallback(Pre_NurbsTrimmedSurfaceDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsTrimmedSurface = node;
    }

    static Pre_PositionChaserRenderCallback Pre_renderCallbackPositionChaser;
    void setPre_PositionChaserRenderCallback(Pre_PositionChaserRenderCallback node) {
        Pre_renderCallbackPositionChaser = node;
    }

    static Pre_PositionChaserDoWithDataCallback Pre_doWithDataCallbackPositionChaser;
    void setPre_PositionChaserDoWithDataCallback(Pre_PositionChaserDoWithDataCallback node) {
        Pre_doWithDataCallbackPositionChaser = node;
    }

    static Pre_PositionDamperRenderCallback Pre_renderCallbackPositionDamper;
    void setPre_PositionDamperRenderCallback(Pre_PositionDamperRenderCallback node) {
        Pre_renderCallbackPositionDamper = node;
    }

    static Pre_PositionDamperDoWithDataCallback Pre_doWithDataCallbackPositionDamper;
    void setPre_PositionDamperDoWithDataCallback(Pre_PositionDamperDoWithDataCallback node) {
        Pre_doWithDataCallbackPositionDamper = node;
    }

    static Pre_ProgramShaderRenderCallback Pre_renderCallbackProgramShader;
    void setPre_ProgramShaderRenderCallback(Pre_ProgramShaderRenderCallback node) {
        Pre_renderCallbackProgramShader = node;
    }

    static Pre_ProgramShaderDoWithDataCallback Pre_doWithDataCallbackProgramShader;
    void setPre_ProgramShaderDoWithDataCallback(Pre_ProgramShaderDoWithDataCallback node) {
        Pre_doWithDataCallbackProgramShader = node;
    }

    static Pre_SurfaceEmitterRenderCallback Pre_renderCallbackSurfaceEmitter;
    void setPre_SurfaceEmitterRenderCallback(Pre_SurfaceEmitterRenderCallback node) {
        Pre_renderCallbackSurfaceEmitter = node;
    }

    static Pre_SurfaceEmitterDoWithDataCallback Pre_doWithDataCallbackSurfaceEmitter;
    void setPre_SurfaceEmitterDoWithDataCallback(Pre_SurfaceEmitterDoWithDataCallback node) {
        Pre_doWithDataCallbackSurfaceEmitter = node;
    }

    static Pre_TouchSensorRenderCallback Pre_renderCallbackTouchSensor;
    void setPre_TouchSensorRenderCallback(Pre_TouchSensorRenderCallback node) {
        Pre_renderCallbackTouchSensor = node;
    }

    static Pre_TouchSensorDoWithDataCallback Pre_doWithDataCallbackTouchSensor;
    void setPre_TouchSensorDoWithDataCallback(Pre_TouchSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackTouchSensor = node;
    }

    static Pre_PointLightRenderCallback Pre_renderCallbackPointLight;
    void setPre_PointLightRenderCallback(Pre_PointLightRenderCallback node) {
        Pre_renderCallbackPointLight = node;
    }

    static Pre_PointLightDoWithDataCallback Pre_doWithDataCallbackPointLight;
    void setPre_PointLightDoWithDataCallback(Pre_PointLightDoWithDataCallback node) {
        Pre_doWithDataCallbackPointLight = node;
    }

    static Pre_SliderJointRenderCallback Pre_renderCallbackSliderJoint;
    void setPre_SliderJointRenderCallback(Pre_SliderJointRenderCallback node) {
        Pre_renderCallbackSliderJoint = node;
    }

    static Pre_SliderJointDoWithDataCallback Pre_doWithDataCallbackSliderJoint;
    void setPre_SliderJointDoWithDataCallback(Pre_SliderJointDoWithDataCallback node) {
        Pre_doWithDataCallbackSliderJoint = node;
    }

    static Pre_TextRenderCallback Pre_renderCallbackText;
    void setPre_TextRenderCallback(Pre_TextRenderCallback node) {
        Pre_renderCallbackText = node;
    }

    static Pre_TextDoWithDataCallback Pre_doWithDataCallbackText;
    void setPre_TextDoWithDataCallback(Pre_TextDoWithDataCallback node) {
        Pre_doWithDataCallbackText = node;
    }

    static Pre_TextureCoordinate4DRenderCallback Pre_renderCallbackTextureCoordinate4D;
    void setPre_TextureCoordinate4DRenderCallback(Pre_TextureCoordinate4DRenderCallback node) {
        Pre_renderCallbackTextureCoordinate4D = node;
    }

    static Pre_TextureCoordinate4DDoWithDataCallback Pre_doWithDataCallbackTextureCoordinate4D;
    void setPre_TextureCoordinate4DDoWithDataCallback(Pre_TextureCoordinate4DDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureCoordinate4D = node;
    }

    static Pre_TriangleSet2DRenderCallback Pre_renderCallbackTriangleSet2D;
    void setPre_TriangleSet2DRenderCallback(Pre_TriangleSet2DRenderCallback node) {
        Pre_renderCallbackTriangleSet2D = node;
    }

    static Pre_TriangleSet2DDoWithDataCallback Pre_doWithDataCallbackTriangleSet2D;
    void setPre_TriangleSet2DDoWithDataCallback(Pre_TriangleSet2DDoWithDataCallback node) {
        Pre_doWithDataCallbackTriangleSet2D = node;
    }

    static Pre_AppearanceRenderCallback Pre_renderCallbackAppearance;
    void setPre_AppearanceRenderCallback(Pre_AppearanceRenderCallback node) {
        Pre_renderCallbackAppearance = node;
    }

    static Pre_AppearanceDoWithDataCallback Pre_doWithDataCallbackAppearance;
    void setPre_AppearanceDoWithDataCallback(Pre_AppearanceDoWithDataCallback node) {
        Pre_doWithDataCallbackAppearance = node;
    }

    static Pre_CollisionSpaceRenderCallback Pre_renderCallbackCollisionSpace;
    void setPre_CollisionSpaceRenderCallback(Pre_CollisionSpaceRenderCallback node) {
        Pre_renderCallbackCollisionSpace = node;
    }

    static Pre_CollisionSpaceDoWithDataCallback Pre_doWithDataCallbackCollisionSpace;
    void setPre_CollisionSpaceDoWithDataCallback(Pre_CollisionSpaceDoWithDataCallback node) {
        Pre_doWithDataCallbackCollisionSpace = node;
    }

    static Pre_NurbsTextureCoordinateRenderCallback Pre_renderCallbackNurbsTextureCoordinate;
    void setPre_NurbsTextureCoordinateRenderCallback(Pre_NurbsTextureCoordinateRenderCallback node) {
        Pre_renderCallbackNurbsTextureCoordinate = node;
    }

    static Pre_NurbsTextureCoordinateDoWithDataCallback Pre_doWithDataCallbackNurbsTextureCoordinate;
    void setPre_NurbsTextureCoordinateDoWithDataCallback(Pre_NurbsTextureCoordinateDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsTextureCoordinate = node;
    }

    static Pre_ParticleSystemRenderCallback Pre_renderCallbackParticleSystem;
    void setPre_ParticleSystemRenderCallback(Pre_ParticleSystemRenderCallback node) {
        Pre_renderCallbackParticleSystem = node;
    }

    static Pre_ParticleSystemDoWithDataCallback Pre_doWithDataCallbackParticleSystem;
    void setPre_ParticleSystemDoWithDataCallback(Pre_ParticleSystemDoWithDataCallback node) {
        Pre_doWithDataCallbackParticleSystem = node;
    }

    static Pre_TextureTransformRenderCallback Pre_renderCallbackTextureTransform;
    void setPre_TextureTransformRenderCallback(Pre_TextureTransformRenderCallback node) {
        Pre_renderCallbackTextureTransform = node;
    }

    static Pre_TextureTransformDoWithDataCallback Pre_doWithDataCallbackTextureTransform;
    void setPre_TextureTransformDoWithDataCallback(Pre_TextureTransformDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureTransform = node;
    }

    void render() { root.treeRender(); }
    void doWithData() { root.treeDoWithData(); }
    void MFBoolSendEvent(boolean[] target, boolean[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFColorSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFColorRGBASendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFDoubleSendEvent(double[] target, double[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFFloatSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFInt32SendEvent(int[] target, int[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFMatrix3fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFMatrix4fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFNodeSendEvent(Pre_Node [][] target, Pre_Node [][] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFRotationSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFStringSendEvent(String[] target, String[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFTimeSendEvent(double[] target, double[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFVec2fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFVec3dSendEvent(double[] target, double[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFVec3fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFVec4fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
        void SFColorSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 3; i++)
            target[i] = source[i];
    }
    void SFColorRGBASendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 4; i++)
            target[i] = source[i];
    }
            void SFImageSendEvent(int[] target, int[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
        void SFMatrix3fSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 9; i++)
            target[i] = source[i];
    }
    void SFMatrix4fSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 9; i++)
            target[i] = source[i];
    }
        void SFRotationSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 4; i++)
            target[i] = source[i];
    }
            void SFVec2fSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 2; i++)
            target[i] = source[i];
    }
    void SFVec3dSendEvent(double[] target, double[] source) {
        int i;
        for (i = 0; i < 3; i++)
            target[i] = source[i];
    }
    void SFVec3fSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 3; i++)
            target[i] = source[i];
    }
};

// VRML97/X3D file "helloWorld2.x3dv" converted to java with white_dune


class Append_Pre_SceneGraph {
    Pre_Group root;
    Pre_Transform Transform_1;
    Pre_Shape Shape_2;
    Pre_Appearance Appearance_3;
    Pre_Material Material_4;
    Pre_Text Text_5;
    void rootDataFunction0(Pre_Group v) {
    }
    void rootDataFunction1(Pre_Group v) {
        Transform_1 = new Pre_Transform();
        Transform_1.m_parent = root;

    }
    void Transform_1DataFunction0(Pre_Transform v) {
    }
    void Transform_1DataFunction1(Pre_Transform v) {
        Shape_2 = new Pre_Shape();
        Shape_2.m_parent = Transform_1;

    }
    void Shape_2DataFunction0(Pre_Shape v) {
    }
    void Shape_2DataFunction1(Pre_Shape v) {
        Appearance_3 = new Pre_Appearance();
        Appearance_3.m_parent = Shape_2;

    }
    void Appearance_3DataFunction0(Pre_Appearance v) {
    }
    void Appearance_3DataFunction1(Pre_Appearance v) {
        Material_4 = new Pre_Material();
        Material_4.m_parent = Appearance_3;

    }
    void Material_4DataFunction0(Pre_Material v) {
    }
    void Material_4DataFunction1(Pre_Material v) {
    }
    void Material_4DataFunction2(Pre_Material v) {
        Material_4.ambientIntensity = 0.200000f;
    }
    void Material_4DataFunction3(Pre_Material v) {
        {
        float m_diffuseColor[] = { 0.800000f, 0.800000f, 0.800000f };
        Material_4.diffuseColor = m_diffuseColor;
        }
    }
    void Material_4DataFunction4(Pre_Material v) {
        {
        float m_emissiveColor[] = { 0f, 0f, 0f };
        Material_4.emissiveColor = m_emissiveColor;
        }
    }
    void Material_4DataFunction5(Pre_Material v) {
        Material_4.shininess = 0.200000f;
    }
    void Material_4DataFunction6(Pre_Material v) {
        {
        float m_specularColor[] = { 0f, 0f, 0f };
        Material_4.specularColor = m_specularColor;
        }
    }
    void Material_4DataFunction7(Pre_Material v) {
        Material_4.transparency = 0f;
    }
    void Material_4DataFunction8(Pre_Material v) {
    }
    void Material_4DataFunction9(Pre_Material v) {
    }
    void Material_4DataFunction10(Pre_Material v) {
         v.reflSpecular = null;
         int i = 0;
    }
    void Material_4DataFunction11(Pre_Material v) {
         v.reflDiffuse = null;
         int i = 0;
    }
    void Material_4DataFunction12(Pre_Material v) {
         v.transSpecular = null;
         int i = 0;
    }
    void Material_4DataFunction13(Pre_Material v) {
         v.transDiffuse = null;
         int i = 0;
    }
    void Material_4DataFunction14(Pre_Material v) {
    }
    void Material_4DataFunction15(Pre_Material v) {
    }
    void Appearance_3DataFunction2(Pre_Appearance v) {
    }
    void Appearance_3DataFunction3(Pre_Appearance v) {
    }
    void Appearance_3DataFunction4(Pre_Appearance v) {
    }
    void Appearance_3DataFunction5(Pre_Appearance v) {
    }
    void Appearance_3DataFunction6(Pre_Appearance v) {
    }
    void Appearance_3DataFunction7(Pre_Appearance v) {
    }
    void Appearance_3DataFunction8(Pre_Appearance v) {
        Appearance_3.material = Material_4;
    }
    void Appearance_3DataFunction9(Pre_Appearance v) {
        Appearance_3.texture = null;
    }
    void Appearance_3DataFunction10(Pre_Appearance v) {
        Appearance_3.textureTransform = null;
    }
    void Appearance_3DataFunction11(Pre_Appearance v) {
    }
    void Appearance_3DataFunction12(Pre_Appearance v) {
    }
    void Appearance_3DataFunction13(Pre_Appearance v) {
    }
    void Shape_2DataFunction2(Pre_Shape v) {
        Text_5 = new Pre_Text();
        Text_5.m_parent = Shape_2;

    }
    void Text_5DataFunction0(Pre_Text v) {
    }
    void Text_5DataFunction1(Pre_Text v) {
    }
    void Text_5DataFunction2(Pre_Text v) {
    }
    void Text_5DataFunction3(Pre_Text v) {
        Text_5.fontStyle = null;
    }
    void Text_5DataFunction4(Pre_Text v) {
         v.length = null;
         int i = 0;
    }
    void Text_5DataFunction5(Pre_Text v) {
        Text_5.maxExtent = 0f;
    }
    void Text_5DataFunction6(Pre_Text v) {
         v.string = new String[1];
         int i = 0;
         v.string[i++] = "Hello World2";
    }
    void Text_5DataFunction7(Pre_Text v) {
    }
    void Shape_2DataFunction3(Pre_Shape v) {
    }
    void Shape_2DataFunction4(Pre_Shape v) {
    }
    void Shape_2DataFunction5(Pre_Shape v) {
        Shape_2.appearance = Appearance_3;
    }
    void Shape_2DataFunction6(Pre_Shape v) {
        Shape_2.geometry = Text_5;
    }
    void Shape_2DataFunction7(Pre_Shape v) {
    }
    void Shape_2DataFunction8(Pre_Shape v) {
    }
    void Shape_2DataFunction9(Pre_Shape v) {
    }
    void Transform_1DataFunction2(Pre_Transform v) {
    }
    void Transform_1DataFunction3(Pre_Transform v) {
        {
        float m_rotation[] = { 0f, 0f, 1f, 0f };
        Transform_1.rotation = m_rotation;
        }
    }
    void Transform_1DataFunction4(Pre_Transform v) {
        {
        float m_translation[] = { 0f, 0f, 0f };
        Transform_1.translation = m_translation;
        }
    }
    void Transform_1DataFunction5(Pre_Transform v) {
        {
        float m_bboxCenter[] = { 0f, 0f, 0f };
        Transform_1.bboxCenter = m_bboxCenter;
        }
    }
    void Transform_1DataFunction6(Pre_Transform v) {
        {
        float m_bboxSize[] = { -1f, -1f, -1f };
        Transform_1.bboxSize = m_bboxSize;
        }
    }
    void Transform_1DataFunction7(Pre_Transform v) {
        {
        float m_center[] = { 0f, 0f, 0f };
        Transform_1.center = m_center;
        }
    }
    void Transform_1DataFunction8(Pre_Transform v) {
        {
        float m_scale[] = { 1f, 1f, 1f };
        Transform_1.scale = m_scale;
        }
    }
    void Transform_1DataFunction9(Pre_Transform v) {
        {
        float m_scaleOrientation[] = { 0f, 0f, 1f, 0f };
        Transform_1.scaleOrientation = m_scaleOrientation;
        }
    }
    void Transform_1DataFunction10(Pre_Transform v) {
        {
        Pre_Node [] m_children = { Shape_2 };
        Transform_1.children = m_children;
        }
    }
    void rootDataFunction2(Pre_Group v) {
    }
    void rootDataFunction3(Pre_Group v) {
        {
        Pre_Node [] m_children = { Transform_1 };
        root.children = m_children;
        }
    }
    void rootDataFunction4(Pre_Group v) {
        {
        float m_bboxCenter[] = { 0f, 0f, 0f };
        root.bboxCenter = m_bboxCenter;
        }
    }
    void rootDataFunction5(Pre_Group v) {
        {
        float m_bboxSize[] = { -1f, -1f, -1f };
        root.bboxSize = m_bboxSize;
        }
    }
    Append_Pre_SceneGraph() {
        root = new Pre_Group();
        rootDataFunction0(root);
        rootDataFunction1(root);
        rootDataFunction2(root);
        rootDataFunction3(root);
        rootDataFunction4(root);
        rootDataFunction5(root);
        Transform_1DataFunction0(Transform_1);
        Transform_1DataFunction1(Transform_1);
        Transform_1DataFunction2(Transform_1);
        Transform_1DataFunction3(Transform_1);
        Transform_1DataFunction4(Transform_1);
        Transform_1DataFunction5(Transform_1);
        Transform_1DataFunction6(Transform_1);
        Transform_1DataFunction7(Transform_1);
        Transform_1DataFunction8(Transform_1);
        Transform_1DataFunction9(Transform_1);
        Transform_1DataFunction10(Transform_1);
        Shape_2DataFunction0(Shape_2);
        Shape_2DataFunction1(Shape_2);
        Shape_2DataFunction2(Shape_2);
        Shape_2DataFunction3(Shape_2);
        Shape_2DataFunction4(Shape_2);
        Shape_2DataFunction5(Shape_2);
        Shape_2DataFunction6(Shape_2);
        Shape_2DataFunction7(Shape_2);
        Shape_2DataFunction8(Shape_2);
        Shape_2DataFunction9(Shape_2);
        Appearance_3DataFunction0(Appearance_3);
        Appearance_3DataFunction1(Appearance_3);
        Appearance_3DataFunction2(Appearance_3);
        Appearance_3DataFunction3(Appearance_3);
        Appearance_3DataFunction4(Appearance_3);
        Appearance_3DataFunction5(Appearance_3);
        Appearance_3DataFunction6(Appearance_3);
        Appearance_3DataFunction7(Appearance_3);
        Appearance_3DataFunction8(Appearance_3);
        Appearance_3DataFunction9(Appearance_3);
        Appearance_3DataFunction10(Appearance_3);
        Appearance_3DataFunction11(Appearance_3);
        Appearance_3DataFunction12(Appearance_3);
        Appearance_3DataFunction13(Appearance_3);
        Material_4DataFunction0(Material_4);
        Material_4DataFunction1(Material_4);
        Material_4DataFunction2(Material_4);
        Material_4DataFunction3(Material_4);
        Material_4DataFunction4(Material_4);
        Material_4DataFunction5(Material_4);
        Material_4DataFunction6(Material_4);
        Material_4DataFunction7(Material_4);
        Material_4DataFunction8(Material_4);
        Material_4DataFunction9(Material_4);
        Material_4DataFunction10(Material_4);
        Material_4DataFunction11(Material_4);
        Material_4DataFunction12(Material_4);
        Material_4DataFunction13(Material_4);
        Material_4DataFunction14(Material_4);
        Material_4DataFunction15(Material_4);
        Text_5DataFunction0(Text_5);
        Text_5DataFunction1(Text_5);
        Text_5DataFunction2(Text_5);
        Text_5DataFunction3(Text_5);
        Text_5DataFunction4(Text_5);
        Text_5DataFunction5(Text_5);
        Text_5DataFunction6(Text_5);
        Text_5DataFunction7(Text_5);
        root.m_parent = null;

    }
    static Pre_ColorRGBARenderCallback Pre_renderCallbackColorRGBA;
    void setPre_ColorRGBARenderCallback(Pre_ColorRGBARenderCallback node) {
        Pre_renderCallbackColorRGBA = node;
    }

    static Pre_ColorRGBADoWithDataCallback Pre_doWithDataCallbackColorRGBA;
    void setPre_ColorRGBADoWithDataCallback(Pre_ColorRGBADoWithDataCallback node) {
        Pre_doWithDataCallbackColorRGBA = node;
    }

    static Pre_CoordinateDamperRenderCallback Pre_renderCallbackCoordinateDamper;
    void setPre_CoordinateDamperRenderCallback(Pre_CoordinateDamperRenderCallback node) {
        Pre_renderCallbackCoordinateDamper = node;
    }

    static Pre_CoordinateDamperDoWithDataCallback Pre_doWithDataCallbackCoordinateDamper;
    void setPre_CoordinateDamperDoWithDataCallback(Pre_CoordinateDamperDoWithDataCallback node) {
        Pre_doWithDataCallbackCoordinateDamper = node;
    }

    static Pre_HAnimDisplacerRenderCallback Pre_renderCallbackHAnimDisplacer;
    void setPre_HAnimDisplacerRenderCallback(Pre_HAnimDisplacerRenderCallback node) {
        Pre_renderCallbackHAnimDisplacer = node;
    }

    static Pre_HAnimDisplacerDoWithDataCallback Pre_doWithDataCallbackHAnimDisplacer;
    void setPre_HAnimDisplacerDoWithDataCallback(Pre_HAnimDisplacerDoWithDataCallback node) {
        Pre_doWithDataCallbackHAnimDisplacer = node;
    }

    static Pre_SplineScalarInterpolatorRenderCallback Pre_renderCallbackSplineScalarInterpolator;
    void setPre_SplineScalarInterpolatorRenderCallback(Pre_SplineScalarInterpolatorRenderCallback node) {
        Pre_renderCallbackSplineScalarInterpolator = node;
    }

    static Pre_SplineScalarInterpolatorDoWithDataCallback Pre_doWithDataCallbackSplineScalarInterpolator;
    void setPre_SplineScalarInterpolatorDoWithDataCallback(Pre_SplineScalarInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackSplineScalarInterpolator = node;
    }

    static Pre_VolumeEmitterRenderCallback Pre_renderCallbackVolumeEmitter;
    void setPre_VolumeEmitterRenderCallback(Pre_VolumeEmitterRenderCallback node) {
        Pre_renderCallbackVolumeEmitter = node;
    }

    static Pre_VolumeEmitterDoWithDataCallback Pre_doWithDataCallbackVolumeEmitter;
    void setPre_VolumeEmitterDoWithDataCallback(Pre_VolumeEmitterDoWithDataCallback node) {
        Pre_doWithDataCallbackVolumeEmitter = node;
    }

    static Pre_Contour2DRenderCallback Pre_renderCallbackContour2D;
    void setPre_Contour2DRenderCallback(Pre_Contour2DRenderCallback node) {
        Pre_renderCallbackContour2D = node;
    }

    static Pre_Contour2DDoWithDataCallback Pre_doWithDataCallbackContour2D;
    void setPre_Contour2DDoWithDataCallback(Pre_Contour2DDoWithDataCallback node) {
        Pre_doWithDataCallbackContour2D = node;
    }

    static Pre_HAnimJointRenderCallback Pre_renderCallbackHAnimJoint;
    void setPre_HAnimJointRenderCallback(Pre_HAnimJointRenderCallback node) {
        Pre_renderCallbackHAnimJoint = node;
    }

    static Pre_HAnimJointDoWithDataCallback Pre_doWithDataCallbackHAnimJoint;
    void setPre_HAnimJointDoWithDataCallback(Pre_HAnimJointDoWithDataCallback node) {
        Pre_doWithDataCallbackHAnimJoint = node;
    }

    static Pre_TexCoordDamper2DRenderCallback Pre_renderCallbackTexCoordDamper2D;
    void setPre_TexCoordDamper2DRenderCallback(Pre_TexCoordDamper2DRenderCallback node) {
        Pre_renderCallbackTexCoordDamper2D = node;
    }

    static Pre_TexCoordDamper2DDoWithDataCallback Pre_doWithDataCallbackTexCoordDamper2D;
    void setPre_TexCoordDamper2DDoWithDataCallback(Pre_TexCoordDamper2DDoWithDataCallback node) {
        Pre_doWithDataCallbackTexCoordDamper2D = node;
    }

    static Pre_TextureCoordinate3DRenderCallback Pre_renderCallbackTextureCoordinate3D;
    void setPre_TextureCoordinate3DRenderCallback(Pre_TextureCoordinate3DRenderCallback node) {
        Pre_renderCallbackTextureCoordinate3D = node;
    }

    static Pre_TextureCoordinate3DDoWithDataCallback Pre_doWithDataCallbackTextureCoordinate3D;
    void setPre_TextureCoordinate3DDoWithDataCallback(Pre_TextureCoordinate3DDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureCoordinate3D = node;
    }

    static Pre_UniversalJointRenderCallback Pre_renderCallbackUniversalJoint;
    void setPre_UniversalJointRenderCallback(Pre_UniversalJointRenderCallback node) {
        Pre_renderCallbackUniversalJoint = node;
    }

    static Pre_UniversalJointDoWithDataCallback Pre_doWithDataCallbackUniversalJoint;
    void setPre_UniversalJointDoWithDataCallback(Pre_UniversalJointDoWithDataCallback node) {
        Pre_doWithDataCallbackUniversalJoint = node;
    }

    static Pre_FloatVertexAttributeRenderCallback Pre_renderCallbackFloatVertexAttribute;
    void setPre_FloatVertexAttributeRenderCallback(Pre_FloatVertexAttributeRenderCallback node) {
        Pre_renderCallbackFloatVertexAttribute = node;
    }

    static Pre_FloatVertexAttributeDoWithDataCallback Pre_doWithDataCallbackFloatVertexAttribute;
    void setPre_FloatVertexAttributeDoWithDataCallback(Pre_FloatVertexAttributeDoWithDataCallback node) {
        Pre_doWithDataCallbackFloatVertexAttribute = node;
    }

    static Pre_SuperShapeRenderCallback Pre_renderCallbackSuperShape;
    void setPre_SuperShapeRenderCallback(Pre_SuperShapeRenderCallback node) {
        Pre_renderCallbackSuperShape = node;
    }

    static Pre_SuperShapeDoWithDataCallback Pre_doWithDataCallbackSuperShape;
    void setPre_SuperShapeDoWithDataCallback(Pre_SuperShapeDoWithDataCallback node) {
        Pre_doWithDataCallbackSuperShape = node;
    }

    static Pre_TransmitterPduRenderCallback Pre_renderCallbackTransmitterPdu;
    void setPre_TransmitterPduRenderCallback(Pre_TransmitterPduRenderCallback node) {
        Pre_renderCallbackTransmitterPdu = node;
    }

    static Pre_TransmitterPduDoWithDataCallback Pre_doWithDataCallbackTransmitterPdu;
    void setPre_TransmitterPduDoWithDataCallback(Pre_TransmitterPduDoWithDataCallback node) {
        Pre_doWithDataCallbackTransmitterPdu = node;
    }

    static Pre_TwoSidedMaterialRenderCallback Pre_renderCallbackTwoSidedMaterial;
    void setPre_TwoSidedMaterialRenderCallback(Pre_TwoSidedMaterialRenderCallback node) {
        Pre_renderCallbackTwoSidedMaterial = node;
    }

    static Pre_TwoSidedMaterialDoWithDataCallback Pre_doWithDataCallbackTwoSidedMaterial;
    void setPre_TwoSidedMaterialDoWithDataCallback(Pre_TwoSidedMaterialDoWithDataCallback node) {
        Pre_doWithDataCallbackTwoSidedMaterial = node;
    }

    static Pre_WindPhysicsModelRenderCallback Pre_renderCallbackWindPhysicsModel;
    void setPre_WindPhysicsModelRenderCallback(Pre_WindPhysicsModelRenderCallback node) {
        Pre_renderCallbackWindPhysicsModel = node;
    }

    static Pre_WindPhysicsModelDoWithDataCallback Pre_doWithDataCallbackWindPhysicsModel;
    void setPre_WindPhysicsModelDoWithDataCallback(Pre_WindPhysicsModelDoWithDataCallback node) {
        Pre_doWithDataCallbackWindPhysicsModel = node;
    }

    static Pre_GeoTransformRenderCallback Pre_renderCallbackGeoTransform;
    void setPre_GeoTransformRenderCallback(Pre_GeoTransformRenderCallback node) {
        Pre_renderCallbackGeoTransform = node;
    }

    static Pre_GeoTransformDoWithDataCallback Pre_doWithDataCallbackGeoTransform;
    void setPre_GeoTransformDoWithDataCallback(Pre_GeoTransformDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoTransform = node;
    }

    static Pre_TransformRenderCallback Pre_renderCallbackTransform;
    void setPre_TransformRenderCallback(Pre_TransformRenderCallback node) {
        Pre_renderCallbackTransform = node;
    }

    static Pre_TransformDoWithDataCallback Pre_doWithDataCallbackTransform;
    void setPre_TransformDoWithDataCallback(Pre_TransformDoWithDataCallback node) {
        Pre_doWithDataCallbackTransform = node;
    }

    static Pre_SuperExtrusionRenderCallback Pre_renderCallbackSuperExtrusion;
    void setPre_SuperExtrusionRenderCallback(Pre_SuperExtrusionRenderCallback node) {
        Pre_renderCallbackSuperExtrusion = node;
    }

    static Pre_SuperExtrusionDoWithDataCallback Pre_doWithDataCallbackSuperExtrusion;
    void setPre_SuperExtrusionDoWithDataCallback(Pre_SuperExtrusionDoWithDataCallback node) {
        Pre_doWithDataCallbackSuperExtrusion = node;
    }

    static Pre_CylinderSensorRenderCallback Pre_renderCallbackCylinderSensor;
    void setPre_CylinderSensorRenderCallback(Pre_CylinderSensorRenderCallback node) {
        Pre_renderCallbackCylinderSensor = node;
    }

    static Pre_CylinderSensorDoWithDataCallback Pre_doWithDataCallbackCylinderSensor;
    void setPre_CylinderSensorDoWithDataCallback(Pre_CylinderSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackCylinderSensor = node;
    }

    static Pre_LoadSensorRenderCallback Pre_renderCallbackLoadSensor;
    void setPre_LoadSensorRenderCallback(Pre_LoadSensorRenderCallback node) {
        Pre_renderCallbackLoadSensor = node;
    }

    static Pre_LoadSensorDoWithDataCallback Pre_doWithDataCallbackLoadSensor;
    void setPre_LoadSensorDoWithDataCallback(Pre_LoadSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackLoadSensor = node;
    }

    static Pre_PackagedShaderRenderCallback Pre_renderCallbackPackagedShader;
    void setPre_PackagedShaderRenderCallback(Pre_PackagedShaderRenderCallback node) {
        Pre_renderCallbackPackagedShader = node;
    }

    static Pre_PackagedShaderDoWithDataCallback Pre_doWithDataCallbackPackagedShader;
    void setPre_PackagedShaderDoWithDataCallback(Pre_PackagedShaderDoWithDataCallback node) {
        Pre_doWithDataCallbackPackagedShader = node;
    }

    static Pre_SuperRevolverRenderCallback Pre_renderCallbackSuperRevolver;
    void setPre_SuperRevolverRenderCallback(Pre_SuperRevolverRenderCallback node) {
        Pre_renderCallbackSuperRevolver = node;
    }

    static Pre_SuperRevolverDoWithDataCallback Pre_doWithDataCallbackSuperRevolver;
    void setPre_SuperRevolverDoWithDataCallback(Pre_SuperRevolverDoWithDataCallback node) {
        Pre_doWithDataCallbackSuperRevolver = node;
    }

    static Pre_TextureCoordinateGeneratorRenderCallback Pre_renderCallbackTextureCoordinateGenerator;
    void setPre_TextureCoordinateGeneratorRenderCallback(Pre_TextureCoordinateGeneratorRenderCallback node) {
        Pre_renderCallbackTextureCoordinateGenerator = node;
    }

    static Pre_TextureCoordinateGeneratorDoWithDataCallback Pre_doWithDataCallbackTextureCoordinateGenerator;
    void setPre_TextureCoordinateGeneratorDoWithDataCallback(Pre_TextureCoordinateGeneratorDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureCoordinateGenerator = node;
    }

    static Pre_TexturePropertiesRenderCallback Pre_renderCallbackTextureProperties;
    void setPre_TexturePropertiesRenderCallback(Pre_TexturePropertiesRenderCallback node) {
        Pre_renderCallbackTextureProperties = node;
    }

    static Pre_TexturePropertiesDoWithDataCallback Pre_doWithDataCallbackTextureProperties;
    void setPre_TexturePropertiesDoWithDataCallback(Pre_TexturePropertiesDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureProperties = node;
    }

    static Pre_ArcClose2DRenderCallback Pre_renderCallbackArcClose2D;
    void setPre_ArcClose2DRenderCallback(Pre_ArcClose2DRenderCallback node) {
        Pre_renderCallbackArcClose2D = node;
    }

    static Pre_ArcClose2DDoWithDataCallback Pre_doWithDataCallbackArcClose2D;
    void setPre_ArcClose2DDoWithDataCallback(Pre_ArcClose2DDoWithDataCallback node) {
        Pre_doWithDataCallbackArcClose2D = node;
    }

    static Pre_ElevationGridRenderCallback Pre_renderCallbackElevationGrid;
    void setPre_ElevationGridRenderCallback(Pre_ElevationGridRenderCallback node) {
        Pre_renderCallbackElevationGrid = node;
    }

    static Pre_ElevationGridDoWithDataCallback Pre_doWithDataCallbackElevationGrid;
    void setPre_ElevationGridDoWithDataCallback(Pre_ElevationGridDoWithDataCallback node) {
        Pre_doWithDataCallbackElevationGrid = node;
    }

    static Pre_IndexedTriangleFanSetRenderCallback Pre_renderCallbackIndexedTriangleFanSet;
    void setPre_IndexedTriangleFanSetRenderCallback(Pre_IndexedTriangleFanSetRenderCallback node) {
        Pre_renderCallbackIndexedTriangleFanSet = node;
    }

    static Pre_IndexedTriangleFanSetDoWithDataCallback Pre_doWithDataCallbackIndexedTriangleFanSet;
    void setPre_IndexedTriangleFanSetDoWithDataCallback(Pre_IndexedTriangleFanSetDoWithDataCallback node) {
        Pre_doWithDataCallbackIndexedTriangleFanSet = node;
    }

    static Pre_NurbsCurve2DRenderCallback Pre_renderCallbackNurbsCurve2D;
    void setPre_NurbsCurve2DRenderCallback(Pre_NurbsCurve2DRenderCallback node) {
        Pre_renderCallbackNurbsCurve2D = node;
    }

    static Pre_NurbsCurve2DDoWithDataCallback Pre_doWithDataCallbackNurbsCurve2D;
    void setPre_NurbsCurve2DDoWithDataCallback(Pre_NurbsCurve2DDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsCurve2D = node;
    }

    static Pre_NurbsSurfaceRenderCallback Pre_renderCallbackNurbsSurface;
    void setPre_NurbsSurfaceRenderCallback(Pre_NurbsSurfaceRenderCallback node) {
        Pre_renderCallbackNurbsSurface = node;
    }

    static Pre_NurbsSurfaceDoWithDataCallback Pre_doWithDataCallbackNurbsSurface;
    void setPre_NurbsSurfaceDoWithDataCallback(Pre_NurbsSurfaceDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsSurface = node;
    }

    static Pre_PickableGroupRenderCallback Pre_renderCallbackPickableGroup;
    void setPre_PickableGroupRenderCallback(Pre_PickableGroupRenderCallback node) {
        Pre_renderCallbackPickableGroup = node;
    }

    static Pre_PickableGroupDoWithDataCallback Pre_doWithDataCallbackPickableGroup;
    void setPre_PickableGroupDoWithDataCallback(Pre_PickableGroupDoWithDataCallback node) {
        Pre_doWithDataCallbackPickableGroup = node;
    }

    static Pre_CollisionSensorRenderCallback Pre_renderCallbackCollisionSensor;
    void setPre_CollisionSensorRenderCallback(Pre_CollisionSensorRenderCallback node) {
        Pre_renderCallbackCollisionSensor = node;
    }

    static Pre_CollisionSensorDoWithDataCallback Pre_doWithDataCallbackCollisionSensor;
    void setPre_CollisionSensorDoWithDataCallback(Pre_CollisionSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackCollisionSensor = node;
    }

    static Pre_GeoTouchSensorRenderCallback Pre_renderCallbackGeoTouchSensor;
    void setPre_GeoTouchSensorRenderCallback(Pre_GeoTouchSensorRenderCallback node) {
        Pre_renderCallbackGeoTouchSensor = node;
    }

    static Pre_GeoTouchSensorDoWithDataCallback Pre_doWithDataCallbackGeoTouchSensor;
    void setPre_GeoTouchSensorDoWithDataCallback(Pre_GeoTouchSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoTouchSensor = node;
    }

    static Pre_PlaneSensorRenderCallback Pre_renderCallbackPlaneSensor;
    void setPre_PlaneSensorRenderCallback(Pre_PlaneSensorRenderCallback node) {
        Pre_renderCallbackPlaneSensor = node;
    }

    static Pre_PlaneSensorDoWithDataCallback Pre_doWithDataCallbackPlaneSensor;
    void setPre_PlaneSensorDoWithDataCallback(Pre_PlaneSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackPlaneSensor = node;
    }

    static Pre_StringSensorRenderCallback Pre_renderCallbackStringSensor;
    void setPre_StringSensorRenderCallback(Pre_StringSensorRenderCallback node) {
        Pre_renderCallbackStringSensor = node;
    }

    static Pre_StringSensorDoWithDataCallback Pre_doWithDataCallbackStringSensor;
    void setPre_StringSensorDoWithDataCallback(Pre_StringSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackStringSensor = node;
    }

    static Pre_CoordinateInterpolator2DRenderCallback Pre_renderCallbackCoordinateInterpolator2D;
    void setPre_CoordinateInterpolator2DRenderCallback(Pre_CoordinateInterpolator2DRenderCallback node) {
        Pre_renderCallbackCoordinateInterpolator2D = node;
    }

    static Pre_CoordinateInterpolator2DDoWithDataCallback Pre_doWithDataCallbackCoordinateInterpolator2D;
    void setPre_CoordinateInterpolator2DDoWithDataCallback(Pre_CoordinateInterpolator2DDoWithDataCallback node) {
        Pre_doWithDataCallbackCoordinateInterpolator2D = node;
    }

    static Pre_DoubleAxisHingeJointRenderCallback Pre_renderCallbackDoubleAxisHingeJoint;
    void setPre_DoubleAxisHingeJointRenderCallback(Pre_DoubleAxisHingeJointRenderCallback node) {
        Pre_renderCallbackDoubleAxisHingeJoint = node;
    }

    static Pre_DoubleAxisHingeJointDoWithDataCallback Pre_doWithDataCallbackDoubleAxisHingeJoint;
    void setPre_DoubleAxisHingeJointDoWithDataCallback(Pre_DoubleAxisHingeJointDoWithDataCallback node) {
        Pre_doWithDataCallbackDoubleAxisHingeJoint = node;
    }

    static Pre_Polyline2DRenderCallback Pre_renderCallbackPolyline2D;
    void setPre_Polyline2DRenderCallback(Pre_Polyline2DRenderCallback node) {
        Pre_renderCallbackPolyline2D = node;
    }

    static Pre_Polyline2DDoWithDataCallback Pre_doWithDataCallbackPolyline2D;
    void setPre_Polyline2DDoWithDataCallback(Pre_Polyline2DDoWithDataCallback node) {
        Pre_doWithDataCallbackPolyline2D = node;
    }

    static Pre_PositionInterpolator2DRenderCallback Pre_renderCallbackPositionInterpolator2D;
    void setPre_PositionInterpolator2DRenderCallback(Pre_PositionInterpolator2DRenderCallback node) {
        Pre_renderCallbackPositionInterpolator2D = node;
    }

    static Pre_PositionInterpolator2DDoWithDataCallback Pre_doWithDataCallbackPositionInterpolator2D;
    void setPre_PositionInterpolator2DDoWithDataCallback(Pre_PositionInterpolator2DDoWithDataCallback node) {
        Pre_doWithDataCallbackPositionInterpolator2D = node;
    }

    static Pre_HAnimSiteRenderCallback Pre_renderCallbackHAnimSite;
    void setPre_HAnimSiteRenderCallback(Pre_HAnimSiteRenderCallback node) {
        Pre_renderCallbackHAnimSite = node;
    }

    static Pre_HAnimSiteDoWithDataCallback Pre_doWithDataCallbackHAnimSite;
    void setPre_HAnimSiteDoWithDataCallback(Pre_HAnimSiteDoWithDataCallback node) {
        Pre_doWithDataCallbackHAnimSite = node;
    }

    static Pre_ImageCubeMapTextureRenderCallback Pre_renderCallbackImageCubeMapTexture;
    void setPre_ImageCubeMapTextureRenderCallback(Pre_ImageCubeMapTextureRenderCallback node) {
        Pre_renderCallbackImageCubeMapTexture = node;
    }

    static Pre_ImageCubeMapTextureDoWithDataCallback Pre_doWithDataCallbackImageCubeMapTexture;
    void setPre_ImageCubeMapTextureDoWithDataCallback(Pre_ImageCubeMapTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackImageCubeMapTexture = node;
    }

    static Pre_ImageTextureRenderCallback Pre_renderCallbackImageTexture;
    void setPre_ImageTextureRenderCallback(Pre_ImageTextureRenderCallback node) {
        Pre_renderCallbackImageTexture = node;
    }

    static Pre_ImageTextureDoWithDataCallback Pre_doWithDataCallbackImageTexture;
    void setPre_ImageTextureDoWithDataCallback(Pre_ImageTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackImageTexture = node;
    }

    static Pre_MovieTextureRenderCallback Pre_renderCallbackMovieTexture;
    void setPre_MovieTextureRenderCallback(Pre_MovieTextureRenderCallback node) {
        Pre_renderCallbackMovieTexture = node;
    }

    static Pre_MovieTextureDoWithDataCallback Pre_doWithDataCallbackMovieTexture;
    void setPre_MovieTextureDoWithDataCallback(Pre_MovieTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackMovieTexture = node;
    }

    static Pre_ScreenFontStyleRenderCallback Pre_renderCallbackScreenFontStyle;
    void setPre_ScreenFontStyleRenderCallback(Pre_ScreenFontStyleRenderCallback node) {
        Pre_renderCallbackScreenFontStyle = node;
    }

    static Pre_ScreenFontStyleDoWithDataCallback Pre_doWithDataCallbackScreenFontStyle;
    void setPre_ScreenFontStyleDoWithDataCallback(Pre_ScreenFontStyleDoWithDataCallback node) {
        Pre_doWithDataCallbackScreenFontStyle = node;
    }

    static Pre_NavigationInfoRenderCallback Pre_renderCallbackNavigationInfo;
    void setPre_NavigationInfoRenderCallback(Pre_NavigationInfoRenderCallback node) {
        Pre_renderCallbackNavigationInfo = node;
    }

    static Pre_NavigationInfoDoWithDataCallback Pre_doWithDataCallbackNavigationInfo;
    void setPre_NavigationInfoDoWithDataCallback(Pre_NavigationInfoDoWithDataCallback node) {
        Pre_doWithDataCallbackNavigationInfo = node;
    }

    static Pre_CoordinateInterpolatorRenderCallback Pre_renderCallbackCoordinateInterpolator;
    void setPre_CoordinateInterpolatorRenderCallback(Pre_CoordinateInterpolatorRenderCallback node) {
        Pre_renderCallbackCoordinateInterpolator = node;
    }

    static Pre_CoordinateInterpolatorDoWithDataCallback Pre_doWithDataCallbackCoordinateInterpolator;
    void setPre_CoordinateInterpolatorDoWithDataCallback(Pre_CoordinateInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackCoordinateInterpolator = node;
    }

    static Pre_DirectionalLightRenderCallback Pre_renderCallbackDirectionalLight;
    void setPre_DirectionalLightRenderCallback(Pre_DirectionalLightRenderCallback node) {
        Pre_renderCallbackDirectionalLight = node;
    }

    static Pre_DirectionalLightDoWithDataCallback Pre_doWithDataCallbackDirectionalLight;
    void setPre_DirectionalLightDoWithDataCallback(Pre_DirectionalLightDoWithDataCallback node) {
        Pre_doWithDataCallbackDirectionalLight = node;
    }

    static Pre_GeoLODRenderCallback Pre_renderCallbackGeoLOD;
    void setPre_GeoLODRenderCallback(Pre_GeoLODRenderCallback node) {
        Pre_renderCallbackGeoLOD = node;
    }

    static Pre_GeoLODDoWithDataCallback Pre_doWithDataCallbackGeoLOD;
    void setPre_GeoLODDoWithDataCallback(Pre_GeoLODDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoLOD = node;
    }

    static Pre_LdrawDatExportRenderCallback Pre_renderCallbackLdrawDatExport;
    void setPre_LdrawDatExportRenderCallback(Pre_LdrawDatExportRenderCallback node) {
        Pre_renderCallbackLdrawDatExport = node;
    }

    static Pre_LdrawDatExportDoWithDataCallback Pre_doWithDataCallbackLdrawDatExport;
    void setPre_LdrawDatExportDoWithDataCallback(Pre_LdrawDatExportDoWithDataCallback node) {
        Pre_doWithDataCallbackLdrawDatExport = node;
    }

    static Pre_LODRenderCallback Pre_renderCallbackLOD;
    void setPre_LODRenderCallback(Pre_LODRenderCallback node) {
        Pre_renderCallbackLOD = node;
    }

    static Pre_LODDoWithDataCallback Pre_doWithDataCallbackLOD;
    void setPre_LODDoWithDataCallback(Pre_LODDoWithDataCallback node) {
        Pre_doWithDataCallbackLOD = node;
    }

    static Pre_OdeSingleAxisHingeJointRenderCallback Pre_renderCallbackOdeSingleAxisHingeJoint;
    void setPre_OdeSingleAxisHingeJointRenderCallback(Pre_OdeSingleAxisHingeJointRenderCallback node) {
        Pre_renderCallbackOdeSingleAxisHingeJoint = node;
    }

    static Pre_OdeSingleAxisHingeJointDoWithDataCallback Pre_doWithDataCallbackOdeSingleAxisHingeJoint;
    void setPre_OdeSingleAxisHingeJointDoWithDataCallback(Pre_OdeSingleAxisHingeJointDoWithDataCallback node) {
        Pre_doWithDataCallbackOdeSingleAxisHingeJoint = node;
    }

    static Pre_SingleAxisHingeJointRenderCallback Pre_renderCallbackSingleAxisHingeJoint;
    void setPre_SingleAxisHingeJointRenderCallback(Pre_SingleAxisHingeJointRenderCallback node) {
        Pre_renderCallbackSingleAxisHingeJoint = node;
    }

    static Pre_SingleAxisHingeJointDoWithDataCallback Pre_doWithDataCallbackSingleAxisHingeJoint;
    void setPre_SingleAxisHingeJointDoWithDataCallback(Pre_SingleAxisHingeJointDoWithDataCallback node) {
        Pre_doWithDataCallbackSingleAxisHingeJoint = node;
    }

    static Pre_ComposedCubeMapTextureRenderCallback Pre_renderCallbackComposedCubeMapTexture;
    void setPre_ComposedCubeMapTextureRenderCallback(Pre_ComposedCubeMapTextureRenderCallback node) {
        Pre_renderCallbackComposedCubeMapTexture = node;
    }

    static Pre_ComposedCubeMapTextureDoWithDataCallback Pre_doWithDataCallbackComposedCubeMapTexture;
    void setPre_ComposedCubeMapTextureDoWithDataCallback(Pre_ComposedCubeMapTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackComposedCubeMapTexture = node;
    }

    static Pre_CollisionRenderCallback Pre_renderCallbackCollision;
    void setPre_CollisionRenderCallback(Pre_CollisionRenderCallback node) {
        Pre_renderCallbackCollision = node;
    }

    static Pre_CollisionDoWithDataCallback Pre_doWithDataCallbackCollision;
    void setPre_CollisionDoWithDataCallback(Pre_CollisionDoWithDataCallback node) {
        Pre_doWithDataCallbackCollision = node;
    }

    static Pre_GeoOriginRenderCallback Pre_renderCallbackGeoOrigin;
    void setPre_GeoOriginRenderCallback(Pre_GeoOriginRenderCallback node) {
        Pre_renderCallbackGeoOrigin = node;
    }

    static Pre_GeoOriginDoWithDataCallback Pre_doWithDataCallbackGeoOrigin;
    void setPre_GeoOriginDoWithDataCallback(Pre_GeoOriginDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoOrigin = node;
    }

    static Pre_NurbsGroupRenderCallback Pre_renderCallbackNurbsGroup;
    void setPre_NurbsGroupRenderCallback(Pre_NurbsGroupRenderCallback node) {
        Pre_renderCallbackNurbsGroup = node;
    }

    static Pre_NurbsGroupDoWithDataCallback Pre_doWithDataCallbackNurbsGroup;
    void setPre_NurbsGroupDoWithDataCallback(Pre_NurbsGroupDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsGroup = node;
    }

    static Pre_GeoProximitySensorRenderCallback Pre_renderCallbackGeoProximitySensor;
    void setPre_GeoProximitySensorRenderCallback(Pre_GeoProximitySensorRenderCallback node) {
        Pre_renderCallbackGeoProximitySensor = node;
    }

    static Pre_GeoProximitySensorDoWithDataCallback Pre_doWithDataCallbackGeoProximitySensor;
    void setPre_GeoProximitySensorDoWithDataCallback(Pre_GeoProximitySensorDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoProximitySensor = node;
    }

    static Pre_PointEmitterRenderCallback Pre_renderCallbackPointEmitter;
    void setPre_PointEmitterRenderCallback(Pre_PointEmitterRenderCallback node) {
        Pre_renderCallbackPointEmitter = node;
    }

    static Pre_PointEmitterDoWithDataCallback Pre_doWithDataCallbackPointEmitter;
    void setPre_PointEmitterDoWithDataCallback(Pre_PointEmitterDoWithDataCallback node) {
        Pre_doWithDataCallbackPointEmitter = node;
    }

    static Pre_ProximitySensorRenderCallback Pre_renderCallbackProximitySensor;
    void setPre_ProximitySensorRenderCallback(Pre_ProximitySensorRenderCallback node) {
        Pre_renderCallbackProximitySensor = node;
    }

    static Pre_ProximitySensorDoWithDataCallback Pre_doWithDataCallbackProximitySensor;
    void setPre_ProximitySensorDoWithDataCallback(Pre_ProximitySensorDoWithDataCallback node) {
        Pre_doWithDataCallbackProximitySensor = node;
    }

    static Pre_ScalarChaserRenderCallback Pre_renderCallbackScalarChaser;
    void setPre_ScalarChaserRenderCallback(Pre_ScalarChaserRenderCallback node) {
        Pre_renderCallbackScalarChaser = node;
    }

    static Pre_ScalarChaserDoWithDataCallback Pre_doWithDataCallbackScalarChaser;
    void setPre_ScalarChaserDoWithDataCallback(Pre_ScalarChaserDoWithDataCallback node) {
        Pre_doWithDataCallbackScalarChaser = node;
    }

    static Pre_VisibilitySensorRenderCallback Pre_renderCallbackVisibilitySensor;
    void setPre_VisibilitySensorRenderCallback(Pre_VisibilitySensorRenderCallback node) {
        Pre_renderCallbackVisibilitySensor = node;
    }

    static Pre_VisibilitySensorDoWithDataCallback Pre_doWithDataCallbackVisibilitySensor;
    void setPre_VisibilitySensorDoWithDataCallback(Pre_VisibilitySensorDoWithDataCallback node) {
        Pre_doWithDataCallbackVisibilitySensor = node;
    }

    static Pre_CattExportSrcRenderCallback Pre_renderCallbackCattExportSrc;
    void setPre_CattExportSrcRenderCallback(Pre_CattExportSrcRenderCallback node) {
        Pre_renderCallbackCattExportSrc = node;
    }

    static Pre_CattExportSrcDoWithDataCallback Pre_doWithDataCallbackCattExportSrc;
    void setPre_CattExportSrcDoWithDataCallback(Pre_CattExportSrcDoWithDataCallback node) {
        Pre_doWithDataCallbackCattExportSrc = node;
    }

    static Pre_HAnimHumanoidRenderCallback Pre_renderCallbackHAnimHumanoid;
    void setPre_HAnimHumanoidRenderCallback(Pre_HAnimHumanoidRenderCallback node) {
        Pre_renderCallbackHAnimHumanoid = node;
    }

    static Pre_HAnimHumanoidDoWithDataCallback Pre_doWithDataCallbackHAnimHumanoid;
    void setPre_HAnimHumanoidDoWithDataCallback(Pre_HAnimHumanoidDoWithDataCallback node) {
        Pre_doWithDataCallbackHAnimHumanoid = node;
    }

    static Pre_IndexedFaceSetRenderCallback Pre_renderCallbackIndexedFaceSet;
    void setPre_IndexedFaceSetRenderCallback(Pre_IndexedFaceSetRenderCallback node) {
        Pre_renderCallbackIndexedFaceSet = node;
    }

    static Pre_IndexedFaceSetDoWithDataCallback Pre_doWithDataCallbackIndexedFaceSet;
    void setPre_IndexedFaceSetDoWithDataCallback(Pre_IndexedFaceSetDoWithDataCallback node) {
        Pre_doWithDataCallbackIndexedFaceSet = node;
    }

    static Pre_SoundRenderCallback Pre_renderCallbackSound;
    void setPre_SoundRenderCallback(Pre_SoundRenderCallback node) {
        Pre_renderCallbackSound = node;
    }

    static Pre_SoundDoWithDataCallback Pre_doWithDataCallbackSound;
    void setPre_SoundDoWithDataCallback(Pre_SoundDoWithDataCallback node) {
        Pre_doWithDataCallbackSound = node;
    }

    static Pre_TriangleSetRenderCallback Pre_renderCallbackTriangleSet;
    void setPre_TriangleSetRenderCallback(Pre_TriangleSetRenderCallback node) {
        Pre_renderCallbackTriangleSet = node;
    }

    static Pre_TriangleSetDoWithDataCallback Pre_doWithDataCallbackTriangleSet;
    void setPre_TriangleSetDoWithDataCallback(Pre_TriangleSetDoWithDataCallback node) {
        Pre_doWithDataCallbackTriangleSet = node;
    }

    static Pre_ConeRenderCallback Pre_renderCallbackCone;
    void setPre_ConeRenderCallback(Pre_ConeRenderCallback node) {
        Pre_renderCallbackCone = node;
    }

    static Pre_ConeDoWithDataCallback Pre_doWithDataCallbackCone;
    void setPre_ConeDoWithDataCallback(Pre_ConeDoWithDataCallback node) {
        Pre_doWithDataCallbackCone = node;
    }

    static Pre_FontStyleRenderCallback Pre_renderCallbackFontStyle;
    void setPre_FontStyleRenderCallback(Pre_FontStyleRenderCallback node) {
        Pre_renderCallbackFontStyle = node;
    }

    static Pre_FontStyleDoWithDataCallback Pre_doWithDataCallbackFontStyle;
    void setPre_FontStyleDoWithDataCallback(Pre_FontStyleDoWithDataCallback node) {
        Pre_doWithDataCallbackFontStyle = node;
    }

    static Pre_InlineRenderCallback Pre_renderCallbackInline;
    void setPre_InlineRenderCallback(Pre_InlineRenderCallback node) {
        Pre_renderCallbackInline = node;
    }

    static Pre_InlineDoWithDataCallback Pre_doWithDataCallbackInline;
    void setPre_InlineDoWithDataCallback(Pre_InlineDoWithDataCallback node) {
        Pre_doWithDataCallbackInline = node;
    }

    static Pre_MultiTextureCoordinateRenderCallback Pre_renderCallbackMultiTextureCoordinate;
    void setPre_MultiTextureCoordinateRenderCallback(Pre_MultiTextureCoordinateRenderCallback node) {
        Pre_renderCallbackMultiTextureCoordinate = node;
    }

    static Pre_MultiTextureCoordinateDoWithDataCallback Pre_doWithDataCallbackMultiTextureCoordinate;
    void setPre_MultiTextureCoordinateDoWithDataCallback(Pre_MultiTextureCoordinateDoWithDataCallback node) {
        Pre_doWithDataCallbackMultiTextureCoordinate = node;
    }

    static Pre_NurbsCurveRenderCallback Pre_renderCallbackNurbsCurve;
    void setPre_NurbsCurveRenderCallback(Pre_NurbsCurveRenderCallback node) {
        Pre_renderCallbackNurbsCurve = node;
    }

    static Pre_NurbsCurveDoWithDataCallback Pre_doWithDataCallbackNurbsCurve;
    void setPre_NurbsCurveDoWithDataCallback(Pre_NurbsCurveDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsCurve = node;
    }

    static Pre_SignalPduRenderCallback Pre_renderCallbackSignalPdu;
    void setPre_SignalPduRenderCallback(Pre_SignalPduRenderCallback node) {
        Pre_renderCallbackSignalPdu = node;
    }

    static Pre_SignalPduDoWithDataCallback Pre_doWithDataCallbackSignalPdu;
    void setPre_SignalPduDoWithDataCallback(Pre_SignalPduDoWithDataCallback node) {
        Pre_doWithDataCallbackSignalPdu = node;
    }

    static Pre_RigidBodyRenderCallback Pre_renderCallbackRigidBody;
    void setPre_RigidBodyRenderCallback(Pre_RigidBodyRenderCallback node) {
        Pre_renderCallbackRigidBody = node;
    }

    static Pre_RigidBodyDoWithDataCallback Pre_doWithDataCallbackRigidBody;
    void setPre_RigidBodyDoWithDataCallback(Pre_RigidBodyDoWithDataCallback node) {
        Pre_doWithDataCallbackRigidBody = node;
    }

    static Pre_MaterialRenderCallback Pre_renderCallbackMaterial;
    void setPre_MaterialRenderCallback(Pre_MaterialRenderCallback node) {
        Pre_renderCallbackMaterial = node;
    }

    static Pre_MaterialDoWithDataCallback Pre_doWithDataCallbackMaterial;
    void setPre_MaterialDoWithDataCallback(Pre_MaterialDoWithDataCallback node) {
        Pre_doWithDataCallbackMaterial = node;
    }

    static Pre_MultiTextureTransformRenderCallback Pre_renderCallbackMultiTextureTransform;
    void setPre_MultiTextureTransformRenderCallback(Pre_MultiTextureTransformRenderCallback node) {
        Pre_renderCallbackMultiTextureTransform = node;
    }

    static Pre_MultiTextureTransformDoWithDataCallback Pre_doWithDataCallbackMultiTextureTransform;
    void setPre_MultiTextureTransformDoWithDataCallback(Pre_MultiTextureTransformDoWithDataCallback node) {
        Pre_doWithDataCallbackMultiTextureTransform = node;
    }

    static Pre_ConeEmitterRenderCallback Pre_renderCallbackConeEmitter;
    void setPre_ConeEmitterRenderCallback(Pre_ConeEmitterRenderCallback node) {
        Pre_renderCallbackConeEmitter = node;
    }

    static Pre_ConeEmitterDoWithDataCallback Pre_doWithDataCallbackConeEmitter;
    void setPre_ConeEmitterDoWithDataCallback(Pre_ConeEmitterDoWithDataCallback node) {
        Pre_doWithDataCallbackConeEmitter = node;
    }

    static Pre_MetadataIntegerRenderCallback Pre_renderCallbackMetadataInteger;
    void setPre_MetadataIntegerRenderCallback(Pre_MetadataIntegerRenderCallback node) {
        Pre_renderCallbackMetadataInteger = node;
    }

    static Pre_MetadataIntegerDoWithDataCallback Pre_doWithDataCallbackMetadataInteger;
    void setPre_MetadataIntegerDoWithDataCallback(Pre_MetadataIntegerDoWithDataCallback node) {
        Pre_doWithDataCallbackMetadataInteger = node;
    }

    static Pre_OrientationInterpolatorRenderCallback Pre_renderCallbackOrientationInterpolator;
    void setPre_OrientationInterpolatorRenderCallback(Pre_OrientationInterpolatorRenderCallback node) {
        Pre_renderCallbackOrientationInterpolator = node;
    }

    static Pre_OrientationInterpolatorDoWithDataCallback Pre_doWithDataCallbackOrientationInterpolator;
    void setPre_OrientationInterpolatorDoWithDataCallback(Pre_OrientationInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackOrientationInterpolator = node;
    }

    static Pre_TimeSensorRenderCallback Pre_renderCallbackTimeSensor;
    void setPre_TimeSensorRenderCallback(Pre_TimeSensorRenderCallback node) {
        Pre_renderCallbackTimeSensor = node;
    }

    static Pre_TimeSensorDoWithDataCallback Pre_doWithDataCallbackTimeSensor;
    void setPre_TimeSensorDoWithDataCallback(Pre_TimeSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackTimeSensor = node;
    }

    static Pre_IndexedLineSetRenderCallback Pre_renderCallbackIndexedLineSet;
    void setPre_IndexedLineSetRenderCallback(Pre_IndexedLineSetRenderCallback node) {
        Pre_renderCallbackIndexedLineSet = node;
    }

    static Pre_IndexedLineSetDoWithDataCallback Pre_doWithDataCallbackIndexedLineSet;
    void setPre_IndexedLineSetDoWithDataCallback(Pre_IndexedLineSetDoWithDataCallback node) {
        Pre_doWithDataCallbackIndexedLineSet = node;
    }

    static Pre_IndexedQuadSetRenderCallback Pre_renderCallbackIndexedQuadSet;
    void setPre_IndexedQuadSetRenderCallback(Pre_IndexedQuadSetRenderCallback node) {
        Pre_renderCallbackIndexedQuadSet = node;
    }

    static Pre_IndexedQuadSetDoWithDataCallback Pre_doWithDataCallbackIndexedQuadSet;
    void setPre_IndexedQuadSetDoWithDataCallback(Pre_IndexedQuadSetDoWithDataCallback node) {
        Pre_doWithDataCallbackIndexedQuadSet = node;
    }

    static Pre_IndexedTriangleStripSetRenderCallback Pre_renderCallbackIndexedTriangleStripSet;
    void setPre_IndexedTriangleStripSetRenderCallback(Pre_IndexedTriangleStripSetRenderCallback node) {
        Pre_renderCallbackIndexedTriangleStripSet = node;
    }

    static Pre_IndexedTriangleStripSetDoWithDataCallback Pre_doWithDataCallbackIndexedTriangleStripSet;
    void setPre_IndexedTriangleStripSetDoWithDataCallback(Pre_IndexedTriangleStripSetDoWithDataCallback node) {
        Pre_doWithDataCallbackIndexedTriangleStripSet = node;
    }

    static Pre_MetadataFloatRenderCallback Pre_renderCallbackMetadataFloat;
    void setPre_MetadataFloatRenderCallback(Pre_MetadataFloatRenderCallback node) {
        Pre_renderCallbackMetadataFloat = node;
    }

    static Pre_MetadataFloatDoWithDataCallback Pre_doWithDataCallbackMetadataFloat;
    void setPre_MetadataFloatDoWithDataCallback(Pre_MetadataFloatDoWithDataCallback node) {
        Pre_doWithDataCallbackMetadataFloat = node;
    }

    static Pre_OdeMotorJointRenderCallback Pre_renderCallbackOdeMotorJoint;
    void setPre_OdeMotorJointRenderCallback(Pre_OdeMotorJointRenderCallback node) {
        Pre_renderCallbackOdeMotorJoint = node;
    }

    static Pre_OdeMotorJointDoWithDataCallback Pre_doWithDataCallbackOdeMotorJoint;
    void setPre_OdeMotorJointDoWithDataCallback(Pre_OdeMotorJointDoWithDataCallback node) {
        Pre_doWithDataCallbackOdeMotorJoint = node;
    }

    static Pre_PositionChaser2DRenderCallback Pre_renderCallbackPositionChaser2D;
    void setPre_PositionChaser2DRenderCallback(Pre_PositionChaser2DRenderCallback node) {
        Pre_renderCallbackPositionChaser2D = node;
    }

    static Pre_PositionChaser2DDoWithDataCallback Pre_doWithDataCallbackPositionChaser2D;
    void setPre_PositionChaser2DDoWithDataCallback(Pre_PositionChaser2DDoWithDataCallback node) {
        Pre_doWithDataCallbackPositionChaser2D = node;
    }

    static Pre_TriangleFanSetRenderCallback Pre_renderCallbackTriangleFanSet;
    void setPre_TriangleFanSetRenderCallback(Pre_TriangleFanSetRenderCallback node) {
        Pre_renderCallbackTriangleFanSet = node;
    }

    static Pre_TriangleFanSetDoWithDataCallback Pre_doWithDataCallbackTriangleFanSet;
    void setPre_TriangleFanSetDoWithDataCallback(Pre_TriangleFanSetDoWithDataCallback node) {
        Pre_doWithDataCallbackTriangleFanSet = node;
    }

    static Pre_ViewportRenderCallback Pre_renderCallbackViewport;
    void setPre_ViewportRenderCallback(Pre_ViewportRenderCallback node) {
        Pre_renderCallbackViewport = node;
    }

    static Pre_ViewportDoWithDataCallback Pre_doWithDataCallbackViewport;
    void setPre_ViewportDoWithDataCallback(Pre_ViewportDoWithDataCallback node) {
        Pre_doWithDataCallbackViewport = node;
    }

    static Pre_FogRenderCallback Pre_renderCallbackFog;
    void setPre_FogRenderCallback(Pre_FogRenderCallback node) {
        Pre_renderCallbackFog = node;
    }

    static Pre_FogDoWithDataCallback Pre_doWithDataCallbackFog;
    void setPre_FogDoWithDataCallback(Pre_FogDoWithDataCallback node) {
        Pre_doWithDataCallbackFog = node;
    }

    static Pre_ShaderProgramRenderCallback Pre_renderCallbackShaderProgram;
    void setPre_ShaderProgramRenderCallback(Pre_ShaderProgramRenderCallback node) {
        Pre_renderCallbackShaderProgram = node;
    }

    static Pre_ShaderProgramDoWithDataCallback Pre_doWithDataCallbackShaderProgram;
    void setPre_ShaderProgramDoWithDataCallback(Pre_ShaderProgramDoWithDataCallback node) {
        Pre_doWithDataCallbackShaderProgram = node;
    }

    static Pre_CollisionCollectionRenderCallback Pre_renderCallbackCollisionCollection;
    void setPre_CollisionCollectionRenderCallback(Pre_CollisionCollectionRenderCallback node) {
        Pre_renderCallbackCollisionCollection = node;
    }

    static Pre_CollisionCollectionDoWithDataCallback Pre_doWithDataCallbackCollisionCollection;
    void setPre_CollisionCollectionDoWithDataCallback(Pre_CollisionCollectionDoWithDataCallback node) {
        Pre_doWithDataCallbackCollisionCollection = node;
    }

    static Pre_StaticGroupRenderCallback Pre_renderCallbackStaticGroup;
    void setPre_StaticGroupRenderCallback(Pre_StaticGroupRenderCallback node) {
        Pre_renderCallbackStaticGroup = node;
    }

    static Pre_StaticGroupDoWithDataCallback Pre_doWithDataCallbackStaticGroup;
    void setPre_StaticGroupDoWithDataCallback(Pre_StaticGroupDoWithDataCallback node) {
        Pre_doWithDataCallbackStaticGroup = node;
    }

    static Pre_AnchorRenderCallback Pre_renderCallbackAnchor;
    void setPre_AnchorRenderCallback(Pre_AnchorRenderCallback node) {
        Pre_renderCallbackAnchor = node;
    }

    static Pre_AnchorDoWithDataCallback Pre_doWithDataCallbackAnchor;
    void setPre_AnchorDoWithDataCallback(Pre_AnchorDoWithDataCallback node) {
        Pre_doWithDataCallbackAnchor = node;
    }

    static Pre_BooleanTriggerRenderCallback Pre_renderCallbackBooleanTrigger;
    void setPre_BooleanTriggerRenderCallback(Pre_BooleanTriggerRenderCallback node) {
        Pre_renderCallbackBooleanTrigger = node;
    }

    static Pre_BooleanTriggerDoWithDataCallback Pre_doWithDataCallbackBooleanTrigger;
    void setPre_BooleanTriggerDoWithDataCallback(Pre_BooleanTriggerDoWithDataCallback node) {
        Pre_doWithDataCallbackBooleanTrigger = node;
    }

    static Pre_BooleanSequencerRenderCallback Pre_renderCallbackBooleanSequencer;
    void setPre_BooleanSequencerRenderCallback(Pre_BooleanSequencerRenderCallback node) {
        Pre_renderCallbackBooleanSequencer = node;
    }

    static Pre_BooleanSequencerDoWithDataCallback Pre_doWithDataCallbackBooleanSequencer;
    void setPre_BooleanSequencerDoWithDataCallback(Pre_BooleanSequencerDoWithDataCallback node) {
        Pre_doWithDataCallbackBooleanSequencer = node;
    }

    static Pre_ColorRenderCallback Pre_renderCallbackColor;
    void setPre_ColorRenderCallback(Pre_ColorRenderCallback node) {
        Pre_renderCallbackColor = node;
    }

    static Pre_ColorDoWithDataCallback Pre_doWithDataCallbackColor;
    void setPre_ColorDoWithDataCallback(Pre_ColorDoWithDataCallback node) {
        Pre_doWithDataCallbackColor = node;
    }

    static Pre_OrientationChaserRenderCallback Pre_renderCallbackOrientationChaser;
    void setPre_OrientationChaserRenderCallback(Pre_OrientationChaserRenderCallback node) {
        Pre_renderCallbackOrientationChaser = node;
    }

    static Pre_OrientationChaserDoWithDataCallback Pre_doWithDataCallbackOrientationChaser;
    void setPre_OrientationChaserDoWithDataCallback(Pre_OrientationChaserDoWithDataCallback node) {
        Pre_doWithDataCallbackOrientationChaser = node;
    }

    static Pre_OrientationDamperRenderCallback Pre_renderCallbackOrientationDamper;
    void setPre_OrientationDamperRenderCallback(Pre_OrientationDamperRenderCallback node) {
        Pre_renderCallbackOrientationDamper = node;
    }

    static Pre_OrientationDamperDoWithDataCallback Pre_doWithDataCallbackOrientationDamper;
    void setPre_OrientationDamperDoWithDataCallback(Pre_OrientationDamperDoWithDataCallback node) {
        Pre_doWithDataCallbackOrientationDamper = node;
    }

    static Pre_PointPickSensorRenderCallback Pre_renderCallbackPointPickSensor;
    void setPre_PointPickSensorRenderCallback(Pre_PointPickSensorRenderCallback node) {
        Pre_renderCallbackPointPickSensor = node;
    }

    static Pre_PointPickSensorDoWithDataCallback Pre_doWithDataCallbackPointPickSensor;
    void setPre_PointPickSensorDoWithDataCallback(Pre_PointPickSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackPointPickSensor = node;
    }

    static Pre_SplinePositionInterpolatorRenderCallback Pre_renderCallbackSplinePositionInterpolator;
    void setPre_SplinePositionInterpolatorRenderCallback(Pre_SplinePositionInterpolatorRenderCallback node) {
        Pre_renderCallbackSplinePositionInterpolator = node;
    }

    static Pre_SplinePositionInterpolatorDoWithDataCallback Pre_doWithDataCallbackSplinePositionInterpolator;
    void setPre_SplinePositionInterpolatorDoWithDataCallback(Pre_SplinePositionInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackSplinePositionInterpolator = node;
    }

    static Pre_TimeTriggerRenderCallback Pre_renderCallbackTimeTrigger;
    void setPre_TimeTriggerRenderCallback(Pre_TimeTriggerRenderCallback node) {
        Pre_renderCallbackTimeTrigger = node;
    }

    static Pre_TimeTriggerDoWithDataCallback Pre_doWithDataCallbackTimeTrigger;
    void setPre_TimeTriggerDoWithDataCallback(Pre_TimeTriggerDoWithDataCallback node) {
        Pre_doWithDataCallbackTimeTrigger = node;
    }

    static Pre_Arc2DRenderCallback Pre_renderCallbackArc2D;
    void setPre_Arc2DRenderCallback(Pre_Arc2DRenderCallback node) {
        Pre_renderCallbackArc2D = node;
    }

    static Pre_Arc2DDoWithDataCallback Pre_doWithDataCallbackArc2D;
    void setPre_Arc2DDoWithDataCallback(Pre_Arc2DDoWithDataCallback node) {
        Pre_doWithDataCallbackArc2D = node;
    }

    static Pre_Disk2DRenderCallback Pre_renderCallbackDisk2D;
    void setPre_Disk2DRenderCallback(Pre_Disk2DRenderCallback node) {
        Pre_renderCallbackDisk2D = node;
    }

    static Pre_Disk2DDoWithDataCallback Pre_doWithDataCallbackDisk2D;
    void setPre_Disk2DDoWithDataCallback(Pre_Disk2DDoWithDataCallback node) {
        Pre_doWithDataCallbackDisk2D = node;
    }

    static Pre_GeoElevationGridRenderCallback Pre_renderCallbackGeoElevationGrid;
    void setPre_GeoElevationGridRenderCallback(Pre_GeoElevationGridRenderCallback node) {
        Pre_renderCallbackGeoElevationGrid = node;
    }

    static Pre_GeoElevationGridDoWithDataCallback Pre_doWithDataCallbackGeoElevationGrid;
    void setPre_GeoElevationGridDoWithDataCallback(Pre_GeoElevationGridDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoElevationGrid = node;
    }

    static Pre_IndexedTriangleSetRenderCallback Pre_renderCallbackIndexedTriangleSet;
    void setPre_IndexedTriangleSetRenderCallback(Pre_IndexedTriangleSetRenderCallback node) {
        Pre_renderCallbackIndexedTriangleSet = node;
    }

    static Pre_IndexedTriangleSetDoWithDataCallback Pre_doWithDataCallbackIndexedTriangleSet;
    void setPre_IndexedTriangleSetDoWithDataCallback(Pre_IndexedTriangleSetDoWithDataCallback node) {
        Pre_doWithDataCallbackIndexedTriangleSet = node;
    }

    static Pre_Polypoint2DRenderCallback Pre_renderCallbackPolypoint2D;
    void setPre_Polypoint2DRenderCallback(Pre_Polypoint2DRenderCallback node) {
        Pre_renderCallbackPolypoint2D = node;
    }

    static Pre_Polypoint2DDoWithDataCallback Pre_doWithDataCallbackPolypoint2D;
    void setPre_Polypoint2DDoWithDataCallback(Pre_Polypoint2DDoWithDataCallback node) {
        Pre_doWithDataCallbackPolypoint2D = node;
    }

    static Pre_PositionDamper2DRenderCallback Pre_renderCallbackPositionDamper2D;
    void setPre_PositionDamper2DRenderCallback(Pre_PositionDamper2DRenderCallback node) {
        Pre_renderCallbackPositionDamper2D = node;
    }

    static Pre_PositionDamper2DDoWithDataCallback Pre_doWithDataCallbackPositionDamper2D;
    void setPre_PositionDamper2DDoWithDataCallback(Pre_PositionDamper2DDoWithDataCallback node) {
        Pre_doWithDataCallbackPositionDamper2D = node;
    }

    static Pre_SuperEllipsoidRenderCallback Pre_renderCallbackSuperEllipsoid;
    void setPre_SuperEllipsoidRenderCallback(Pre_SuperEllipsoidRenderCallback node) {
        Pre_renderCallbackSuperEllipsoid = node;
    }

    static Pre_SuperEllipsoidDoWithDataCallback Pre_doWithDataCallbackSuperEllipsoid;
    void setPre_SuperEllipsoidDoWithDataCallback(Pre_SuperEllipsoidDoWithDataCallback node) {
        Pre_doWithDataCallbackSuperEllipsoid = node;
    }

    static Pre_BooleanToggleRenderCallback Pre_renderCallbackBooleanToggle;
    void setPre_BooleanToggleRenderCallback(Pre_BooleanToggleRenderCallback node) {
        Pre_renderCallbackBooleanToggle = node;
    }

    static Pre_BooleanToggleDoWithDataCallback Pre_doWithDataCallbackBooleanToggle;
    void setPre_BooleanToggleDoWithDataCallback(Pre_BooleanToggleDoWithDataCallback node) {
        Pre_doWithDataCallbackBooleanToggle = node;
    }

    static Pre_Matrix3VertexAttributeRenderCallback Pre_renderCallbackMatrix3VertexAttribute;
    void setPre_Matrix3VertexAttributeRenderCallback(Pre_Matrix3VertexAttributeRenderCallback node) {
        Pre_renderCallbackMatrix3VertexAttribute = node;
    }

    static Pre_Matrix3VertexAttributeDoWithDataCallback Pre_doWithDataCallbackMatrix3VertexAttribute;
    void setPre_Matrix3VertexAttributeDoWithDataCallback(Pre_Matrix3VertexAttributeDoWithDataCallback node) {
        Pre_doWithDataCallbackMatrix3VertexAttribute = node;
    }

    static Pre_Matrix4VertexAttributeRenderCallback Pre_renderCallbackMatrix4VertexAttribute;
    void setPre_Matrix4VertexAttributeRenderCallback(Pre_Matrix4VertexAttributeRenderCallback node) {
        Pre_renderCallbackMatrix4VertexAttribute = node;
    }

    static Pre_Matrix4VertexAttributeDoWithDataCallback Pre_doWithDataCallbackMatrix4VertexAttribute;
    void setPre_Matrix4VertexAttributeDoWithDataCallback(Pre_Matrix4VertexAttributeDoWithDataCallback node) {
        Pre_doWithDataCallbackMatrix4VertexAttribute = node;
    }

    static Pre_MultiTextureRenderCallback Pre_renderCallbackMultiTexture;
    void setPre_MultiTextureRenderCallback(Pre_MultiTextureRenderCallback node) {
        Pre_renderCallbackMultiTexture = node;
    }

    static Pre_MultiTextureDoWithDataCallback Pre_doWithDataCallbackMultiTexture;
    void setPre_MultiTextureDoWithDataCallback(Pre_MultiTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackMultiTexture = node;
    }

    static Pre_ShapeRenderCallback Pre_renderCallbackShape;
    void setPre_ShapeRenderCallback(Pre_ShapeRenderCallback node) {
        Pre_renderCallbackShape = node;
    }

    static Pre_ShapeDoWithDataCallback Pre_doWithDataCallbackShape;
    void setPre_ShapeDoWithDataCallback(Pre_ShapeDoWithDataCallback node) {
        Pre_doWithDataCallbackShape = node;
    }

    static Pre_DISEntityTypeMappingRenderCallback Pre_renderCallbackDISEntityTypeMapping;
    void setPre_DISEntityTypeMappingRenderCallback(Pre_DISEntityTypeMappingRenderCallback node) {
        Pre_renderCallbackDISEntityTypeMapping = node;
    }

    static Pre_DISEntityTypeMappingDoWithDataCallback Pre_doWithDataCallbackDISEntityTypeMapping;
    void setPre_DISEntityTypeMappingDoWithDataCallback(Pre_DISEntityTypeMappingDoWithDataCallback node) {
        Pre_doWithDataCallbackDISEntityTypeMapping = node;
    }

    static Pre_LocalFogRenderCallback Pre_renderCallbackLocalFog;
    void setPre_LocalFogRenderCallback(Pre_LocalFogRenderCallback node) {
        Pre_renderCallbackLocalFog = node;
    }

    static Pre_LocalFogDoWithDataCallback Pre_doWithDataCallbackLocalFog;
    void setPre_LocalFogDoWithDataCallback(Pre_LocalFogDoWithDataCallback node) {
        Pre_doWithDataCallbackLocalFog = node;
    }

    static Pre_BoxRenderCallback Pre_renderCallbackBox;
    void setPre_BoxRenderCallback(Pre_BoxRenderCallback node) {
        Pre_renderCallbackBox = node;
    }

    static Pre_BoxDoWithDataCallback Pre_doWithDataCallbackBox;
    void setPre_BoxDoWithDataCallback(Pre_BoxDoWithDataCallback node) {
        Pre_doWithDataCallbackBox = node;
    }

    static Pre_GeoLocationRenderCallback Pre_renderCallbackGeoLocation;
    void setPre_GeoLocationRenderCallback(Pre_GeoLocationRenderCallback node) {
        Pre_renderCallbackGeoLocation = node;
    }

    static Pre_GeoLocationDoWithDataCallback Pre_doWithDataCallbackGeoLocation;
    void setPre_GeoLocationDoWithDataCallback(Pre_GeoLocationDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoLocation = node;
    }

    static Pre_ScreenGroupRenderCallback Pre_renderCallbackScreenGroup;
    void setPre_ScreenGroupRenderCallback(Pre_ScreenGroupRenderCallback node) {
        Pre_renderCallbackScreenGroup = node;
    }

    static Pre_ScreenGroupDoWithDataCallback Pre_doWithDataCallbackScreenGroup;
    void setPre_ScreenGroupDoWithDataCallback(Pre_ScreenGroupDoWithDataCallback node) {
        Pre_doWithDataCallbackScreenGroup = node;
    }

    static Pre_CylinderRenderCallback Pre_renderCallbackCylinder;
    void setPre_CylinderRenderCallback(Pre_CylinderRenderCallback node) {
        Pre_renderCallbackCylinder = node;
    }

    static Pre_CylinderDoWithDataCallback Pre_doWithDataCallbackCylinder;
    void setPre_CylinderDoWithDataCallback(Pre_CylinderDoWithDataCallback node) {
        Pre_doWithDataCallbackCylinder = node;
    }

    static Pre_DISEntityManagerRenderCallback Pre_renderCallbackDISEntityManager;
    void setPre_DISEntityManagerRenderCallback(Pre_DISEntityManagerRenderCallback node) {
        Pre_renderCallbackDISEntityManager = node;
    }

    static Pre_DISEntityManagerDoWithDataCallback Pre_doWithDataCallbackDISEntityManager;
    void setPre_DISEntityManagerDoWithDataCallback(Pre_DISEntityManagerDoWithDataCallback node) {
        Pre_doWithDataCallbackDISEntityManager = node;
    }

    static Pre_NormalInterpolatorRenderCallback Pre_renderCallbackNormalInterpolator;
    void setPre_NormalInterpolatorRenderCallback(Pre_NormalInterpolatorRenderCallback node) {
        Pre_renderCallbackNormalInterpolator = node;
    }

    static Pre_NormalInterpolatorDoWithDataCallback Pre_doWithDataCallbackNormalInterpolator;
    void setPre_NormalInterpolatorDoWithDataCallback(Pre_NormalInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackNormalInterpolator = node;
    }

    static Pre_ScalarInterpolatorRenderCallback Pre_renderCallbackScalarInterpolator;
    void setPre_ScalarInterpolatorRenderCallback(Pre_ScalarInterpolatorRenderCallback node) {
        Pre_renderCallbackScalarInterpolator = node;
    }

    static Pre_ScalarInterpolatorDoWithDataCallback Pre_doWithDataCallbackScalarInterpolator;
    void setPre_ScalarInterpolatorDoWithDataCallback(Pre_ScalarInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackScalarInterpolator = node;
    }

    static Pre_TransformSensorRenderCallback Pre_renderCallbackTransformSensor;
    void setPre_TransformSensorRenderCallback(Pre_TransformSensorRenderCallback node) {
        Pre_renderCallbackTransformSensor = node;
    }

    static Pre_TransformSensorDoWithDataCallback Pre_doWithDataCallbackTransformSensor;
    void setPre_TransformSensorDoWithDataCallback(Pre_TransformSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackTransformSensor = node;
    }

    static Pre_CattExportRecRenderCallback Pre_renderCallbackCattExportRec;
    void setPre_CattExportRecRenderCallback(Pre_CattExportRecRenderCallback node) {
        Pre_renderCallbackCattExportRec = node;
    }

    static Pre_CattExportRecDoWithDataCallback Pre_doWithDataCallbackCattExportRec;
    void setPre_CattExportRecDoWithDataCallback(Pre_CattExportRecDoWithDataCallback node) {
        Pre_doWithDataCallbackCattExportRec = node;
    }

    static Pre_FillPropertiesRenderCallback Pre_renderCallbackFillProperties;
    void setPre_FillPropertiesRenderCallback(Pre_FillPropertiesRenderCallback node) {
        Pre_renderCallbackFillProperties = node;
    }

    static Pre_FillPropertiesDoWithDataCallback Pre_doWithDataCallbackFillProperties;
    void setPre_FillPropertiesDoWithDataCallback(Pre_FillPropertiesDoWithDataCallback node) {
        Pre_doWithDataCallbackFillProperties = node;
    }

    static Pre_HAnimSegmentRenderCallback Pre_renderCallbackHAnimSegment;
    void setPre_HAnimSegmentRenderCallback(Pre_HAnimSegmentRenderCallback node) {
        Pre_renderCallbackHAnimSegment = node;
    }

    static Pre_HAnimSegmentDoWithDataCallback Pre_doWithDataCallbackHAnimSegment;
    void setPre_HAnimSegmentDoWithDataCallback(Pre_HAnimSegmentDoWithDataCallback node) {
        Pre_doWithDataCallbackHAnimSegment = node;
    }

    static Pre_SplinePositionInterpolator2DRenderCallback Pre_renderCallbackSplinePositionInterpolator2D;
    void setPre_SplinePositionInterpolator2DRenderCallback(Pre_SplinePositionInterpolator2DRenderCallback node) {
        Pre_renderCallbackSplinePositionInterpolator2D = node;
    }

    static Pre_SplinePositionInterpolator2DDoWithDataCallback Pre_doWithDataCallbackSplinePositionInterpolator2D;
    void setPre_SplinePositionInterpolator2DDoWithDataCallback(Pre_SplinePositionInterpolator2DDoWithDataCallback node) {
        Pre_doWithDataCallbackSplinePositionInterpolator2D = node;
    }

    static Pre_TextureBackgroundRenderCallback Pre_renderCallbackTextureBackground;
    void setPre_TextureBackgroundRenderCallback(Pre_TextureBackgroundRenderCallback node) {
        Pre_renderCallbackTextureBackground = node;
    }

    static Pre_TextureBackgroundDoWithDataCallback Pre_doWithDataCallbackTextureBackground;
    void setPre_TextureBackgroundDoWithDataCallback(Pre_TextureBackgroundDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureBackground = node;
    }

    static Pre_ClipPlaneRenderCallback Pre_renderCallbackClipPlane;
    void setPre_ClipPlaneRenderCallback(Pre_ClipPlaneRenderCallback node) {
        Pre_renderCallbackClipPlane = node;
    }

    static Pre_ClipPlaneDoWithDataCallback Pre_doWithDataCallbackClipPlane;
    void setPre_ClipPlaneDoWithDataCallback(Pre_ClipPlaneDoWithDataCallback node) {
        Pre_doWithDataCallbackClipPlane = node;
    }

    static Pre_ReceiverPduRenderCallback Pre_renderCallbackReceiverPdu;
    void setPre_ReceiverPduRenderCallback(Pre_ReceiverPduRenderCallback node) {
        Pre_renderCallbackReceiverPdu = node;
    }

    static Pre_ReceiverPduDoWithDataCallback Pre_doWithDataCallbackReceiverPdu;
    void setPre_ReceiverPduDoWithDataCallback(Pre_ReceiverPduDoWithDataCallback node) {
        Pre_doWithDataCallbackReceiverPdu = node;
    }

    static Pre_TextureCoordinateRenderCallback Pre_renderCallbackTextureCoordinate;
    void setPre_TextureCoordinateRenderCallback(Pre_TextureCoordinateRenderCallback node) {
        Pre_renderCallbackTextureCoordinate = node;
    }

    static Pre_TextureCoordinateDoWithDataCallback Pre_doWithDataCallbackTextureCoordinate;
    void setPre_TextureCoordinateDoWithDataCallback(Pre_TextureCoordinateDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureCoordinate = node;
    }

    static Pre_NormalRenderCallback Pre_renderCallbackNormal;
    void setPre_NormalRenderCallback(Pre_NormalRenderCallback node) {
        Pre_renderCallbackNormal = node;
    }

    static Pre_NormalDoWithDataCallback Pre_doWithDataCallbackNormal;
    void setPre_NormalDoWithDataCallback(Pre_NormalDoWithDataCallback node) {
        Pre_doWithDataCallbackNormal = node;
    }

    static Pre_ViewpointGroupRenderCallback Pre_renderCallbackViewpointGroup;
    void setPre_ViewpointGroupRenderCallback(Pre_ViewpointGroupRenderCallback node) {
        Pre_renderCallbackViewpointGroup = node;
    }

    static Pre_ViewpointGroupDoWithDataCallback Pre_doWithDataCallbackViewpointGroup;
    void setPre_ViewpointGroupDoWithDataCallback(Pre_ViewpointGroupDoWithDataCallback node) {
        Pre_doWithDataCallbackViewpointGroup = node;
    }

    static Pre_BooleanFilterRenderCallback Pre_renderCallbackBooleanFilter;
    void setPre_BooleanFilterRenderCallback(Pre_BooleanFilterRenderCallback node) {
        Pre_renderCallbackBooleanFilter = node;
    }

    static Pre_BooleanFilterDoWithDataCallback Pre_doWithDataCallbackBooleanFilter;
    void setPre_BooleanFilterDoWithDataCallback(Pre_BooleanFilterDoWithDataCallback node) {
        Pre_doWithDataCallbackBooleanFilter = node;
    }

    static Pre_BillboardRenderCallback Pre_renderCallbackBillboard;
    void setPre_BillboardRenderCallback(Pre_BillboardRenderCallback node) {
        Pre_renderCallbackBillboard = node;
    }

    static Pre_BillboardDoWithDataCallback Pre_doWithDataCallbackBillboard;
    void setPre_BillboardDoWithDataCallback(Pre_BillboardDoWithDataCallback node) {
        Pre_doWithDataCallbackBillboard = node;
    }

    static Pre_SpotLightRenderCallback Pre_renderCallbackSpotLight;
    void setPre_SpotLightRenderCallback(Pre_SpotLightRenderCallback node) {
        Pre_renderCallbackSpotLight = node;
    }

    static Pre_SpotLightDoWithDataCallback Pre_doWithDataCallbackSpotLight;
    void setPre_SpotLightDoWithDataCallback(Pre_SpotLightDoWithDataCallback node) {
        Pre_doWithDataCallbackSpotLight = node;
    }

    static Pre_FogCoordinateRenderCallback Pre_renderCallbackFogCoordinate;
    void setPre_FogCoordinateRenderCallback(Pre_FogCoordinateRenderCallback node) {
        Pre_renderCallbackFogCoordinate = node;
    }

    static Pre_FogCoordinateDoWithDataCallback Pre_doWithDataCallbackFogCoordinate;
    void setPre_FogCoordinateDoWithDataCallback(Pre_FogCoordinateDoWithDataCallback node) {
        Pre_doWithDataCallbackFogCoordinate = node;
    }

    static Pre_GeoCoordinateRenderCallback Pre_renderCallbackGeoCoordinate;
    void setPre_GeoCoordinateRenderCallback(Pre_GeoCoordinateRenderCallback node) {
        Pre_renderCallbackGeoCoordinate = node;
    }

    static Pre_GeoCoordinateDoWithDataCallback Pre_doWithDataCallbackGeoCoordinate;
    void setPre_GeoCoordinateDoWithDataCallback(Pre_GeoCoordinateDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoCoordinate = node;
    }

    static Pre_SphereRenderCallback Pre_renderCallbackSphere;
    void setPre_SphereRenderCallback(Pre_SphereRenderCallback node) {
        Pre_renderCallbackSphere = node;
    }

    static Pre_SphereDoWithDataCallback Pre_doWithDataCallbackSphere;
    void setPre_SphereDoWithDataCallback(Pre_SphereDoWithDataCallback node) {
        Pre_doWithDataCallbackSphere = node;
    }

    static Pre_RigidBodyCollectionRenderCallback Pre_renderCallbackRigidBodyCollection;
    void setPre_RigidBodyCollectionRenderCallback(Pre_RigidBodyCollectionRenderCallback node) {
        Pre_renderCallbackRigidBodyCollection = node;
    }

    static Pre_RigidBodyCollectionDoWithDataCallback Pre_doWithDataCallbackRigidBodyCollection;
    void setPre_RigidBodyCollectionDoWithDataCallback(Pre_RigidBodyCollectionDoWithDataCallback node) {
        Pre_doWithDataCallbackRigidBodyCollection = node;
    }

    static Pre_GeoMetadataRenderCallback Pre_renderCallbackGeoMetadata;
    void setPre_GeoMetadataRenderCallback(Pre_GeoMetadataRenderCallback node) {
        Pre_renderCallbackGeoMetadata = node;
    }

    static Pre_GeoMetadataDoWithDataCallback Pre_doWithDataCallbackGeoMetadata;
    void setPre_GeoMetadataDoWithDataCallback(Pre_GeoMetadataDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoMetadata = node;
    }

    static Pre_ColorInterpolatorRenderCallback Pre_renderCallbackColorInterpolator;
    void setPre_ColorInterpolatorRenderCallback(Pre_ColorInterpolatorRenderCallback node) {
        Pre_renderCallbackColorInterpolator = node;
    }

    static Pre_ColorInterpolatorDoWithDataCallback Pre_doWithDataCallbackColorInterpolator;
    void setPre_ColorInterpolatorDoWithDataCallback(Pre_ColorInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackColorInterpolator = node;
    }

    static Pre_ExplosionEmitterRenderCallback Pre_renderCallbackExplosionEmitter;
    void setPre_ExplosionEmitterRenderCallback(Pre_ExplosionEmitterRenderCallback node) {
        Pre_renderCallbackExplosionEmitter = node;
    }

    static Pre_ExplosionEmitterDoWithDataCallback Pre_doWithDataCallbackExplosionEmitter;
    void setPre_ExplosionEmitterDoWithDataCallback(Pre_ExplosionEmitterDoWithDataCallback node) {
        Pre_doWithDataCallbackExplosionEmitter = node;
    }

    static Pre_LinePropertiesRenderCallback Pre_renderCallbackLineProperties;
    void setPre_LinePropertiesRenderCallback(Pre_LinePropertiesRenderCallback node) {
        Pre_renderCallbackLineProperties = node;
    }

    static Pre_LinePropertiesDoWithDataCallback Pre_doWithDataCallbackLineProperties;
    void setPre_LinePropertiesDoWithDataCallback(Pre_LinePropertiesDoWithDataCallback node) {
        Pre_doWithDataCallbackLineProperties = node;
    }

    static Pre_LineSetRenderCallback Pre_renderCallbackLineSet;
    void setPre_LineSetRenderCallback(Pre_LineSetRenderCallback node) {
        Pre_renderCallbackLineSet = node;
    }

    static Pre_LineSetDoWithDataCallback Pre_doWithDataCallbackLineSet;
    void setPre_LineSetDoWithDataCallback(Pre_LineSetDoWithDataCallback node) {
        Pre_doWithDataCallbackLineSet = node;
    }

    static Pre_NurbsSetRenderCallback Pre_renderCallbackNurbsSet;
    void setPre_NurbsSetRenderCallback(Pre_NurbsSetRenderCallback node) {
        Pre_renderCallbackNurbsSet = node;
    }

    static Pre_NurbsSetDoWithDataCallback Pre_doWithDataCallbackNurbsSet;
    void setPre_NurbsSetDoWithDataCallback(Pre_NurbsSetDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsSet = node;
    }

    static Pre_QuadSetRenderCallback Pre_renderCallbackQuadSet;
    void setPre_QuadSetRenderCallback(Pre_QuadSetRenderCallback node) {
        Pre_renderCallbackQuadSet = node;
    }

    static Pre_QuadSetDoWithDataCallback Pre_doWithDataCallbackQuadSet;
    void setPre_QuadSetDoWithDataCallback(Pre_QuadSetDoWithDataCallback node) {
        Pre_doWithDataCallbackQuadSet = node;
    }

    static Pre_TriangleStripSetRenderCallback Pre_renderCallbackTriangleStripSet;
    void setPre_TriangleStripSetRenderCallback(Pre_TriangleStripSetRenderCallback node) {
        Pre_renderCallbackTriangleStripSet = node;
    }

    static Pre_TriangleStripSetDoWithDataCallback Pre_doWithDataCallbackTriangleStripSet;
    void setPre_TriangleStripSetDoWithDataCallback(Pre_TriangleStripSetDoWithDataCallback node) {
        Pre_doWithDataCallbackTriangleStripSet = node;
    }

    static Pre_VrmlCutRenderCallback Pre_renderCallbackVrmlCut;
    void setPre_VrmlCutRenderCallback(Pre_VrmlCutRenderCallback node) {
        Pre_renderCallbackVrmlCut = node;
    }

    static Pre_VrmlCutDoWithDataCallback Pre_doWithDataCallbackVrmlCut;
    void setPre_VrmlCutDoWithDataCallback(Pre_VrmlCutDoWithDataCallback node) {
        Pre_doWithDataCallbackVrmlCut = node;
    }

    static Pre_CollidableShapeRenderCallback Pre_renderCallbackCollidableShape;
    void setPre_CollidableShapeRenderCallback(Pre_CollidableShapeRenderCallback node) {
        Pre_renderCallbackCollidableShape = node;
    }

    static Pre_CollidableShapeDoWithDataCallback Pre_doWithDataCallbackCollidableShape;
    void setPre_CollidableShapeDoWithDataCallback(Pre_CollidableShapeDoWithDataCallback node) {
        Pre_doWithDataCallbackCollidableShape = node;
    }

    static Pre_NurbsSweptSurfaceRenderCallback Pre_renderCallbackNurbsSweptSurface;
    void setPre_NurbsSweptSurfaceRenderCallback(Pre_NurbsSweptSurfaceRenderCallback node) {
        Pre_renderCallbackNurbsSweptSurface = node;
    }

    static Pre_NurbsSweptSurfaceDoWithDataCallback Pre_doWithDataCallbackNurbsSweptSurface;
    void setPre_NurbsSweptSurfaceDoWithDataCallback(Pre_NurbsSweptSurfaceDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsSweptSurface = node;
    }

    static Pre_PixelTextureRenderCallback Pre_renderCallbackPixelTexture;
    void setPre_PixelTextureRenderCallback(Pre_PixelTextureRenderCallback node) {
        Pre_renderCallbackPixelTexture = node;
    }

    static Pre_PixelTextureDoWithDataCallback Pre_doWithDataCallbackPixelTexture;
    void setPre_PixelTextureDoWithDataCallback(Pre_PixelTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackPixelTexture = node;
    }

    static Pre_SwitchRenderCallback Pre_renderCallbackSwitch;
    void setPre_SwitchRenderCallback(Pre_SwitchRenderCallback node) {
        Pre_renderCallbackSwitch = node;
    }

    static Pre_SwitchDoWithDataCallback Pre_doWithDataCallbackSwitch;
    void setPre_SwitchDoWithDataCallback(Pre_SwitchDoWithDataCallback node) {
        Pre_doWithDataCallbackSwitch = node;
    }

    static Pre_LayoutGroupRenderCallback Pre_renderCallbackLayoutGroup;
    void setPre_LayoutGroupRenderCallback(Pre_LayoutGroupRenderCallback node) {
        Pre_renderCallbackLayoutGroup = node;
    }

    static Pre_LayoutGroupDoWithDataCallback Pre_doWithDataCallbackLayoutGroup;
    void setPre_LayoutGroupDoWithDataCallback(Pre_LayoutGroupDoWithDataCallback node) {
        Pre_doWithDataCallbackLayoutGroup = node;
    }

    static Pre_ColorDamperRenderCallback Pre_renderCallbackColorDamper;
    void setPre_ColorDamperRenderCallback(Pre_ColorDamperRenderCallback node) {
        Pre_renderCallbackColorDamper = node;
    }

    static Pre_ColorDamperDoWithDataCallback Pre_doWithDataCallbackColorDamper;
    void setPre_ColorDamperDoWithDataCallback(Pre_ColorDamperDoWithDataCallback node) {
        Pre_doWithDataCallbackColorDamper = node;
    }

    static Pre_IntegerSequencerRenderCallback Pre_renderCallbackIntegerSequencer;
    void setPre_IntegerSequencerRenderCallback(Pre_IntegerSequencerRenderCallback node) {
        Pre_renderCallbackIntegerSequencer = node;
    }

    static Pre_IntegerSequencerDoWithDataCallback Pre_doWithDataCallbackIntegerSequencer;
    void setPre_IntegerSequencerDoWithDataCallback(Pre_IntegerSequencerDoWithDataCallback node) {
        Pre_doWithDataCallbackIntegerSequencer = node;
    }

    static Pre_KeySensorRenderCallback Pre_renderCallbackKeySensor;
    void setPre_KeySensorRenderCallback(Pre_KeySensorRenderCallback node) {
        Pre_renderCallbackKeySensor = node;
    }

    static Pre_KeySensorDoWithDataCallback Pre_doWithDataCallbackKeySensor;
    void setPre_KeySensorDoWithDataCallback(Pre_KeySensorDoWithDataCallback node) {
        Pre_doWithDataCallbackKeySensor = node;
    }

    static Pre_LayoutLayerRenderCallback Pre_renderCallbackLayoutLayer;
    void setPre_LayoutLayerRenderCallback(Pre_LayoutLayerRenderCallback node) {
        Pre_renderCallbackLayoutLayer = node;
    }

    static Pre_LayoutLayerDoWithDataCallback Pre_doWithDataCallbackLayoutLayer;
    void setPre_LayoutLayerDoWithDataCallback(Pre_LayoutLayerDoWithDataCallback node) {
        Pre_doWithDataCallbackLayoutLayer = node;
    }

    static Pre_SquadOrientationInterpolatorRenderCallback Pre_renderCallbackSquadOrientationInterpolator;
    void setPre_SquadOrientationInterpolatorRenderCallback(Pre_SquadOrientationInterpolatorRenderCallback node) {
        Pre_renderCallbackSquadOrientationInterpolator = node;
    }

    static Pre_SquadOrientationInterpolatorDoWithDataCallback Pre_doWithDataCallbackSquadOrientationInterpolator;
    void setPre_SquadOrientationInterpolatorDoWithDataCallback(Pre_SquadOrientationInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackSquadOrientationInterpolator = node;
    }

    static Pre_EaseInEaseOutRenderCallback Pre_renderCallbackEaseInEaseOut;
    void setPre_EaseInEaseOutRenderCallback(Pre_EaseInEaseOutRenderCallback node) {
        Pre_renderCallbackEaseInEaseOut = node;
    }

    static Pre_EaseInEaseOutDoWithDataCallback Pre_doWithDataCallbackEaseInEaseOut;
    void setPre_EaseInEaseOutDoWithDataCallback(Pre_EaseInEaseOutDoWithDataCallback node) {
        Pre_doWithDataCallbackEaseInEaseOut = node;
    }

    static Pre_GeoViewpointRenderCallback Pre_renderCallbackGeoViewpoint;
    void setPre_GeoViewpointRenderCallback(Pre_GeoViewpointRenderCallback node) {
        Pre_renderCallbackGeoViewpoint = node;
    }

    static Pre_GeoViewpointDoWithDataCallback Pre_doWithDataCallbackGeoViewpoint;
    void setPre_GeoViewpointDoWithDataCallback(Pre_GeoViewpointDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoViewpoint = node;
    }

    static Pre_OdeSliderJointRenderCallback Pre_renderCallbackOdeSliderJoint;
    void setPre_OdeSliderJointRenderCallback(Pre_OdeSliderJointRenderCallback node) {
        Pre_renderCallbackOdeSliderJoint = node;
    }

    static Pre_OdeSliderJointDoWithDataCallback Pre_doWithDataCallbackOdeSliderJoint;
    void setPre_OdeSliderJointDoWithDataCallback(Pre_OdeSliderJointDoWithDataCallback node) {
        Pre_doWithDataCallbackOdeSliderJoint = node;
    }

    static Pre_ViewpointRenderCallback Pre_renderCallbackViewpoint;
    void setPre_ViewpointRenderCallback(Pre_ViewpointRenderCallback node) {
        Pre_renderCallbackViewpoint = node;
    }

    static Pre_ViewpointDoWithDataCallback Pre_doWithDataCallbackViewpoint;
    void setPre_ViewpointDoWithDataCallback(Pre_ViewpointDoWithDataCallback node) {
        Pre_doWithDataCallbackViewpoint = node;
    }

    static Pre_ExtrusionRenderCallback Pre_renderCallbackExtrusion;
    void setPre_ExtrusionRenderCallback(Pre_ExtrusionRenderCallback node) {
        Pre_renderCallbackExtrusion = node;
    }

    static Pre_ExtrusionDoWithDataCallback Pre_doWithDataCallbackExtrusion;
    void setPre_ExtrusionDoWithDataCallback(Pre_ExtrusionDoWithDataCallback node) {
        Pre_doWithDataCallbackExtrusion = node;
    }

    static Pre_WorldInfoRenderCallback Pre_renderCallbackWorldInfo;
    void setPre_WorldInfoRenderCallback(Pre_WorldInfoRenderCallback node) {
        Pre_renderCallbackWorldInfo = node;
    }

    static Pre_WorldInfoDoWithDataCallback Pre_doWithDataCallbackWorldInfo;
    void setPre_WorldInfoDoWithDataCallback(Pre_WorldInfoDoWithDataCallback node) {
        Pre_doWithDataCallbackWorldInfo = node;
    }

    static Pre_AudioClipRenderCallback Pre_renderCallbackAudioClip;
    void setPre_AudioClipRenderCallback(Pre_AudioClipRenderCallback node) {
        Pre_renderCallbackAudioClip = node;
    }

    static Pre_AudioClipDoWithDataCallback Pre_doWithDataCallbackAudioClip;
    void setPre_AudioClipDoWithDataCallback(Pre_AudioClipDoWithDataCallback node) {
        Pre_doWithDataCallbackAudioClip = node;
    }

    static Pre_CADLayerRenderCallback Pre_renderCallbackCADLayer;
    void setPre_CADLayerRenderCallback(Pre_CADLayerRenderCallback node) {
        Pre_renderCallbackCADLayer = node;
    }

    static Pre_CADLayerDoWithDataCallback Pre_doWithDataCallbackCADLayer;
    void setPre_CADLayerDoWithDataCallback(Pre_CADLayerDoWithDataCallback node) {
        Pre_doWithDataCallbackCADLayer = node;
    }

    static Pre_IntegerTriggerRenderCallback Pre_renderCallbackIntegerTrigger;
    void setPre_IntegerTriggerRenderCallback(Pre_IntegerTriggerRenderCallback node) {
        Pre_renderCallbackIntegerTrigger = node;
    }

    static Pre_IntegerTriggerDoWithDataCallback Pre_doWithDataCallbackIntegerTrigger;
    void setPre_IntegerTriggerDoWithDataCallback(Pre_IntegerTriggerDoWithDataCallback node) {
        Pre_doWithDataCallbackIntegerTrigger = node;
    }

    static Pre_ImageTexture3DRenderCallback Pre_renderCallbackImageTexture3D;
    void setPre_ImageTexture3DRenderCallback(Pre_ImageTexture3DRenderCallback node) {
        Pre_renderCallbackImageTexture3D = node;
    }

    static Pre_ImageTexture3DDoWithDataCallback Pre_doWithDataCallbackImageTexture3D;
    void setPre_ImageTexture3DDoWithDataCallback(Pre_ImageTexture3DDoWithDataCallback node) {
        Pre_doWithDataCallbackImageTexture3D = node;
    }

    static Pre_MetadataSetRenderCallback Pre_renderCallbackMetadataSet;
    void setPre_MetadataSetRenderCallback(Pre_MetadataSetRenderCallback node) {
        Pre_renderCallbackMetadataSet = node;
    }

    static Pre_MetadataSetDoWithDataCallback Pre_doWithDataCallbackMetadataSet;
    void setPre_MetadataSetDoWithDataCallback(Pre_MetadataSetDoWithDataCallback node) {
        Pre_doWithDataCallbackMetadataSet = node;
    }

    static Pre_PointSetRenderCallback Pre_renderCallbackPointSet;
    void setPre_PointSetRenderCallback(Pre_PointSetRenderCallback node) {
        Pre_renderCallbackPointSet = node;
    }

    static Pre_PointSetDoWithDataCallback Pre_doWithDataCallbackPointSet;
    void setPre_PointSetDoWithDataCallback(Pre_PointSetDoWithDataCallback node) {
        Pre_doWithDataCallbackPointSet = node;
    }

    static Pre_GeneratedCubeMapTextureRenderCallback Pre_renderCallbackGeneratedCubeMapTexture;
    void setPre_GeneratedCubeMapTextureRenderCallback(Pre_GeneratedCubeMapTextureRenderCallback node) {
        Pre_renderCallbackGeneratedCubeMapTexture = node;
    }

    static Pre_GeneratedCubeMapTextureDoWithDataCallback Pre_doWithDataCallbackGeneratedCubeMapTexture;
    void setPre_GeneratedCubeMapTextureDoWithDataCallback(Pre_GeneratedCubeMapTextureDoWithDataCallback node) {
        Pre_doWithDataCallbackGeneratedCubeMapTexture = node;
    }

    static Pre_MetadataDoubleRenderCallback Pre_renderCallbackMetadataDouble;
    void setPre_MetadataDoubleRenderCallback(Pre_MetadataDoubleRenderCallback node) {
        Pre_renderCallbackMetadataDouble = node;
    }

    static Pre_MetadataDoubleDoWithDataCallback Pre_doWithDataCallbackMetadataDouble;
    void setPre_MetadataDoubleDoWithDataCallback(Pre_MetadataDoubleDoWithDataCallback node) {
        Pre_doWithDataCallbackMetadataDouble = node;
    }

    static Pre_TrimmedSurfaceRenderCallback Pre_renderCallbackTrimmedSurface;
    void setPre_TrimmedSurfaceRenderCallback(Pre_TrimmedSurfaceRenderCallback node) {
        Pre_renderCallbackTrimmedSurface = node;
    }

    static Pre_TrimmedSurfaceDoWithDataCallback Pre_doWithDataCallbackTrimmedSurface;
    void setPre_TrimmedSurfaceDoWithDataCallback(Pre_TrimmedSurfaceDoWithDataCallback node) {
        Pre_doWithDataCallbackTrimmedSurface = node;
    }

    static Pre_CADAssemblyRenderCallback Pre_renderCallbackCADAssembly;
    void setPre_CADAssemblyRenderCallback(Pre_CADAssemblyRenderCallback node) {
        Pre_renderCallbackCADAssembly = node;
    }

    static Pre_CADAssemblyDoWithDataCallback Pre_doWithDataCallbackCADAssembly;
    void setPre_CADAssemblyDoWithDataCallback(Pre_CADAssemblyDoWithDataCallback node) {
        Pre_doWithDataCallbackCADAssembly = node;
    }

    static Pre_BoundedPhysicsModelRenderCallback Pre_renderCallbackBoundedPhysicsModel;
    void setPre_BoundedPhysicsModelRenderCallback(Pre_BoundedPhysicsModelRenderCallback node) {
        Pre_renderCallbackBoundedPhysicsModel = node;
    }

    static Pre_BoundedPhysicsModelDoWithDataCallback Pre_doWithDataCallbackBoundedPhysicsModel;
    void setPre_BoundedPhysicsModelDoWithDataCallback(Pre_BoundedPhysicsModelDoWithDataCallback node) {
        Pre_doWithDataCallbackBoundedPhysicsModel = node;
    }

    static Pre_GravityPhysicsModelRenderCallback Pre_renderCallbackGravityPhysicsModel;
    void setPre_GravityPhysicsModelRenderCallback(Pre_GravityPhysicsModelRenderCallback node) {
        Pre_renderCallbackGravityPhysicsModel = node;
    }

    static Pre_GravityPhysicsModelDoWithDataCallback Pre_doWithDataCallbackGravityPhysicsModel;
    void setPre_GravityPhysicsModelDoWithDataCallback(Pre_GravityPhysicsModelDoWithDataCallback node) {
        Pre_doWithDataCallbackGravityPhysicsModel = node;
    }

    static Pre_GroupRenderCallback Pre_renderCallbackGroup;
    void setPre_GroupRenderCallback(Pre_GroupRenderCallback node) {
        Pre_renderCallbackGroup = node;
    }

    static Pre_GroupDoWithDataCallback Pre_doWithDataCallbackGroup;
    void setPre_GroupDoWithDataCallback(Pre_GroupDoWithDataCallback node) {
        Pre_doWithDataCallbackGroup = node;
    }

    static Pre_CoordinateDeformerRenderCallback Pre_renderCallbackCoordinateDeformer;
    void setPre_CoordinateDeformerRenderCallback(Pre_CoordinateDeformerRenderCallback node) {
        Pre_renderCallbackCoordinateDeformer = node;
    }

    static Pre_CoordinateDeformerDoWithDataCallback Pre_doWithDataCallbackCoordinateDeformer;
    void setPre_CoordinateDeformerDoWithDataCallback(Pre_CoordinateDeformerDoWithDataCallback node) {
        Pre_doWithDataCallbackCoordinateDeformer = node;
    }

    static Pre_GeoPositionInterpolatorRenderCallback Pre_renderCallbackGeoPositionInterpolator;
    void setPre_GeoPositionInterpolatorRenderCallback(Pre_GeoPositionInterpolatorRenderCallback node) {
        Pre_renderCallbackGeoPositionInterpolator = node;
    }

    static Pre_GeoPositionInterpolatorDoWithDataCallback Pre_doWithDataCallbackGeoPositionInterpolator;
    void setPre_GeoPositionInterpolatorDoWithDataCallback(Pre_GeoPositionInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackGeoPositionInterpolator = node;
    }

    static Pre_LayerRenderCallback Pre_renderCallbackLayer;
    void setPre_LayerRenderCallback(Pre_LayerRenderCallback node) {
        Pre_renderCallbackLayer = node;
    }

    static Pre_LayerDoWithDataCallback Pre_doWithDataCallbackLayer;
    void setPre_LayerDoWithDataCallback(Pre_LayerDoWithDataCallback node) {
        Pre_doWithDataCallbackLayer = node;
    }

    static Pre_PolylineEmitterRenderCallback Pre_renderCallbackPolylineEmitter;
    void setPre_PolylineEmitterRenderCallback(Pre_PolylineEmitterRenderCallback node) {
        Pre_renderCallbackPolylineEmitter = node;
    }

    static Pre_PolylineEmitterDoWithDataCallback Pre_doWithDataCallbackPolylineEmitter;
    void setPre_PolylineEmitterDoWithDataCallback(Pre_PolylineEmitterDoWithDataCallback node) {
        Pre_doWithDataCallbackPolylineEmitter = node;
    }

    static Pre_PositionInterpolatorRenderCallback Pre_renderCallbackPositionInterpolator;
    void setPre_PositionInterpolatorRenderCallback(Pre_PositionInterpolatorRenderCallback node) {
        Pre_renderCallbackPositionInterpolator = node;
    }

    static Pre_PositionInterpolatorDoWithDataCallback Pre_doWithDataCallbackPositionInterpolator;
    void setPre_PositionInterpolatorDoWithDataCallback(Pre_PositionInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackPositionInterpolator = node;
    }

    static Pre_PrimitivePickSensorRenderCallback Pre_renderCallbackPrimitivePickSensor;
    void setPre_PrimitivePickSensorRenderCallback(Pre_PrimitivePickSensorRenderCallback node) {
        Pre_renderCallbackPrimitivePickSensor = node;
    }

    static Pre_PrimitivePickSensorDoWithDataCallback Pre_doWithDataCallbackPrimitivePickSensor;
    void setPre_PrimitivePickSensorDoWithDataCallback(Pre_PrimitivePickSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackPrimitivePickSensor = node;
    }

    static Pre_Circle2DRenderCallback Pre_renderCallbackCircle2D;
    void setPre_Circle2DRenderCallback(Pre_Circle2DRenderCallback node) {
        Pre_renderCallbackCircle2D = node;
    }

    static Pre_Circle2DDoWithDataCallback Pre_doWithDataCallbackCircle2D;
    void setPre_Circle2DDoWithDataCallback(Pre_Circle2DDoWithDataCallback node) {
        Pre_doWithDataCallbackCircle2D = node;
    }

    static Pre_ComposedTexture3DRenderCallback Pre_renderCallbackComposedTexture3D;
    void setPre_ComposedTexture3DRenderCallback(Pre_ComposedTexture3DRenderCallback node) {
        Pre_renderCallbackComposedTexture3D = node;
    }

    static Pre_ComposedTexture3DDoWithDataCallback Pre_doWithDataCallbackComposedTexture3D;
    void setPre_ComposedTexture3DDoWithDataCallback(Pre_ComposedTexture3DDoWithDataCallback node) {
        Pre_doWithDataCallbackComposedTexture3D = node;
    }

    static Pre_LayoutRenderCallback Pre_renderCallbackLayout;
    void setPre_LayoutRenderCallback(Pre_LayoutRenderCallback node) {
        Pre_renderCallbackLayout = node;
    }

    static Pre_LayoutDoWithDataCallback Pre_doWithDataCallbackLayout;
    void setPre_LayoutDoWithDataCallback(Pre_LayoutDoWithDataCallback node) {
        Pre_doWithDataCallbackLayout = node;
    }

    static Pre_OrthoViewpointRenderCallback Pre_renderCallbackOrthoViewpoint;
    void setPre_OrthoViewpointRenderCallback(Pre_OrthoViewpointRenderCallback node) {
        Pre_renderCallbackOrthoViewpoint = node;
    }

    static Pre_OrthoViewpointDoWithDataCallback Pre_doWithDataCallbackOrthoViewpoint;
    void setPre_OrthoViewpointDoWithDataCallback(Pre_OrthoViewpointDoWithDataCallback node) {
        Pre_doWithDataCallbackOrthoViewpoint = node;
    }

    static Pre_PixelTexture3DRenderCallback Pre_renderCallbackPixelTexture3D;
    void setPre_PixelTexture3DRenderCallback(Pre_PixelTexture3DRenderCallback node) {
        Pre_renderCallbackPixelTexture3D = node;
    }

    static Pre_PixelTexture3DDoWithDataCallback Pre_doWithDataCallbackPixelTexture3D;
    void setPre_PixelTexture3DDoWithDataCallback(Pre_PixelTexture3DDoWithDataCallback node) {
        Pre_doWithDataCallbackPixelTexture3D = node;
    }

    static Pre_Rectangle2DRenderCallback Pre_renderCallbackRectangle2D;
    void setPre_Rectangle2DRenderCallback(Pre_Rectangle2DRenderCallback node) {
        Pre_renderCallbackRectangle2D = node;
    }

    static Pre_Rectangle2DDoWithDataCallback Pre_doWithDataCallbackRectangle2D;
    void setPre_Rectangle2DDoWithDataCallback(Pre_Rectangle2DDoWithDataCallback node) {
        Pre_doWithDataCallbackRectangle2D = node;
    }

    static Pre_CoordinateRenderCallback Pre_renderCallbackCoordinate;
    void setPre_CoordinateRenderCallback(Pre_CoordinateRenderCallback node) {
        Pre_renderCallbackCoordinate = node;
    }

    static Pre_CoordinateDoWithDataCallback Pre_doWithDataCallbackCoordinate;
    void setPre_CoordinateDoWithDataCallback(Pre_CoordinateDoWithDataCallback node) {
        Pre_doWithDataCallbackCoordinate = node;
    }

    static Pre_NurbsSwungSurfaceRenderCallback Pre_renderCallbackNurbsSwungSurface;
    void setPre_NurbsSwungSurfaceRenderCallback(Pre_NurbsSwungSurfaceRenderCallback node) {
        Pre_renderCallbackNurbsSwungSurface = node;
    }

    static Pre_NurbsSwungSurfaceDoWithDataCallback Pre_doWithDataCallbackNurbsSwungSurface;
    void setPre_NurbsSwungSurfaceDoWithDataCallback(Pre_NurbsSwungSurfaceDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsSwungSurface = node;
    }

    static Pre_NurbsTextureSurfaceRenderCallback Pre_renderCallbackNurbsTextureSurface;
    void setPre_NurbsTextureSurfaceRenderCallback(Pre_NurbsTextureSurfaceRenderCallback node) {
        Pre_renderCallbackNurbsTextureSurface = node;
    }

    static Pre_NurbsTextureSurfaceDoWithDataCallback Pre_doWithDataCallbackNurbsTextureSurface;
    void setPre_NurbsTextureSurfaceDoWithDataCallback(Pre_NurbsTextureSurfaceDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsTextureSurface = node;
    }

    static Pre_EspduTransformRenderCallback Pre_renderCallbackEspduTransform;
    void setPre_EspduTransformRenderCallback(Pre_EspduTransformRenderCallback node) {
        Pre_renderCallbackEspduTransform = node;
    }

    static Pre_EspduTransformDoWithDataCallback Pre_doWithDataCallbackEspduTransform;
    void setPre_EspduTransformDoWithDataCallback(Pre_EspduTransformDoWithDataCallback node) {
        Pre_doWithDataCallbackEspduTransform = node;
    }

    static Pre_ComposedShaderRenderCallback Pre_renderCallbackComposedShader;
    void setPre_ComposedShaderRenderCallback(Pre_ComposedShaderRenderCallback node) {
        Pre_renderCallbackComposedShader = node;
    }

    static Pre_ComposedShaderDoWithDataCallback Pre_doWithDataCallbackComposedShader;
    void setPre_ComposedShaderDoWithDataCallback(Pre_ComposedShaderDoWithDataCallback node) {
        Pre_doWithDataCallbackComposedShader = node;
    }

    static Pre_LinePickSensorRenderCallback Pre_renderCallbackLinePickSensor;
    void setPre_LinePickSensorRenderCallback(Pre_LinePickSensorRenderCallback node) {
        Pre_renderCallbackLinePickSensor = node;
    }

    static Pre_LinePickSensorDoWithDataCallback Pre_doWithDataCallbackLinePickSensor;
    void setPre_LinePickSensorDoWithDataCallback(Pre_LinePickSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackLinePickSensor = node;
    }

    static Pre_NurbsOrientationInterpolatorRenderCallback Pre_renderCallbackNurbsOrientationInterpolator;
    void setPre_NurbsOrientationInterpolatorRenderCallback(Pre_NurbsOrientationInterpolatorRenderCallback node) {
        Pre_renderCallbackNurbsOrientationInterpolator = node;
    }

    static Pre_NurbsOrientationInterpolatorDoWithDataCallback Pre_doWithDataCallbackNurbsOrientationInterpolator;
    void setPre_NurbsOrientationInterpolatorDoWithDataCallback(Pre_NurbsOrientationInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsOrientationInterpolator = node;
    }

    static Pre_NurbsPositionInterpolatorRenderCallback Pre_renderCallbackNurbsPositionInterpolator;
    void setPre_NurbsPositionInterpolatorRenderCallback(Pre_NurbsPositionInterpolatorRenderCallback node) {
        Pre_renderCallbackNurbsPositionInterpolator = node;
    }

    static Pre_NurbsPositionInterpolatorDoWithDataCallback Pre_doWithDataCallbackNurbsPositionInterpolator;
    void setPre_NurbsPositionInterpolatorDoWithDataCallback(Pre_NurbsPositionInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsPositionInterpolator = node;
    }

    static Pre_VolumePickSensorRenderCallback Pre_renderCallbackVolumePickSensor;
    void setPre_VolumePickSensorRenderCallback(Pre_VolumePickSensorRenderCallback node) {
        Pre_renderCallbackVolumePickSensor = node;
    }

    static Pre_VolumePickSensorDoWithDataCallback Pre_doWithDataCallbackVolumePickSensor;
    void setPre_VolumePickSensorDoWithDataCallback(Pre_VolumePickSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackVolumePickSensor = node;
    }

    static Pre_BallJointRenderCallback Pre_renderCallbackBallJoint;
    void setPre_BallJointRenderCallback(Pre_BallJointRenderCallback node) {
        Pre_renderCallbackBallJoint = node;
    }

    static Pre_BallJointDoWithDataCallback Pre_doWithDataCallbackBallJoint;
    void setPre_BallJointDoWithDataCallback(Pre_BallJointDoWithDataCallback node) {
        Pre_doWithDataCallbackBallJoint = node;
    }

    static Pre_CADPartRenderCallback Pre_renderCallbackCADPart;
    void setPre_CADPartRenderCallback(Pre_CADPartRenderCallback node) {
        Pre_renderCallbackCADPart = node;
    }

    static Pre_CADPartDoWithDataCallback Pre_doWithDataCallbackCADPart;
    void setPre_CADPartDoWithDataCallback(Pre_CADPartDoWithDataCallback node) {
        Pre_doWithDataCallbackCADPart = node;
    }

    static Pre_CollidableOffsetRenderCallback Pre_renderCallbackCollidableOffset;
    void setPre_CollidableOffsetRenderCallback(Pre_CollidableOffsetRenderCallback node) {
        Pre_renderCallbackCollidableOffset = node;
    }

    static Pre_CollidableOffsetDoWithDataCallback Pre_doWithDataCallbackCollidableOffset;
    void setPre_CollidableOffsetDoWithDataCallback(Pre_CollidableOffsetDoWithDataCallback node) {
        Pre_doWithDataCallbackCollidableOffset = node;
    }

    static Pre_TextureTransformMatrix3DRenderCallback Pre_renderCallbackTextureTransformMatrix3D;
    void setPre_TextureTransformMatrix3DRenderCallback(Pre_TextureTransformMatrix3DRenderCallback node) {
        Pre_renderCallbackTextureTransformMatrix3D = node;
    }

    static Pre_TextureTransformMatrix3DDoWithDataCallback Pre_doWithDataCallbackTextureTransformMatrix3D;
    void setPre_TextureTransformMatrix3DDoWithDataCallback(Pre_TextureTransformMatrix3DDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureTransformMatrix3D = node;
    }

    static Pre_CADFaceRenderCallback Pre_renderCallbackCADFace;
    void setPre_CADFaceRenderCallback(Pre_CADFaceRenderCallback node) {
        Pre_renderCallbackCADFace = node;
    }

    static Pre_CADFaceDoWithDataCallback Pre_doWithDataCallbackCADFace;
    void setPre_CADFaceDoWithDataCallback(Pre_CADFaceDoWithDataCallback node) {
        Pre_doWithDataCallbackCADFace = node;
    }

    static Pre_VrmlSceneRenderCallback Pre_renderCallbackVrmlScene;
    void setPre_VrmlSceneRenderCallback(Pre_VrmlSceneRenderCallback node) {
        Pre_renderCallbackVrmlScene = node;
    }

    static Pre_VrmlSceneDoWithDataCallback Pre_doWithDataCallbackVrmlScene;
    void setPre_VrmlSceneDoWithDataCallback(Pre_VrmlSceneDoWithDataCallback node) {
        Pre_doWithDataCallbackVrmlScene = node;
    }

    static Pre_MetadataStringRenderCallback Pre_renderCallbackMetadataString;
    void setPre_MetadataStringRenderCallback(Pre_MetadataStringRenderCallback node) {
        Pre_renderCallbackMetadataString = node;
    }

    static Pre_MetadataStringDoWithDataCallback Pre_doWithDataCallbackMetadataString;
    void setPre_MetadataStringDoWithDataCallback(Pre_MetadataStringDoWithDataCallback node) {
        Pre_doWithDataCallbackMetadataString = node;
    }

    static Pre_ForcePhysicsModelRenderCallback Pre_renderCallbackForcePhysicsModel;
    void setPre_ForcePhysicsModelRenderCallback(Pre_ForcePhysicsModelRenderCallback node) {
        Pre_renderCallbackForcePhysicsModel = node;
    }

    static Pre_ForcePhysicsModelDoWithDataCallback Pre_doWithDataCallbackForcePhysicsModel;
    void setPre_ForcePhysicsModelDoWithDataCallback(Pre_ForcePhysicsModelDoWithDataCallback node) {
        Pre_doWithDataCallbackForcePhysicsModel = node;
    }

    static Pre_InlineLoadControlRenderCallback Pre_renderCallbackInlineLoadControl;
    void setPre_InlineLoadControlRenderCallback(Pre_InlineLoadControlRenderCallback node) {
        Pre_renderCallbackInlineLoadControl = node;
    }

    static Pre_InlineLoadControlDoWithDataCallback Pre_doWithDataCallbackInlineLoadControl;
    void setPre_InlineLoadControlDoWithDataCallback(Pre_InlineLoadControlDoWithDataCallback node) {
        Pre_doWithDataCallbackInlineLoadControl = node;
    }

    static Pre_NurbsSurfaceInterpolatorRenderCallback Pre_renderCallbackNurbsSurfaceInterpolator;
    void setPre_NurbsSurfaceInterpolatorRenderCallback(Pre_NurbsSurfaceInterpolatorRenderCallback node) {
        Pre_renderCallbackNurbsSurfaceInterpolator = node;
    }

    static Pre_NurbsSurfaceInterpolatorDoWithDataCallback Pre_doWithDataCallbackNurbsSurfaceInterpolator;
    void setPre_NurbsSurfaceInterpolatorDoWithDataCallback(Pre_NurbsSurfaceInterpolatorDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsSurfaceInterpolator = node;
    }

    static Pre_SphereSensorRenderCallback Pre_renderCallbackSphereSensor;
    void setPre_SphereSensorRenderCallback(Pre_SphereSensorRenderCallback node) {
        Pre_renderCallbackSphereSensor = node;
    }

    static Pre_SphereSensorDoWithDataCallback Pre_doWithDataCallbackSphereSensor;
    void setPre_SphereSensorDoWithDataCallback(Pre_SphereSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackSphereSensor = node;
    }

    static Pre_TexCoordDamperRenderCallback Pre_renderCallbackTexCoordDamper;
    void setPre_TexCoordDamperRenderCallback(Pre_TexCoordDamperRenderCallback node) {
        Pre_renderCallbackTexCoordDamper = node;
    }

    static Pre_TexCoordDamperDoWithDataCallback Pre_doWithDataCallbackTexCoordDamper;
    void setPre_TexCoordDamperDoWithDataCallback(Pre_TexCoordDamperDoWithDataCallback node) {
        Pre_doWithDataCallbackTexCoordDamper = node;
    }

    static Pre_BackgroundRenderCallback Pre_renderCallbackBackground;
    void setPre_BackgroundRenderCallback(Pre_BackgroundRenderCallback node) {
        Pre_renderCallbackBackground = node;
    }

    static Pre_BackgroundDoWithDataCallback Pre_doWithDataCallbackBackground;
    void setPre_BackgroundDoWithDataCallback(Pre_BackgroundDoWithDataCallback node) {
        Pre_doWithDataCallbackBackground = node;
    }

    static Pre_ContactRenderCallback Pre_renderCallbackContact;
    void setPre_ContactRenderCallback(Pre_ContactRenderCallback node) {
        Pre_renderCallbackContact = node;
    }

    static Pre_ContactDoWithDataCallback Pre_doWithDataCallbackContact;
    void setPre_ContactDoWithDataCallback(Pre_ContactDoWithDataCallback node) {
        Pre_doWithDataCallbackContact = node;
    }

    static Pre_ContourPolyline2DRenderCallback Pre_renderCallbackContourPolyline2D;
    void setPre_ContourPolyline2DRenderCallback(Pre_ContourPolyline2DRenderCallback node) {
        Pre_renderCallbackContourPolyline2D = node;
    }

    static Pre_ContourPolyline2DDoWithDataCallback Pre_doWithDataCallbackContourPolyline2D;
    void setPre_ContourPolyline2DDoWithDataCallback(Pre_ContourPolyline2DDoWithDataCallback node) {
        Pre_doWithDataCallbackContourPolyline2D = node;
    }

    static Pre_LayerSetRenderCallback Pre_renderCallbackLayerSet;
    void setPre_LayerSetRenderCallback(Pre_LayerSetRenderCallback node) {
        Pre_renderCallbackLayerSet = node;
    }

    static Pre_LayerSetDoWithDataCallback Pre_doWithDataCallbackLayerSet;
    void setPre_LayerSetDoWithDataCallback(Pre_LayerSetDoWithDataCallback node) {
        Pre_doWithDataCallbackLayerSet = node;
    }

    static Pre_MotorJointRenderCallback Pre_renderCallbackMotorJoint;
    void setPre_MotorJointRenderCallback(Pre_MotorJointRenderCallback node) {
        Pre_renderCallbackMotorJoint = node;
    }

    static Pre_MotorJointDoWithDataCallback Pre_doWithDataCallbackMotorJoint;
    void setPre_MotorJointDoWithDataCallback(Pre_MotorJointDoWithDataCallback node) {
        Pre_doWithDataCallbackMotorJoint = node;
    }

    static Pre_ShaderPartRenderCallback Pre_renderCallbackShaderPart;
    void setPre_ShaderPartRenderCallback(Pre_ShaderPartRenderCallback node) {
        Pre_renderCallbackShaderPart = node;
    }

    static Pre_ShaderPartDoWithDataCallback Pre_doWithDataCallbackShaderPart;
    void setPre_ShaderPartDoWithDataCallback(Pre_ShaderPartDoWithDataCallback node) {
        Pre_doWithDataCallbackShaderPart = node;
    }

    static Pre_TextureTransform3DRenderCallback Pre_renderCallbackTextureTransform3D;
    void setPre_TextureTransform3DRenderCallback(Pre_TextureTransform3DRenderCallback node) {
        Pre_renderCallbackTextureTransform3D = node;
    }

    static Pre_TextureTransform3DDoWithDataCallback Pre_doWithDataCallbackTextureTransform3D;
    void setPre_TextureTransform3DDoWithDataCallback(Pre_TextureTransform3DDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureTransform3D = node;
    }

    static Pre_CoordinateDoubleRenderCallback Pre_renderCallbackCoordinateDouble;
    void setPre_CoordinateDoubleRenderCallback(Pre_CoordinateDoubleRenderCallback node) {
        Pre_renderCallbackCoordinateDouble = node;
    }

    static Pre_CoordinateDoubleDoWithDataCallback Pre_doWithDataCallbackCoordinateDouble;
    void setPre_CoordinateDoubleDoWithDataCallback(Pre_CoordinateDoubleDoWithDataCallback node) {
        Pre_doWithDataCallbackCoordinateDouble = node;
    }

    static Pre_NurbsTrimmedSurfaceRenderCallback Pre_renderCallbackNurbsTrimmedSurface;
    void setPre_NurbsTrimmedSurfaceRenderCallback(Pre_NurbsTrimmedSurfaceRenderCallback node) {
        Pre_renderCallbackNurbsTrimmedSurface = node;
    }

    static Pre_NurbsTrimmedSurfaceDoWithDataCallback Pre_doWithDataCallbackNurbsTrimmedSurface;
    void setPre_NurbsTrimmedSurfaceDoWithDataCallback(Pre_NurbsTrimmedSurfaceDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsTrimmedSurface = node;
    }

    static Pre_PositionChaserRenderCallback Pre_renderCallbackPositionChaser;
    void setPre_PositionChaserRenderCallback(Pre_PositionChaserRenderCallback node) {
        Pre_renderCallbackPositionChaser = node;
    }

    static Pre_PositionChaserDoWithDataCallback Pre_doWithDataCallbackPositionChaser;
    void setPre_PositionChaserDoWithDataCallback(Pre_PositionChaserDoWithDataCallback node) {
        Pre_doWithDataCallbackPositionChaser = node;
    }

    static Pre_PositionDamperRenderCallback Pre_renderCallbackPositionDamper;
    void setPre_PositionDamperRenderCallback(Pre_PositionDamperRenderCallback node) {
        Pre_renderCallbackPositionDamper = node;
    }

    static Pre_PositionDamperDoWithDataCallback Pre_doWithDataCallbackPositionDamper;
    void setPre_PositionDamperDoWithDataCallback(Pre_PositionDamperDoWithDataCallback node) {
        Pre_doWithDataCallbackPositionDamper = node;
    }

    static Pre_ProgramShaderRenderCallback Pre_renderCallbackProgramShader;
    void setPre_ProgramShaderRenderCallback(Pre_ProgramShaderRenderCallback node) {
        Pre_renderCallbackProgramShader = node;
    }

    static Pre_ProgramShaderDoWithDataCallback Pre_doWithDataCallbackProgramShader;
    void setPre_ProgramShaderDoWithDataCallback(Pre_ProgramShaderDoWithDataCallback node) {
        Pre_doWithDataCallbackProgramShader = node;
    }

    static Pre_SurfaceEmitterRenderCallback Pre_renderCallbackSurfaceEmitter;
    void setPre_SurfaceEmitterRenderCallback(Pre_SurfaceEmitterRenderCallback node) {
        Pre_renderCallbackSurfaceEmitter = node;
    }

    static Pre_SurfaceEmitterDoWithDataCallback Pre_doWithDataCallbackSurfaceEmitter;
    void setPre_SurfaceEmitterDoWithDataCallback(Pre_SurfaceEmitterDoWithDataCallback node) {
        Pre_doWithDataCallbackSurfaceEmitter = node;
    }

    static Pre_TouchSensorRenderCallback Pre_renderCallbackTouchSensor;
    void setPre_TouchSensorRenderCallback(Pre_TouchSensorRenderCallback node) {
        Pre_renderCallbackTouchSensor = node;
    }

    static Pre_TouchSensorDoWithDataCallback Pre_doWithDataCallbackTouchSensor;
    void setPre_TouchSensorDoWithDataCallback(Pre_TouchSensorDoWithDataCallback node) {
        Pre_doWithDataCallbackTouchSensor = node;
    }

    static Pre_PointLightRenderCallback Pre_renderCallbackPointLight;
    void setPre_PointLightRenderCallback(Pre_PointLightRenderCallback node) {
        Pre_renderCallbackPointLight = node;
    }

    static Pre_PointLightDoWithDataCallback Pre_doWithDataCallbackPointLight;
    void setPre_PointLightDoWithDataCallback(Pre_PointLightDoWithDataCallback node) {
        Pre_doWithDataCallbackPointLight = node;
    }

    static Pre_SliderJointRenderCallback Pre_renderCallbackSliderJoint;
    void setPre_SliderJointRenderCallback(Pre_SliderJointRenderCallback node) {
        Pre_renderCallbackSliderJoint = node;
    }

    static Pre_SliderJointDoWithDataCallback Pre_doWithDataCallbackSliderJoint;
    void setPre_SliderJointDoWithDataCallback(Pre_SliderJointDoWithDataCallback node) {
        Pre_doWithDataCallbackSliderJoint = node;
    }

    static Pre_TextRenderCallback Pre_renderCallbackText;
    void setPre_TextRenderCallback(Pre_TextRenderCallback node) {
        Pre_renderCallbackText = node;
    }

    static Pre_TextDoWithDataCallback Pre_doWithDataCallbackText;
    void setPre_TextDoWithDataCallback(Pre_TextDoWithDataCallback node) {
        Pre_doWithDataCallbackText = node;
    }

    static Pre_TextureCoordinate4DRenderCallback Pre_renderCallbackTextureCoordinate4D;
    void setPre_TextureCoordinate4DRenderCallback(Pre_TextureCoordinate4DRenderCallback node) {
        Pre_renderCallbackTextureCoordinate4D = node;
    }

    static Pre_TextureCoordinate4DDoWithDataCallback Pre_doWithDataCallbackTextureCoordinate4D;
    void setPre_TextureCoordinate4DDoWithDataCallback(Pre_TextureCoordinate4DDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureCoordinate4D = node;
    }

    static Pre_TriangleSet2DRenderCallback Pre_renderCallbackTriangleSet2D;
    void setPre_TriangleSet2DRenderCallback(Pre_TriangleSet2DRenderCallback node) {
        Pre_renderCallbackTriangleSet2D = node;
    }

    static Pre_TriangleSet2DDoWithDataCallback Pre_doWithDataCallbackTriangleSet2D;
    void setPre_TriangleSet2DDoWithDataCallback(Pre_TriangleSet2DDoWithDataCallback node) {
        Pre_doWithDataCallbackTriangleSet2D = node;
    }

    static Pre_AppearanceRenderCallback Pre_renderCallbackAppearance;
    void setPre_AppearanceRenderCallback(Pre_AppearanceRenderCallback node) {
        Pre_renderCallbackAppearance = node;
    }

    static Pre_AppearanceDoWithDataCallback Pre_doWithDataCallbackAppearance;
    void setPre_AppearanceDoWithDataCallback(Pre_AppearanceDoWithDataCallback node) {
        Pre_doWithDataCallbackAppearance = node;
    }

    static Pre_CollisionSpaceRenderCallback Pre_renderCallbackCollisionSpace;
    void setPre_CollisionSpaceRenderCallback(Pre_CollisionSpaceRenderCallback node) {
        Pre_renderCallbackCollisionSpace = node;
    }

    static Pre_CollisionSpaceDoWithDataCallback Pre_doWithDataCallbackCollisionSpace;
    void setPre_CollisionSpaceDoWithDataCallback(Pre_CollisionSpaceDoWithDataCallback node) {
        Pre_doWithDataCallbackCollisionSpace = node;
    }

    static Pre_NurbsTextureCoordinateRenderCallback Pre_renderCallbackNurbsTextureCoordinate;
    void setPre_NurbsTextureCoordinateRenderCallback(Pre_NurbsTextureCoordinateRenderCallback node) {
        Pre_renderCallbackNurbsTextureCoordinate = node;
    }

    static Pre_NurbsTextureCoordinateDoWithDataCallback Pre_doWithDataCallbackNurbsTextureCoordinate;
    void setPre_NurbsTextureCoordinateDoWithDataCallback(Pre_NurbsTextureCoordinateDoWithDataCallback node) {
        Pre_doWithDataCallbackNurbsTextureCoordinate = node;
    }

    static Pre_ParticleSystemRenderCallback Pre_renderCallbackParticleSystem;
    void setPre_ParticleSystemRenderCallback(Pre_ParticleSystemRenderCallback node) {
        Pre_renderCallbackParticleSystem = node;
    }

    static Pre_ParticleSystemDoWithDataCallback Pre_doWithDataCallbackParticleSystem;
    void setPre_ParticleSystemDoWithDataCallback(Pre_ParticleSystemDoWithDataCallback node) {
        Pre_doWithDataCallbackParticleSystem = node;
    }

    static Pre_TextureTransformRenderCallback Pre_renderCallbackTextureTransform;
    void setPre_TextureTransformRenderCallback(Pre_TextureTransformRenderCallback node) {
        Pre_renderCallbackTextureTransform = node;
    }

    static Pre_TextureTransformDoWithDataCallback Pre_doWithDataCallbackTextureTransform;
    void setPre_TextureTransformDoWithDataCallback(Pre_TextureTransformDoWithDataCallback node) {
        Pre_doWithDataCallbackTextureTransform = node;
    }

    void render() { root.treeRender(); }
    void doWithData() { root.treeDoWithData(); }
    void MFBoolSendEvent(boolean[] target, boolean[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFColorSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFColorRGBASendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFDoubleSendEvent(double[] target, double[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFFloatSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFInt32SendEvent(int[] target, int[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFMatrix3fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFMatrix4fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFNodeSendEvent(Pre_Node [][] target, Pre_Node [][] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFRotationSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFStringSendEvent(String[] target, String[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFTimeSendEvent(double[] target, double[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFVec2fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFVec3dSendEvent(double[] target, double[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFVec3fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFVec4fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
        void SFColorSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 3; i++)
            target[i] = source[i];
    }
    void SFColorRGBASendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 4; i++)
            target[i] = source[i];
    }
            void SFImageSendEvent(int[] target, int[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
        void SFMatrix3fSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 9; i++)
            target[i] = source[i];
    }
    void SFMatrix4fSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 9; i++)
            target[i] = source[i];
    }
        void SFRotationSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 4; i++)
            target[i] = source[i];
    }
            void SFVec2fSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 2; i++)
            target[i] = source[i];
    }
    void SFVec3dSendEvent(double[] target, double[] source) {
        int i;
        for (i = 0; i < 3; i++)
            target[i] = source[i];
    }
    void SFVec3fSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 3; i++)
            target[i] = source[i];
    }
};

/* 
   matching white_dune commandline usage:

        dune -prefix Pre_ -java file1.x3dv 
        dune -prefix Pre_ +java Append_ file2.x3dv 

*/

class MyTextCallback extends Pre_TextDoWithDataCallback {
   public void doWithData(Pre_Node node) {
      Pre_Text text = (Pre_Text) node; 
      if ((text.string != null) && (text.string.length > 0))
          System.out.println(text.string[0]);
   }   
}

class helloWorld {

    public static void main(String args[]) {
        MyTextCallback myTextCallback = new MyTextCallback();

        Pre_SceneGraph sceneGraph = new Pre_SceneGraph();
        sceneGraph.setPre_TextDoWithDataCallback(myTextCallback);
        sceneGraph.doWithData();

        Append_Pre_SceneGraph sceneGraph2 = new Append_Pre_SceneGraph();
        sceneGraph2.setPre_TextDoWithDataCallback(myTextCallback);
        sceneGraph2.doWithData();
    }
};

