// VRML97/X3D file "robot.x3dv" converted to java with white_dune

class X3dNode {
    void treeRender() {}
    void treeDoWithData() {}
    X3dNode m_parent;
    Object m_data;
};

class RenderCallback {
   public void render(X3dNode node) {}
}

class DoWithDataCallback {
   public void doWithData(X3dNode node) {}
}


class X3dColorRGBA extends X3dNode {
    X3dNode metadata;
    float[] color;
    X3dColorRGBA() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackColorRGBA != null)
            X3dSceneGraph.X3drenderCallbackColorRGBA.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackColorRGBA != null)
            X3dSceneGraph.X3ddoWithDataCallbackColorRGBA.doWithData(this);
    }
}

class X3dColorRGBARenderCallback extends RenderCallback {}
class X3dColorRGBADoWithDataCallback extends DoWithDataCallback {};


class X3dCoordinateDamper extends X3dNode {
    X3dNode metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    X3dCoordinateDamper() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCoordinateDamper != null)
            X3dSceneGraph.X3drenderCallbackCoordinateDamper.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCoordinateDamper != null)
            X3dSceneGraph.X3ddoWithDataCallbackCoordinateDamper.doWithData(this);
    }
}

class X3dCoordinateDamperRenderCallback extends RenderCallback {}
class X3dCoordinateDamperDoWithDataCallback extends DoWithDataCallback {};


class X3dHAnimDisplacer extends X3dNode {
    X3dNode metadata;
    int[] coordIndex;
    float[] displacements;
    String name;
    float weight;
    X3dHAnimDisplacer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackHAnimDisplacer != null)
            X3dSceneGraph.X3drenderCallbackHAnimDisplacer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackHAnimDisplacer != null)
            X3dSceneGraph.X3ddoWithDataCallbackHAnimDisplacer.doWithData(this);
    }
}

class X3dHAnimDisplacerRenderCallback extends RenderCallback {}
class X3dHAnimDisplacerDoWithDataCallback extends DoWithDataCallback {};


class X3dSplineScalarInterpolator extends X3dNode {
    X3dNode metadata;
    boolean closed;
    float[] key;
    float[] keyValue;
    float[] keyVelocity;
    boolean normalizeVelocity;
    X3dSplineScalarInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSplineScalarInterpolator != null)
            X3dSceneGraph.X3drenderCallbackSplineScalarInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSplineScalarInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackSplineScalarInterpolator.doWithData(this);
    }
}

class X3dSplineScalarInterpolatorRenderCallback extends RenderCallback {}
class X3dSplineScalarInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dVolumeEmitter extends X3dNode {
    X3dNode metadata;
    float speed;
    float variation;
    float mass;
    float surfaceArea;
    X3dNode coord;
    float[] direction;
    int[] coordIndex;
    boolean internal;
    X3dVolumeEmitter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (coord != null)
            coord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackVolumeEmitter != null)
            X3dSceneGraph.X3drenderCallbackVolumeEmitter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackVolumeEmitter != null)
            X3dSceneGraph.X3ddoWithDataCallbackVolumeEmitter.doWithData(this);
    }
}

class X3dVolumeEmitterRenderCallback extends RenderCallback {}
class X3dVolumeEmitterDoWithDataCallback extends DoWithDataCallback {};


class X3dContour2D extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    X3dContour2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackContour2D != null)
            X3dSceneGraph.X3drenderCallbackContour2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackContour2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackContour2D.doWithData(this);
    }
}

class X3dContour2DRenderCallback extends RenderCallback {}
class X3dContour2DDoWithDataCallback extends DoWithDataCallback {};


class X3dHAnimJoint extends X3dNode {
    X3dNode metadata;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] scale;
    float[] scaleOrientation;
    X3dNode [] children;
    X3dNode [] displacers;
    float[] limitOrientation;
    float[] llimit;
    String name;
    int[] skinCoordIndex;
    float[] skinCoordWeight;
    float[] stiffness;
    float[] ulimit;
    X3dHAnimJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (displacers != null)
            for (int i = 0; i < displacers.length; i++)
                if (displacers[i] != null)
                    displacers[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackHAnimJoint != null)
            X3dSceneGraph.X3drenderCallbackHAnimJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (displacers != null)
            for (int i = 0; i < displacers.length; i++)
                if (displacers[i] != null)
                    displacers[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackHAnimJoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackHAnimJoint.doWithData(this);
    }
}

class X3dHAnimJointRenderCallback extends RenderCallback {}
class X3dHAnimJointDoWithDataCallback extends DoWithDataCallback {};


class X3dTexCoordDamper2D extends X3dNode {
    X3dNode metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    X3dTexCoordDamper2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTexCoordDamper2D != null)
            X3dSceneGraph.X3drenderCallbackTexCoordDamper2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTexCoordDamper2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackTexCoordDamper2D.doWithData(this);
    }
}

class X3dTexCoordDamper2DRenderCallback extends RenderCallback {}
class X3dTexCoordDamper2DDoWithDataCallback extends DoWithDataCallback {};


class X3dTextureCoordinate3D extends X3dNode {
    X3dNode metadata;
    float[] point;
    X3dTextureCoordinate3D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTextureCoordinate3D != null)
            X3dSceneGraph.X3drenderCallbackTextureCoordinate3D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTextureCoordinate3D != null)
            X3dSceneGraph.X3ddoWithDataCallbackTextureCoordinate3D.doWithData(this);
    }
}

class X3dTextureCoordinate3DRenderCallback extends RenderCallback {}
class X3dTextureCoordinate3DDoWithDataCallback extends DoWithDataCallback {};


class X3dUniversalJoint extends X3dNode {
    X3dNode metadata;
    X3dNode body1;
    X3dNode body2;
    String[] forceOutput;
    float[] anchorPoint;
    float[] axis1;
    float[] axis2;
    float stop1Bounce;
    float stop1ErrorCorrection;
    float stop2Bounce;
    float stop2ErrorCorrection;
    X3dUniversalJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (X3dSceneGraph.X3drenderCallbackUniversalJoint != null)
            X3dSceneGraph.X3drenderCallbackUniversalJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackUniversalJoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackUniversalJoint.doWithData(this);
    }
}

class X3dUniversalJointRenderCallback extends RenderCallback {}
class X3dUniversalJointDoWithDataCallback extends DoWithDataCallback {};


class X3dFloatVertexAttribute extends X3dNode {
    X3dNode metadata;
    float[] value;
    String name;
    int numComponents;
    X3dFloatVertexAttribute() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackFloatVertexAttribute != null)
            X3dSceneGraph.X3drenderCallbackFloatVertexAttribute.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackFloatVertexAttribute != null)
            X3dSceneGraph.X3ddoWithDataCallbackFloatVertexAttribute.doWithData(this);
    }
}

class X3dFloatVertexAttributeRenderCallback extends RenderCallback {}
class X3dFloatVertexAttributeDoWithDataCallback extends DoWithDataCallback {};


class X3dSuperShape extends X3dNode {
    X3dNode metadata;
    float ua;
    float ub;
    float um;
    float un1;
    float un2;
    float un3;
    float va;
    float vb;
    float vm;
    float vn1;
    float vn2;
    float vn3;
    boolean bottom;
    float bottomBorder;
    float border;
    boolean ccw;
    float creaseAngle;
    float[] size;
    boolean solid;
    X3dNode texCoord;
    boolean top;
    int uTessellation;
    int vTessellation;
    X3dSuperShape() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSuperShape != null)
            X3dSceneGraph.X3drenderCallbackSuperShape.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSuperShape != null)
            X3dSceneGraph.X3ddoWithDataCallbackSuperShape.doWithData(this);
    }
}

class X3dSuperShapeRenderCallback extends RenderCallback {}
class X3dSuperShapeDoWithDataCallback extends DoWithDataCallback {};


class X3dTransmitterPdu extends X3dNode {
    X3dNode metadata;
    float[] antennaLocation;
    int antennaPatternLength;
    int antennaPatternType;
    int cryptoKeyID;
    int cryptoSystem;
    int frequency;
    int inputSource;
    int lengthOfModulationParameters;
    int modulationTypeDetail;
    int modulationTypeMajor;
    int modulationTypeSpreadSpectrum;
    int modulationTypeSystem;
    float power;
    int radioEntityTypeCategory;
    int radioEntityTypeCountry;
    int radioEntityTypeDomain;
    int radioEntityTypeKind;
    int radioEntityTypeNomenclature;
    int radioEntityTypeNomenclatureVersion;
    int radioID;
    float[] relativeAntennaLocation;
    float transmitFrequencyBandwidth;
    int transmitState;
    int whichGeometry;
    float[] bboxCenter;
    float[] bboxSize;
    boolean enabled;
    String networkMode;
    double readInterval;
    double writeInterval;
    int siteID;
    int applicationID;
    int entityID;
    String address;
    int port;
    String multicastRelayHost;
    int multicastRelayPort;
    boolean rtpHeaderExpected;
    X3dTransmitterPdu() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTransmitterPdu != null)
            X3dSceneGraph.X3drenderCallbackTransmitterPdu.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTransmitterPdu != null)
            X3dSceneGraph.X3ddoWithDataCallbackTransmitterPdu.doWithData(this);
    }
}

class X3dTransmitterPduRenderCallback extends RenderCallback {}
class X3dTransmitterPduDoWithDataCallback extends DoWithDataCallback {};


class X3dTwoSidedMaterial extends X3dNode {
    X3dNode metadata;
    float ambientIntensity;
    float backAmbientIntensity;
    float[] backDiffuseColor;
    float[] backEmissiveColor;
    float backShininess;
    float[] backSpecularColor;
    float backTransparency;
    float[] diffuseColor;
    float[] emissiveColor;
    float shininess;
    boolean separateBackColor;
    float[] specularColor;
    float transparency;
    X3dTwoSidedMaterial() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTwoSidedMaterial != null)
            X3dSceneGraph.X3drenderCallbackTwoSidedMaterial.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTwoSidedMaterial != null)
            X3dSceneGraph.X3ddoWithDataCallbackTwoSidedMaterial.doWithData(this);
    }
}

class X3dTwoSidedMaterialRenderCallback extends RenderCallback {}
class X3dTwoSidedMaterialDoWithDataCallback extends DoWithDataCallback {};


class X3dWindPhysicsModel extends X3dNode {
    X3dNode metadata;
    float[] direction;
    boolean enabled;
    float gustiness;
    float speed;
    float turbulence;
    X3dWindPhysicsModel() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackWindPhysicsModel != null)
            X3dSceneGraph.X3drenderCallbackWindPhysicsModel.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackWindPhysicsModel != null)
            X3dSceneGraph.X3ddoWithDataCallbackWindPhysicsModel.doWithData(this);
    }
}

class X3dWindPhysicsModelRenderCallback extends RenderCallback {}
class X3dWindPhysicsModelDoWithDataCallback extends DoWithDataCallback {};


class X3dGeoTransform extends X3dNode {
    X3dNode metadata;
    X3dNode geoOrigin;
    String[] geoSystem;
    X3dNode [] children;
    double[] geoCenter;
    float[] rotation;
    float[] scale;
    float[] scaleOrientation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    X3dGeoTransform() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackGeoTransform != null)
            X3dSceneGraph.X3drenderCallbackGeoTransform.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGeoTransform != null)
            X3dSceneGraph.X3ddoWithDataCallbackGeoTransform.doWithData(this);
    }
}

class X3dGeoTransformRenderCallback extends RenderCallback {}
class X3dGeoTransformDoWithDataCallback extends DoWithDataCallback {};


class X3dTransform extends X3dNode {
    X3dNode metadata;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] scale;
    float[] scaleOrientation;
    X3dNode [] children;
    X3dTransform() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackTransform != null)
            X3dSceneGraph.X3drenderCallbackTransform.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTransform != null)
            X3dSceneGraph.X3ddoWithDataCallbackTransform.doWithData(this);
    }
}

class X3dTransformRenderCallback extends RenderCallback {}
class X3dTransformDoWithDataCallback extends DoWithDataCallback {};


class X3dSuperExtrusion extends X3dNode {
    X3dNode metadata;
    float a;
    float b;
    float m;
    float n1;
    float n2;
    float n3;
    float border;
    float bottomBorder;
    int superTessellation;
    int spineTessellation;
    float[] controlPoint;
    float[] weight;
    float[] knot;
    int order;
    float creaseAngle;
    boolean beginCap;
    boolean endCap;
    float[] scale;
    X3dSuperExtrusion() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSuperExtrusion != null)
            X3dSceneGraph.X3drenderCallbackSuperExtrusion.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSuperExtrusion != null)
            X3dSceneGraph.X3ddoWithDataCallbackSuperExtrusion.doWithData(this);
    }
}

class X3dSuperExtrusionRenderCallback extends RenderCallback {}
class X3dSuperExtrusionDoWithDataCallback extends DoWithDataCallback {};


class X3dCylinderSensor extends X3dNode {
    X3dNode metadata;
    boolean autoOffset;
    float[] axisRotation;
    String description;
    float diskAngle;
    boolean enabled;
    float maxAngle;
    float minAngle;
    float offset;
    X3dCylinderSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCylinderSensor != null)
            X3dSceneGraph.X3drenderCallbackCylinderSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCylinderSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackCylinderSensor.doWithData(this);
    }
}

class X3dCylinderSensorRenderCallback extends RenderCallback {}
class X3dCylinderSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dLoadSensor extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    double timeOut;
    X3dNode [] watchList;
    X3dLoadSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (watchList != null)
            for (int i = 0; i < watchList.length; i++)
                if (watchList[i] != null)
                    watchList[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackLoadSensor != null)
            X3dSceneGraph.X3drenderCallbackLoadSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (watchList != null)
            for (int i = 0; i < watchList.length; i++)
                if (watchList[i] != null)
                    watchList[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackLoadSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackLoadSensor.doWithData(this);
    }
}

class X3dLoadSensorRenderCallback extends RenderCallback {}
class X3dLoadSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dPackagedShader extends X3dNode {
    X3dNode metadata;
    String[] url;
    String language;
    X3dPackagedShader() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPackagedShader != null)
            X3dSceneGraph.X3drenderCallbackPackagedShader.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPackagedShader != null)
            X3dSceneGraph.X3ddoWithDataCallbackPackagedShader.doWithData(this);
    }
}

class X3dPackagedShaderRenderCallback extends RenderCallback {}
class X3dPackagedShaderDoWithDataCallback extends DoWithDataCallback {};


class X3dSuperRevolver extends X3dNode {
    X3dNode metadata;
    float a;
    float b;
    float m;
    float n1;
    float n2;
    float n3;
    float border;
    float bottomBorder;
    int superTessellation;
    int nurbsTessellation;
    float[] controlPoint;
    float[] weight;
    float[] knot;
    int order;
    float creaseAngle;
    boolean ccw;
    boolean solid;
    boolean pieceOfCake;
    X3dSuperRevolver() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSuperRevolver != null)
            X3dSceneGraph.X3drenderCallbackSuperRevolver.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSuperRevolver != null)
            X3dSceneGraph.X3ddoWithDataCallbackSuperRevolver.doWithData(this);
    }
}

class X3dSuperRevolverRenderCallback extends RenderCallback {}
class X3dSuperRevolverDoWithDataCallback extends DoWithDataCallback {};


class X3dTextureCoordinateGenerator extends X3dNode {
    X3dNode metadata;
    String mode;
    float[] parameter;
    X3dTextureCoordinateGenerator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTextureCoordinateGenerator != null)
            X3dSceneGraph.X3drenderCallbackTextureCoordinateGenerator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTextureCoordinateGenerator != null)
            X3dSceneGraph.X3ddoWithDataCallbackTextureCoordinateGenerator.doWithData(this);
    }
}

class X3dTextureCoordinateGeneratorRenderCallback extends RenderCallback {}
class X3dTextureCoordinateGeneratorDoWithDataCallback extends DoWithDataCallback {};


class X3dTextureProperties extends X3dNode {
    X3dNode metadata;
    float anisotropicDegree;
    float[] borderColor;
    int borderWidth;
    String boundaryModeS;
    String boundaryModeT;
    String boundaryModeR;
    String magnificationFilter;
    String minificationFilter;
    String textureCompression;
    float texturePriority;
    boolean generateMipMaps;
    X3dTextureProperties() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTextureProperties != null)
            X3dSceneGraph.X3drenderCallbackTextureProperties.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTextureProperties != null)
            X3dSceneGraph.X3ddoWithDataCallbackTextureProperties.doWithData(this);
    }
}

class X3dTexturePropertiesRenderCallback extends RenderCallback {}
class X3dTexturePropertiesDoWithDataCallback extends DoWithDataCallback {};


class X3dArcClose2D extends X3dNode {
    X3dNode metadata;
    String closureType;
    float endAngle;
    float radius;
    boolean solid;
    float startAngle;
    X3dArcClose2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackArcClose2D != null)
            X3dSceneGraph.X3drenderCallbackArcClose2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackArcClose2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackArcClose2D.doWithData(this);
    }
}

class X3dArcClose2DRenderCallback extends RenderCallback {}
class X3dArcClose2DDoWithDataCallback extends DoWithDataCallback {};


class X3dElevationGrid extends X3dNode {
    X3dNode metadata;
    X3dNode [] attrib;
    X3dNode color;
    X3dNode fogCoord;
    X3dNode normal;
    X3dNode texCoord;
    boolean ccw;
    boolean colorPerVertex;
    float creaseAngle;
    float[] height;
    boolean normalPerVertex;
    boolean solid;
    int xDimension;
    float xSpacing;
    int zDimension;
    float zSpacing;
    X3dElevationGrid() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (color != null)
            color.treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackElevationGrid != null)
            X3dSceneGraph.X3drenderCallbackElevationGrid.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackElevationGrid != null)
            X3dSceneGraph.X3ddoWithDataCallbackElevationGrid.doWithData(this);
    }
}

class X3dElevationGridRenderCallback extends RenderCallback {}
class X3dElevationGridDoWithDataCallback extends DoWithDataCallback {};


class X3dIndexedTriangleFanSet extends X3dNode {
    X3dNode metadata;
    X3dNode color;
    X3dNode coord;
    X3dNode normal;
    X3dNode texCoord;
    boolean ccw;
    boolean normalPerVertex;
    boolean solid;
    int[] index;
    boolean colorPerVertex;
    X3dIndexedTriangleFanSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackIndexedTriangleFanSet != null)
            X3dSceneGraph.X3drenderCallbackIndexedTriangleFanSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackIndexedTriangleFanSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackIndexedTriangleFanSet.doWithData(this);
    }
}

class X3dIndexedTriangleFanSetRenderCallback extends RenderCallback {}
class X3dIndexedTriangleFanSetDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsCurve2D extends X3dNode {
    X3dNode metadata;
    float[] controlPoint;
    int tessellation;
    float[] weight;
    boolean closed;
    float[] knot;
    int order;
    X3dNurbsCurve2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsCurve2D != null)
            X3dSceneGraph.X3drenderCallbackNurbsCurve2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsCurve2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsCurve2D.doWithData(this);
    }
}

class X3dNurbsCurve2DRenderCallback extends RenderCallback {}
class X3dNurbsCurve2DDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsSurface extends X3dNode {
    X3dNode metadata;
    int uDimension;
    int vDimension;
    float[] uKnot;
    float[] vKnot;
    int uOrder;
    int vOrder;
    X3dNode controlPoint;
    float[] weight;
    int uTessellation;
    int vTessellation;
    X3dNode texCoord;
    boolean uClosed;
    boolean vClosed;
    boolean solid;
    X3dNurbsSurface() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (controlPoint != null)
            controlPoint.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsSurface != null)
            X3dSceneGraph.X3drenderCallbackNurbsSurface.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (controlPoint != null)
            controlPoint.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsSurface != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsSurface.doWithData(this);
    }
}

class X3dNurbsSurfaceRenderCallback extends RenderCallback {}
class X3dNurbsSurfaceDoWithDataCallback extends DoWithDataCallback {};


class X3dPickableGroup extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    String[] objectType;
    boolean pickable;
    float[] bboxCenter;
    float[] bboxSize;
    X3dPickableGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackPickableGroup != null)
            X3dSceneGraph.X3drenderCallbackPickableGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPickableGroup != null)
            X3dSceneGraph.X3ddoWithDataCallbackPickableGroup.doWithData(this);
    }
}

class X3dPickableGroupRenderCallback extends RenderCallback {}
class X3dPickableGroupDoWithDataCallback extends DoWithDataCallback {};


class X3dCollisionSensor extends X3dNode {
    X3dNode metadata;
    X3dNode collidables;
    boolean enabled;
    X3dCollisionSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (collidables != null)
            collidables.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCollisionSensor != null)
            X3dSceneGraph.X3drenderCallbackCollisionSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (collidables != null)
            collidables.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCollisionSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackCollisionSensor.doWithData(this);
    }
}

class X3dCollisionSensorRenderCallback extends RenderCallback {}
class X3dCollisionSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dGeoTouchSensor extends X3dNode {
    X3dNode metadata;
    X3dNode geoOrigin;
    String[] geoSystem;
    String description;
    boolean enabled;
    X3dGeoTouchSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (X3dSceneGraph.X3drenderCallbackGeoTouchSensor != null)
            X3dSceneGraph.X3drenderCallbackGeoTouchSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGeoTouchSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackGeoTouchSensor.doWithData(this);
    }
}

class X3dGeoTouchSensorRenderCallback extends RenderCallback {}
class X3dGeoTouchSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dPlaneSensor extends X3dNode {
    X3dNode metadata;
    boolean autoOffset;
    float[] axisRotation;
    String description;
    boolean enabled;
    float[] maxPosition;
    float[] minPosition;
    float[] offset;
    X3dPlaneSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPlaneSensor != null)
            X3dSceneGraph.X3drenderCallbackPlaneSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPlaneSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackPlaneSensor.doWithData(this);
    }
}

class X3dPlaneSensorRenderCallback extends RenderCallback {}
class X3dPlaneSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dStringSensor extends X3dNode {
    X3dNode metadata;
    boolean deletionAllowed;
    boolean enabled;
    X3dStringSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackStringSensor != null)
            X3dSceneGraph.X3drenderCallbackStringSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackStringSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackStringSensor.doWithData(this);
    }
}

class X3dStringSensorRenderCallback extends RenderCallback {}
class X3dStringSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dCoordinateInterpolator2D extends X3dNode {
    X3dNode metadata;
    float[] key;
    float[] keyValue;
    X3dCoordinateInterpolator2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCoordinateInterpolator2D != null)
            X3dSceneGraph.X3drenderCallbackCoordinateInterpolator2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCoordinateInterpolator2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackCoordinateInterpolator2D.doWithData(this);
    }
}

class X3dCoordinateInterpolator2DRenderCallback extends RenderCallback {}
class X3dCoordinateInterpolator2DDoWithDataCallback extends DoWithDataCallback {};


class X3dDoubleAxisHingeJoint extends X3dNode {
    X3dNode metadata;
    X3dNode body1;
    X3dNode body2;
    String[] forceOutput;
    float[] anchorPoint;
    float[] axis1;
    float[] axis2;
    float desiredAngularVelocity1;
    float desiredAngularVelocity2;
    float maxAngle1;
    float maxTorque1;
    float maxTorque2;
    float minAngle1;
    float stopBounce1;
    float stopConstantForceMix1;
    float stopErrorCorrection1;
    float suspensionErrorCorrection;
    float suspensionForce;
    X3dDoubleAxisHingeJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (X3dSceneGraph.X3drenderCallbackDoubleAxisHingeJoint != null)
            X3dSceneGraph.X3drenderCallbackDoubleAxisHingeJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackDoubleAxisHingeJoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackDoubleAxisHingeJoint.doWithData(this);
    }
}

class X3dDoubleAxisHingeJointRenderCallback extends RenderCallback {}
class X3dDoubleAxisHingeJointDoWithDataCallback extends DoWithDataCallback {};


class X3dPolyline2D extends X3dNode {
    X3dNode metadata;
    float[] lineSegments;
    X3dPolyline2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPolyline2D != null)
            X3dSceneGraph.X3drenderCallbackPolyline2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPolyline2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackPolyline2D.doWithData(this);
    }
}

class X3dPolyline2DRenderCallback extends RenderCallback {}
class X3dPolyline2DDoWithDataCallback extends DoWithDataCallback {};


class X3dPositionInterpolator2D extends X3dNode {
    X3dNode metadata;
    float[] key;
    float[] keyValue;
    X3dPositionInterpolator2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPositionInterpolator2D != null)
            X3dSceneGraph.X3drenderCallbackPositionInterpolator2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPositionInterpolator2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackPositionInterpolator2D.doWithData(this);
    }
}

class X3dPositionInterpolator2DRenderCallback extends RenderCallback {}
class X3dPositionInterpolator2DDoWithDataCallback extends DoWithDataCallback {};


class X3dHAnimSite extends X3dNode {
    X3dNode metadata;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] scale;
    float[] scaleOrientation;
    X3dNode [] children;
    String name;
    X3dHAnimSite() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackHAnimSite != null)
            X3dSceneGraph.X3drenderCallbackHAnimSite.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackHAnimSite != null)
            X3dSceneGraph.X3ddoWithDataCallbackHAnimSite.doWithData(this);
    }
}

class X3dHAnimSiteRenderCallback extends RenderCallback {}
class X3dHAnimSiteDoWithDataCallback extends DoWithDataCallback {};


class X3dImageCubeMapTexture extends X3dNode {
    X3dNode metadata;
    String[] url;
    X3dNode textureProperties;
    X3dImageCubeMapTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (X3dSceneGraph.X3drenderCallbackImageCubeMapTexture != null)
            X3dSceneGraph.X3drenderCallbackImageCubeMapTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackImageCubeMapTexture != null)
            X3dSceneGraph.X3ddoWithDataCallbackImageCubeMapTexture.doWithData(this);
    }
}

class X3dImageCubeMapTextureRenderCallback extends RenderCallback {}
class X3dImageCubeMapTextureDoWithDataCallback extends DoWithDataCallback {};


class X3dImageTexture extends X3dNode {
    X3dNode metadata;
    String[] url;
    boolean repeatS;
    boolean repeatT;
    String alphaChannel;
    X3dNode textureProperties;
    X3dImageTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (X3dSceneGraph.X3drenderCallbackImageTexture != null)
            X3dSceneGraph.X3drenderCallbackImageTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackImageTexture != null)
            X3dSceneGraph.X3ddoWithDataCallbackImageTexture.doWithData(this);
    }
}

class X3dImageTextureRenderCallback extends RenderCallback {}
class X3dImageTextureDoWithDataCallback extends DoWithDataCallback {};


class X3dMovieTexture extends X3dNode {
    X3dNode metadata;
    boolean loop;
    float speed;
    double pauseTime;
    double resumeTime;
    double startTime;
    double stopTime;
    String[] url;
    boolean repeatS;
    boolean repeatT;
    String alphaChannel;
    X3dNode textureProperties;
    X3dMovieTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (X3dSceneGraph.X3drenderCallbackMovieTexture != null)
            X3dSceneGraph.X3drenderCallbackMovieTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMovieTexture != null)
            X3dSceneGraph.X3ddoWithDataCallbackMovieTexture.doWithData(this);
    }
}

class X3dMovieTextureRenderCallback extends RenderCallback {}
class X3dMovieTextureDoWithDataCallback extends DoWithDataCallback {};


class X3dScreenFontStyle extends X3dNode {
    X3dNode metadata;
    String[] family;
    boolean horizontal;
    String[] justify;
    String language;
    boolean leftToRight;
    float pointSize;
    float spacing;
    String style;
    boolean topToBottom;
    X3dScreenFontStyle() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackScreenFontStyle != null)
            X3dSceneGraph.X3drenderCallbackScreenFontStyle.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackScreenFontStyle != null)
            X3dSceneGraph.X3ddoWithDataCallbackScreenFontStyle.doWithData(this);
    }
}

class X3dScreenFontStyleRenderCallback extends RenderCallback {}
class X3dScreenFontStyleDoWithDataCallback extends DoWithDataCallback {};


class X3dNavigationInfo extends X3dNode {
    X3dNode metadata;
    float[] avatarSize;
    boolean headlight;
    float speed;
    double transitionTime;
    String[] transitionType;
    String[] type;
    float visibilityLimit;
    X3dNavigationInfo() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNavigationInfo != null)
            X3dSceneGraph.X3drenderCallbackNavigationInfo.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNavigationInfo != null)
            X3dSceneGraph.X3ddoWithDataCallbackNavigationInfo.doWithData(this);
    }
}

class X3dNavigationInfoRenderCallback extends RenderCallback {}
class X3dNavigationInfoDoWithDataCallback extends DoWithDataCallback {};


class X3dCoordinateInterpolator extends X3dNode {
    X3dNode metadata;
    float[] key;
    float[] keyValue;
    X3dCoordinateInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCoordinateInterpolator != null)
            X3dSceneGraph.X3drenderCallbackCoordinateInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCoordinateInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackCoordinateInterpolator.doWithData(this);
    }
}

class X3dCoordinateInterpolatorRenderCallback extends RenderCallback {}
class X3dCoordinateInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dDirectionalLight extends X3dNode {
    X3dNode metadata;
    float ambientIntensity;
    float[] color;
    float[] direction;
    boolean global;
    float intensity;
    boolean on;
    boolean kambiShadows;
    boolean kambiShadowsMain;
    float[] projectionRectangle;
    float[] projectionLocation;
    X3dDirectionalLight() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackDirectionalLight != null)
            X3dSceneGraph.X3drenderCallbackDirectionalLight.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackDirectionalLight != null)
            X3dSceneGraph.X3ddoWithDataCallbackDirectionalLight.doWithData(this);
    }
}

class X3dDirectionalLightRenderCallback extends RenderCallback {}
class X3dDirectionalLightDoWithDataCallback extends DoWithDataCallback {};


class X3dGeoLOD extends X3dNode {
    X3dNode metadata;
    X3dNode geoOrigin;
    String[] geoSystem;
    X3dNode [] children;
    float[] bboxCenter;
    float[] bboxSize;
    double[] center;
    String[] child1Url;
    String[] child2Url;
    String[] child3Url;
    String[] child4Url;
    float[] range;
    String[] rootUrl;
    X3dNode [] rootNode;
    X3dGeoLOD() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (rootNode != null)
            for (int i = 0; i < rootNode.length; i++)
                if (rootNode[i] != null)
                    rootNode[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackGeoLOD != null)
            X3dSceneGraph.X3drenderCallbackGeoLOD.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (rootNode != null)
            for (int i = 0; i < rootNode.length; i++)
                if (rootNode[i] != null)
                    rootNode[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGeoLOD != null)
            X3dSceneGraph.X3ddoWithDataCallbackGeoLOD.doWithData(this);
    }
}

class X3dGeoLODRenderCallback extends RenderCallback {}
class X3dGeoLODDoWithDataCallback extends DoWithDataCallback {};


class X3dLdrawDatExport extends X3dNode {
    X3dNode metadata;
    String partDescription;
    String author;
    String fileType;
    String license;
    String bfc;
    String[] help;
    String category;
    String[] keywords;
    String cmdline;
    String[] history;
    String[] commands;
    X3dLdrawDatExport() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackLdrawDatExport != null)
            X3dSceneGraph.X3drenderCallbackLdrawDatExport.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackLdrawDatExport != null)
            X3dSceneGraph.X3ddoWithDataCallbackLdrawDatExport.doWithData(this);
    }
}

class X3dLdrawDatExportRenderCallback extends RenderCallback {}
class X3dLdrawDatExportDoWithDataCallback extends DoWithDataCallback {};


class X3dLOD extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] range;
    X3dLOD() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackLOD != null)
            X3dSceneGraph.X3drenderCallbackLOD.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackLOD != null)
            X3dSceneGraph.X3ddoWithDataCallbackLOD.doWithData(this);
    }
}

class X3dLODRenderCallback extends RenderCallback {}
class X3dLODDoWithDataCallback extends DoWithDataCallback {};


class X3dOdeSingleAxisHingeJoint extends X3dNode {
    X3dNode metadata;
    X3dNode body1;
    X3dNode body2;
    String[] forceOutput;
    float[] anchorPoint;
    float[] axis;
    float maxAngle;
    float minAngle;
    float stopBounce;
    float stopErrorCorrection;
    float fMax;
    X3dOdeSingleAxisHingeJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (X3dSceneGraph.X3drenderCallbackOdeSingleAxisHingeJoint != null)
            X3dSceneGraph.X3drenderCallbackOdeSingleAxisHingeJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackOdeSingleAxisHingeJoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackOdeSingleAxisHingeJoint.doWithData(this);
    }
}

class X3dOdeSingleAxisHingeJointRenderCallback extends RenderCallback {}
class X3dOdeSingleAxisHingeJointDoWithDataCallback extends DoWithDataCallback {};


class X3dSingleAxisHingeJoint extends X3dNode {
    X3dNode metadata;
    X3dNode body1;
    X3dNode body2;
    String[] forceOutput;
    float[] anchorPoint;
    float[] axis;
    float maxAngle;
    float minAngle;
    float stopBounce;
    float stopErrorCorrection;
    X3dSingleAxisHingeJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSingleAxisHingeJoint != null)
            X3dSceneGraph.X3drenderCallbackSingleAxisHingeJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSingleAxisHingeJoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackSingleAxisHingeJoint.doWithData(this);
    }
}

class X3dSingleAxisHingeJointRenderCallback extends RenderCallback {}
class X3dSingleAxisHingeJointDoWithDataCallback extends DoWithDataCallback {};


class X3dComposedCubeMapTexture extends X3dNode {
    X3dNode metadata;
    X3dNode back;
    X3dNode bottom;
    X3dNode front;
    X3dNode left;
    X3dNode right;
    X3dNode top;
    X3dComposedCubeMapTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (back != null)
            back.treeRender();
        if (bottom != null)
            bottom.treeRender();
        if (front != null)
            front.treeRender();
        if (left != null)
            left.treeRender();
        if (right != null)
            right.treeRender();
        if (top != null)
            top.treeRender();
        if (X3dSceneGraph.X3drenderCallbackComposedCubeMapTexture != null)
            X3dSceneGraph.X3drenderCallbackComposedCubeMapTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (back != null)
            back.treeDoWithData();
        if (bottom != null)
            bottom.treeDoWithData();
        if (front != null)
            front.treeDoWithData();
        if (left != null)
            left.treeDoWithData();
        if (right != null)
            right.treeDoWithData();
        if (top != null)
            top.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackComposedCubeMapTexture != null)
            X3dSceneGraph.X3ddoWithDataCallbackComposedCubeMapTexture.doWithData(this);
    }
}

class X3dComposedCubeMapTextureRenderCallback extends RenderCallback {}
class X3dComposedCubeMapTextureDoWithDataCallback extends DoWithDataCallback {};


class X3dCollision extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    boolean enabled;
    float[] bboxCenter;
    float[] bboxSize;
    X3dNode proxy;
    X3dCollision() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (proxy != null)
            proxy.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCollision != null)
            X3dSceneGraph.X3drenderCallbackCollision.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (proxy != null)
            proxy.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCollision != null)
            X3dSceneGraph.X3ddoWithDataCallbackCollision.doWithData(this);
    }
}

class X3dCollisionRenderCallback extends RenderCallback {}
class X3dCollisionDoWithDataCallback extends DoWithDataCallback {};


class X3dGeoOrigin extends X3dNode {
    X3dNode metadata;
    double[] geoCoords;
    String[] geoSystem;
    boolean rotateYUp;
    X3dGeoOrigin() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackGeoOrigin != null)
            X3dSceneGraph.X3drenderCallbackGeoOrigin.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGeoOrigin != null)
            X3dSceneGraph.X3ddoWithDataCallbackGeoOrigin.doWithData(this);
    }
}

class X3dGeoOriginRenderCallback extends RenderCallback {}
class X3dGeoOriginDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsGroup extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    float[] bboxCenter;
    float[] bboxSize;
    float tessellationScale;
    X3dNurbsGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsGroup != null)
            X3dSceneGraph.X3drenderCallbackNurbsGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsGroup != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsGroup.doWithData(this);
    }
}

class X3dNurbsGroupRenderCallback extends RenderCallback {}
class X3dNurbsGroupDoWithDataCallback extends DoWithDataCallback {};


class X3dGeoProximitySensor extends X3dNode {
    X3dNode metadata;
    X3dNode geoOrigin;
    String[] geoSystem;
    boolean enabled;
    double[] geoCenter;
    float[] size;
    X3dGeoProximitySensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (X3dSceneGraph.X3drenderCallbackGeoProximitySensor != null)
            X3dSceneGraph.X3drenderCallbackGeoProximitySensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGeoProximitySensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackGeoProximitySensor.doWithData(this);
    }
}

class X3dGeoProximitySensorRenderCallback extends RenderCallback {}
class X3dGeoProximitySensorDoWithDataCallback extends DoWithDataCallback {};


class X3dPointEmitter extends X3dNode {
    X3dNode metadata;
    float speed;
    float variation;
    float mass;
    float surfaceArea;
    float[] direction;
    float[] position;
    X3dPointEmitter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPointEmitter != null)
            X3dSceneGraph.X3drenderCallbackPointEmitter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPointEmitter != null)
            X3dSceneGraph.X3ddoWithDataCallbackPointEmitter.doWithData(this);
    }
}

class X3dPointEmitterRenderCallback extends RenderCallback {}
class X3dPointEmitterDoWithDataCallback extends DoWithDataCallback {};


class X3dProximitySensor extends X3dNode {
    X3dNode metadata;
    float[] center;
    boolean enabled;
    float[] size;
    X3dProximitySensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackProximitySensor != null)
            X3dSceneGraph.X3drenderCallbackProximitySensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackProximitySensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackProximitySensor.doWithData(this);
    }
}

class X3dProximitySensorRenderCallback extends RenderCallback {}
class X3dProximitySensorDoWithDataCallback extends DoWithDataCallback {};


class X3dScalarChaser extends X3dNode {
    X3dNode metadata;
    double duration;
    float initialDestination;
    float initialValue;
    X3dScalarChaser() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackScalarChaser != null)
            X3dSceneGraph.X3drenderCallbackScalarChaser.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackScalarChaser != null)
            X3dSceneGraph.X3ddoWithDataCallbackScalarChaser.doWithData(this);
    }
}

class X3dScalarChaserRenderCallback extends RenderCallback {}
class X3dScalarChaserDoWithDataCallback extends DoWithDataCallback {};


class X3dVisibilitySensor extends X3dNode {
    X3dNode metadata;
    float[] center;
    boolean enabled;
    float[] size;
    X3dVisibilitySensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackVisibilitySensor != null)
            X3dSceneGraph.X3drenderCallbackVisibilitySensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackVisibilitySensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackVisibilitySensor.doWithData(this);
    }
}

class X3dVisibilitySensorRenderCallback extends RenderCallback {}
class X3dVisibilitySensorDoWithDataCallback extends DoWithDataCallback {};


class X3dCattExportSrc extends X3dNode {
    X3dNode metadata;
    String id;
    float[] sourceCenterLocation;
    String sourceDirectivityName;
    float[] coordinateToAimTheSource;
    float roll;
    String[] furtherParameters;
    X3dCattExportSrc() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCattExportSrc != null)
            X3dSceneGraph.X3drenderCallbackCattExportSrc.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCattExportSrc != null)
            X3dSceneGraph.X3ddoWithDataCallbackCattExportSrc.doWithData(this);
    }
}

class X3dCattExportSrcRenderCallback extends RenderCallback {}
class X3dCattExportSrcDoWithDataCallback extends DoWithDataCallback {};


class X3dHAnimHumanoid extends X3dNode {
    X3dNode metadata;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] scale;
    float[] scaleOrientation;
    String[] info;
    X3dNode [] joints;
    String name;
    X3dNode [] segments;
    X3dNode [] sites;
    X3dNode [] skeleton;
    X3dNode [] skin;
    X3dNode skinCoord;
    X3dNode skinNormal;
    String version;
    X3dNode [] viewpoints;
    X3dHAnimHumanoid() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (joints != null)
            for (int i = 0; i < joints.length; i++)
                if (joints[i] != null)
                    joints[i].treeRender();
        if (segments != null)
            for (int i = 0; i < segments.length; i++)
                if (segments[i] != null)
                    segments[i].treeRender();
        if (sites != null)
            for (int i = 0; i < sites.length; i++)
                if (sites[i] != null)
                    sites[i].treeRender();
        if (skeleton != null)
            for (int i = 0; i < skeleton.length; i++)
                if (skeleton[i] != null)
                    skeleton[i].treeRender();
        if (skin != null)
            for (int i = 0; i < skin.length; i++)
                if (skin[i] != null)
                    skin[i].treeRender();
        if (skinCoord != null)
            skinCoord.treeRender();
        if (skinNormal != null)
            skinNormal.treeRender();
        if (viewpoints != null)
            for (int i = 0; i < viewpoints.length; i++)
                if (viewpoints[i] != null)
                    viewpoints[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackHAnimHumanoid != null)
            X3dSceneGraph.X3drenderCallbackHAnimHumanoid.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (joints != null)
            for (int i = 0; i < joints.length; i++)
                if (joints[i] != null)
                    joints[i].treeDoWithData();
        if (segments != null)
            for (int i = 0; i < segments.length; i++)
                if (segments[i] != null)
                    segments[i].treeDoWithData();
        if (sites != null)
            for (int i = 0; i < sites.length; i++)
                if (sites[i] != null)
                    sites[i].treeDoWithData();
        if (skeleton != null)
            for (int i = 0; i < skeleton.length; i++)
                if (skeleton[i] != null)
                    skeleton[i].treeDoWithData();
        if (skin != null)
            for (int i = 0; i < skin.length; i++)
                if (skin[i] != null)
                    skin[i].treeDoWithData();
        if (skinCoord != null)
            skinCoord.treeDoWithData();
        if (skinNormal != null)
            skinNormal.treeDoWithData();
        if (viewpoints != null)
            for (int i = 0; i < viewpoints.length; i++)
                if (viewpoints[i] != null)
                    viewpoints[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackHAnimHumanoid != null)
            X3dSceneGraph.X3ddoWithDataCallbackHAnimHumanoid.doWithData(this);
    }
}

class X3dHAnimHumanoidRenderCallback extends RenderCallback {}
class X3dHAnimHumanoidDoWithDataCallback extends DoWithDataCallback {};


class X3dIndexedFaceSet extends X3dNode {
    X3dNode metadata;
    X3dNode color;
    X3dNode coord;
    X3dNode normal;
    X3dNode texCoord;
    boolean ccw;
    int[] colorIndex;
    boolean colorPerVertex;
    boolean convex;
    int[] coordIndex;
    float creaseAngle;
    int[] normalIndex;
    boolean normalPerVertex;
    boolean solid;
    int[] texCoordIndex;
    float[] radianceTransfer;
    X3dNode [] attrib;
    X3dNode fogCoord;
    X3dIndexedFaceSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackIndexedFaceSet != null)
            X3dSceneGraph.X3drenderCallbackIndexedFaceSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackIndexedFaceSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackIndexedFaceSet.doWithData(this);
    }
}

class X3dIndexedFaceSetRenderCallback extends RenderCallback {}
class X3dIndexedFaceSetDoWithDataCallback extends DoWithDataCallback {};


class X3dSound extends X3dNode {
    X3dNode metadata;
    float[] direction;
    float intensity;
    float[] location;
    float maxBack;
    float maxFront;
    float minBack;
    float minFront;
    float priority;
    X3dNode source;
    boolean spatialize;
    X3dSound() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (source != null)
            source.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSound != null)
            X3dSceneGraph.X3drenderCallbackSound.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (source != null)
            source.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSound != null)
            X3dSceneGraph.X3ddoWithDataCallbackSound.doWithData(this);
    }
}

class X3dSoundRenderCallback extends RenderCallback {}
class X3dSoundDoWithDataCallback extends DoWithDataCallback {};


class X3dTriangleSet extends X3dNode {
    X3dNode metadata;
    X3dNode color;
    X3dNode coord;
    X3dNode normal;
    X3dNode texCoord;
    boolean ccw;
    boolean colorPerVertex;
    boolean normalPerVertex;
    boolean solid;
    float[] radianceTransfer;
    X3dNode [] attrib;
    X3dNode fogCoord;
    X3dTriangleSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTriangleSet != null)
            X3dSceneGraph.X3drenderCallbackTriangleSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTriangleSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackTriangleSet.doWithData(this);
    }
}

class X3dTriangleSetRenderCallback extends RenderCallback {}
class X3dTriangleSetDoWithDataCallback extends DoWithDataCallback {};


class X3dCone extends X3dNode {
    X3dNode metadata;
    boolean bottom;
    float bottomRadius;
    float height;
    boolean side;
    boolean solid;
    X3dCone() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCone != null)
            X3dSceneGraph.X3drenderCallbackCone.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCone != null)
            X3dSceneGraph.X3ddoWithDataCallbackCone.doWithData(this);
    }
}

class X3dConeRenderCallback extends RenderCallback {}
class X3dConeDoWithDataCallback extends DoWithDataCallback {};


class X3dFontStyle extends X3dNode {
    X3dNode metadata;
    String[] family;
    boolean horizontal;
    String[] justify;
    String language;
    boolean leftToRight;
    float size;
    float spacing;
    String style;
    boolean topToBottom;
    X3dFontStyle() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackFontStyle != null)
            X3dSceneGraph.X3drenderCallbackFontStyle.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackFontStyle != null)
            X3dSceneGraph.X3ddoWithDataCallbackFontStyle.doWithData(this);
    }
}

class X3dFontStyleRenderCallback extends RenderCallback {}
class X3dFontStyleDoWithDataCallback extends DoWithDataCallback {};


class X3dInline extends X3dNode {
    X3dNode metadata;
    boolean load;
    String[] url;
    float[] bboxCenter;
    float[] bboxSize;
    X3dInline() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackInline != null)
            X3dSceneGraph.X3drenderCallbackInline.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackInline != null)
            X3dSceneGraph.X3ddoWithDataCallbackInline.doWithData(this);
    }
}

class X3dInlineRenderCallback extends RenderCallback {}
class X3dInlineDoWithDataCallback extends DoWithDataCallback {};


class X3dMultiTextureCoordinate extends X3dNode {
    X3dNode metadata;
    X3dNode [] texCoord;
    X3dMultiTextureCoordinate() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (texCoord != null)
            for (int i = 0; i < texCoord.length; i++)
                if (texCoord[i] != null)
                    texCoord[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackMultiTextureCoordinate != null)
            X3dSceneGraph.X3drenderCallbackMultiTextureCoordinate.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (texCoord != null)
            for (int i = 0; i < texCoord.length; i++)
                if (texCoord[i] != null)
                    texCoord[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMultiTextureCoordinate != null)
            X3dSceneGraph.X3ddoWithDataCallbackMultiTextureCoordinate.doWithData(this);
    }
}

class X3dMultiTextureCoordinateRenderCallback extends RenderCallback {}
class X3dMultiTextureCoordinateDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsCurve extends X3dNode {
    X3dNode metadata;
    X3dNode controlPoint;
    int tessellation;
    float[] weight;
    boolean closed;
    float[] knot;
    int order;
    X3dNurbsCurve() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (controlPoint != null)
            controlPoint.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsCurve != null)
            X3dSceneGraph.X3drenderCallbackNurbsCurve.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (controlPoint != null)
            controlPoint.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsCurve != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsCurve.doWithData(this);
    }
}

class X3dNurbsCurveRenderCallback extends RenderCallback {}
class X3dNurbsCurveDoWithDataCallback extends DoWithDataCallback {};


class X3dSignalPdu extends X3dNode {
    X3dNode metadata;
    int[] data;
    int dataLength;
    int encodingScheme;
    int radioID;
    int sampleRate;
    int samples;
    int tdlType;
    int whichGeometry;
    float[] bboxCenter;
    float[] bboxSize;
    boolean enabled;
    String networkMode;
    double readInterval;
    double writeInterval;
    int siteID;
    int applicationID;
    int entityID;
    String address;
    int port;
    String multicastRelayHost;
    int multicastRelayPort;
    boolean rtpHeaderExpected;
    X3dSignalPdu() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSignalPdu != null)
            X3dSceneGraph.X3drenderCallbackSignalPdu.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSignalPdu != null)
            X3dSceneGraph.X3ddoWithDataCallbackSignalPdu.doWithData(this);
    }
}

class X3dSignalPduRenderCallback extends RenderCallback {}
class X3dSignalPduDoWithDataCallback extends DoWithDataCallback {};


class X3dRigidBody extends X3dNode {
    X3dNode metadata;
    float angularDampingFactor;
    float[] angularVelocity;
    boolean autoDamp;
    boolean autoDisable;
    float[] centerOfMass;
    float disableAngularSpeed;
    float disableLinearSpeed;
    float disableTime;
    boolean enabled;
    float[] finiteRotationAxis;
    boolean fixed;
    float[] forces;
    X3dNode [] geometry;
    float[] inertia;
    float linearDampingFactor;
    float[] linearVelocity;
    float mass;
    X3dNode massDensityModel;
    float[] orientation;
    float[] position;
    float[] torques;
    boolean useFiniteRotation;
    boolean useGlobalGravity;
    X3dRigidBody() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geometry != null)
            for (int i = 0; i < geometry.length; i++)
                if (geometry[i] != null)
                    geometry[i].treeRender();
        if (massDensityModel != null)
            massDensityModel.treeRender();
        if (X3dSceneGraph.X3drenderCallbackRigidBody != null)
            X3dSceneGraph.X3drenderCallbackRigidBody.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geometry != null)
            for (int i = 0; i < geometry.length; i++)
                if (geometry[i] != null)
                    geometry[i].treeDoWithData();
        if (massDensityModel != null)
            massDensityModel.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackRigidBody != null)
            X3dSceneGraph.X3ddoWithDataCallbackRigidBody.doWithData(this);
    }
}

class X3dRigidBodyRenderCallback extends RenderCallback {}
class X3dRigidBodyDoWithDataCallback extends DoWithDataCallback {};


class X3dMaterial extends X3dNode {
    X3dNode metadata;
    float ambientIntensity;
    float[] diffuseColor;
    float[] emissiveColor;
    float shininess;
    float[] specularColor;
    float transparency;
    boolean fogImmune;
    float mirror;
    float[] reflSpecular;
    float[] reflDiffuse;
    float[] transSpecular;
    float[] transDiffuse;
    float reflSpecularExp;
    float transSpecularExp;
    X3dMaterial() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackMaterial != null)
            X3dSceneGraph.X3drenderCallbackMaterial.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMaterial != null)
            X3dSceneGraph.X3ddoWithDataCallbackMaterial.doWithData(this);
    }
}

class X3dMaterialRenderCallback extends RenderCallback {}
class X3dMaterialDoWithDataCallback extends DoWithDataCallback {};


class X3dMultiTextureTransform extends X3dNode {
    X3dNode metadata;
    X3dNode [] textureTransform;
    X3dMultiTextureTransform() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureTransform != null)
            for (int i = 0; i < textureTransform.length; i++)
                if (textureTransform[i] != null)
                    textureTransform[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackMultiTextureTransform != null)
            X3dSceneGraph.X3drenderCallbackMultiTextureTransform.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureTransform != null)
            for (int i = 0; i < textureTransform.length; i++)
                if (textureTransform[i] != null)
                    textureTransform[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMultiTextureTransform != null)
            X3dSceneGraph.X3ddoWithDataCallbackMultiTextureTransform.doWithData(this);
    }
}

class X3dMultiTextureTransformRenderCallback extends RenderCallback {}
class X3dMultiTextureTransformDoWithDataCallback extends DoWithDataCallback {};


class X3dConeEmitter extends X3dNode {
    X3dNode metadata;
    float speed;
    float variation;
    float mass;
    float surfaceArea;
    float angle;
    float[] direction;
    float[] position;
    X3dConeEmitter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackConeEmitter != null)
            X3dSceneGraph.X3drenderCallbackConeEmitter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackConeEmitter != null)
            X3dSceneGraph.X3ddoWithDataCallbackConeEmitter.doWithData(this);
    }
}

class X3dConeEmitterRenderCallback extends RenderCallback {}
class X3dConeEmitterDoWithDataCallback extends DoWithDataCallback {};


class X3dMetadataInteger extends X3dNode {
    X3dNode metadata;
    String name;
    String reference;
    int[] value;
    X3dMetadataInteger() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackMetadataInteger != null)
            X3dSceneGraph.X3drenderCallbackMetadataInteger.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMetadataInteger != null)
            X3dSceneGraph.X3ddoWithDataCallbackMetadataInteger.doWithData(this);
    }
}

class X3dMetadataIntegerRenderCallback extends RenderCallback {}
class X3dMetadataIntegerDoWithDataCallback extends DoWithDataCallback {};


class X3dOrientationInterpolator extends X3dNode {
    X3dNode metadata;
    float[] key;
    float[] keyValue;
    X3dOrientationInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackOrientationInterpolator != null)
            X3dSceneGraph.X3drenderCallbackOrientationInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackOrientationInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackOrientationInterpolator.doWithData(this);
    }
}

class X3dOrientationInterpolatorRenderCallback extends RenderCallback {}
class X3dOrientationInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dTimeSensor extends X3dNode {
    X3dNode metadata;
    double cycleInterval;
    boolean enabled;
    boolean loop;
    double pauseTime;
    double resumeTime;
    double startTime;
    double stopTime;
    X3dTimeSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTimeSensor != null)
            X3dSceneGraph.X3drenderCallbackTimeSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTimeSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackTimeSensor.doWithData(this);
    }
}

class X3dTimeSensorRenderCallback extends RenderCallback {}
class X3dTimeSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dIndexedLineSet extends X3dNode {
    X3dNode metadata;
    X3dNode [] attrib;
    X3dNode color;
    X3dNode coord;
    int[] colorIndex;
    boolean colorPerVertex;
    int[] coordIndex;
    X3dNode fogCoord;
    X3dIndexedLineSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackIndexedLineSet != null)
            X3dSceneGraph.X3drenderCallbackIndexedLineSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackIndexedLineSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackIndexedLineSet.doWithData(this);
    }
}

class X3dIndexedLineSetRenderCallback extends RenderCallback {}
class X3dIndexedLineSetDoWithDataCallback extends DoWithDataCallback {};


class X3dIndexedQuadSet extends X3dNode {
    X3dNode metadata;
    X3dNode color;
    X3dNode coord;
    X3dNode normal;
    X3dNode texCoord;
    boolean ccw;
    boolean colorPerVertex;
    boolean normalPerVertex;
    boolean solid;
    int[] index;
    float[] radianceTransfer;
    X3dNode [] attrib;
    X3dNode fogCoord;
    X3dIndexedQuadSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackIndexedQuadSet != null)
            X3dSceneGraph.X3drenderCallbackIndexedQuadSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackIndexedQuadSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackIndexedQuadSet.doWithData(this);
    }
}

class X3dIndexedQuadSetRenderCallback extends RenderCallback {}
class X3dIndexedQuadSetDoWithDataCallback extends DoWithDataCallback {};


class X3dIndexedTriangleStripSet extends X3dNode {
    X3dNode metadata;
    X3dNode color;
    X3dNode coord;
    X3dNode normal;
    X3dNode texCoord;
    boolean ccw;
    boolean normalPerVertex;
    boolean solid;
    int[] index;
    float creaseAngle;
    X3dIndexedTriangleStripSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackIndexedTriangleStripSet != null)
            X3dSceneGraph.X3drenderCallbackIndexedTriangleStripSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackIndexedTriangleStripSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackIndexedTriangleStripSet.doWithData(this);
    }
}

class X3dIndexedTriangleStripSetRenderCallback extends RenderCallback {}
class X3dIndexedTriangleStripSetDoWithDataCallback extends DoWithDataCallback {};


class X3dMetadataFloat extends X3dNode {
    X3dNode metadata;
    String name;
    String reference;
    float[] value;
    X3dMetadataFloat() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackMetadataFloat != null)
            X3dSceneGraph.X3drenderCallbackMetadataFloat.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMetadataFloat != null)
            X3dSceneGraph.X3ddoWithDataCallbackMetadataFloat.doWithData(this);
    }
}

class X3dMetadataFloatRenderCallback extends RenderCallback {}
class X3dMetadataFloatDoWithDataCallback extends DoWithDataCallback {};


class X3dOdeMotorJoint extends X3dNode {
    X3dNode metadata;
    X3dNode body1;
    X3dNode body2;
    String[] forceOutput;
    float axis1Angle;
    float axis1Torque;
    float axis2Angle;
    float axis2Torque;
    float axis3Angle;
    float axis3Torque;
    int enabledAxes;
    float[] motor1Axis;
    float[] motor2Axis;
    float[] motor3Axis;
    float stop1Bounce;
    float stop1ErrorCorrection;
    float stop2Bounce;
    float stop2ErrorCorrection;
    float stop3Bounce;
    float stop3ErrorCorrection;
    boolean autoCalc;
    float fMax1;
    float fMax2;
    float fMax3;
    X3dOdeMotorJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (X3dSceneGraph.X3drenderCallbackOdeMotorJoint != null)
            X3dSceneGraph.X3drenderCallbackOdeMotorJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackOdeMotorJoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackOdeMotorJoint.doWithData(this);
    }
}

class X3dOdeMotorJointRenderCallback extends RenderCallback {}
class X3dOdeMotorJointDoWithDataCallback extends DoWithDataCallback {};


class X3dPositionChaser2D extends X3dNode {
    X3dNode metadata;
    double duration;
    float[] initialDestination;
    float[] initialValue;
    X3dPositionChaser2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPositionChaser2D != null)
            X3dSceneGraph.X3drenderCallbackPositionChaser2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPositionChaser2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackPositionChaser2D.doWithData(this);
    }
}

class X3dPositionChaser2DRenderCallback extends RenderCallback {}
class X3dPositionChaser2DDoWithDataCallback extends DoWithDataCallback {};


class X3dTriangleFanSet extends X3dNode {
    X3dNode metadata;
    X3dNode color;
    X3dNode coord;
    int[] fanCount;
    X3dNode normal;
    X3dNode texCoord;
    boolean ccw;
    boolean colorPerVertex;
    boolean normalPerVertex;
    boolean solid;
    float[] radianceTransfer;
    X3dNode [] attrib;
    X3dNode fogCoord;
    X3dTriangleFanSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTriangleFanSet != null)
            X3dSceneGraph.X3drenderCallbackTriangleFanSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTriangleFanSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackTriangleFanSet.doWithData(this);
    }
}

class X3dTriangleFanSetRenderCallback extends RenderCallback {}
class X3dTriangleFanSetDoWithDataCallback extends DoWithDataCallback {};


class X3dViewport extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    float[] clipBoundary;
    float[] bboxCenter;
    float[] bboxSize;
    X3dViewport() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackViewport != null)
            X3dSceneGraph.X3drenderCallbackViewport.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackViewport != null)
            X3dSceneGraph.X3ddoWithDataCallbackViewport.doWithData(this);
    }
}

class X3dViewportRenderCallback extends RenderCallback {}
class X3dViewportDoWithDataCallback extends DoWithDataCallback {};


class X3dFog extends X3dNode {
    X3dNode metadata;
    float[] color;
    String fogType;
    float visibilityRange;
    boolean volumetric;
    float[] volumetricDirection;
    float volumetricVisibilityStart;
    X3dNode alternative;
    X3dFog() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (alternative != null)
            alternative.treeRender();
        if (X3dSceneGraph.X3drenderCallbackFog != null)
            X3dSceneGraph.X3drenderCallbackFog.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (alternative != null)
            alternative.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackFog != null)
            X3dSceneGraph.X3ddoWithDataCallbackFog.doWithData(this);
    }
}

class X3dFogRenderCallback extends RenderCallback {}
class X3dFogDoWithDataCallback extends DoWithDataCallback {};


class X3dShaderProgram extends X3dNode {
    X3dNode metadata;
    String[] url;
    String type;
    X3dShaderProgram() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackShaderProgram != null)
            X3dSceneGraph.X3drenderCallbackShaderProgram.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackShaderProgram != null)
            X3dSceneGraph.X3ddoWithDataCallbackShaderProgram.doWithData(this);
    }
}

class X3dShaderProgramRenderCallback extends RenderCallback {}
class X3dShaderProgramDoWithDataCallback extends DoWithDataCallback {};


class X3dCollisionCollection extends X3dNode {
    X3dNode metadata;
    String[] appliedParameters;
    float bounce;
    X3dNode [] collidables;
    boolean enabled;
    float[] frictionCoefficients;
    float minBounceSpeed;
    float[] slipFactors;
    float softnessConstantForceMix;
    float softnessErrorCorrection;
    float[] surfaceSpeed;
    X3dCollisionCollection() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (collidables != null)
            for (int i = 0; i < collidables.length; i++)
                if (collidables[i] != null)
                    collidables[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackCollisionCollection != null)
            X3dSceneGraph.X3drenderCallbackCollisionCollection.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (collidables != null)
            for (int i = 0; i < collidables.length; i++)
                if (collidables[i] != null)
                    collidables[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCollisionCollection != null)
            X3dSceneGraph.X3ddoWithDataCallbackCollisionCollection.doWithData(this);
    }
}

class X3dCollisionCollectionRenderCallback extends RenderCallback {}
class X3dCollisionCollectionDoWithDataCallback extends DoWithDataCallback {};


class X3dStaticGroup extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    float[] bboxCenter;
    float[] bboxSize;
    X3dStaticGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackStaticGroup != null)
            X3dSceneGraph.X3drenderCallbackStaticGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackStaticGroup != null)
            X3dSceneGraph.X3ddoWithDataCallbackStaticGroup.doWithData(this);
    }
}

class X3dStaticGroupRenderCallback extends RenderCallback {}
class X3dStaticGroupDoWithDataCallback extends DoWithDataCallback {};


class X3dAnchor extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    float[] bboxCenter;
    float[] bboxSize;
    String description;
    String[] parameter;
    String[] url;
    X3dAnchor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackAnchor != null)
            X3dSceneGraph.X3drenderCallbackAnchor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackAnchor != null)
            X3dSceneGraph.X3ddoWithDataCallbackAnchor.doWithData(this);
    }
}

class X3dAnchorRenderCallback extends RenderCallback {}
class X3dAnchorDoWithDataCallback extends DoWithDataCallback {};


class X3dBooleanTrigger extends X3dNode {
    X3dNode metadata;
    X3dBooleanTrigger() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackBooleanTrigger != null)
            X3dSceneGraph.X3drenderCallbackBooleanTrigger.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackBooleanTrigger != null)
            X3dSceneGraph.X3ddoWithDataCallbackBooleanTrigger.doWithData(this);
    }
}

class X3dBooleanTriggerRenderCallback extends RenderCallback {}
class X3dBooleanTriggerDoWithDataCallback extends DoWithDataCallback {};


class X3dBooleanSequencer extends X3dNode {
    X3dNode metadata;
    float[] key;
    boolean[] keyValue;
    X3dBooleanSequencer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackBooleanSequencer != null)
            X3dSceneGraph.X3drenderCallbackBooleanSequencer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackBooleanSequencer != null)
            X3dSceneGraph.X3ddoWithDataCallbackBooleanSequencer.doWithData(this);
    }
}

class X3dBooleanSequencerRenderCallback extends RenderCallback {}
class X3dBooleanSequencerDoWithDataCallback extends DoWithDataCallback {};


class X3dColor extends X3dNode {
    X3dNode metadata;
    float[] color;
    X3dColor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackColor != null)
            X3dSceneGraph.X3drenderCallbackColor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackColor != null)
            X3dSceneGraph.X3ddoWithDataCallbackColor.doWithData(this);
    }
}

class X3dColorRenderCallback extends RenderCallback {}
class X3dColorDoWithDataCallback extends DoWithDataCallback {};


class X3dOrientationChaser extends X3dNode {
    X3dNode metadata;
    double duration;
    float[] initialDestination;
    float[] initialValue;
    X3dOrientationChaser() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackOrientationChaser != null)
            X3dSceneGraph.X3drenderCallbackOrientationChaser.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackOrientationChaser != null)
            X3dSceneGraph.X3ddoWithDataCallbackOrientationChaser.doWithData(this);
    }
}

class X3dOrientationChaserRenderCallback extends RenderCallback {}
class X3dOrientationChaserDoWithDataCallback extends DoWithDataCallback {};


class X3dOrientationDamper extends X3dNode {
    X3dNode metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    X3dOrientationDamper() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackOrientationDamper != null)
            X3dSceneGraph.X3drenderCallbackOrientationDamper.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackOrientationDamper != null)
            X3dSceneGraph.X3ddoWithDataCallbackOrientationDamper.doWithData(this);
    }
}

class X3dOrientationDamperRenderCallback extends RenderCallback {}
class X3dOrientationDamperDoWithDataCallback extends DoWithDataCallback {};


class X3dPointPickSensor extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    String[] objectType;
    X3dNode pickingGeometry;
    X3dNode [] pickTarget;
    String intersectionType;
    String sortOrder;
    X3dPointPickSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (pickingGeometry != null)
            pickingGeometry.treeRender();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackPointPickSensor != null)
            X3dSceneGraph.X3drenderCallbackPointPickSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (pickingGeometry != null)
            pickingGeometry.treeDoWithData();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPointPickSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackPointPickSensor.doWithData(this);
    }
}

class X3dPointPickSensorRenderCallback extends RenderCallback {}
class X3dPointPickSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dSplinePositionInterpolator extends X3dNode {
    X3dNode metadata;
    boolean closed;
    float[] key;
    float[] keyValue;
    float[] keyVelocity;
    boolean normalizeVelocity;
    X3dSplinePositionInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSplinePositionInterpolator != null)
            X3dSceneGraph.X3drenderCallbackSplinePositionInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSplinePositionInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackSplinePositionInterpolator.doWithData(this);
    }
}

class X3dSplinePositionInterpolatorRenderCallback extends RenderCallback {}
class X3dSplinePositionInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dTimeTrigger extends X3dNode {
    X3dNode metadata;
    X3dTimeTrigger() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTimeTrigger != null)
            X3dSceneGraph.X3drenderCallbackTimeTrigger.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTimeTrigger != null)
            X3dSceneGraph.X3ddoWithDataCallbackTimeTrigger.doWithData(this);
    }
}

class X3dTimeTriggerRenderCallback extends RenderCallback {}
class X3dTimeTriggerDoWithDataCallback extends DoWithDataCallback {};


class X3dArc2D extends X3dNode {
    X3dNode metadata;
    float endAngle;
    float radius;
    float startAngle;
    X3dArc2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackArc2D != null)
            X3dSceneGraph.X3drenderCallbackArc2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackArc2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackArc2D.doWithData(this);
    }
}

class X3dArc2DRenderCallback extends RenderCallback {}
class X3dArc2DDoWithDataCallback extends DoWithDataCallback {};


class X3dDisk2D extends X3dNode {
    X3dNode metadata;
    float innerRadius;
    float outerRadius;
    boolean solid;
    X3dDisk2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackDisk2D != null)
            X3dSceneGraph.X3drenderCallbackDisk2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackDisk2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackDisk2D.doWithData(this);
    }
}

class X3dDisk2DRenderCallback extends RenderCallback {}
class X3dDisk2DDoWithDataCallback extends DoWithDataCallback {};


class X3dGeoElevationGrid extends X3dNode {
    X3dNode metadata;
    X3dNode geoOrigin;
    String[] geoSystem;
    X3dNode color;
    X3dNode normal;
    X3dNode texCoord;
    float yScale;
    boolean ccw;
    boolean colorPerVertex;
    double creaseAngle;
    double[] geoGridOrigin;
    double[] height;
    boolean normalPerVertex;
    boolean solid;
    int xDimension;
    double xSpacing;
    int zDimension;
    double zSpacing;
    X3dGeoElevationGrid() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (color != null)
            color.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackGeoElevationGrid != null)
            X3dSceneGraph.X3drenderCallbackGeoElevationGrid.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGeoElevationGrid != null)
            X3dSceneGraph.X3ddoWithDataCallbackGeoElevationGrid.doWithData(this);
    }
}

class X3dGeoElevationGridRenderCallback extends RenderCallback {}
class X3dGeoElevationGridDoWithDataCallback extends DoWithDataCallback {};


class X3dIndexedTriangleSet extends X3dNode {
    X3dNode metadata;
    X3dNode color;
    X3dNode coord;
    X3dNode normal;
    X3dNode texCoord;
    boolean ccw;
    boolean normalPerVertex;
    boolean solid;
    int[] index;
    boolean colorPerVertex;
    float[] radianceTransfer;
    X3dNode [] attrib;
    X3dNode fogCoord;
    X3dIndexedTriangleSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackIndexedTriangleSet != null)
            X3dSceneGraph.X3drenderCallbackIndexedTriangleSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackIndexedTriangleSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackIndexedTriangleSet.doWithData(this);
    }
}

class X3dIndexedTriangleSetRenderCallback extends RenderCallback {}
class X3dIndexedTriangleSetDoWithDataCallback extends DoWithDataCallback {};


class X3dPolypoint2D extends X3dNode {
    X3dNode metadata;
    float[] point;
    X3dPolypoint2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPolypoint2D != null)
            X3dSceneGraph.X3drenderCallbackPolypoint2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPolypoint2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackPolypoint2D.doWithData(this);
    }
}

class X3dPolypoint2DRenderCallback extends RenderCallback {}
class X3dPolypoint2DDoWithDataCallback extends DoWithDataCallback {};


class X3dPositionDamper2D extends X3dNode {
    X3dNode metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    X3dPositionDamper2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPositionDamper2D != null)
            X3dSceneGraph.X3drenderCallbackPositionDamper2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPositionDamper2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackPositionDamper2D.doWithData(this);
    }
}

class X3dPositionDamper2DRenderCallback extends RenderCallback {}
class X3dPositionDamper2DDoWithDataCallback extends DoWithDataCallback {};


class X3dSuperEllipsoid extends X3dNode {
    X3dNode metadata;
    float n1;
    float n2;
    float border;
    boolean bottom;
    float bottomBorder;
    boolean ccw;
    float creaseAngle;
    float[] size;
    boolean solid;
    X3dNode texCoord;
    boolean top;
    int uTessellation;
    int vTessellation;
    X3dSuperEllipsoid() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSuperEllipsoid != null)
            X3dSceneGraph.X3drenderCallbackSuperEllipsoid.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSuperEllipsoid != null)
            X3dSceneGraph.X3ddoWithDataCallbackSuperEllipsoid.doWithData(this);
    }
}

class X3dSuperEllipsoidRenderCallback extends RenderCallback {}
class X3dSuperEllipsoidDoWithDataCallback extends DoWithDataCallback {};


class X3dBooleanToggle extends X3dNode {
    X3dNode metadata;
    boolean toggle;
    X3dBooleanToggle() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackBooleanToggle != null)
            X3dSceneGraph.X3drenderCallbackBooleanToggle.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackBooleanToggle != null)
            X3dSceneGraph.X3ddoWithDataCallbackBooleanToggle.doWithData(this);
    }
}

class X3dBooleanToggleRenderCallback extends RenderCallback {}
class X3dBooleanToggleDoWithDataCallback extends DoWithDataCallback {};


class X3dMatrix3VertexAttribute extends X3dNode {
    X3dNode metadata;
    float[] value;
    String name;
    X3dMatrix3VertexAttribute() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackMatrix3VertexAttribute != null)
            X3dSceneGraph.X3drenderCallbackMatrix3VertexAttribute.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMatrix3VertexAttribute != null)
            X3dSceneGraph.X3ddoWithDataCallbackMatrix3VertexAttribute.doWithData(this);
    }
}

class X3dMatrix3VertexAttributeRenderCallback extends RenderCallback {}
class X3dMatrix3VertexAttributeDoWithDataCallback extends DoWithDataCallback {};


class X3dMatrix4VertexAttribute extends X3dNode {
    X3dNode metadata;
    float[] value;
    String name;
    X3dMatrix4VertexAttribute() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackMatrix4VertexAttribute != null)
            X3dSceneGraph.X3drenderCallbackMatrix4VertexAttribute.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMatrix4VertexAttribute != null)
            X3dSceneGraph.X3ddoWithDataCallbackMatrix4VertexAttribute.doWithData(this);
    }
}

class X3dMatrix4VertexAttributeRenderCallback extends RenderCallback {}
class X3dMatrix4VertexAttributeDoWithDataCallback extends DoWithDataCallback {};


class X3dMultiTexture extends X3dNode {
    X3dNode metadata;
    float alpha;
    float[] color;
    String[] function;
    String[] mode;
    String[] source;
    X3dNode [] texture;
    X3dMultiTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (texture != null)
            for (int i = 0; i < texture.length; i++)
                if (texture[i] != null)
                    texture[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackMultiTexture != null)
            X3dSceneGraph.X3drenderCallbackMultiTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (texture != null)
            for (int i = 0; i < texture.length; i++)
                if (texture[i] != null)
                    texture[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMultiTexture != null)
            X3dSceneGraph.X3ddoWithDataCallbackMultiTexture.doWithData(this);
    }
}

class X3dMultiTextureRenderCallback extends RenderCallback {}
class X3dMultiTextureDoWithDataCallback extends DoWithDataCallback {};


class X3dShape extends X3dNode {
    X3dNode metadata;
    X3dNode appearance;
    X3dNode geometry;
    float[] bboxCenter;
    float[] bboxSize;
    X3dNode octreeTriangles;
    X3dShape() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (appearance != null)
            appearance.treeRender();
        if (geometry != null)
            geometry.treeRender();
        if (octreeTriangles != null)
            octreeTriangles.treeRender();
        if (X3dSceneGraph.X3drenderCallbackShape != null)
            X3dSceneGraph.X3drenderCallbackShape.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (appearance != null)
            appearance.treeDoWithData();
        if (geometry != null)
            geometry.treeDoWithData();
        if (octreeTriangles != null)
            octreeTriangles.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackShape != null)
            X3dSceneGraph.X3ddoWithDataCallbackShape.doWithData(this);
    }
}

class X3dShapeRenderCallback extends RenderCallback {}
class X3dShapeDoWithDataCallback extends DoWithDataCallback {};


class X3dDISEntityTypeMapping extends X3dNode {
    X3dNode metadata;
    String[] url;
    int category;
    int country;
    int domain;
    int extra;
    int kind;
    int specific;
    int subcategory;
    X3dDISEntityTypeMapping() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackDISEntityTypeMapping != null)
            X3dSceneGraph.X3drenderCallbackDISEntityTypeMapping.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackDISEntityTypeMapping != null)
            X3dSceneGraph.X3ddoWithDataCallbackDISEntityTypeMapping.doWithData(this);
    }
}

class X3dDISEntityTypeMappingRenderCallback extends RenderCallback {}
class X3dDISEntityTypeMappingDoWithDataCallback extends DoWithDataCallback {};


class X3dLocalFog extends X3dNode {
    X3dNode metadata;
    float[] color;
    boolean enabled;
    String fogType;
    float visibilityRange;
    X3dLocalFog() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackLocalFog != null)
            X3dSceneGraph.X3drenderCallbackLocalFog.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackLocalFog != null)
            X3dSceneGraph.X3ddoWithDataCallbackLocalFog.doWithData(this);
    }
}

class X3dLocalFogRenderCallback extends RenderCallback {}
class X3dLocalFogDoWithDataCallback extends DoWithDataCallback {};


class X3dBox extends X3dNode {
    X3dNode metadata;
    float[] size;
    boolean solid;
    X3dBox() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackBox != null)
            X3dSceneGraph.X3drenderCallbackBox.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackBox != null)
            X3dSceneGraph.X3ddoWithDataCallbackBox.doWithData(this);
    }
}

class X3dBoxRenderCallback extends RenderCallback {}
class X3dBoxDoWithDataCallback extends DoWithDataCallback {};


class X3dGeoLocation extends X3dNode {
    X3dNode metadata;
    X3dNode geoOrigin;
    String[] geoSystem;
    X3dNode [] children;
    double[] geoCoords;
    float[] bboxCenter;
    float[] bboxSize;
    X3dGeoLocation() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackGeoLocation != null)
            X3dSceneGraph.X3drenderCallbackGeoLocation.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGeoLocation != null)
            X3dSceneGraph.X3ddoWithDataCallbackGeoLocation.doWithData(this);
    }
}

class X3dGeoLocationRenderCallback extends RenderCallback {}
class X3dGeoLocationDoWithDataCallback extends DoWithDataCallback {};


class X3dScreenGroup extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    float[] bboxCenter;
    float[] bboxSize;
    X3dScreenGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackScreenGroup != null)
            X3dSceneGraph.X3drenderCallbackScreenGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackScreenGroup != null)
            X3dSceneGraph.X3ddoWithDataCallbackScreenGroup.doWithData(this);
    }
}

class X3dScreenGroupRenderCallback extends RenderCallback {}
class X3dScreenGroupDoWithDataCallback extends DoWithDataCallback {};


class X3dCylinder extends X3dNode {
    X3dNode metadata;
    boolean bottom;
    float height;
    float radius;
    boolean side;
    boolean solid;
    boolean top;
    X3dCylinder() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCylinder != null)
            X3dSceneGraph.X3drenderCallbackCylinder.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCylinder != null)
            X3dSceneGraph.X3ddoWithDataCallbackCylinder.doWithData(this);
    }
}

class X3dCylinderRenderCallback extends RenderCallback {}
class X3dCylinderDoWithDataCallback extends DoWithDataCallback {};


class X3dDISEntityManager extends X3dNode {
    X3dNode metadata;
    String address;
    int applicationID;
    X3dNode [] mapping;
    int port;
    int siteID;
    X3dDISEntityManager() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (mapping != null)
            for (int i = 0; i < mapping.length; i++)
                if (mapping[i] != null)
                    mapping[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackDISEntityManager != null)
            X3dSceneGraph.X3drenderCallbackDISEntityManager.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (mapping != null)
            for (int i = 0; i < mapping.length; i++)
                if (mapping[i] != null)
                    mapping[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackDISEntityManager != null)
            X3dSceneGraph.X3ddoWithDataCallbackDISEntityManager.doWithData(this);
    }
}

class X3dDISEntityManagerRenderCallback extends RenderCallback {}
class X3dDISEntityManagerDoWithDataCallback extends DoWithDataCallback {};


class X3dNormalInterpolator extends X3dNode {
    X3dNode metadata;
    float[] key;
    float[] keyValue;
    X3dNormalInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNormalInterpolator != null)
            X3dSceneGraph.X3drenderCallbackNormalInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNormalInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackNormalInterpolator.doWithData(this);
    }
}

class X3dNormalInterpolatorRenderCallback extends RenderCallback {}
class X3dNormalInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dScalarInterpolator extends X3dNode {
    X3dNode metadata;
    float[] key;
    float[] keyValue;
    X3dScalarInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackScalarInterpolator != null)
            X3dSceneGraph.X3drenderCallbackScalarInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackScalarInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackScalarInterpolator.doWithData(this);
    }
}

class X3dScalarInterpolatorRenderCallback extends RenderCallback {}
class X3dScalarInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dTransformSensor extends X3dNode {
    X3dNode metadata;
    float[] center;
    boolean enabled;
    float[] size;
    X3dNode targetObject;
    X3dTransformSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (targetObject != null)
            targetObject.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTransformSensor != null)
            X3dSceneGraph.X3drenderCallbackTransformSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (targetObject != null)
            targetObject.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTransformSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackTransformSensor.doWithData(this);
    }
}

class X3dTransformSensorRenderCallback extends RenderCallback {}
class X3dTransformSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dCattExportRec extends X3dNode {
    X3dNode metadata;
    int id;
    float[] receiverLocation;
    String furtherParameters;
    X3dCattExportRec() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCattExportRec != null)
            X3dSceneGraph.X3drenderCallbackCattExportRec.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCattExportRec != null)
            X3dSceneGraph.X3ddoWithDataCallbackCattExportRec.doWithData(this);
    }
}

class X3dCattExportRecRenderCallback extends RenderCallback {}
class X3dCattExportRecDoWithDataCallback extends DoWithDataCallback {};


class X3dFillProperties extends X3dNode {
    X3dNode metadata;
    boolean filled;
    float[] hatchColor;
    boolean hatched;
    int hatchStyle;
    X3dFillProperties() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackFillProperties != null)
            X3dSceneGraph.X3drenderCallbackFillProperties.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackFillProperties != null)
            X3dSceneGraph.X3ddoWithDataCallbackFillProperties.doWithData(this);
    }
}

class X3dFillPropertiesRenderCallback extends RenderCallback {}
class X3dFillPropertiesDoWithDataCallback extends DoWithDataCallback {};


class X3dHAnimSegment extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    float[] bboxCenter;
    float[] bboxSize;
    float[] centerOfMass;
    X3dNode coord;
    X3dNode [] displacers;
    float mass;
    float[] momentsOfInertia;
    String name;
    X3dHAnimSegment() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (coord != null)
            coord.treeRender();
        if (displacers != null)
            for (int i = 0; i < displacers.length; i++)
                if (displacers[i] != null)
                    displacers[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackHAnimSegment != null)
            X3dSceneGraph.X3drenderCallbackHAnimSegment.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (displacers != null)
            for (int i = 0; i < displacers.length; i++)
                if (displacers[i] != null)
                    displacers[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackHAnimSegment != null)
            X3dSceneGraph.X3ddoWithDataCallbackHAnimSegment.doWithData(this);
    }
}

class X3dHAnimSegmentRenderCallback extends RenderCallback {}
class X3dHAnimSegmentDoWithDataCallback extends DoWithDataCallback {};


class X3dSplinePositionInterpolator2D extends X3dNode {
    X3dNode metadata;
    boolean closed;
    float[] key;
    float[] keyValue;
    float[] keyVelocity;
    boolean normalizeVelocity;
    X3dSplinePositionInterpolator2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSplinePositionInterpolator2D != null)
            X3dSceneGraph.X3drenderCallbackSplinePositionInterpolator2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSplinePositionInterpolator2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackSplinePositionInterpolator2D.doWithData(this);
    }
}

class X3dSplinePositionInterpolator2DRenderCallback extends RenderCallback {}
class X3dSplinePositionInterpolator2DDoWithDataCallback extends DoWithDataCallback {};


class X3dTextureBackground extends X3dNode {
    X3dNode metadata;
    float[] groundAngle;
    float[] groundColor;
    X3dNode backTexture;
    X3dNode rightTexture;
    X3dNode frontTexture;
    X3dNode leftTexture;
    X3dNode topTexture;
    X3dNode bottomTexture;
    float[] skyAngle;
    float[] skyColor;
    X3dTextureBackground() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (backTexture != null)
            backTexture.treeRender();
        if (rightTexture != null)
            rightTexture.treeRender();
        if (frontTexture != null)
            frontTexture.treeRender();
        if (leftTexture != null)
            leftTexture.treeRender();
        if (topTexture != null)
            topTexture.treeRender();
        if (bottomTexture != null)
            bottomTexture.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTextureBackground != null)
            X3dSceneGraph.X3drenderCallbackTextureBackground.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (backTexture != null)
            backTexture.treeDoWithData();
        if (rightTexture != null)
            rightTexture.treeDoWithData();
        if (frontTexture != null)
            frontTexture.treeDoWithData();
        if (leftTexture != null)
            leftTexture.treeDoWithData();
        if (topTexture != null)
            topTexture.treeDoWithData();
        if (bottomTexture != null)
            bottomTexture.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTextureBackground != null)
            X3dSceneGraph.X3ddoWithDataCallbackTextureBackground.doWithData(this);
    }
}

class X3dTextureBackgroundRenderCallback extends RenderCallback {}
class X3dTextureBackgroundDoWithDataCallback extends DoWithDataCallback {};


class X3dClipPlane extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    float[] plane;
    X3dClipPlane() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackClipPlane != null)
            X3dSceneGraph.X3drenderCallbackClipPlane.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackClipPlane != null)
            X3dSceneGraph.X3ddoWithDataCallbackClipPlane.doWithData(this);
    }
}

class X3dClipPlaneRenderCallback extends RenderCallback {}
class X3dClipPlaneDoWithDataCallback extends DoWithDataCallback {};


class X3dReceiverPdu extends X3dNode {
    X3dNode metadata;
    int radioID;
    float receivedPower;
    int receiverState;
    int transmitterApplicationID;
    int transmitterEntityID;
    int transmitterRadioID;
    int transmitterSiteID;
    int whichGeometry;
    float[] bboxCenter;
    float[] bboxSize;
    boolean enabled;
    String networkMode;
    double readInterval;
    double writeInterval;
    int siteID;
    int applicationID;
    int entityID;
    String address;
    int port;
    String multicastRelayHost;
    int multicastRelayPort;
    boolean rtpHeaderExpected;
    X3dReceiverPdu() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackReceiverPdu != null)
            X3dSceneGraph.X3drenderCallbackReceiverPdu.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackReceiverPdu != null)
            X3dSceneGraph.X3ddoWithDataCallbackReceiverPdu.doWithData(this);
    }
}

class X3dReceiverPduRenderCallback extends RenderCallback {}
class X3dReceiverPduDoWithDataCallback extends DoWithDataCallback {};


class X3dTextureCoordinate extends X3dNode {
    X3dNode metadata;
    float[] point;
    X3dTextureCoordinate() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTextureCoordinate != null)
            X3dSceneGraph.X3drenderCallbackTextureCoordinate.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTextureCoordinate != null)
            X3dSceneGraph.X3ddoWithDataCallbackTextureCoordinate.doWithData(this);
    }
}

class X3dTextureCoordinateRenderCallback extends RenderCallback {}
class X3dTextureCoordinateDoWithDataCallback extends DoWithDataCallback {};


class X3dNormal extends X3dNode {
    X3dNode metadata;
    float[] vector;
    X3dNormal() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNormal != null)
            X3dSceneGraph.X3drenderCallbackNormal.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNormal != null)
            X3dSceneGraph.X3ddoWithDataCallbackNormal.doWithData(this);
    }
}

class X3dNormalRenderCallback extends RenderCallback {}
class X3dNormalDoWithDataCallback extends DoWithDataCallback {};


class X3dViewpointGroup extends X3dNode {
    X3dNode metadata;
    float[] center;
    X3dNode [] children;
    String description;
    boolean displayed;
    boolean retainUserOffsets;
    float[] size;
    X3dViewpointGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackViewpointGroup != null)
            X3dSceneGraph.X3drenderCallbackViewpointGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackViewpointGroup != null)
            X3dSceneGraph.X3ddoWithDataCallbackViewpointGroup.doWithData(this);
    }
}

class X3dViewpointGroupRenderCallback extends RenderCallback {}
class X3dViewpointGroupDoWithDataCallback extends DoWithDataCallback {};


class X3dBooleanFilter extends X3dNode {
    X3dNode metadata;
    X3dBooleanFilter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackBooleanFilter != null)
            X3dSceneGraph.X3drenderCallbackBooleanFilter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackBooleanFilter != null)
            X3dSceneGraph.X3ddoWithDataCallbackBooleanFilter.doWithData(this);
    }
}

class X3dBooleanFilterRenderCallback extends RenderCallback {}
class X3dBooleanFilterDoWithDataCallback extends DoWithDataCallback {};


class X3dBillboard extends X3dNode {
    X3dNode metadata;
    float[] axisOfRotation;
    X3dNode [] children;
    float[] bboxCenter;
    float[] bboxSize;
    X3dBillboard() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackBillboard != null)
            X3dSceneGraph.X3drenderCallbackBillboard.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackBillboard != null)
            X3dSceneGraph.X3ddoWithDataCallbackBillboard.doWithData(this);
    }
}

class X3dBillboardRenderCallback extends RenderCallback {}
class X3dBillboardDoWithDataCallback extends DoWithDataCallback {};


class X3dSpotLight extends X3dNode {
    X3dNode metadata;
    float ambientIntensity;
    float[] attenuation;
    float beamWidth;
    float[] color;
    float cutOffAngle;
    float[] direction;
    boolean global;
    float intensity;
    float[] location;
    boolean on;
    float radius;
    boolean kambiShadows;
    boolean kambiShadowsMain;
    float projectionAngle;
    X3dSpotLight() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSpotLight != null)
            X3dSceneGraph.X3drenderCallbackSpotLight.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSpotLight != null)
            X3dSceneGraph.X3ddoWithDataCallbackSpotLight.doWithData(this);
    }
}

class X3dSpotLightRenderCallback extends RenderCallback {}
class X3dSpotLightDoWithDataCallback extends DoWithDataCallback {};


class X3dFogCoordinate extends X3dNode {
    X3dNode metadata;
    float[] depth;
    X3dFogCoordinate() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackFogCoordinate != null)
            X3dSceneGraph.X3drenderCallbackFogCoordinate.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackFogCoordinate != null)
            X3dSceneGraph.X3ddoWithDataCallbackFogCoordinate.doWithData(this);
    }
}

class X3dFogCoordinateRenderCallback extends RenderCallback {}
class X3dFogCoordinateDoWithDataCallback extends DoWithDataCallback {};


class X3dGeoCoordinate extends X3dNode {
    X3dNode metadata;
    X3dNode geoOrigin;
    String[] geoSystem;
    double[] point;
    X3dGeoCoordinate() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (X3dSceneGraph.X3drenderCallbackGeoCoordinate != null)
            X3dSceneGraph.X3drenderCallbackGeoCoordinate.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGeoCoordinate != null)
            X3dSceneGraph.X3ddoWithDataCallbackGeoCoordinate.doWithData(this);
    }
}

class X3dGeoCoordinateRenderCallback extends RenderCallback {}
class X3dGeoCoordinateDoWithDataCallback extends DoWithDataCallback {};


class X3dSphere extends X3dNode {
    X3dNode metadata;
    float radius;
    boolean solid;
    X3dSphere() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSphere != null)
            X3dSceneGraph.X3drenderCallbackSphere.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSphere != null)
            X3dSceneGraph.X3ddoWithDataCallbackSphere.doWithData(this);
    }
}

class X3dSphereRenderCallback extends RenderCallback {}
class X3dSphereDoWithDataCallback extends DoWithDataCallback {};


class X3dRigidBodyCollection extends X3dNode {
    X3dNode metadata;
    boolean autoDisable;
    X3dNode [] bodies;
    float constantForceMix;
    float contactSurfaceThickness;
    float disableAngularSpeed;
    float disableLinearSpeed;
    float disableTime;
    boolean enabled;
    float errorCorrection;
    float[] gravity;
    int iterations;
    X3dNode [] joints;
    float maxCorrectionSpeed;
    boolean preferAccuracy;
    X3dNode collider;
    X3dRigidBodyCollection() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (bodies != null)
            for (int i = 0; i < bodies.length; i++)
                if (bodies[i] != null)
                    bodies[i].treeRender();
        if (joints != null)
            for (int i = 0; i < joints.length; i++)
                if (joints[i] != null)
                    joints[i].treeRender();
        if (collider != null)
            collider.treeRender();
        if (X3dSceneGraph.X3drenderCallbackRigidBodyCollection != null)
            X3dSceneGraph.X3drenderCallbackRigidBodyCollection.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (bodies != null)
            for (int i = 0; i < bodies.length; i++)
                if (bodies[i] != null)
                    bodies[i].treeDoWithData();
        if (joints != null)
            for (int i = 0; i < joints.length; i++)
                if (joints[i] != null)
                    joints[i].treeDoWithData();
        if (collider != null)
            collider.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackRigidBodyCollection != null)
            X3dSceneGraph.X3ddoWithDataCallbackRigidBodyCollection.doWithData(this);
    }
}

class X3dRigidBodyCollectionRenderCallback extends RenderCallback {}
class X3dRigidBodyCollectionDoWithDataCallback extends DoWithDataCallback {};


class X3dGeoMetadata extends X3dNode {
    X3dNode metadata;
    X3dNode [] data;
    String[] summary;
    String[] url;
    X3dGeoMetadata() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (data != null)
            for (int i = 0; i < data.length; i++)
                if (data[i] != null)
                    data[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackGeoMetadata != null)
            X3dSceneGraph.X3drenderCallbackGeoMetadata.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (data != null)
            for (int i = 0; i < data.length; i++)
                if (data[i] != null)
                    data[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGeoMetadata != null)
            X3dSceneGraph.X3ddoWithDataCallbackGeoMetadata.doWithData(this);
    }
}

class X3dGeoMetadataRenderCallback extends RenderCallback {}
class X3dGeoMetadataDoWithDataCallback extends DoWithDataCallback {};


class X3dColorInterpolator extends X3dNode {
    X3dNode metadata;
    float[] key;
    float[] keyValue;
    X3dColorInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackColorInterpolator != null)
            X3dSceneGraph.X3drenderCallbackColorInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackColorInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackColorInterpolator.doWithData(this);
    }
}

class X3dColorInterpolatorRenderCallback extends RenderCallback {}
class X3dColorInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dExplosionEmitter extends X3dNode {
    X3dNode metadata;
    float speed;
    float variation;
    float mass;
    float surfaceArea;
    float[] position;
    X3dExplosionEmitter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackExplosionEmitter != null)
            X3dSceneGraph.X3drenderCallbackExplosionEmitter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackExplosionEmitter != null)
            X3dSceneGraph.X3ddoWithDataCallbackExplosionEmitter.doWithData(this);
    }
}

class X3dExplosionEmitterRenderCallback extends RenderCallback {}
class X3dExplosionEmitterDoWithDataCallback extends DoWithDataCallback {};


class X3dLineProperties extends X3dNode {
    X3dNode metadata;
    boolean applied;
    int linetype;
    float linewidthScaleFactor;
    X3dLineProperties() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackLineProperties != null)
            X3dSceneGraph.X3drenderCallbackLineProperties.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackLineProperties != null)
            X3dSceneGraph.X3ddoWithDataCallbackLineProperties.doWithData(this);
    }
}

class X3dLinePropertiesRenderCallback extends RenderCallback {}
class X3dLinePropertiesDoWithDataCallback extends DoWithDataCallback {};


class X3dLineSet extends X3dNode {
    X3dNode metadata;
    X3dNode [] attrib;
    X3dNode color;
    X3dNode coord;
    X3dNode fogCoord;
    int[] vertexCount;
    X3dLineSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackLineSet != null)
            X3dSceneGraph.X3drenderCallbackLineSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackLineSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackLineSet.doWithData(this);
    }
}

class X3dLineSetRenderCallback extends RenderCallback {}
class X3dLineSetDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsSet extends X3dNode {
    X3dNode metadata;
    X3dNode [] geometry;
    float tessellationScale;
    float[] bboxCenter;
    float[] bboxSize;
    X3dNurbsSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geometry != null)
            for (int i = 0; i < geometry.length; i++)
                if (geometry[i] != null)
                    geometry[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsSet != null)
            X3dSceneGraph.X3drenderCallbackNurbsSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geometry != null)
            for (int i = 0; i < geometry.length; i++)
                if (geometry[i] != null)
                    geometry[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsSet.doWithData(this);
    }
}

class X3dNurbsSetRenderCallback extends RenderCallback {}
class X3dNurbsSetDoWithDataCallback extends DoWithDataCallback {};


class X3dQuadSet extends X3dNode {
    X3dNode metadata;
    X3dNode color;
    X3dNode coord;
    X3dNode normal;
    X3dNode texCoord;
    boolean ccw;
    boolean colorPerVertex;
    boolean normalPerVertex;
    boolean solid;
    float[] radianceTransfer;
    X3dNode [] attrib;
    X3dNode fogCoord;
    X3dQuadSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackQuadSet != null)
            X3dSceneGraph.X3drenderCallbackQuadSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackQuadSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackQuadSet.doWithData(this);
    }
}

class X3dQuadSetRenderCallback extends RenderCallback {}
class X3dQuadSetDoWithDataCallback extends DoWithDataCallback {};


class X3dTriangleStripSet extends X3dNode {
    X3dNode metadata;
    X3dNode color;
    X3dNode coord;
    X3dNode normal;
    int[] stripCount;
    X3dNode texCoord;
    boolean ccw;
    boolean colorPerVertex;
    float creaseAngle;
    boolean normalPerVertex;
    boolean solid;
    float[] radianceTransfer;
    X3dNode [] attrib;
    X3dNode fogCoord;
    X3dTriangleStripSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (normal != null)
            normal.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTriangleStripSet != null)
            X3dSceneGraph.X3drenderCallbackTriangleStripSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (normal != null)
            normal.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTriangleStripSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackTriangleStripSet.doWithData(this);
    }
}

class X3dTriangleStripSetRenderCallback extends RenderCallback {}
class X3dTriangleStripSetDoWithDataCallback extends DoWithDataCallback {};


class X3dVrmlCut extends X3dNode {
    X3dNode metadata;
    double[] sceneLengths;
    int sceneNumber;
    X3dNode [] scenes;
    int numberPreviousScenes;
    int numberNextScenes;
    X3dVrmlCut() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (scenes != null)
            for (int i = 0; i < scenes.length; i++)
                if (scenes[i] != null)
                    scenes[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackVrmlCut != null)
            X3dSceneGraph.X3drenderCallbackVrmlCut.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (scenes != null)
            for (int i = 0; i < scenes.length; i++)
                if (scenes[i] != null)
                    scenes[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackVrmlCut != null)
            X3dSceneGraph.X3ddoWithDataCallbackVrmlCut.doWithData(this);
    }
}

class X3dVrmlCutRenderCallback extends RenderCallback {}
class X3dVrmlCutDoWithDataCallback extends DoWithDataCallback {};


class X3dCollidableShape extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    X3dNode shape;
    X3dCollidableShape() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (shape != null)
            shape.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCollidableShape != null)
            X3dSceneGraph.X3drenderCallbackCollidableShape.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (shape != null)
            shape.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCollidableShape != null)
            X3dSceneGraph.X3ddoWithDataCallbackCollidableShape.doWithData(this);
    }
}

class X3dCollidableShapeRenderCallback extends RenderCallback {}
class X3dCollidableShapeDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsSweptSurface extends X3dNode {
    X3dNode metadata;
    X3dNode crossSectionCurve;
    X3dNode trajectoryCurve;
    boolean ccw;
    boolean solid;
    X3dNurbsSweptSurface() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (crossSectionCurve != null)
            crossSectionCurve.treeRender();
        if (trajectoryCurve != null)
            trajectoryCurve.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsSweptSurface != null)
            X3dSceneGraph.X3drenderCallbackNurbsSweptSurface.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (crossSectionCurve != null)
            crossSectionCurve.treeDoWithData();
        if (trajectoryCurve != null)
            trajectoryCurve.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsSweptSurface != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsSweptSurface.doWithData(this);
    }
}

class X3dNurbsSweptSurfaceRenderCallback extends RenderCallback {}
class X3dNurbsSweptSurfaceDoWithDataCallback extends DoWithDataCallback {};


class X3dPixelTexture extends X3dNode {
    X3dNode metadata;
    int[] image;
    boolean repeatS;
    boolean repeatT;
    String alphaChannel;
    X3dNode textureProperties;
    X3dPixelTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPixelTexture != null)
            X3dSceneGraph.X3drenderCallbackPixelTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPixelTexture != null)
            X3dSceneGraph.X3ddoWithDataCallbackPixelTexture.doWithData(this);
    }
}

class X3dPixelTextureRenderCallback extends RenderCallback {}
class X3dPixelTextureDoWithDataCallback extends DoWithDataCallback {};


class X3dSwitch extends X3dNode {
    X3dNode metadata;
    float[] bboxCenter;
    float[] bboxSize;
    X3dNode [] children;
    int whichChoice;
    X3dSwitch() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackSwitch != null)
            X3dSceneGraph.X3drenderCallbackSwitch.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSwitch != null)
            X3dSceneGraph.X3ddoWithDataCallbackSwitch.doWithData(this);
    }
}

class X3dSwitchRenderCallback extends RenderCallback {}
class X3dSwitchDoWithDataCallback extends DoWithDataCallback {};


class X3dLayoutGroup extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    X3dNode layout;
    X3dNode viewport;
    float[] bboxCenter;
    float[] bboxSize;
    X3dLayoutGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (layout != null)
            layout.treeRender();
        if (viewport != null)
            viewport.treeRender();
        if (X3dSceneGraph.X3drenderCallbackLayoutGroup != null)
            X3dSceneGraph.X3drenderCallbackLayoutGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (layout != null)
            layout.treeDoWithData();
        if (viewport != null)
            viewport.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackLayoutGroup != null)
            X3dSceneGraph.X3ddoWithDataCallbackLayoutGroup.doWithData(this);
    }
}

class X3dLayoutGroupRenderCallback extends RenderCallback {}
class X3dLayoutGroupDoWithDataCallback extends DoWithDataCallback {};


class X3dColorDamper extends X3dNode {
    X3dNode metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    X3dColorDamper() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackColorDamper != null)
            X3dSceneGraph.X3drenderCallbackColorDamper.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackColorDamper != null)
            X3dSceneGraph.X3ddoWithDataCallbackColorDamper.doWithData(this);
    }
}

class X3dColorDamperRenderCallback extends RenderCallback {}
class X3dColorDamperDoWithDataCallback extends DoWithDataCallback {};


class X3dIntegerSequencer extends X3dNode {
    X3dNode metadata;
    float[] key;
    int[] keyValue;
    X3dIntegerSequencer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackIntegerSequencer != null)
            X3dSceneGraph.X3drenderCallbackIntegerSequencer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackIntegerSequencer != null)
            X3dSceneGraph.X3ddoWithDataCallbackIntegerSequencer.doWithData(this);
    }
}

class X3dIntegerSequencerRenderCallback extends RenderCallback {}
class X3dIntegerSequencerDoWithDataCallback extends DoWithDataCallback {};


class X3dKeySensor extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    X3dKeySensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackKeySensor != null)
            X3dSceneGraph.X3drenderCallbackKeySensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackKeySensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackKeySensor.doWithData(this);
    }
}

class X3dKeySensorRenderCallback extends RenderCallback {}
class X3dKeySensorDoWithDataCallback extends DoWithDataCallback {};


class X3dLayoutLayer extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    boolean isPickable;
    X3dNode layout;
    X3dNode viewport;
    X3dLayoutLayer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (layout != null)
            layout.treeRender();
        if (viewport != null)
            viewport.treeRender();
        if (X3dSceneGraph.X3drenderCallbackLayoutLayer != null)
            X3dSceneGraph.X3drenderCallbackLayoutLayer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (layout != null)
            layout.treeDoWithData();
        if (viewport != null)
            viewport.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackLayoutLayer != null)
            X3dSceneGraph.X3ddoWithDataCallbackLayoutLayer.doWithData(this);
    }
}

class X3dLayoutLayerRenderCallback extends RenderCallback {}
class X3dLayoutLayerDoWithDataCallback extends DoWithDataCallback {};


class X3dSquadOrientationInterpolator extends X3dNode {
    X3dNode metadata;
    float[] key;
    float[] keyValue;
    boolean normalizeVelocity;
    X3dSquadOrientationInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSquadOrientationInterpolator != null)
            X3dSceneGraph.X3drenderCallbackSquadOrientationInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSquadOrientationInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackSquadOrientationInterpolator.doWithData(this);
    }
}

class X3dSquadOrientationInterpolatorRenderCallback extends RenderCallback {}
class X3dSquadOrientationInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dEaseInEaseOut extends X3dNode {
    X3dNode metadata;
    float[] easeInEaseOut;
    float[] key;
    X3dEaseInEaseOut() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackEaseInEaseOut != null)
            X3dSceneGraph.X3drenderCallbackEaseInEaseOut.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackEaseInEaseOut != null)
            X3dSceneGraph.X3ddoWithDataCallbackEaseInEaseOut.doWithData(this);
    }
}

class X3dEaseInEaseOutRenderCallback extends RenderCallback {}
class X3dEaseInEaseOutDoWithDataCallback extends DoWithDataCallback {};


class X3dGeoViewpoint extends X3dNode {
    X3dNode metadata;
    X3dNode geoOrigin;
    String[] geoSystem;
    String description;
    float fieldOfView;
    boolean headlight;
    boolean jump;
    String[] navType;
    float[] orientation;
    double[] position;
    float speedFactor;
    X3dGeoViewpoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (X3dSceneGraph.X3drenderCallbackGeoViewpoint != null)
            X3dSceneGraph.X3drenderCallbackGeoViewpoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGeoViewpoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackGeoViewpoint.doWithData(this);
    }
}

class X3dGeoViewpointRenderCallback extends RenderCallback {}
class X3dGeoViewpointDoWithDataCallback extends DoWithDataCallback {};


class X3dOdeSliderJoint extends X3dNode {
    X3dNode metadata;
    X3dNode body1;
    X3dNode body2;
    String[] forceOutput;
    float[] axis;
    float maxSeparation;
    float minSeparation;
    float stopBounce;
    float stopErrorCorrection;
    float fMax;
    X3dOdeSliderJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (X3dSceneGraph.X3drenderCallbackOdeSliderJoint != null)
            X3dSceneGraph.X3drenderCallbackOdeSliderJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackOdeSliderJoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackOdeSliderJoint.doWithData(this);
    }
}

class X3dOdeSliderJointRenderCallback extends RenderCallback {}
class X3dOdeSliderJointDoWithDataCallback extends DoWithDataCallback {};


class X3dViewpoint extends X3dNode {
    X3dNode metadata;
    float[] centerOfRotation;
    String description;
    float fieldOfView;
    boolean jump;
    float[] orientation;
    float[] position;
    boolean retainUserOffsets;
    X3dViewpoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackViewpoint != null)
            X3dSceneGraph.X3drenderCallbackViewpoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackViewpoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackViewpoint.doWithData(this);
    }
}

class X3dViewpointRenderCallback extends RenderCallback {}
class X3dViewpointDoWithDataCallback extends DoWithDataCallback {};


class X3dExtrusion extends X3dNode {
    X3dNode metadata;
    boolean beginCap;
    boolean ccw;
    boolean convex;
    float creaseAngle;
    float[] crossSection;
    boolean endCap;
    float[] orientation;
    float[] scale;
    boolean solid;
    float[] spine;
    X3dExtrusion() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackExtrusion != null)
            X3dSceneGraph.X3drenderCallbackExtrusion.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackExtrusion != null)
            X3dSceneGraph.X3ddoWithDataCallbackExtrusion.doWithData(this);
    }
}

class X3dExtrusionRenderCallback extends RenderCallback {}
class X3dExtrusionDoWithDataCallback extends DoWithDataCallback {};


class X3dWorldInfo extends X3dNode {
    X3dNode metadata;
    String[] info;
    String title;
    X3dWorldInfo() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackWorldInfo != null)
            X3dSceneGraph.X3drenderCallbackWorldInfo.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackWorldInfo != null)
            X3dSceneGraph.X3ddoWithDataCallbackWorldInfo.doWithData(this);
    }
}

class X3dWorldInfoRenderCallback extends RenderCallback {}
class X3dWorldInfoDoWithDataCallback extends DoWithDataCallback {};


class X3dAudioClip extends X3dNode {
    X3dNode metadata;
    String description;
    boolean loop;
    double pauseTime;
    float pitch;
    double resumeTime;
    double startTime;
    double stopTime;
    String[] url;
    X3dAudioClip() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackAudioClip != null)
            X3dSceneGraph.X3drenderCallbackAudioClip.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackAudioClip != null)
            X3dSceneGraph.X3ddoWithDataCallbackAudioClip.doWithData(this);
    }
}

class X3dAudioClipRenderCallback extends RenderCallback {}
class X3dAudioClipDoWithDataCallback extends DoWithDataCallback {};


class X3dCADLayer extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    float[] bboxCenter;
    float[] bboxSize;
    String name;
    boolean[] visible;
    X3dCADLayer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackCADLayer != null)
            X3dSceneGraph.X3drenderCallbackCADLayer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCADLayer != null)
            X3dSceneGraph.X3ddoWithDataCallbackCADLayer.doWithData(this);
    }
}

class X3dCADLayerRenderCallback extends RenderCallback {}
class X3dCADLayerDoWithDataCallback extends DoWithDataCallback {};


class X3dIntegerTrigger extends X3dNode {
    X3dNode metadata;
    int integerKey;
    X3dIntegerTrigger() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackIntegerTrigger != null)
            X3dSceneGraph.X3drenderCallbackIntegerTrigger.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackIntegerTrigger != null)
            X3dSceneGraph.X3ddoWithDataCallbackIntegerTrigger.doWithData(this);
    }
}

class X3dIntegerTriggerRenderCallback extends RenderCallback {}
class X3dIntegerTriggerDoWithDataCallback extends DoWithDataCallback {};


class X3dImageTexture3D extends X3dNode {
    X3dNode metadata;
    String[] url;
    boolean repeatS;
    boolean repeatT;
    boolean repeatR;
    X3dNode textureProperties;
    X3dImageTexture3D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (X3dSceneGraph.X3drenderCallbackImageTexture3D != null)
            X3dSceneGraph.X3drenderCallbackImageTexture3D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackImageTexture3D != null)
            X3dSceneGraph.X3ddoWithDataCallbackImageTexture3D.doWithData(this);
    }
}

class X3dImageTexture3DRenderCallback extends RenderCallback {}
class X3dImageTexture3DDoWithDataCallback extends DoWithDataCallback {};


class X3dMetadataSet extends X3dNode {
    X3dNode metadata;
    String name;
    String reference;
    X3dNode [] value;
    X3dMetadataSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (value != null)
            for (int i = 0; i < value.length; i++)
                if (value[i] != null)
                    value[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackMetadataSet != null)
            X3dSceneGraph.X3drenderCallbackMetadataSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (value != null)
            for (int i = 0; i < value.length; i++)
                if (value[i] != null)
                    value[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMetadataSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackMetadataSet.doWithData(this);
    }
}

class X3dMetadataSetRenderCallback extends RenderCallback {}
class X3dMetadataSetDoWithDataCallback extends DoWithDataCallback {};


class X3dPointSet extends X3dNode {
    X3dNode metadata;
    X3dNode [] attrib;
    X3dNode color;
    X3dNode coord;
    X3dNode fogCoord;
    X3dPointSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeRender();
        if (color != null)
            color.treeRender();
        if (coord != null)
            coord.treeRender();
        if (fogCoord != null)
            fogCoord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPointSet != null)
            X3dSceneGraph.X3drenderCallbackPointSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (attrib != null)
            for (int i = 0; i < attrib.length; i++)
                if (attrib[i] != null)
                    attrib[i].treeDoWithData();
        if (color != null)
            color.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (fogCoord != null)
            fogCoord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPointSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackPointSet.doWithData(this);
    }
}

class X3dPointSetRenderCallback extends RenderCallback {}
class X3dPointSetDoWithDataCallback extends DoWithDataCallback {};


class X3dGeneratedCubeMapTexture extends X3dNode {
    X3dNode metadata;
    String update;
    int size;
    X3dNode textureProperties;
    X3dGeneratedCubeMapTexture() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (X3dSceneGraph.X3drenderCallbackGeneratedCubeMapTexture != null)
            X3dSceneGraph.X3drenderCallbackGeneratedCubeMapTexture.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGeneratedCubeMapTexture != null)
            X3dSceneGraph.X3ddoWithDataCallbackGeneratedCubeMapTexture.doWithData(this);
    }
}

class X3dGeneratedCubeMapTextureRenderCallback extends RenderCallback {}
class X3dGeneratedCubeMapTextureDoWithDataCallback extends DoWithDataCallback {};


class X3dMetadataDouble extends X3dNode {
    X3dNode metadata;
    String name;
    String reference;
    double[] value;
    X3dMetadataDouble() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackMetadataDouble != null)
            X3dSceneGraph.X3drenderCallbackMetadataDouble.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMetadataDouble != null)
            X3dSceneGraph.X3ddoWithDataCallbackMetadataDouble.doWithData(this);
    }
}

class X3dMetadataDoubleRenderCallback extends RenderCallback {}
class X3dMetadataDoubleDoWithDataCallback extends DoWithDataCallback {};


class X3dTrimmedSurface extends X3dNode {
    X3dNode metadata;
    X3dNode [] trimmingContour;
    X3dNode surface;
    X3dTrimmedSurface() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (trimmingContour != null)
            for (int i = 0; i < trimmingContour.length; i++)
                if (trimmingContour[i] != null)
                    trimmingContour[i].treeRender();
        if (surface != null)
            surface.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTrimmedSurface != null)
            X3dSceneGraph.X3drenderCallbackTrimmedSurface.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (trimmingContour != null)
            for (int i = 0; i < trimmingContour.length; i++)
                if (trimmingContour[i] != null)
                    trimmingContour[i].treeDoWithData();
        if (surface != null)
            surface.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTrimmedSurface != null)
            X3dSceneGraph.X3ddoWithDataCallbackTrimmedSurface.doWithData(this);
    }
}

class X3dTrimmedSurfaceRenderCallback extends RenderCallback {}
class X3dTrimmedSurfaceDoWithDataCallback extends DoWithDataCallback {};


class X3dCADAssembly extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    float[] bboxCenter;
    float[] bboxSize;
    String name;
    X3dCADAssembly() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackCADAssembly != null)
            X3dSceneGraph.X3drenderCallbackCADAssembly.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCADAssembly != null)
            X3dSceneGraph.X3ddoWithDataCallbackCADAssembly.doWithData(this);
    }
}

class X3dCADAssemblyRenderCallback extends RenderCallback {}
class X3dCADAssemblyDoWithDataCallback extends DoWithDataCallback {};


class X3dBoundedPhysicsModel extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    X3dNode geometry;
    X3dBoundedPhysicsModel() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geometry != null)
            geometry.treeRender();
        if (X3dSceneGraph.X3drenderCallbackBoundedPhysicsModel != null)
            X3dSceneGraph.X3drenderCallbackBoundedPhysicsModel.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geometry != null)
            geometry.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackBoundedPhysicsModel != null)
            X3dSceneGraph.X3ddoWithDataCallbackBoundedPhysicsModel.doWithData(this);
    }
}

class X3dBoundedPhysicsModelRenderCallback extends RenderCallback {}
class X3dBoundedPhysicsModelDoWithDataCallback extends DoWithDataCallback {};


class X3dGravityPhysicsModel extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    float[] force;
    X3dGravityPhysicsModel() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackGravityPhysicsModel != null)
            X3dSceneGraph.X3drenderCallbackGravityPhysicsModel.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGravityPhysicsModel != null)
            X3dSceneGraph.X3ddoWithDataCallbackGravityPhysicsModel.doWithData(this);
    }
}

class X3dGravityPhysicsModelRenderCallback extends RenderCallback {}
class X3dGravityPhysicsModelDoWithDataCallback extends DoWithDataCallback {};


class X3dGroup extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    float[] bboxCenter;
    float[] bboxSize;
    X3dGroup() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackGroup != null)
            X3dSceneGraph.X3drenderCallbackGroup.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGroup != null)
            X3dSceneGraph.X3ddoWithDataCallbackGroup.doWithData(this);
    }
}

class X3dGroupRenderCallback extends RenderCallback {}
class X3dGroupDoWithDataCallback extends DoWithDataCallback {};


class X3dCoordinateDeformer extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    X3dNode [] outputCoord;
    X3dNode [] inputCoord;
    float[] controlPoint;
    float[] bboxCenter;
    float[] bboxSize;
    float[] weight;
    int uDimension;
    int vDimension;
    int wDimension;
    float[] uKnot;
    float[] vKnot;
    float[] wKnot;
    int uOrder;
    int vOrder;
    int wOrder;
    X3dCoordinateDeformer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (outputCoord != null)
            for (int i = 0; i < outputCoord.length; i++)
                if (outputCoord[i] != null)
                    outputCoord[i].treeRender();
        if (inputCoord != null)
            for (int i = 0; i < inputCoord.length; i++)
                if (inputCoord[i] != null)
                    inputCoord[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackCoordinateDeformer != null)
            X3dSceneGraph.X3drenderCallbackCoordinateDeformer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (outputCoord != null)
            for (int i = 0; i < outputCoord.length; i++)
                if (outputCoord[i] != null)
                    outputCoord[i].treeDoWithData();
        if (inputCoord != null)
            for (int i = 0; i < inputCoord.length; i++)
                if (inputCoord[i] != null)
                    inputCoord[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCoordinateDeformer != null)
            X3dSceneGraph.X3ddoWithDataCallbackCoordinateDeformer.doWithData(this);
    }
}

class X3dCoordinateDeformerRenderCallback extends RenderCallback {}
class X3dCoordinateDeformerDoWithDataCallback extends DoWithDataCallback {};


class X3dGeoPositionInterpolator extends X3dNode {
    X3dNode metadata;
    X3dNode geoOrigin;
    String[] geoSystem;
    float[] key;
    double[] keyValue;
    X3dGeoPositionInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (geoOrigin != null)
            geoOrigin.treeRender();
        if (X3dSceneGraph.X3drenderCallbackGeoPositionInterpolator != null)
            X3dSceneGraph.X3drenderCallbackGeoPositionInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (geoOrigin != null)
            geoOrigin.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackGeoPositionInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackGeoPositionInterpolator.doWithData(this);
    }
}

class X3dGeoPositionInterpolatorRenderCallback extends RenderCallback {}
class X3dGeoPositionInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dLayer extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    boolean isPickable;
    X3dNode viewport;
    X3dLayer() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (viewport != null)
            viewport.treeRender();
        if (X3dSceneGraph.X3drenderCallbackLayer != null)
            X3dSceneGraph.X3drenderCallbackLayer.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (viewport != null)
            viewport.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackLayer != null)
            X3dSceneGraph.X3ddoWithDataCallbackLayer.doWithData(this);
    }
}

class X3dLayerRenderCallback extends RenderCallback {}
class X3dLayerDoWithDataCallback extends DoWithDataCallback {};


class X3dPolylineEmitter extends X3dNode {
    X3dNode metadata;
    float speed;
    float variation;
    float mass;
    float surfaceArea;
    X3dNode coord;
    float[] direction;
    int[] coordIndex;
    X3dPolylineEmitter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (coord != null)
            coord.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPolylineEmitter != null)
            X3dSceneGraph.X3drenderCallbackPolylineEmitter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (coord != null)
            coord.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPolylineEmitter != null)
            X3dSceneGraph.X3ddoWithDataCallbackPolylineEmitter.doWithData(this);
    }
}

class X3dPolylineEmitterRenderCallback extends RenderCallback {}
class X3dPolylineEmitterDoWithDataCallback extends DoWithDataCallback {};


class X3dPositionInterpolator extends X3dNode {
    X3dNode metadata;
    float[] key;
    float[] keyValue;
    X3dPositionInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPositionInterpolator != null)
            X3dSceneGraph.X3drenderCallbackPositionInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPositionInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackPositionInterpolator.doWithData(this);
    }
}

class X3dPositionInterpolatorRenderCallback extends RenderCallback {}
class X3dPositionInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dPrimitivePickSensor extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    String[] objectType;
    X3dNode pickingGeometry;
    X3dNode [] pickTarget;
    String intersectionType;
    String sortOrder;
    X3dPrimitivePickSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (pickingGeometry != null)
            pickingGeometry.treeRender();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackPrimitivePickSensor != null)
            X3dSceneGraph.X3drenderCallbackPrimitivePickSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (pickingGeometry != null)
            pickingGeometry.treeDoWithData();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPrimitivePickSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackPrimitivePickSensor.doWithData(this);
    }
}

class X3dPrimitivePickSensorRenderCallback extends RenderCallback {}
class X3dPrimitivePickSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dCircle2D extends X3dNode {
    X3dNode metadata;
    float radius;
    X3dCircle2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCircle2D != null)
            X3dSceneGraph.X3drenderCallbackCircle2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCircle2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackCircle2D.doWithData(this);
    }
}

class X3dCircle2DRenderCallback extends RenderCallback {}
class X3dCircle2DDoWithDataCallback extends DoWithDataCallback {};


class X3dComposedTexture3D extends X3dNode {
    X3dNode metadata;
    X3dNode [] texture;
    boolean repeatS;
    boolean repeatR;
    boolean repeatT;
    X3dComposedTexture3D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (texture != null)
            for (int i = 0; i < texture.length; i++)
                if (texture[i] != null)
                    texture[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackComposedTexture3D != null)
            X3dSceneGraph.X3drenderCallbackComposedTexture3D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (texture != null)
            for (int i = 0; i < texture.length; i++)
                if (texture[i] != null)
                    texture[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackComposedTexture3D != null)
            X3dSceneGraph.X3ddoWithDataCallbackComposedTexture3D.doWithData(this);
    }
}

class X3dComposedTexture3DRenderCallback extends RenderCallback {}
class X3dComposedTexture3DDoWithDataCallback extends DoWithDataCallback {};


class X3dLayout extends X3dNode {
    X3dNode metadata;
    String[] align;
    float[] offset;
    String[] offsetUnits;
    String[] scaleMode;
    float[] size;
    String[] sizeUnits;
    X3dLayout() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackLayout != null)
            X3dSceneGraph.X3drenderCallbackLayout.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackLayout != null)
            X3dSceneGraph.X3ddoWithDataCallbackLayout.doWithData(this);
    }
}

class X3dLayoutRenderCallback extends RenderCallback {}
class X3dLayoutDoWithDataCallback extends DoWithDataCallback {};


class X3dOrthoViewpoint extends X3dNode {
    X3dNode metadata;
    float[] centerOfRotation;
    String description;
    float[] fieldOfView;
    boolean jump;
    float[] orientation;
    float[] position;
    boolean retainUserOffsets;
    X3dOrthoViewpoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackOrthoViewpoint != null)
            X3dSceneGraph.X3drenderCallbackOrthoViewpoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackOrthoViewpoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackOrthoViewpoint.doWithData(this);
    }
}

class X3dOrthoViewpointRenderCallback extends RenderCallback {}
class X3dOrthoViewpointDoWithDataCallback extends DoWithDataCallback {};


class X3dPixelTexture3D extends X3dNode {
    X3dNode metadata;
    int[] image;
    boolean repeatS;
    boolean repeatR;
    boolean repeatT;
    X3dNode textureProperties;
    X3dPixelTexture3D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (textureProperties != null)
            textureProperties.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPixelTexture3D != null)
            X3dSceneGraph.X3drenderCallbackPixelTexture3D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (textureProperties != null)
            textureProperties.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPixelTexture3D != null)
            X3dSceneGraph.X3ddoWithDataCallbackPixelTexture3D.doWithData(this);
    }
}

class X3dPixelTexture3DRenderCallback extends RenderCallback {}
class X3dPixelTexture3DDoWithDataCallback extends DoWithDataCallback {};


class X3dRectangle2D extends X3dNode {
    X3dNode metadata;
    float[] size;
    boolean solid;
    X3dRectangle2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackRectangle2D != null)
            X3dSceneGraph.X3drenderCallbackRectangle2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackRectangle2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackRectangle2D.doWithData(this);
    }
}

class X3dRectangle2DRenderCallback extends RenderCallback {}
class X3dRectangle2DDoWithDataCallback extends DoWithDataCallback {};


class X3dCoordinate extends X3dNode {
    X3dNode metadata;
    float[] point;
    X3dCoordinate() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCoordinate != null)
            X3dSceneGraph.X3drenderCallbackCoordinate.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCoordinate != null)
            X3dSceneGraph.X3ddoWithDataCallbackCoordinate.doWithData(this);
    }
}

class X3dCoordinateRenderCallback extends RenderCallback {}
class X3dCoordinateDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsSwungSurface extends X3dNode {
    X3dNode metadata;
    X3dNode profileCurve;
    X3dNode trajectoryCurve;
    boolean ccw;
    boolean solid;
    X3dNurbsSwungSurface() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (profileCurve != null)
            profileCurve.treeRender();
        if (trajectoryCurve != null)
            trajectoryCurve.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsSwungSurface != null)
            X3dSceneGraph.X3drenderCallbackNurbsSwungSurface.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (profileCurve != null)
            profileCurve.treeDoWithData();
        if (trajectoryCurve != null)
            trajectoryCurve.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsSwungSurface != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsSwungSurface.doWithData(this);
    }
}

class X3dNurbsSwungSurfaceRenderCallback extends RenderCallback {}
class X3dNurbsSwungSurfaceDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsTextureSurface extends X3dNode {
    X3dNode metadata;
    int uDimension;
    int vDimension;
    float[] uKnot;
    float[] vKnot;
    int uOrder;
    int vOrder;
    float[] controlPoint;
    float[] weight;
    int uTessellation;
    int vTessellation;
    X3dNurbsTextureSurface() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsTextureSurface != null)
            X3dSceneGraph.X3drenderCallbackNurbsTextureSurface.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsTextureSurface != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsTextureSurface.doWithData(this);
    }
}

class X3dNurbsTextureSurfaceRenderCallback extends RenderCallback {}
class X3dNurbsTextureSurfaceDoWithDataCallback extends DoWithDataCallback {};


class X3dEspduTransform extends X3dNode {
    X3dNode metadata;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] scale;
    float[] scaleOrientation;
    X3dNode [] children;
    int articulationParameterCount;
    int[] articulationParameterDesignatorArray;
    int[] articulationParameterChangeIndicatorArray;
    int[] articulationParameterIdPartAttachedToArray;
    int[] articulationParameterTypeArray;
    float[] articulationParameterArray;
    int collisionType;
    int deadReckoning;
    float[] detonationLocation;
    float[] detonationRelativeLocation;
    int detonationResult;
    int entityCategory;
    int entityCountry;
    int entityDomain;
    int entityExtra;
    int entityKind;
    int entitySpecific;
    int eventApplicationID;
    int eventEntityID;
    int eventNumber;
    int eventSiteID;
    boolean fired1;
    boolean fired2;
    int fireMissionIndex;
    float firingRange;
    int firingRate;
    int forceID;
    int fuse;
    float[] linearVelocity;
    float[] linearAcceleration;
    String marking;
    int munitionApplicationID;
    float[] munitionEndPoint;
    int munitionEntityID;
    int munitionQuantity;
    int munitionSiteID;
    float[] munitionStartPoint;
    int warhead;
    boolean enabled;
    String networkMode;
    double readInterval;
    double writeInterval;
    int siteID;
    int applicationID;
    int entityID;
    String address;
    int port;
    String multicastRelayHost;
    int multicastRelayPort;
    boolean rtpHeaderExpected;
    X3dEspduTransform() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackEspduTransform != null)
            X3dSceneGraph.X3drenderCallbackEspduTransform.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackEspduTransform != null)
            X3dSceneGraph.X3ddoWithDataCallbackEspduTransform.doWithData(this);
    }
}

class X3dEspduTransformRenderCallback extends RenderCallback {}
class X3dEspduTransformDoWithDataCallback extends DoWithDataCallback {};


class X3dComposedShader extends X3dNode {
    X3dNode metadata;
    X3dNode [] parts;
    String language;
    X3dComposedShader() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (parts != null)
            for (int i = 0; i < parts.length; i++)
                if (parts[i] != null)
                    parts[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackComposedShader != null)
            X3dSceneGraph.X3drenderCallbackComposedShader.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (parts != null)
            for (int i = 0; i < parts.length; i++)
                if (parts[i] != null)
                    parts[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackComposedShader != null)
            X3dSceneGraph.X3ddoWithDataCallbackComposedShader.doWithData(this);
    }
}

class X3dComposedShaderRenderCallback extends RenderCallback {}
class X3dComposedShaderDoWithDataCallback extends DoWithDataCallback {};


class X3dLinePickSensor extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    String[] objectType;
    X3dNode pickingGeometry;
    X3dNode [] pickTarget;
    String intersectionType;
    String sortOrder;
    X3dLinePickSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (pickingGeometry != null)
            pickingGeometry.treeRender();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackLinePickSensor != null)
            X3dSceneGraph.X3drenderCallbackLinePickSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (pickingGeometry != null)
            pickingGeometry.treeDoWithData();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackLinePickSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackLinePickSensor.doWithData(this);
    }
}

class X3dLinePickSensorRenderCallback extends RenderCallback {}
class X3dLinePickSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsOrientationInterpolator extends X3dNode {
    X3dNode metadata;
    X3dNode controlPoints;
    double[] knot;
    int order;
    double[] weight;
    X3dNurbsOrientationInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (controlPoints != null)
            controlPoints.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsOrientationInterpolator != null)
            X3dSceneGraph.X3drenderCallbackNurbsOrientationInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (controlPoints != null)
            controlPoints.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsOrientationInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsOrientationInterpolator.doWithData(this);
    }
}

class X3dNurbsOrientationInterpolatorRenderCallback extends RenderCallback {}
class X3dNurbsOrientationInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsPositionInterpolator extends X3dNode {
    X3dNode metadata;
    X3dNode controlPoint;
    float[] weight;
    float[] knot;
    int order;
    X3dNurbsPositionInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (controlPoint != null)
            controlPoint.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsPositionInterpolator != null)
            X3dSceneGraph.X3drenderCallbackNurbsPositionInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (controlPoint != null)
            controlPoint.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsPositionInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsPositionInterpolator.doWithData(this);
    }
}

class X3dNurbsPositionInterpolatorRenderCallback extends RenderCallback {}
class X3dNurbsPositionInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dVolumePickSensor extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    String[] objectType;
    X3dNode pickingGeometry;
    X3dNode [] pickTarget;
    String intersectionType;
    String sortOrder;
    X3dVolumePickSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (pickingGeometry != null)
            pickingGeometry.treeRender();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackVolumePickSensor != null)
            X3dSceneGraph.X3drenderCallbackVolumePickSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (pickingGeometry != null)
            pickingGeometry.treeDoWithData();
        if (pickTarget != null)
            for (int i = 0; i < pickTarget.length; i++)
                if (pickTarget[i] != null)
                    pickTarget[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackVolumePickSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackVolumePickSensor.doWithData(this);
    }
}

class X3dVolumePickSensorRenderCallback extends RenderCallback {}
class X3dVolumePickSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dBallJoint extends X3dNode {
    X3dNode metadata;
    X3dNode body1;
    X3dNode body2;
    String[] forceOutput;
    float[] anchorPoint;
    X3dBallJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (X3dSceneGraph.X3drenderCallbackBallJoint != null)
            X3dSceneGraph.X3drenderCallbackBallJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackBallJoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackBallJoint.doWithData(this);
    }
}

class X3dBallJointRenderCallback extends RenderCallback {}
class X3dBallJointDoWithDataCallback extends DoWithDataCallback {};


class X3dCADPart extends X3dNode {
    X3dNode metadata;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    float[] center;
    float[] scale;
    float[] scaleOrientation;
    X3dNode [] children;
    String name;
    X3dCADPart() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackCADPart != null)
            X3dSceneGraph.X3drenderCallbackCADPart.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCADPart != null)
            X3dSceneGraph.X3ddoWithDataCallbackCADPart.doWithData(this);
    }
}

class X3dCADPartRenderCallback extends RenderCallback {}
class X3dCADPartDoWithDataCallback extends DoWithDataCallback {};


class X3dCollidableOffset extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    float[] rotation;
    float[] translation;
    float[] bboxCenter;
    float[] bboxSize;
    X3dNode collidable;
    X3dCollidableOffset() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (collidable != null)
            collidable.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCollidableOffset != null)
            X3dSceneGraph.X3drenderCallbackCollidableOffset.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (collidable != null)
            collidable.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCollidableOffset != null)
            X3dSceneGraph.X3ddoWithDataCallbackCollidableOffset.doWithData(this);
    }
}

class X3dCollidableOffsetRenderCallback extends RenderCallback {}
class X3dCollidableOffsetDoWithDataCallback extends DoWithDataCallback {};


class X3dTextureTransformMatrix3D extends X3dNode {
    X3dNode metadata;
    float[] matrix;
    X3dTextureTransformMatrix3D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTextureTransformMatrix3D != null)
            X3dSceneGraph.X3drenderCallbackTextureTransformMatrix3D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTextureTransformMatrix3D != null)
            X3dSceneGraph.X3ddoWithDataCallbackTextureTransformMatrix3D.doWithData(this);
    }
}

class X3dTextureTransformMatrix3DRenderCallback extends RenderCallback {}
class X3dTextureTransformMatrix3DDoWithDataCallback extends DoWithDataCallback {};


class X3dCADFace extends X3dNode {
    X3dNode metadata;
    String name;
    X3dNode shape;
    float[] bboxCenter;
    float[] bboxSize;
    X3dCADFace() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (shape != null)
            shape.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCADFace != null)
            X3dSceneGraph.X3drenderCallbackCADFace.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (shape != null)
            shape.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCADFace != null)
            X3dSceneGraph.X3ddoWithDataCallbackCADFace.doWithData(this);
    }
}

class X3dCADFaceRenderCallback extends RenderCallback {}
class X3dCADFaceDoWithDataCallback extends DoWithDataCallback {};


class X3dVrmlScene extends X3dNode {
    X3dNode metadata;
    X3dNode [] children;
    X3dVrmlScene() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackVrmlScene != null)
            X3dSceneGraph.X3drenderCallbackVrmlScene.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (children != null)
            for (int i = 0; i < children.length; i++)
                if (children[i] != null)
                    children[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackVrmlScene != null)
            X3dSceneGraph.X3ddoWithDataCallbackVrmlScene.doWithData(this);
    }
}

class X3dVrmlSceneRenderCallback extends RenderCallback {}
class X3dVrmlSceneDoWithDataCallback extends DoWithDataCallback {};


class X3dMetadataString extends X3dNode {
    X3dNode metadata;
    String name;
    String reference;
    String[] value;
    X3dMetadataString() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackMetadataString != null)
            X3dSceneGraph.X3drenderCallbackMetadataString.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMetadataString != null)
            X3dSceneGraph.X3ddoWithDataCallbackMetadataString.doWithData(this);
    }
}

class X3dMetadataStringRenderCallback extends RenderCallback {}
class X3dMetadataStringDoWithDataCallback extends DoWithDataCallback {};


class X3dForcePhysicsModel extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    float[] force;
    X3dForcePhysicsModel() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackForcePhysicsModel != null)
            X3dSceneGraph.X3drenderCallbackForcePhysicsModel.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackForcePhysicsModel != null)
            X3dSceneGraph.X3ddoWithDataCallbackForcePhysicsModel.doWithData(this);
    }
}

class X3dForcePhysicsModelRenderCallback extends RenderCallback {}
class X3dForcePhysicsModelDoWithDataCallback extends DoWithDataCallback {};


class X3dInlineLoadControl extends X3dNode {
    X3dNode metadata;
    boolean load;
    String[] url;
    float[] bboxCenter;
    float[] bboxSize;
    X3dInlineLoadControl() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackInlineLoadControl != null)
            X3dSceneGraph.X3drenderCallbackInlineLoadControl.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackInlineLoadControl != null)
            X3dSceneGraph.X3ddoWithDataCallbackInlineLoadControl.doWithData(this);
    }
}

class X3dInlineLoadControlRenderCallback extends RenderCallback {}
class X3dInlineLoadControlDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsSurfaceInterpolator extends X3dNode {
    X3dNode metadata;
    int uDimension;
    int vDimension;
    double[] uKnot;
    double[] vKnot;
    int uOrder;
    int vOrder;
    X3dNode controlPoint;
    double[] weight;
    X3dNurbsSurfaceInterpolator() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (controlPoint != null)
            controlPoint.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsSurfaceInterpolator != null)
            X3dSceneGraph.X3drenderCallbackNurbsSurfaceInterpolator.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (controlPoint != null)
            controlPoint.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsSurfaceInterpolator != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsSurfaceInterpolator.doWithData(this);
    }
}

class X3dNurbsSurfaceInterpolatorRenderCallback extends RenderCallback {}
class X3dNurbsSurfaceInterpolatorDoWithDataCallback extends DoWithDataCallback {};


class X3dSphereSensor extends X3dNode {
    X3dNode metadata;
    boolean autoOffset;
    String description;
    boolean enabled;
    float[] offset;
    X3dSphereSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSphereSensor != null)
            X3dSceneGraph.X3drenderCallbackSphereSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSphereSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackSphereSensor.doWithData(this);
    }
}

class X3dSphereSensorRenderCallback extends RenderCallback {}
class X3dSphereSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dTexCoordDamper extends X3dNode {
    X3dNode metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    X3dTexCoordDamper() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTexCoordDamper != null)
            X3dSceneGraph.X3drenderCallbackTexCoordDamper.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTexCoordDamper != null)
            X3dSceneGraph.X3ddoWithDataCallbackTexCoordDamper.doWithData(this);
    }
}

class X3dTexCoordDamperRenderCallback extends RenderCallback {}
class X3dTexCoordDamperDoWithDataCallback extends DoWithDataCallback {};


class X3dBackground extends X3dNode {
    X3dNode metadata;
    float[] groundAngle;
    float[] groundColor;
    String[] backUrl;
    String[] rightUrl;
    String[] frontUrl;
    String[] leftUrl;
    String[] topUrl;
    String[] bottomUrl;
    float[] skyAngle;
    float transparency;
    float[] skyColor;
    X3dBackground() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackBackground != null)
            X3dSceneGraph.X3drenderCallbackBackground.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackBackground != null)
            X3dSceneGraph.X3ddoWithDataCallbackBackground.doWithData(this);
    }
}

class X3dBackgroundRenderCallback extends RenderCallback {}
class X3dBackgroundDoWithDataCallback extends DoWithDataCallback {};


class X3dContact extends X3dNode {
    X3dNode metadata;
    String[] appliedParameters;
    X3dNode body1;
    X3dNode body2;
    float bounce;
    float[] contactNormal;
    float depth;
    float[] frictionCoefficients;
    float[] frictionDirection;
    X3dNode geometry1;
    X3dNode geometry2;
    float minBounceSpeed;
    float[] position;
    float[] slipCoefficients;
    float softnessConstantForceMix;
    float softnessErrorCorrection;
    float[] surfaceSpeed;
    X3dContact() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (geometry1 != null)
            geometry1.treeRender();
        if (geometry2 != null)
            geometry2.treeRender();
        if (X3dSceneGraph.X3drenderCallbackContact != null)
            X3dSceneGraph.X3drenderCallbackContact.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (geometry1 != null)
            geometry1.treeDoWithData();
        if (geometry2 != null)
            geometry2.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackContact != null)
            X3dSceneGraph.X3ddoWithDataCallbackContact.doWithData(this);
    }
}

class X3dContactRenderCallback extends RenderCallback {}
class X3dContactDoWithDataCallback extends DoWithDataCallback {};


class X3dContourPolyline2D extends X3dNode {
    X3dNode metadata;
    float[] lineSegments;
    X3dContourPolyline2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackContourPolyline2D != null)
            X3dSceneGraph.X3drenderCallbackContourPolyline2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackContourPolyline2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackContourPolyline2D.doWithData(this);
    }
}

class X3dContourPolyline2DRenderCallback extends RenderCallback {}
class X3dContourPolyline2DDoWithDataCallback extends DoWithDataCallback {};


class X3dLayerSet extends X3dNode {
    X3dNode metadata;
    int activeLayer;
    X3dNode [] layers;
    int[] order;
    X3dLayerSet() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (layers != null)
            for (int i = 0; i < layers.length; i++)
                if (layers[i] != null)
                    layers[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackLayerSet != null)
            X3dSceneGraph.X3drenderCallbackLayerSet.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (layers != null)
            for (int i = 0; i < layers.length; i++)
                if (layers[i] != null)
                    layers[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackLayerSet != null)
            X3dSceneGraph.X3ddoWithDataCallbackLayerSet.doWithData(this);
    }
}

class X3dLayerSetRenderCallback extends RenderCallback {}
class X3dLayerSetDoWithDataCallback extends DoWithDataCallback {};


class X3dMotorJoint extends X3dNode {
    X3dNode metadata;
    X3dNode body1;
    X3dNode body2;
    String[] forceOutput;
    float axis1Angle;
    float axis1Torque;
    float axis2Angle;
    float axis2Torque;
    float axis3Angle;
    float axis3Torque;
    int enabledAxes;
    float[] motor1Axis;
    float[] motor2Axis;
    float[] motor3Axis;
    float stop1Bounce;
    float stop1ErrorCorrection;
    float stop2Bounce;
    float stop2ErrorCorrection;
    float stop3Bounce;
    float stop3ErrorCorrection;
    boolean autoCalc;
    X3dMotorJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (X3dSceneGraph.X3drenderCallbackMotorJoint != null)
            X3dSceneGraph.X3drenderCallbackMotorJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackMotorJoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackMotorJoint.doWithData(this);
    }
}

class X3dMotorJointRenderCallback extends RenderCallback {}
class X3dMotorJointDoWithDataCallback extends DoWithDataCallback {};


class X3dShaderPart extends X3dNode {
    X3dNode metadata;
    String[] url;
    String type;
    X3dShaderPart() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackShaderPart != null)
            X3dSceneGraph.X3drenderCallbackShaderPart.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackShaderPart != null)
            X3dSceneGraph.X3ddoWithDataCallbackShaderPart.doWithData(this);
    }
}

class X3dShaderPartRenderCallback extends RenderCallback {}
class X3dShaderPartDoWithDataCallback extends DoWithDataCallback {};


class X3dTextureTransform3D extends X3dNode {
    X3dNode metadata;
    float[] center;
    float[] rotation;
    float[] scale;
    float[] translation;
    X3dTextureTransform3D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTextureTransform3D != null)
            X3dSceneGraph.X3drenderCallbackTextureTransform3D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTextureTransform3D != null)
            X3dSceneGraph.X3ddoWithDataCallbackTextureTransform3D.doWithData(this);
    }
}

class X3dTextureTransform3DRenderCallback extends RenderCallback {}
class X3dTextureTransform3DDoWithDataCallback extends DoWithDataCallback {};


class X3dCoordinateDouble extends X3dNode {
    X3dNode metadata;
    double[] point;
    X3dCoordinateDouble() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackCoordinateDouble != null)
            X3dSceneGraph.X3drenderCallbackCoordinateDouble.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCoordinateDouble != null)
            X3dSceneGraph.X3ddoWithDataCallbackCoordinateDouble.doWithData(this);
    }
}

class X3dCoordinateDoubleRenderCallback extends RenderCallback {}
class X3dCoordinateDoubleDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsTrimmedSurface extends X3dNode {
    X3dNode metadata;
    int uDimension;
    int vDimension;
    float[] uKnot;
    float[] vKnot;
    int uOrder;
    int vOrder;
    X3dNode controlPoint;
    float[] weight;
    int uTessellation;
    int vTessellation;
    X3dNode texCoord;
    boolean uClosed;
    boolean vClosed;
    boolean solid;
    X3dNode [] trimmingContour;
    X3dNurbsTrimmedSurface() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (controlPoint != null)
            controlPoint.treeRender();
        if (texCoord != null)
            texCoord.treeRender();
        if (trimmingContour != null)
            for (int i = 0; i < trimmingContour.length; i++)
                if (trimmingContour[i] != null)
                    trimmingContour[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsTrimmedSurface != null)
            X3dSceneGraph.X3drenderCallbackNurbsTrimmedSurface.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (controlPoint != null)
            controlPoint.treeDoWithData();
        if (texCoord != null)
            texCoord.treeDoWithData();
        if (trimmingContour != null)
            for (int i = 0; i < trimmingContour.length; i++)
                if (trimmingContour[i] != null)
                    trimmingContour[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsTrimmedSurface != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsTrimmedSurface.doWithData(this);
    }
}

class X3dNurbsTrimmedSurfaceRenderCallback extends RenderCallback {}
class X3dNurbsTrimmedSurfaceDoWithDataCallback extends DoWithDataCallback {};


class X3dPositionChaser extends X3dNode {
    X3dNode metadata;
    double duration;
    float[] initialDestination;
    float[] initialValue;
    X3dPositionChaser() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPositionChaser != null)
            X3dSceneGraph.X3drenderCallbackPositionChaser.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPositionChaser != null)
            X3dSceneGraph.X3ddoWithDataCallbackPositionChaser.doWithData(this);
    }
}

class X3dPositionChaserRenderCallback extends RenderCallback {}
class X3dPositionChaserDoWithDataCallback extends DoWithDataCallback {};


class X3dPositionDamper extends X3dNode {
    X3dNode metadata;
    double tau;
    float tolerance;
    float[] initialDestination;
    float[] initialValue;
    int order;
    X3dPositionDamper() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPositionDamper != null)
            X3dSceneGraph.X3drenderCallbackPositionDamper.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPositionDamper != null)
            X3dSceneGraph.X3ddoWithDataCallbackPositionDamper.doWithData(this);
    }
}

class X3dPositionDamperRenderCallback extends RenderCallback {}
class X3dPositionDamperDoWithDataCallback extends DoWithDataCallback {};


class X3dProgramShader extends X3dNode {
    X3dNode metadata;
    X3dNode [] programs;
    String language;
    X3dProgramShader() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (programs != null)
            for (int i = 0; i < programs.length; i++)
                if (programs[i] != null)
                    programs[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackProgramShader != null)
            X3dSceneGraph.X3drenderCallbackProgramShader.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (programs != null)
            for (int i = 0; i < programs.length; i++)
                if (programs[i] != null)
                    programs[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackProgramShader != null)
            X3dSceneGraph.X3ddoWithDataCallbackProgramShader.doWithData(this);
    }
}

class X3dProgramShaderRenderCallback extends RenderCallback {}
class X3dProgramShaderDoWithDataCallback extends DoWithDataCallback {};


class X3dSurfaceEmitter extends X3dNode {
    X3dNode metadata;
    float speed;
    float variation;
    float mass;
    float surfaceArea;
    int[] coordIndex;
    X3dNode surface;
    X3dSurfaceEmitter() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (surface != null)
            surface.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSurfaceEmitter != null)
            X3dSceneGraph.X3drenderCallbackSurfaceEmitter.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (surface != null)
            surface.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSurfaceEmitter != null)
            X3dSceneGraph.X3ddoWithDataCallbackSurfaceEmitter.doWithData(this);
    }
}

class X3dSurfaceEmitterRenderCallback extends RenderCallback {}
class X3dSurfaceEmitterDoWithDataCallback extends DoWithDataCallback {};


class X3dTouchSensor extends X3dNode {
    X3dNode metadata;
    String description;
    boolean enabled;
    X3dTouchSensor() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTouchSensor != null)
            X3dSceneGraph.X3drenderCallbackTouchSensor.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTouchSensor != null)
            X3dSceneGraph.X3ddoWithDataCallbackTouchSensor.doWithData(this);
    }
}

class X3dTouchSensorRenderCallback extends RenderCallback {}
class X3dTouchSensorDoWithDataCallback extends DoWithDataCallback {};


class X3dPointLight extends X3dNode {
    X3dNode metadata;
    float ambientIntensity;
    float[] attenuation;
    float[] color;
    boolean global;
    float intensity;
    float[] location;
    boolean on;
    float radius;
    boolean kambiShadows;
    boolean kambiShadowsMain;
    X3dPointLight() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackPointLight != null)
            X3dSceneGraph.X3drenderCallbackPointLight.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackPointLight != null)
            X3dSceneGraph.X3ddoWithDataCallbackPointLight.doWithData(this);
    }
}

class X3dPointLightRenderCallback extends RenderCallback {}
class X3dPointLightDoWithDataCallback extends DoWithDataCallback {};


class X3dSliderJoint extends X3dNode {
    X3dNode metadata;
    X3dNode body1;
    X3dNode body2;
    String[] forceOutput;
    float[] axis;
    float maxSeparation;
    float minSeparation;
    float stopBounce;
    float stopErrorCorrection;
    X3dSliderJoint() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (body1 != null)
            body1.treeRender();
        if (body2 != null)
            body2.treeRender();
        if (X3dSceneGraph.X3drenderCallbackSliderJoint != null)
            X3dSceneGraph.X3drenderCallbackSliderJoint.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (body1 != null)
            body1.treeDoWithData();
        if (body2 != null)
            body2.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackSliderJoint != null)
            X3dSceneGraph.X3ddoWithDataCallbackSliderJoint.doWithData(this);
    }
}

class X3dSliderJointRenderCallback extends RenderCallback {}
class X3dSliderJointDoWithDataCallback extends DoWithDataCallback {};


class X3dText extends X3dNode {
    X3dNode metadata;
    X3dNode fontStyle;
    float[] length;
    float maxExtent;
    String[] string;
    boolean solid;
    X3dText() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (fontStyle != null)
            fontStyle.treeRender();
        if (X3dSceneGraph.X3drenderCallbackText != null)
            X3dSceneGraph.X3drenderCallbackText.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (fontStyle != null)
            fontStyle.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackText != null)
            X3dSceneGraph.X3ddoWithDataCallbackText.doWithData(this);
    }
}

class X3dTextRenderCallback extends RenderCallback {}
class X3dTextDoWithDataCallback extends DoWithDataCallback {};


class X3dTextureCoordinate4D extends X3dNode {
    X3dNode metadata;
    float[] point;
    X3dTextureCoordinate4D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTextureCoordinate4D != null)
            X3dSceneGraph.X3drenderCallbackTextureCoordinate4D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTextureCoordinate4D != null)
            X3dSceneGraph.X3ddoWithDataCallbackTextureCoordinate4D.doWithData(this);
    }
}

class X3dTextureCoordinate4DRenderCallback extends RenderCallback {}
class X3dTextureCoordinate4DDoWithDataCallback extends DoWithDataCallback {};


class X3dTriangleSet2D extends X3dNode {
    X3dNode metadata;
    float[] vertices;
    boolean solid;
    X3dTriangleSet2D() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTriangleSet2D != null)
            X3dSceneGraph.X3drenderCallbackTriangleSet2D.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTriangleSet2D != null)
            X3dSceneGraph.X3ddoWithDataCallbackTriangleSet2D.doWithData(this);
    }
}

class X3dTriangleSet2DRenderCallback extends RenderCallback {}
class X3dTriangleSet2DDoWithDataCallback extends DoWithDataCallback {};


class X3dAppearance extends X3dNode {
    X3dNode metadata;
    X3dNode material;
    X3dNode texture;
    X3dNode textureTransform;
    X3dNode fillProperties;
    X3dNode lineProperties;
    X3dNode [] shaders;
    X3dAppearance() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (material != null)
            material.treeRender();
        if (texture != null)
            texture.treeRender();
        if (textureTransform != null)
            textureTransform.treeRender();
        if (fillProperties != null)
            fillProperties.treeRender();
        if (lineProperties != null)
            lineProperties.treeRender();
        if (shaders != null)
            for (int i = 0; i < shaders.length; i++)
                if (shaders[i] != null)
                    shaders[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackAppearance != null)
            X3dSceneGraph.X3drenderCallbackAppearance.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (material != null)
            material.treeDoWithData();
        if (texture != null)
            texture.treeDoWithData();
        if (textureTransform != null)
            textureTransform.treeDoWithData();
        if (fillProperties != null)
            fillProperties.treeDoWithData();
        if (lineProperties != null)
            lineProperties.treeDoWithData();
        if (shaders != null)
            for (int i = 0; i < shaders.length; i++)
                if (shaders[i] != null)
                    shaders[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackAppearance != null)
            X3dSceneGraph.X3ddoWithDataCallbackAppearance.doWithData(this);
    }
}

class X3dAppearanceRenderCallback extends RenderCallback {}
class X3dAppearanceDoWithDataCallback extends DoWithDataCallback {};


class X3dCollisionSpace extends X3dNode {
    X3dNode metadata;
    boolean enabled;
    float[] bboxCenter;
    float[] bboxSize;
    X3dNode [] collidables;
    boolean useGeometry;
    X3dCollisionSpace() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (collidables != null)
            for (int i = 0; i < collidables.length; i++)
                if (collidables[i] != null)
                    collidables[i].treeRender();
        if (X3dSceneGraph.X3drenderCallbackCollisionSpace != null)
            X3dSceneGraph.X3drenderCallbackCollisionSpace.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (collidables != null)
            for (int i = 0; i < collidables.length; i++)
                if (collidables[i] != null)
                    collidables[i].treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackCollisionSpace != null)
            X3dSceneGraph.X3ddoWithDataCallbackCollisionSpace.doWithData(this);
    }
}

class X3dCollisionSpaceRenderCallback extends RenderCallback {}
class X3dCollisionSpaceDoWithDataCallback extends DoWithDataCallback {};


class X3dNurbsTextureCoordinate extends X3dNode {
    X3dNode metadata;
    int uDimension;
    int vDimension;
    float[] uKnot;
    float[] vKnot;
    int uOrder;
    int vOrder;
    float[] controlPoint;
    float[] weight;
    X3dNurbsTextureCoordinate() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackNurbsTextureCoordinate != null)
            X3dSceneGraph.X3drenderCallbackNurbsTextureCoordinate.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackNurbsTextureCoordinate != null)
            X3dSceneGraph.X3ddoWithDataCallbackNurbsTextureCoordinate.doWithData(this);
    }
}

class X3dNurbsTextureCoordinateRenderCallback extends RenderCallback {}
class X3dNurbsTextureCoordinateDoWithDataCallback extends DoWithDataCallback {};


class X3dParticleSystem extends X3dNode {
    X3dNode metadata;
    X3dNode appearance;
    boolean createParticles;
    X3dNode geometry;
    boolean enabled;
    float lifetimeVariation;
    int maxParticles;
    float particleLifetime;
    float[] particleSize;
    float[] bboxCenter;
    float[] bboxSize;
    X3dNode colorRamp;
    float[] colorKey;
    X3dNode emitter;
    String geometryType;
    X3dNode [] physics;
    X3dNode texCoordRamp;
    float[] texCoordKey;
    X3dParticleSystem() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (appearance != null)
            appearance.treeRender();
        if (geometry != null)
            geometry.treeRender();
        if (colorRamp != null)
            colorRamp.treeRender();
        if (emitter != null)
            emitter.treeRender();
        if (physics != null)
            for (int i = 0; i < physics.length; i++)
                if (physics[i] != null)
                    physics[i].treeRender();
        if (texCoordRamp != null)
            texCoordRamp.treeRender();
        if (X3dSceneGraph.X3drenderCallbackParticleSystem != null)
            X3dSceneGraph.X3drenderCallbackParticleSystem.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (appearance != null)
            appearance.treeDoWithData();
        if (geometry != null)
            geometry.treeDoWithData();
        if (colorRamp != null)
            colorRamp.treeDoWithData();
        if (emitter != null)
            emitter.treeDoWithData();
        if (physics != null)
            for (int i = 0; i < physics.length; i++)
                if (physics[i] != null)
                    physics[i].treeDoWithData();
        if (texCoordRamp != null)
            texCoordRamp.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackParticleSystem != null)
            X3dSceneGraph.X3ddoWithDataCallbackParticleSystem.doWithData(this);
    }
}

class X3dParticleSystemRenderCallback extends RenderCallback {}
class X3dParticleSystemDoWithDataCallback extends DoWithDataCallback {};


class X3dTextureTransform extends X3dNode {
    X3dNode metadata;
    float[] center;
    float rotation;
    float[] scale;
    float[] translation;
    X3dTextureTransform() {
    }
    void treeRender() {
        if (metadata != null)
            metadata.treeRender();
        if (X3dSceneGraph.X3drenderCallbackTextureTransform != null)
            X3dSceneGraph.X3drenderCallbackTextureTransform.render(this);
    }
    void treeDoWithData() {
        if (metadata != null)
            metadata.treeDoWithData();
        if (X3dSceneGraph.X3ddoWithDataCallbackTextureTransform != null)
            X3dSceneGraph.X3ddoWithDataCallbackTextureTransform.doWithData(this);
    }
}

class X3dTextureTransformRenderCallback extends RenderCallback {}
class X3dTextureTransformDoWithDataCallback extends DoWithDataCallback {};



class X3dSceneGraph {
    X3dGroup root;
    X3dTransform Transform_1;
    X3dTransform Transform1;
    X3dShape Shape_2;
    X3dAppearance Appearance_3;
    X3dMaterial Material2;
    X3dIndexedTriangleSet IndexedTriangleSet_4;
    X3dCoordinate Coordinate_5;
    X3dNormal Normal_6;
    X3dTextureCoordinate TextureCoordinate_7;
    void rootDataFunction0(X3dGroup v) {
    }
    void rootDataFunction1(X3dGroup v) {
        Transform_1 = new X3dTransform();
        Transform_1.m_parent = root;

    }
    void Transform_1DataFunction0(X3dTransform v) {
    }
    void Transform_1DataFunction1(X3dTransform v) {
        Transform1 = new X3dTransform();
        Transform1.m_parent = Transform_1;

    }
    void Transform1DataFunction0(X3dTransform v) {
    }
    void Transform1DataFunction1(X3dTransform v) {
        Shape_2 = new X3dShape();
        Shape_2.m_parent = Transform1;

    }
    void Shape_2DataFunction0(X3dShape v) {
    }
    void Shape_2DataFunction1(X3dShape v) {
        Appearance_3 = new X3dAppearance();
        Appearance_3.m_parent = Shape_2;

    }
    void Appearance_3DataFunction0(X3dAppearance v) {
    }
    void Appearance_3DataFunction1(X3dAppearance v) {
        Material2 = new X3dMaterial();
        Material2.m_parent = Appearance_3;

    }
    void Material2DataFunction0(X3dMaterial v) {
    }
    void Material2DataFunction1(X3dMaterial v) {
        Material2.metadata = null;
    }
    void Material2DataFunction2(X3dMaterial v) {
        Material2.ambientIntensity = 0.200000f;
    }
    void Material2DataFunction3(X3dMaterial v) {
        {
        float m_diffuseColor[] = { 0.600000f, 0.600000f, 0.600000f };
        Material2.diffuseColor = m_diffuseColor;
        }
    }
    void Material2DataFunction4(X3dMaterial v) {
        {
        float m_emissiveColor[] = { 0f, 0f, 0f };
        Material2.emissiveColor = m_emissiveColor;
        }
    }
    void Material2DataFunction5(X3dMaterial v) {
        Material2.shininess = 0.200000f;
    }
    void Material2DataFunction6(X3dMaterial v) {
        {
        float m_specularColor[] = { 0.996078f, 0.960784f, 1f };
        Material2.specularColor = m_specularColor;
        }
    }
    void Material2DataFunction7(X3dMaterial v) {
        Material2.transparency = 0f;
    }
    void Material2DataFunction8(X3dMaterial v) {
    }
    void Material2DataFunction9(X3dMaterial v) {
    }
    void Material2DataFunction10(X3dMaterial v) {
         v.reflSpecular = null;
         int i = 0;
    }
    void Material2DataFunction11(X3dMaterial v) {
         v.reflDiffuse = null;
         int i = 0;
    }
    void Material2DataFunction12(X3dMaterial v) {
         v.transSpecular = null;
         int i = 0;
    }
    void Material2DataFunction13(X3dMaterial v) {
         v.transDiffuse = null;
         int i = 0;
    }
    void Material2DataFunction14(X3dMaterial v) {
    }
    void Material2DataFunction15(X3dMaterial v) {
    }
    void Appearance_3DataFunction2(X3dAppearance v) {
    }
    void Appearance_3DataFunction3(X3dAppearance v) {
    }
    void Appearance_3DataFunction4(X3dAppearance v) {
    }
    void Appearance_3DataFunction5(X3dAppearance v) {
    }
    void Appearance_3DataFunction6(X3dAppearance v) {
    }
    void Appearance_3DataFunction7(X3dAppearance v) {
        Appearance_3.metadata = null;
    }
    void Appearance_3DataFunction8(X3dAppearance v) {
        Appearance_3.material = Material2;
    }
    void Appearance_3DataFunction9(X3dAppearance v) {
        Appearance_3.texture = null;
    }
    void Appearance_3DataFunction10(X3dAppearance v) {
        Appearance_3.textureTransform = null;
    }
    void Appearance_3DataFunction11(X3dAppearance v) {
        Appearance_3.fillProperties = null;
    }
    void Appearance_3DataFunction12(X3dAppearance v) {
        Appearance_3.lineProperties = null;
    }
    void Appearance_3DataFunction13(X3dAppearance v) {
        {
        X3dNode [] m_shaders = {  };
        Appearance_3.shaders = m_shaders;
        }
    }
    void Shape_2DataFunction2(X3dShape v) {
        IndexedTriangleSet_4 = new X3dIndexedTriangleSet();
        IndexedTriangleSet_4.m_parent = Shape_2;

    }
    void IndexedTriangleSet_4DataFunction0(X3dIndexedTriangleSet v) {
    }
    void IndexedTriangleSet_4DataFunction1(X3dIndexedTriangleSet v) {
    }
    void IndexedTriangleSet_4DataFunction2(X3dIndexedTriangleSet v) {
        Coordinate_5 = new X3dCoordinate();
        Coordinate_5.m_parent = IndexedTriangleSet_4;

    }
    void Coordinate_5DataFunction0(X3dCoordinate v) {
    }
    void Coordinate_5DataFunction1(X3dCoordinate v) {
        Coordinate_5.metadata = null;
    }
    void Coordinate_5DataFunction2(X3dCoordinate v) {
         v.point = new float[30];
         int i = 0;
         v.point[i++] = 0f;
         v.point[i++] = -5.769093f;
         v.point[i++] = 0f;
         v.point[i++] = -3.867540f;
         v.point[i++] = -3.830078f;
         v.point[i++] = 2.505188f;
         v.point[i++] = 0f;
         v.point[i++] = -3.830078f;
         v.point[i++] = -4.484412f;
         v.point[i++] = 3.867541f;
         v.point[i++] = -3.830079f;
         v.point[i++] = 2.505187f;
         v.point[i++] = 0f;
         v.point[i++] = -3.830078f;
         v.point[i++] = -4.484412f;
         v.point[i++] = 0f;
         v.point[i++] = 3.830078f;
         v.point[i++] = -4.484412f;
         v.point[i++] = -3.867540f;
         v.point[i++] = 3.830078f;
         v.point[i++] = 2.505188f;
         v.point[i++] = 3.867541f;
         v.point[i++] = 3.830078f;
         v.point[i++] = 2.505187f;
         v.point[i++] = 0f;
         v.point[i++] = 3.830078f;
         v.point[i++] = -4.484412f;
         v.point[i++] = 0f;
         v.point[i++] = 5.769093f;
         v.point[i++] = 0f;
    }
    void IndexedTriangleSet_4DataFunction3(X3dIndexedTriangleSet v) {
        Normal_6 = new X3dNormal();
        Normal_6.m_parent = IndexedTriangleSet_4;

    }
    void Normal_6DataFunction0(X3dNormal v) {
    }
    void Normal_6DataFunction1(X3dNormal v) {
        Normal_6.metadata = null;
    }
    void Normal_6DataFunction2(X3dNormal v) {
         v.vector = new float[30];
         int i = 0;
         v.vector[i++] = -7.761309e-4f;
         v.vector[i++] = -0.999901f;
         v.vector[i++] = -1.400685e-2f;
         v.vector[i++] = -0.664016f;
         v.vector[i++] = -0.515677f;
         v.vector[i++] = 0.541441f;
         v.vector[i++] = -0.798613f;
         v.vector[i++] = -0.408588f;
         v.vector[i++] = -0.441895f;
         v.vector[i++] = 0.841721f;
         v.vector[i++] = -0.536908f;
         v.vector[i++] = 5.686919e-2f;
         v.vector[i++] = 0.798613f;
         v.vector[i++] = -0.408588f;
         v.vector[i++] = -0.441895f;
         v.vector[i++] = -0.840534f;
         v.vector[i++] = 0.277834f;
         v.vector[i++] = -0.465091f;
         v.vector[i++] = -0.648297f;
         v.vector[i++] = 0.679946f;
         v.vector[i++] = 0.342612f;
         v.vector[i++] = 0.560918f;
         v.vector[i++] = 0.604269f;
         v.vector[i++] = 0.565887f;
         v.vector[i++] = 0.840534f;
         v.vector[i++] = 0.277834f;
         v.vector[i++] = -0.465091f;
         v.vector[i++] = 9.134623e-3f;
         v.vector[i++] = 0.999771f;
         v.vector[i++] = -1.930588e-2f;
    }
    void IndexedTriangleSet_4DataFunction4(X3dIndexedTriangleSet v) {
        TextureCoordinate_7 = new X3dTextureCoordinate();
        TextureCoordinate_7.m_parent = IndexedTriangleSet_4;

    }
    void TextureCoordinate_7DataFunction0(X3dTextureCoordinate v) {
    }
    void TextureCoordinate_7DataFunction1(X3dTextureCoordinate v) {
        TextureCoordinate_7.metadata = null;
    }
    void TextureCoordinate_7DataFunction2(X3dTextureCoordinate v) {
         v.point = new float[20];
         int i = 0;
         v.point[i++] = 0f;
         v.point[i++] = 0.335194f;
         v.point[i++] = 0.168051f;
         v.point[i++] = 0f;
         v.point[i++] = 0.168051f;
         v.point[i++] = 0.335194f;
         v.point[i++] = 0.168051f;
         v.point[i++] = 0.670389f;
         v.point[i++] = 0.168051f;
         v.point[i++] = 0.335194f;
         v.point[i++] = 0.831948f;
         v.point[i++] = 0.335194f;
         v.point[i++] = 0.831948f;
         v.point[i++] = 0f;
         v.point[i++] = 0.831948f;
         v.point[i++] = 0.670389f;
         v.point[i++] = 0.831948f;
         v.point[i++] = 0.335194f;
         v.point[i++] = 1f;
         v.point[i++] = 0.335194f;
    }
    void IndexedTriangleSet_4DataFunction5(X3dIndexedTriangleSet v) {
    }
    void IndexedTriangleSet_4DataFunction6(X3dIndexedTriangleSet v) {
    }
    void IndexedTriangleSet_4DataFunction7(X3dIndexedTriangleSet v) {
        IndexedTriangleSet_4.metadata = null;
    }
    void IndexedTriangleSet_4DataFunction8(X3dIndexedTriangleSet v) {
        IndexedTriangleSet_4.color = null;
    }
    void IndexedTriangleSet_4DataFunction9(X3dIndexedTriangleSet v) {
        IndexedTriangleSet_4.coord = Coordinate_5;
    }
    void IndexedTriangleSet_4DataFunction10(X3dIndexedTriangleSet v) {
        IndexedTriangleSet_4.normal = Normal_6;
    }
    void IndexedTriangleSet_4DataFunction11(X3dIndexedTriangleSet v) {
        IndexedTriangleSet_4.texCoord = TextureCoordinate_7;
    }
    void IndexedTriangleSet_4DataFunction12(X3dIndexedTriangleSet v) {
        IndexedTriangleSet_4.ccw = true;
    }
    void IndexedTriangleSet_4DataFunction13(X3dIndexedTriangleSet v) {
        IndexedTriangleSet_4.normalPerVertex = true;
    }
    void IndexedTriangleSet_4DataFunction14(X3dIndexedTriangleSet v) {
        IndexedTriangleSet_4.solid = true;
    }
    void IndexedTriangleSet_4DataFunction15(X3dIndexedTriangleSet v) {
         v.index = new int[36];
         int i = 0;
         v.index[i++] = 0;
         v.index[i++] = 1;
         v.index[i++] = 2;
         v.index[i++] = 0;
         v.index[i++] = 3;
         v.index[i++] = 1;
         v.index[i++] = 4;
         v.index[i++] = 3;
         v.index[i++] = 0;
         v.index[i++] = 5;
         v.index[i++] = 2;
         v.index[i++] = 1;
         v.index[i++] = 1;
         v.index[i++] = 6;
         v.index[i++] = 5;
         v.index[i++] = 1;
         v.index[i++] = 3;
         v.index[i++] = 7;
         v.index[i++] = 1;
         v.index[i++] = 7;
         v.index[i++] = 6;
         v.index[i++] = 3;
         v.index[i++] = 4;
         v.index[i++] = 8;
         v.index[i++] = 8;
         v.index[i++] = 7;
         v.index[i++] = 3;
         v.index[i++] = 9;
         v.index[i++] = 5;
         v.index[i++] = 6;
         v.index[i++] = 6;
         v.index[i++] = 7;
         v.index[i++] = 9;
         v.index[i++] = 7;
         v.index[i++] = 8;
         v.index[i++] = 9;
    }
    void IndexedTriangleSet_4DataFunction16(X3dIndexedTriangleSet v) {
        IndexedTriangleSet_4.colorPerVertex = true;
    }
    void IndexedTriangleSet_4DataFunction17(X3dIndexedTriangleSet v) {
         v.radianceTransfer = null;
         int i = 0;
    }
    void IndexedTriangleSet_4DataFunction18(X3dIndexedTriangleSet v) {
        {
        X3dNode [] m_attrib = {  };
        IndexedTriangleSet_4.attrib = m_attrib;
        }
    }
    void IndexedTriangleSet_4DataFunction19(X3dIndexedTriangleSet v) {
        IndexedTriangleSet_4.fogCoord = null;
    }
    void Shape_2DataFunction3(X3dShape v) {
    }
    void Shape_2DataFunction4(X3dShape v) {
        Shape_2.metadata = null;
    }
    void Shape_2DataFunction5(X3dShape v) {
        Shape_2.appearance = Appearance_3;
    }
    void Shape_2DataFunction6(X3dShape v) {
        Shape_2.geometry = IndexedTriangleSet_4;
    }
    void Shape_2DataFunction7(X3dShape v) {
        {
        float m_bboxCenter[] = { 0f, 0f, 0f };
        Shape_2.bboxCenter = m_bboxCenter;
        }
    }
    void Shape_2DataFunction8(X3dShape v) {
        {
        float m_bboxSize[] = { -1f, -1f, -1f };
        Shape_2.bboxSize = m_bboxSize;
        }
    }
    void Shape_2DataFunction9(X3dShape v) {
    }
    void Transform1DataFunction2(X3dTransform v) {
        Transform1.metadata = null;
    }
    void Transform1DataFunction3(X3dTransform v) {
        {
        float m_rotation[] = { 0f, 0f, 1f, 0f };
        Transform1.rotation = m_rotation;
        }
    }
    void Transform1DataFunction4(X3dTransform v) {
        {
        float m_translation[] = { 0f, -6.785928f, 0f };
        Transform1.translation = m_translation;
        }
    }
    void Transform1DataFunction5(X3dTransform v) {
        {
        float m_bboxCenter[] = { 0f, 0f, 0f };
        Transform1.bboxCenter = m_bboxCenter;
        }
    }
    void Transform1DataFunction6(X3dTransform v) {
        {
        float m_bboxSize[] = { -1f, -1f, -1f };
        Transform1.bboxSize = m_bboxSize;
        }
    }
    void Transform1DataFunction7(X3dTransform v) {
        {
        float m_center[] = { 0f, 0f, 0f };
        Transform1.center = m_center;
        }
    }
    void Transform1DataFunction8(X3dTransform v) {
        {
        float m_scale[] = { 1f, 1f, 1f };
        Transform1.scale = m_scale;
        }
    }
    void Transform1DataFunction9(X3dTransform v) {
        {
        float m_scaleOrientation[] = { 0f, 0f, 1f, 0f };
        Transform1.scaleOrientation = m_scaleOrientation;
        }
    }
    void Transform1DataFunction10(X3dTransform v) {
        {
        X3dNode [] m_children = { Shape_2 };
        Transform1.children = m_children;
        }
    }
    void Transform_1DataFunction2(X3dTransform v) {
        Transform_1.metadata = null;
    }
    void Transform_1DataFunction3(X3dTransform v) {
        {
        float m_rotation[] = { 0f, 0f, 1f, 0f };
        Transform_1.rotation = m_rotation;
        }
    }
    void Transform_1DataFunction4(X3dTransform v) {
        {
        float m_translation[] = { 0f, 8.839851f, -10f };
        Transform_1.translation = m_translation;
        }
    }
    void Transform_1DataFunction5(X3dTransform v) {
        {
        float m_bboxCenter[] = { 0f, 0f, 0f };
        Transform_1.bboxCenter = m_bboxCenter;
        }
    }
    void Transform_1DataFunction6(X3dTransform v) {
        {
        float m_bboxSize[] = { -1f, -1f, -1f };
        Transform_1.bboxSize = m_bboxSize;
        }
    }
    void Transform_1DataFunction7(X3dTransform v) {
        {
        float m_center[] = { 0f, 0f, 0f };
        Transform_1.center = m_center;
        }
    }
    void Transform_1DataFunction8(X3dTransform v) {
        {
        float m_scale[] = { 1f, 1f, 1f };
        Transform_1.scale = m_scale;
        }
    }
    void Transform_1DataFunction9(X3dTransform v) {
        {
        float m_scaleOrientation[] = { 0f, 0f, 1f, 0f };
        Transform_1.scaleOrientation = m_scaleOrientation;
        }
    }
    void Transform_1DataFunction10(X3dTransform v) {
        {
        X3dNode [] m_children = { Transform1 };
        Transform_1.children = m_children;
        }
    }
    void rootDataFunction2(X3dGroup v) {
        root.metadata = null;
    }
    void rootDataFunction3(X3dGroup v) {
        {
        X3dNode [] m_children = { Transform_1 };
        root.children = m_children;
        }
    }
    void rootDataFunction4(X3dGroup v) {
        {
        float m_bboxCenter[] = { 0f, 0f, 0f };
        root.bboxCenter = m_bboxCenter;
        }
    }
    void rootDataFunction5(X3dGroup v) {
        {
        float m_bboxSize[] = { -1f, -1f, -1f };
        root.bboxSize = m_bboxSize;
        }
    }
    X3dSceneGraph() {
        root = new X3dGroup();
        rootDataFunction0(root);
        rootDataFunction1(root);
        rootDataFunction2(root);
        rootDataFunction3(root);
        rootDataFunction4(root);
        rootDataFunction5(root);
        Transform_1DataFunction0(Transform_1);
        Transform_1DataFunction1(Transform_1);
        Transform_1DataFunction2(Transform_1);
        Transform_1DataFunction3(Transform_1);
        Transform_1DataFunction4(Transform_1);
        Transform_1DataFunction5(Transform_1);
        Transform_1DataFunction6(Transform_1);
        Transform_1DataFunction7(Transform_1);
        Transform_1DataFunction8(Transform_1);
        Transform_1DataFunction9(Transform_1);
        Transform_1DataFunction10(Transform_1);
        Transform1DataFunction0(Transform1);
        Transform1DataFunction1(Transform1);
        Transform1DataFunction2(Transform1);
        Transform1DataFunction3(Transform1);
        Transform1DataFunction4(Transform1);
        Transform1DataFunction5(Transform1);
        Transform1DataFunction6(Transform1);
        Transform1DataFunction7(Transform1);
        Transform1DataFunction8(Transform1);
        Transform1DataFunction9(Transform1);
        Transform1DataFunction10(Transform1);
        Shape_2DataFunction0(Shape_2);
        Shape_2DataFunction1(Shape_2);
        Shape_2DataFunction2(Shape_2);
        Shape_2DataFunction3(Shape_2);
        Shape_2DataFunction4(Shape_2);
        Shape_2DataFunction5(Shape_2);
        Shape_2DataFunction6(Shape_2);
        Shape_2DataFunction7(Shape_2);
        Shape_2DataFunction8(Shape_2);
        Shape_2DataFunction9(Shape_2);
        Appearance_3DataFunction0(Appearance_3);
        Appearance_3DataFunction1(Appearance_3);
        Appearance_3DataFunction2(Appearance_3);
        Appearance_3DataFunction3(Appearance_3);
        Appearance_3DataFunction4(Appearance_3);
        Appearance_3DataFunction5(Appearance_3);
        Appearance_3DataFunction6(Appearance_3);
        Appearance_3DataFunction7(Appearance_3);
        Appearance_3DataFunction8(Appearance_3);
        Appearance_3DataFunction9(Appearance_3);
        Appearance_3DataFunction10(Appearance_3);
        Appearance_3DataFunction11(Appearance_3);
        Appearance_3DataFunction12(Appearance_3);
        Appearance_3DataFunction13(Appearance_3);
        Material2DataFunction0(Material2);
        Material2DataFunction1(Material2);
        Material2DataFunction2(Material2);
        Material2DataFunction3(Material2);
        Material2DataFunction4(Material2);
        Material2DataFunction5(Material2);
        Material2DataFunction6(Material2);
        Material2DataFunction7(Material2);
        Material2DataFunction8(Material2);
        Material2DataFunction9(Material2);
        Material2DataFunction10(Material2);
        Material2DataFunction11(Material2);
        Material2DataFunction12(Material2);
        Material2DataFunction13(Material2);
        Material2DataFunction14(Material2);
        Material2DataFunction15(Material2);
        IndexedTriangleSet_4DataFunction0(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction1(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction2(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction3(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction4(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction5(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction6(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction7(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction8(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction9(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction10(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction11(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction12(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction13(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction14(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction15(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction16(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction17(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction18(IndexedTriangleSet_4);
        IndexedTriangleSet_4DataFunction19(IndexedTriangleSet_4);
        Coordinate_5DataFunction0(Coordinate_5);
        Coordinate_5DataFunction1(Coordinate_5);
        Coordinate_5DataFunction2(Coordinate_5);
        Normal_6DataFunction0(Normal_6);
        Normal_6DataFunction1(Normal_6);
        Normal_6DataFunction2(Normal_6);
        TextureCoordinate_7DataFunction0(TextureCoordinate_7);
        TextureCoordinate_7DataFunction1(TextureCoordinate_7);
        TextureCoordinate_7DataFunction2(TextureCoordinate_7);
        root.m_parent = null;

    }
    static X3dColorRGBARenderCallback X3drenderCallbackColorRGBA;
    void setX3dColorRGBARenderCallback(X3dColorRGBARenderCallback node) {
        X3drenderCallbackColorRGBA = node;
    }

    static X3dColorRGBADoWithDataCallback X3ddoWithDataCallbackColorRGBA;
    void setX3dColorRGBADoWithDataCallback(X3dColorRGBADoWithDataCallback node) {
        X3ddoWithDataCallbackColorRGBA = node;
    }

    static X3dCoordinateDamperRenderCallback X3drenderCallbackCoordinateDamper;
    void setX3dCoordinateDamperRenderCallback(X3dCoordinateDamperRenderCallback node) {
        X3drenderCallbackCoordinateDamper = node;
    }

    static X3dCoordinateDamperDoWithDataCallback X3ddoWithDataCallbackCoordinateDamper;
    void setX3dCoordinateDamperDoWithDataCallback(X3dCoordinateDamperDoWithDataCallback node) {
        X3ddoWithDataCallbackCoordinateDamper = node;
    }

    static X3dHAnimDisplacerRenderCallback X3drenderCallbackHAnimDisplacer;
    void setX3dHAnimDisplacerRenderCallback(X3dHAnimDisplacerRenderCallback node) {
        X3drenderCallbackHAnimDisplacer = node;
    }

    static X3dHAnimDisplacerDoWithDataCallback X3ddoWithDataCallbackHAnimDisplacer;
    void setX3dHAnimDisplacerDoWithDataCallback(X3dHAnimDisplacerDoWithDataCallback node) {
        X3ddoWithDataCallbackHAnimDisplacer = node;
    }

    static X3dSplineScalarInterpolatorRenderCallback X3drenderCallbackSplineScalarInterpolator;
    void setX3dSplineScalarInterpolatorRenderCallback(X3dSplineScalarInterpolatorRenderCallback node) {
        X3drenderCallbackSplineScalarInterpolator = node;
    }

    static X3dSplineScalarInterpolatorDoWithDataCallback X3ddoWithDataCallbackSplineScalarInterpolator;
    void setX3dSplineScalarInterpolatorDoWithDataCallback(X3dSplineScalarInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackSplineScalarInterpolator = node;
    }

    static X3dVolumeEmitterRenderCallback X3drenderCallbackVolumeEmitter;
    void setX3dVolumeEmitterRenderCallback(X3dVolumeEmitterRenderCallback node) {
        X3drenderCallbackVolumeEmitter = node;
    }

    static X3dVolumeEmitterDoWithDataCallback X3ddoWithDataCallbackVolumeEmitter;
    void setX3dVolumeEmitterDoWithDataCallback(X3dVolumeEmitterDoWithDataCallback node) {
        X3ddoWithDataCallbackVolumeEmitter = node;
    }

    static X3dContour2DRenderCallback X3drenderCallbackContour2D;
    void setX3dContour2DRenderCallback(X3dContour2DRenderCallback node) {
        X3drenderCallbackContour2D = node;
    }

    static X3dContour2DDoWithDataCallback X3ddoWithDataCallbackContour2D;
    void setX3dContour2DDoWithDataCallback(X3dContour2DDoWithDataCallback node) {
        X3ddoWithDataCallbackContour2D = node;
    }

    static X3dHAnimJointRenderCallback X3drenderCallbackHAnimJoint;
    void setX3dHAnimJointRenderCallback(X3dHAnimJointRenderCallback node) {
        X3drenderCallbackHAnimJoint = node;
    }

    static X3dHAnimJointDoWithDataCallback X3ddoWithDataCallbackHAnimJoint;
    void setX3dHAnimJointDoWithDataCallback(X3dHAnimJointDoWithDataCallback node) {
        X3ddoWithDataCallbackHAnimJoint = node;
    }

    static X3dTexCoordDamper2DRenderCallback X3drenderCallbackTexCoordDamper2D;
    void setX3dTexCoordDamper2DRenderCallback(X3dTexCoordDamper2DRenderCallback node) {
        X3drenderCallbackTexCoordDamper2D = node;
    }

    static X3dTexCoordDamper2DDoWithDataCallback X3ddoWithDataCallbackTexCoordDamper2D;
    void setX3dTexCoordDamper2DDoWithDataCallback(X3dTexCoordDamper2DDoWithDataCallback node) {
        X3ddoWithDataCallbackTexCoordDamper2D = node;
    }

    static X3dTextureCoordinate3DRenderCallback X3drenderCallbackTextureCoordinate3D;
    void setX3dTextureCoordinate3DRenderCallback(X3dTextureCoordinate3DRenderCallback node) {
        X3drenderCallbackTextureCoordinate3D = node;
    }

    static X3dTextureCoordinate3DDoWithDataCallback X3ddoWithDataCallbackTextureCoordinate3D;
    void setX3dTextureCoordinate3DDoWithDataCallback(X3dTextureCoordinate3DDoWithDataCallback node) {
        X3ddoWithDataCallbackTextureCoordinate3D = node;
    }

    static X3dUniversalJointRenderCallback X3drenderCallbackUniversalJoint;
    void setX3dUniversalJointRenderCallback(X3dUniversalJointRenderCallback node) {
        X3drenderCallbackUniversalJoint = node;
    }

    static X3dUniversalJointDoWithDataCallback X3ddoWithDataCallbackUniversalJoint;
    void setX3dUniversalJointDoWithDataCallback(X3dUniversalJointDoWithDataCallback node) {
        X3ddoWithDataCallbackUniversalJoint = node;
    }

    static X3dFloatVertexAttributeRenderCallback X3drenderCallbackFloatVertexAttribute;
    void setX3dFloatVertexAttributeRenderCallback(X3dFloatVertexAttributeRenderCallback node) {
        X3drenderCallbackFloatVertexAttribute = node;
    }

    static X3dFloatVertexAttributeDoWithDataCallback X3ddoWithDataCallbackFloatVertexAttribute;
    void setX3dFloatVertexAttributeDoWithDataCallback(X3dFloatVertexAttributeDoWithDataCallback node) {
        X3ddoWithDataCallbackFloatVertexAttribute = node;
    }

    static X3dSuperShapeRenderCallback X3drenderCallbackSuperShape;
    void setX3dSuperShapeRenderCallback(X3dSuperShapeRenderCallback node) {
        X3drenderCallbackSuperShape = node;
    }

    static X3dSuperShapeDoWithDataCallback X3ddoWithDataCallbackSuperShape;
    void setX3dSuperShapeDoWithDataCallback(X3dSuperShapeDoWithDataCallback node) {
        X3ddoWithDataCallbackSuperShape = node;
    }

    static X3dTransmitterPduRenderCallback X3drenderCallbackTransmitterPdu;
    void setX3dTransmitterPduRenderCallback(X3dTransmitterPduRenderCallback node) {
        X3drenderCallbackTransmitterPdu = node;
    }

    static X3dTransmitterPduDoWithDataCallback X3ddoWithDataCallbackTransmitterPdu;
    void setX3dTransmitterPduDoWithDataCallback(X3dTransmitterPduDoWithDataCallback node) {
        X3ddoWithDataCallbackTransmitterPdu = node;
    }

    static X3dTwoSidedMaterialRenderCallback X3drenderCallbackTwoSidedMaterial;
    void setX3dTwoSidedMaterialRenderCallback(X3dTwoSidedMaterialRenderCallback node) {
        X3drenderCallbackTwoSidedMaterial = node;
    }

    static X3dTwoSidedMaterialDoWithDataCallback X3ddoWithDataCallbackTwoSidedMaterial;
    void setX3dTwoSidedMaterialDoWithDataCallback(X3dTwoSidedMaterialDoWithDataCallback node) {
        X3ddoWithDataCallbackTwoSidedMaterial = node;
    }

    static X3dWindPhysicsModelRenderCallback X3drenderCallbackWindPhysicsModel;
    void setX3dWindPhysicsModelRenderCallback(X3dWindPhysicsModelRenderCallback node) {
        X3drenderCallbackWindPhysicsModel = node;
    }

    static X3dWindPhysicsModelDoWithDataCallback X3ddoWithDataCallbackWindPhysicsModel;
    void setX3dWindPhysicsModelDoWithDataCallback(X3dWindPhysicsModelDoWithDataCallback node) {
        X3ddoWithDataCallbackWindPhysicsModel = node;
    }

    static X3dGeoTransformRenderCallback X3drenderCallbackGeoTransform;
    void setX3dGeoTransformRenderCallback(X3dGeoTransformRenderCallback node) {
        X3drenderCallbackGeoTransform = node;
    }

    static X3dGeoTransformDoWithDataCallback X3ddoWithDataCallbackGeoTransform;
    void setX3dGeoTransformDoWithDataCallback(X3dGeoTransformDoWithDataCallback node) {
        X3ddoWithDataCallbackGeoTransform = node;
    }

    static X3dTransformRenderCallback X3drenderCallbackTransform;
    void setX3dTransformRenderCallback(X3dTransformRenderCallback node) {
        X3drenderCallbackTransform = node;
    }

    static X3dTransformDoWithDataCallback X3ddoWithDataCallbackTransform;
    void setX3dTransformDoWithDataCallback(X3dTransformDoWithDataCallback node) {
        X3ddoWithDataCallbackTransform = node;
    }

    static X3dSuperExtrusionRenderCallback X3drenderCallbackSuperExtrusion;
    void setX3dSuperExtrusionRenderCallback(X3dSuperExtrusionRenderCallback node) {
        X3drenderCallbackSuperExtrusion = node;
    }

    static X3dSuperExtrusionDoWithDataCallback X3ddoWithDataCallbackSuperExtrusion;
    void setX3dSuperExtrusionDoWithDataCallback(X3dSuperExtrusionDoWithDataCallback node) {
        X3ddoWithDataCallbackSuperExtrusion = node;
    }

    static X3dCylinderSensorRenderCallback X3drenderCallbackCylinderSensor;
    void setX3dCylinderSensorRenderCallback(X3dCylinderSensorRenderCallback node) {
        X3drenderCallbackCylinderSensor = node;
    }

    static X3dCylinderSensorDoWithDataCallback X3ddoWithDataCallbackCylinderSensor;
    void setX3dCylinderSensorDoWithDataCallback(X3dCylinderSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackCylinderSensor = node;
    }

    static X3dLoadSensorRenderCallback X3drenderCallbackLoadSensor;
    void setX3dLoadSensorRenderCallback(X3dLoadSensorRenderCallback node) {
        X3drenderCallbackLoadSensor = node;
    }

    static X3dLoadSensorDoWithDataCallback X3ddoWithDataCallbackLoadSensor;
    void setX3dLoadSensorDoWithDataCallback(X3dLoadSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackLoadSensor = node;
    }

    static X3dPackagedShaderRenderCallback X3drenderCallbackPackagedShader;
    void setX3dPackagedShaderRenderCallback(X3dPackagedShaderRenderCallback node) {
        X3drenderCallbackPackagedShader = node;
    }

    static X3dPackagedShaderDoWithDataCallback X3ddoWithDataCallbackPackagedShader;
    void setX3dPackagedShaderDoWithDataCallback(X3dPackagedShaderDoWithDataCallback node) {
        X3ddoWithDataCallbackPackagedShader = node;
    }

    static X3dSuperRevolverRenderCallback X3drenderCallbackSuperRevolver;
    void setX3dSuperRevolverRenderCallback(X3dSuperRevolverRenderCallback node) {
        X3drenderCallbackSuperRevolver = node;
    }

    static X3dSuperRevolverDoWithDataCallback X3ddoWithDataCallbackSuperRevolver;
    void setX3dSuperRevolverDoWithDataCallback(X3dSuperRevolverDoWithDataCallback node) {
        X3ddoWithDataCallbackSuperRevolver = node;
    }

    static X3dTextureCoordinateGeneratorRenderCallback X3drenderCallbackTextureCoordinateGenerator;
    void setX3dTextureCoordinateGeneratorRenderCallback(X3dTextureCoordinateGeneratorRenderCallback node) {
        X3drenderCallbackTextureCoordinateGenerator = node;
    }

    static X3dTextureCoordinateGeneratorDoWithDataCallback X3ddoWithDataCallbackTextureCoordinateGenerator;
    void setX3dTextureCoordinateGeneratorDoWithDataCallback(X3dTextureCoordinateGeneratorDoWithDataCallback node) {
        X3ddoWithDataCallbackTextureCoordinateGenerator = node;
    }

    static X3dTexturePropertiesRenderCallback X3drenderCallbackTextureProperties;
    void setX3dTexturePropertiesRenderCallback(X3dTexturePropertiesRenderCallback node) {
        X3drenderCallbackTextureProperties = node;
    }

    static X3dTexturePropertiesDoWithDataCallback X3ddoWithDataCallbackTextureProperties;
    void setX3dTexturePropertiesDoWithDataCallback(X3dTexturePropertiesDoWithDataCallback node) {
        X3ddoWithDataCallbackTextureProperties = node;
    }

    static X3dArcClose2DRenderCallback X3drenderCallbackArcClose2D;
    void setX3dArcClose2DRenderCallback(X3dArcClose2DRenderCallback node) {
        X3drenderCallbackArcClose2D = node;
    }

    static X3dArcClose2DDoWithDataCallback X3ddoWithDataCallbackArcClose2D;
    void setX3dArcClose2DDoWithDataCallback(X3dArcClose2DDoWithDataCallback node) {
        X3ddoWithDataCallbackArcClose2D = node;
    }

    static X3dElevationGridRenderCallback X3drenderCallbackElevationGrid;
    void setX3dElevationGridRenderCallback(X3dElevationGridRenderCallback node) {
        X3drenderCallbackElevationGrid = node;
    }

    static X3dElevationGridDoWithDataCallback X3ddoWithDataCallbackElevationGrid;
    void setX3dElevationGridDoWithDataCallback(X3dElevationGridDoWithDataCallback node) {
        X3ddoWithDataCallbackElevationGrid = node;
    }

    static X3dIndexedTriangleFanSetRenderCallback X3drenderCallbackIndexedTriangleFanSet;
    void setX3dIndexedTriangleFanSetRenderCallback(X3dIndexedTriangleFanSetRenderCallback node) {
        X3drenderCallbackIndexedTriangleFanSet = node;
    }

    static X3dIndexedTriangleFanSetDoWithDataCallback X3ddoWithDataCallbackIndexedTriangleFanSet;
    void setX3dIndexedTriangleFanSetDoWithDataCallback(X3dIndexedTriangleFanSetDoWithDataCallback node) {
        X3ddoWithDataCallbackIndexedTriangleFanSet = node;
    }

    static X3dNurbsCurve2DRenderCallback X3drenderCallbackNurbsCurve2D;
    void setX3dNurbsCurve2DRenderCallback(X3dNurbsCurve2DRenderCallback node) {
        X3drenderCallbackNurbsCurve2D = node;
    }

    static X3dNurbsCurve2DDoWithDataCallback X3ddoWithDataCallbackNurbsCurve2D;
    void setX3dNurbsCurve2DDoWithDataCallback(X3dNurbsCurve2DDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsCurve2D = node;
    }

    static X3dNurbsSurfaceRenderCallback X3drenderCallbackNurbsSurface;
    void setX3dNurbsSurfaceRenderCallback(X3dNurbsSurfaceRenderCallback node) {
        X3drenderCallbackNurbsSurface = node;
    }

    static X3dNurbsSurfaceDoWithDataCallback X3ddoWithDataCallbackNurbsSurface;
    void setX3dNurbsSurfaceDoWithDataCallback(X3dNurbsSurfaceDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsSurface = node;
    }

    static X3dPickableGroupRenderCallback X3drenderCallbackPickableGroup;
    void setX3dPickableGroupRenderCallback(X3dPickableGroupRenderCallback node) {
        X3drenderCallbackPickableGroup = node;
    }

    static X3dPickableGroupDoWithDataCallback X3ddoWithDataCallbackPickableGroup;
    void setX3dPickableGroupDoWithDataCallback(X3dPickableGroupDoWithDataCallback node) {
        X3ddoWithDataCallbackPickableGroup = node;
    }

    static X3dCollisionSensorRenderCallback X3drenderCallbackCollisionSensor;
    void setX3dCollisionSensorRenderCallback(X3dCollisionSensorRenderCallback node) {
        X3drenderCallbackCollisionSensor = node;
    }

    static X3dCollisionSensorDoWithDataCallback X3ddoWithDataCallbackCollisionSensor;
    void setX3dCollisionSensorDoWithDataCallback(X3dCollisionSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackCollisionSensor = node;
    }

    static X3dGeoTouchSensorRenderCallback X3drenderCallbackGeoTouchSensor;
    void setX3dGeoTouchSensorRenderCallback(X3dGeoTouchSensorRenderCallback node) {
        X3drenderCallbackGeoTouchSensor = node;
    }

    static X3dGeoTouchSensorDoWithDataCallback X3ddoWithDataCallbackGeoTouchSensor;
    void setX3dGeoTouchSensorDoWithDataCallback(X3dGeoTouchSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackGeoTouchSensor = node;
    }

    static X3dPlaneSensorRenderCallback X3drenderCallbackPlaneSensor;
    void setX3dPlaneSensorRenderCallback(X3dPlaneSensorRenderCallback node) {
        X3drenderCallbackPlaneSensor = node;
    }

    static X3dPlaneSensorDoWithDataCallback X3ddoWithDataCallbackPlaneSensor;
    void setX3dPlaneSensorDoWithDataCallback(X3dPlaneSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackPlaneSensor = node;
    }

    static X3dStringSensorRenderCallback X3drenderCallbackStringSensor;
    void setX3dStringSensorRenderCallback(X3dStringSensorRenderCallback node) {
        X3drenderCallbackStringSensor = node;
    }

    static X3dStringSensorDoWithDataCallback X3ddoWithDataCallbackStringSensor;
    void setX3dStringSensorDoWithDataCallback(X3dStringSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackStringSensor = node;
    }

    static X3dCoordinateInterpolator2DRenderCallback X3drenderCallbackCoordinateInterpolator2D;
    void setX3dCoordinateInterpolator2DRenderCallback(X3dCoordinateInterpolator2DRenderCallback node) {
        X3drenderCallbackCoordinateInterpolator2D = node;
    }

    static X3dCoordinateInterpolator2DDoWithDataCallback X3ddoWithDataCallbackCoordinateInterpolator2D;
    void setX3dCoordinateInterpolator2DDoWithDataCallback(X3dCoordinateInterpolator2DDoWithDataCallback node) {
        X3ddoWithDataCallbackCoordinateInterpolator2D = node;
    }

    static X3dDoubleAxisHingeJointRenderCallback X3drenderCallbackDoubleAxisHingeJoint;
    void setX3dDoubleAxisHingeJointRenderCallback(X3dDoubleAxisHingeJointRenderCallback node) {
        X3drenderCallbackDoubleAxisHingeJoint = node;
    }

    static X3dDoubleAxisHingeJointDoWithDataCallback X3ddoWithDataCallbackDoubleAxisHingeJoint;
    void setX3dDoubleAxisHingeJointDoWithDataCallback(X3dDoubleAxisHingeJointDoWithDataCallback node) {
        X3ddoWithDataCallbackDoubleAxisHingeJoint = node;
    }

    static X3dPolyline2DRenderCallback X3drenderCallbackPolyline2D;
    void setX3dPolyline2DRenderCallback(X3dPolyline2DRenderCallback node) {
        X3drenderCallbackPolyline2D = node;
    }

    static X3dPolyline2DDoWithDataCallback X3ddoWithDataCallbackPolyline2D;
    void setX3dPolyline2DDoWithDataCallback(X3dPolyline2DDoWithDataCallback node) {
        X3ddoWithDataCallbackPolyline2D = node;
    }

    static X3dPositionInterpolator2DRenderCallback X3drenderCallbackPositionInterpolator2D;
    void setX3dPositionInterpolator2DRenderCallback(X3dPositionInterpolator2DRenderCallback node) {
        X3drenderCallbackPositionInterpolator2D = node;
    }

    static X3dPositionInterpolator2DDoWithDataCallback X3ddoWithDataCallbackPositionInterpolator2D;
    void setX3dPositionInterpolator2DDoWithDataCallback(X3dPositionInterpolator2DDoWithDataCallback node) {
        X3ddoWithDataCallbackPositionInterpolator2D = node;
    }

    static X3dHAnimSiteRenderCallback X3drenderCallbackHAnimSite;
    void setX3dHAnimSiteRenderCallback(X3dHAnimSiteRenderCallback node) {
        X3drenderCallbackHAnimSite = node;
    }

    static X3dHAnimSiteDoWithDataCallback X3ddoWithDataCallbackHAnimSite;
    void setX3dHAnimSiteDoWithDataCallback(X3dHAnimSiteDoWithDataCallback node) {
        X3ddoWithDataCallbackHAnimSite = node;
    }

    static X3dImageCubeMapTextureRenderCallback X3drenderCallbackImageCubeMapTexture;
    void setX3dImageCubeMapTextureRenderCallback(X3dImageCubeMapTextureRenderCallback node) {
        X3drenderCallbackImageCubeMapTexture = node;
    }

    static X3dImageCubeMapTextureDoWithDataCallback X3ddoWithDataCallbackImageCubeMapTexture;
    void setX3dImageCubeMapTextureDoWithDataCallback(X3dImageCubeMapTextureDoWithDataCallback node) {
        X3ddoWithDataCallbackImageCubeMapTexture = node;
    }

    static X3dImageTextureRenderCallback X3drenderCallbackImageTexture;
    void setX3dImageTextureRenderCallback(X3dImageTextureRenderCallback node) {
        X3drenderCallbackImageTexture = node;
    }

    static X3dImageTextureDoWithDataCallback X3ddoWithDataCallbackImageTexture;
    void setX3dImageTextureDoWithDataCallback(X3dImageTextureDoWithDataCallback node) {
        X3ddoWithDataCallbackImageTexture = node;
    }

    static X3dMovieTextureRenderCallback X3drenderCallbackMovieTexture;
    void setX3dMovieTextureRenderCallback(X3dMovieTextureRenderCallback node) {
        X3drenderCallbackMovieTexture = node;
    }

    static X3dMovieTextureDoWithDataCallback X3ddoWithDataCallbackMovieTexture;
    void setX3dMovieTextureDoWithDataCallback(X3dMovieTextureDoWithDataCallback node) {
        X3ddoWithDataCallbackMovieTexture = node;
    }

    static X3dScreenFontStyleRenderCallback X3drenderCallbackScreenFontStyle;
    void setX3dScreenFontStyleRenderCallback(X3dScreenFontStyleRenderCallback node) {
        X3drenderCallbackScreenFontStyle = node;
    }

    static X3dScreenFontStyleDoWithDataCallback X3ddoWithDataCallbackScreenFontStyle;
    void setX3dScreenFontStyleDoWithDataCallback(X3dScreenFontStyleDoWithDataCallback node) {
        X3ddoWithDataCallbackScreenFontStyle = node;
    }

    static X3dNavigationInfoRenderCallback X3drenderCallbackNavigationInfo;
    void setX3dNavigationInfoRenderCallback(X3dNavigationInfoRenderCallback node) {
        X3drenderCallbackNavigationInfo = node;
    }

    static X3dNavigationInfoDoWithDataCallback X3ddoWithDataCallbackNavigationInfo;
    void setX3dNavigationInfoDoWithDataCallback(X3dNavigationInfoDoWithDataCallback node) {
        X3ddoWithDataCallbackNavigationInfo = node;
    }

    static X3dCoordinateInterpolatorRenderCallback X3drenderCallbackCoordinateInterpolator;
    void setX3dCoordinateInterpolatorRenderCallback(X3dCoordinateInterpolatorRenderCallback node) {
        X3drenderCallbackCoordinateInterpolator = node;
    }

    static X3dCoordinateInterpolatorDoWithDataCallback X3ddoWithDataCallbackCoordinateInterpolator;
    void setX3dCoordinateInterpolatorDoWithDataCallback(X3dCoordinateInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackCoordinateInterpolator = node;
    }

    static X3dDirectionalLightRenderCallback X3drenderCallbackDirectionalLight;
    void setX3dDirectionalLightRenderCallback(X3dDirectionalLightRenderCallback node) {
        X3drenderCallbackDirectionalLight = node;
    }

    static X3dDirectionalLightDoWithDataCallback X3ddoWithDataCallbackDirectionalLight;
    void setX3dDirectionalLightDoWithDataCallback(X3dDirectionalLightDoWithDataCallback node) {
        X3ddoWithDataCallbackDirectionalLight = node;
    }

    static X3dGeoLODRenderCallback X3drenderCallbackGeoLOD;
    void setX3dGeoLODRenderCallback(X3dGeoLODRenderCallback node) {
        X3drenderCallbackGeoLOD = node;
    }

    static X3dGeoLODDoWithDataCallback X3ddoWithDataCallbackGeoLOD;
    void setX3dGeoLODDoWithDataCallback(X3dGeoLODDoWithDataCallback node) {
        X3ddoWithDataCallbackGeoLOD = node;
    }

    static X3dLdrawDatExportRenderCallback X3drenderCallbackLdrawDatExport;
    void setX3dLdrawDatExportRenderCallback(X3dLdrawDatExportRenderCallback node) {
        X3drenderCallbackLdrawDatExport = node;
    }

    static X3dLdrawDatExportDoWithDataCallback X3ddoWithDataCallbackLdrawDatExport;
    void setX3dLdrawDatExportDoWithDataCallback(X3dLdrawDatExportDoWithDataCallback node) {
        X3ddoWithDataCallbackLdrawDatExport = node;
    }

    static X3dLODRenderCallback X3drenderCallbackLOD;
    void setX3dLODRenderCallback(X3dLODRenderCallback node) {
        X3drenderCallbackLOD = node;
    }

    static X3dLODDoWithDataCallback X3ddoWithDataCallbackLOD;
    void setX3dLODDoWithDataCallback(X3dLODDoWithDataCallback node) {
        X3ddoWithDataCallbackLOD = node;
    }

    static X3dOdeSingleAxisHingeJointRenderCallback X3drenderCallbackOdeSingleAxisHingeJoint;
    void setX3dOdeSingleAxisHingeJointRenderCallback(X3dOdeSingleAxisHingeJointRenderCallback node) {
        X3drenderCallbackOdeSingleAxisHingeJoint = node;
    }

    static X3dOdeSingleAxisHingeJointDoWithDataCallback X3ddoWithDataCallbackOdeSingleAxisHingeJoint;
    void setX3dOdeSingleAxisHingeJointDoWithDataCallback(X3dOdeSingleAxisHingeJointDoWithDataCallback node) {
        X3ddoWithDataCallbackOdeSingleAxisHingeJoint = node;
    }

    static X3dSingleAxisHingeJointRenderCallback X3drenderCallbackSingleAxisHingeJoint;
    void setX3dSingleAxisHingeJointRenderCallback(X3dSingleAxisHingeJointRenderCallback node) {
        X3drenderCallbackSingleAxisHingeJoint = node;
    }

    static X3dSingleAxisHingeJointDoWithDataCallback X3ddoWithDataCallbackSingleAxisHingeJoint;
    void setX3dSingleAxisHingeJointDoWithDataCallback(X3dSingleAxisHingeJointDoWithDataCallback node) {
        X3ddoWithDataCallbackSingleAxisHingeJoint = node;
    }

    static X3dComposedCubeMapTextureRenderCallback X3drenderCallbackComposedCubeMapTexture;
    void setX3dComposedCubeMapTextureRenderCallback(X3dComposedCubeMapTextureRenderCallback node) {
        X3drenderCallbackComposedCubeMapTexture = node;
    }

    static X3dComposedCubeMapTextureDoWithDataCallback X3ddoWithDataCallbackComposedCubeMapTexture;
    void setX3dComposedCubeMapTextureDoWithDataCallback(X3dComposedCubeMapTextureDoWithDataCallback node) {
        X3ddoWithDataCallbackComposedCubeMapTexture = node;
    }

    static X3dCollisionRenderCallback X3drenderCallbackCollision;
    void setX3dCollisionRenderCallback(X3dCollisionRenderCallback node) {
        X3drenderCallbackCollision = node;
    }

    static X3dCollisionDoWithDataCallback X3ddoWithDataCallbackCollision;
    void setX3dCollisionDoWithDataCallback(X3dCollisionDoWithDataCallback node) {
        X3ddoWithDataCallbackCollision = node;
    }

    static X3dGeoOriginRenderCallback X3drenderCallbackGeoOrigin;
    void setX3dGeoOriginRenderCallback(X3dGeoOriginRenderCallback node) {
        X3drenderCallbackGeoOrigin = node;
    }

    static X3dGeoOriginDoWithDataCallback X3ddoWithDataCallbackGeoOrigin;
    void setX3dGeoOriginDoWithDataCallback(X3dGeoOriginDoWithDataCallback node) {
        X3ddoWithDataCallbackGeoOrigin = node;
    }

    static X3dNurbsGroupRenderCallback X3drenderCallbackNurbsGroup;
    void setX3dNurbsGroupRenderCallback(X3dNurbsGroupRenderCallback node) {
        X3drenderCallbackNurbsGroup = node;
    }

    static X3dNurbsGroupDoWithDataCallback X3ddoWithDataCallbackNurbsGroup;
    void setX3dNurbsGroupDoWithDataCallback(X3dNurbsGroupDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsGroup = node;
    }

    static X3dGeoProximitySensorRenderCallback X3drenderCallbackGeoProximitySensor;
    void setX3dGeoProximitySensorRenderCallback(X3dGeoProximitySensorRenderCallback node) {
        X3drenderCallbackGeoProximitySensor = node;
    }

    static X3dGeoProximitySensorDoWithDataCallback X3ddoWithDataCallbackGeoProximitySensor;
    void setX3dGeoProximitySensorDoWithDataCallback(X3dGeoProximitySensorDoWithDataCallback node) {
        X3ddoWithDataCallbackGeoProximitySensor = node;
    }

    static X3dPointEmitterRenderCallback X3drenderCallbackPointEmitter;
    void setX3dPointEmitterRenderCallback(X3dPointEmitterRenderCallback node) {
        X3drenderCallbackPointEmitter = node;
    }

    static X3dPointEmitterDoWithDataCallback X3ddoWithDataCallbackPointEmitter;
    void setX3dPointEmitterDoWithDataCallback(X3dPointEmitterDoWithDataCallback node) {
        X3ddoWithDataCallbackPointEmitter = node;
    }

    static X3dProximitySensorRenderCallback X3drenderCallbackProximitySensor;
    void setX3dProximitySensorRenderCallback(X3dProximitySensorRenderCallback node) {
        X3drenderCallbackProximitySensor = node;
    }

    static X3dProximitySensorDoWithDataCallback X3ddoWithDataCallbackProximitySensor;
    void setX3dProximitySensorDoWithDataCallback(X3dProximitySensorDoWithDataCallback node) {
        X3ddoWithDataCallbackProximitySensor = node;
    }

    static X3dScalarChaserRenderCallback X3drenderCallbackScalarChaser;
    void setX3dScalarChaserRenderCallback(X3dScalarChaserRenderCallback node) {
        X3drenderCallbackScalarChaser = node;
    }

    static X3dScalarChaserDoWithDataCallback X3ddoWithDataCallbackScalarChaser;
    void setX3dScalarChaserDoWithDataCallback(X3dScalarChaserDoWithDataCallback node) {
        X3ddoWithDataCallbackScalarChaser = node;
    }

    static X3dVisibilitySensorRenderCallback X3drenderCallbackVisibilitySensor;
    void setX3dVisibilitySensorRenderCallback(X3dVisibilitySensorRenderCallback node) {
        X3drenderCallbackVisibilitySensor = node;
    }

    static X3dVisibilitySensorDoWithDataCallback X3ddoWithDataCallbackVisibilitySensor;
    void setX3dVisibilitySensorDoWithDataCallback(X3dVisibilitySensorDoWithDataCallback node) {
        X3ddoWithDataCallbackVisibilitySensor = node;
    }

    static X3dCattExportSrcRenderCallback X3drenderCallbackCattExportSrc;
    void setX3dCattExportSrcRenderCallback(X3dCattExportSrcRenderCallback node) {
        X3drenderCallbackCattExportSrc = node;
    }

    static X3dCattExportSrcDoWithDataCallback X3ddoWithDataCallbackCattExportSrc;
    void setX3dCattExportSrcDoWithDataCallback(X3dCattExportSrcDoWithDataCallback node) {
        X3ddoWithDataCallbackCattExportSrc = node;
    }

    static X3dHAnimHumanoidRenderCallback X3drenderCallbackHAnimHumanoid;
    void setX3dHAnimHumanoidRenderCallback(X3dHAnimHumanoidRenderCallback node) {
        X3drenderCallbackHAnimHumanoid = node;
    }

    static X3dHAnimHumanoidDoWithDataCallback X3ddoWithDataCallbackHAnimHumanoid;
    void setX3dHAnimHumanoidDoWithDataCallback(X3dHAnimHumanoidDoWithDataCallback node) {
        X3ddoWithDataCallbackHAnimHumanoid = node;
    }

    static X3dIndexedFaceSetRenderCallback X3drenderCallbackIndexedFaceSet;
    void setX3dIndexedFaceSetRenderCallback(X3dIndexedFaceSetRenderCallback node) {
        X3drenderCallbackIndexedFaceSet = node;
    }

    static X3dIndexedFaceSetDoWithDataCallback X3ddoWithDataCallbackIndexedFaceSet;
    void setX3dIndexedFaceSetDoWithDataCallback(X3dIndexedFaceSetDoWithDataCallback node) {
        X3ddoWithDataCallbackIndexedFaceSet = node;
    }

    static X3dSoundRenderCallback X3drenderCallbackSound;
    void setX3dSoundRenderCallback(X3dSoundRenderCallback node) {
        X3drenderCallbackSound = node;
    }

    static X3dSoundDoWithDataCallback X3ddoWithDataCallbackSound;
    void setX3dSoundDoWithDataCallback(X3dSoundDoWithDataCallback node) {
        X3ddoWithDataCallbackSound = node;
    }

    static X3dTriangleSetRenderCallback X3drenderCallbackTriangleSet;
    void setX3dTriangleSetRenderCallback(X3dTriangleSetRenderCallback node) {
        X3drenderCallbackTriangleSet = node;
    }

    static X3dTriangleSetDoWithDataCallback X3ddoWithDataCallbackTriangleSet;
    void setX3dTriangleSetDoWithDataCallback(X3dTriangleSetDoWithDataCallback node) {
        X3ddoWithDataCallbackTriangleSet = node;
    }

    static X3dConeRenderCallback X3drenderCallbackCone;
    void setX3dConeRenderCallback(X3dConeRenderCallback node) {
        X3drenderCallbackCone = node;
    }

    static X3dConeDoWithDataCallback X3ddoWithDataCallbackCone;
    void setX3dConeDoWithDataCallback(X3dConeDoWithDataCallback node) {
        X3ddoWithDataCallbackCone = node;
    }

    static X3dFontStyleRenderCallback X3drenderCallbackFontStyle;
    void setX3dFontStyleRenderCallback(X3dFontStyleRenderCallback node) {
        X3drenderCallbackFontStyle = node;
    }

    static X3dFontStyleDoWithDataCallback X3ddoWithDataCallbackFontStyle;
    void setX3dFontStyleDoWithDataCallback(X3dFontStyleDoWithDataCallback node) {
        X3ddoWithDataCallbackFontStyle = node;
    }

    static X3dInlineRenderCallback X3drenderCallbackInline;
    void setX3dInlineRenderCallback(X3dInlineRenderCallback node) {
        X3drenderCallbackInline = node;
    }

    static X3dInlineDoWithDataCallback X3ddoWithDataCallbackInline;
    void setX3dInlineDoWithDataCallback(X3dInlineDoWithDataCallback node) {
        X3ddoWithDataCallbackInline = node;
    }

    static X3dMultiTextureCoordinateRenderCallback X3drenderCallbackMultiTextureCoordinate;
    void setX3dMultiTextureCoordinateRenderCallback(X3dMultiTextureCoordinateRenderCallback node) {
        X3drenderCallbackMultiTextureCoordinate = node;
    }

    static X3dMultiTextureCoordinateDoWithDataCallback X3ddoWithDataCallbackMultiTextureCoordinate;
    void setX3dMultiTextureCoordinateDoWithDataCallback(X3dMultiTextureCoordinateDoWithDataCallback node) {
        X3ddoWithDataCallbackMultiTextureCoordinate = node;
    }

    static X3dNurbsCurveRenderCallback X3drenderCallbackNurbsCurve;
    void setX3dNurbsCurveRenderCallback(X3dNurbsCurveRenderCallback node) {
        X3drenderCallbackNurbsCurve = node;
    }

    static X3dNurbsCurveDoWithDataCallback X3ddoWithDataCallbackNurbsCurve;
    void setX3dNurbsCurveDoWithDataCallback(X3dNurbsCurveDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsCurve = node;
    }

    static X3dSignalPduRenderCallback X3drenderCallbackSignalPdu;
    void setX3dSignalPduRenderCallback(X3dSignalPduRenderCallback node) {
        X3drenderCallbackSignalPdu = node;
    }

    static X3dSignalPduDoWithDataCallback X3ddoWithDataCallbackSignalPdu;
    void setX3dSignalPduDoWithDataCallback(X3dSignalPduDoWithDataCallback node) {
        X3ddoWithDataCallbackSignalPdu = node;
    }

    static X3dRigidBodyRenderCallback X3drenderCallbackRigidBody;
    void setX3dRigidBodyRenderCallback(X3dRigidBodyRenderCallback node) {
        X3drenderCallbackRigidBody = node;
    }

    static X3dRigidBodyDoWithDataCallback X3ddoWithDataCallbackRigidBody;
    void setX3dRigidBodyDoWithDataCallback(X3dRigidBodyDoWithDataCallback node) {
        X3ddoWithDataCallbackRigidBody = node;
    }

    static X3dMaterialRenderCallback X3drenderCallbackMaterial;
    void setX3dMaterialRenderCallback(X3dMaterialRenderCallback node) {
        X3drenderCallbackMaterial = node;
    }

    static X3dMaterialDoWithDataCallback X3ddoWithDataCallbackMaterial;
    void setX3dMaterialDoWithDataCallback(X3dMaterialDoWithDataCallback node) {
        X3ddoWithDataCallbackMaterial = node;
    }

    static X3dMultiTextureTransformRenderCallback X3drenderCallbackMultiTextureTransform;
    void setX3dMultiTextureTransformRenderCallback(X3dMultiTextureTransformRenderCallback node) {
        X3drenderCallbackMultiTextureTransform = node;
    }

    static X3dMultiTextureTransformDoWithDataCallback X3ddoWithDataCallbackMultiTextureTransform;
    void setX3dMultiTextureTransformDoWithDataCallback(X3dMultiTextureTransformDoWithDataCallback node) {
        X3ddoWithDataCallbackMultiTextureTransform = node;
    }

    static X3dConeEmitterRenderCallback X3drenderCallbackConeEmitter;
    void setX3dConeEmitterRenderCallback(X3dConeEmitterRenderCallback node) {
        X3drenderCallbackConeEmitter = node;
    }

    static X3dConeEmitterDoWithDataCallback X3ddoWithDataCallbackConeEmitter;
    void setX3dConeEmitterDoWithDataCallback(X3dConeEmitterDoWithDataCallback node) {
        X3ddoWithDataCallbackConeEmitter = node;
    }

    static X3dMetadataIntegerRenderCallback X3drenderCallbackMetadataInteger;
    void setX3dMetadataIntegerRenderCallback(X3dMetadataIntegerRenderCallback node) {
        X3drenderCallbackMetadataInteger = node;
    }

    static X3dMetadataIntegerDoWithDataCallback X3ddoWithDataCallbackMetadataInteger;
    void setX3dMetadataIntegerDoWithDataCallback(X3dMetadataIntegerDoWithDataCallback node) {
        X3ddoWithDataCallbackMetadataInteger = node;
    }

    static X3dOrientationInterpolatorRenderCallback X3drenderCallbackOrientationInterpolator;
    void setX3dOrientationInterpolatorRenderCallback(X3dOrientationInterpolatorRenderCallback node) {
        X3drenderCallbackOrientationInterpolator = node;
    }

    static X3dOrientationInterpolatorDoWithDataCallback X3ddoWithDataCallbackOrientationInterpolator;
    void setX3dOrientationInterpolatorDoWithDataCallback(X3dOrientationInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackOrientationInterpolator = node;
    }

    static X3dTimeSensorRenderCallback X3drenderCallbackTimeSensor;
    void setX3dTimeSensorRenderCallback(X3dTimeSensorRenderCallback node) {
        X3drenderCallbackTimeSensor = node;
    }

    static X3dTimeSensorDoWithDataCallback X3ddoWithDataCallbackTimeSensor;
    void setX3dTimeSensorDoWithDataCallback(X3dTimeSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackTimeSensor = node;
    }

    static X3dIndexedLineSetRenderCallback X3drenderCallbackIndexedLineSet;
    void setX3dIndexedLineSetRenderCallback(X3dIndexedLineSetRenderCallback node) {
        X3drenderCallbackIndexedLineSet = node;
    }

    static X3dIndexedLineSetDoWithDataCallback X3ddoWithDataCallbackIndexedLineSet;
    void setX3dIndexedLineSetDoWithDataCallback(X3dIndexedLineSetDoWithDataCallback node) {
        X3ddoWithDataCallbackIndexedLineSet = node;
    }

    static X3dIndexedQuadSetRenderCallback X3drenderCallbackIndexedQuadSet;
    void setX3dIndexedQuadSetRenderCallback(X3dIndexedQuadSetRenderCallback node) {
        X3drenderCallbackIndexedQuadSet = node;
    }

    static X3dIndexedQuadSetDoWithDataCallback X3ddoWithDataCallbackIndexedQuadSet;
    void setX3dIndexedQuadSetDoWithDataCallback(X3dIndexedQuadSetDoWithDataCallback node) {
        X3ddoWithDataCallbackIndexedQuadSet = node;
    }

    static X3dIndexedTriangleStripSetRenderCallback X3drenderCallbackIndexedTriangleStripSet;
    void setX3dIndexedTriangleStripSetRenderCallback(X3dIndexedTriangleStripSetRenderCallback node) {
        X3drenderCallbackIndexedTriangleStripSet = node;
    }

    static X3dIndexedTriangleStripSetDoWithDataCallback X3ddoWithDataCallbackIndexedTriangleStripSet;
    void setX3dIndexedTriangleStripSetDoWithDataCallback(X3dIndexedTriangleStripSetDoWithDataCallback node) {
        X3ddoWithDataCallbackIndexedTriangleStripSet = node;
    }

    static X3dMetadataFloatRenderCallback X3drenderCallbackMetadataFloat;
    void setX3dMetadataFloatRenderCallback(X3dMetadataFloatRenderCallback node) {
        X3drenderCallbackMetadataFloat = node;
    }

    static X3dMetadataFloatDoWithDataCallback X3ddoWithDataCallbackMetadataFloat;
    void setX3dMetadataFloatDoWithDataCallback(X3dMetadataFloatDoWithDataCallback node) {
        X3ddoWithDataCallbackMetadataFloat = node;
    }

    static X3dOdeMotorJointRenderCallback X3drenderCallbackOdeMotorJoint;
    void setX3dOdeMotorJointRenderCallback(X3dOdeMotorJointRenderCallback node) {
        X3drenderCallbackOdeMotorJoint = node;
    }

    static X3dOdeMotorJointDoWithDataCallback X3ddoWithDataCallbackOdeMotorJoint;
    void setX3dOdeMotorJointDoWithDataCallback(X3dOdeMotorJointDoWithDataCallback node) {
        X3ddoWithDataCallbackOdeMotorJoint = node;
    }

    static X3dPositionChaser2DRenderCallback X3drenderCallbackPositionChaser2D;
    void setX3dPositionChaser2DRenderCallback(X3dPositionChaser2DRenderCallback node) {
        X3drenderCallbackPositionChaser2D = node;
    }

    static X3dPositionChaser2DDoWithDataCallback X3ddoWithDataCallbackPositionChaser2D;
    void setX3dPositionChaser2DDoWithDataCallback(X3dPositionChaser2DDoWithDataCallback node) {
        X3ddoWithDataCallbackPositionChaser2D = node;
    }

    static X3dTriangleFanSetRenderCallback X3drenderCallbackTriangleFanSet;
    void setX3dTriangleFanSetRenderCallback(X3dTriangleFanSetRenderCallback node) {
        X3drenderCallbackTriangleFanSet = node;
    }

    static X3dTriangleFanSetDoWithDataCallback X3ddoWithDataCallbackTriangleFanSet;
    void setX3dTriangleFanSetDoWithDataCallback(X3dTriangleFanSetDoWithDataCallback node) {
        X3ddoWithDataCallbackTriangleFanSet = node;
    }

    static X3dViewportRenderCallback X3drenderCallbackViewport;
    void setX3dViewportRenderCallback(X3dViewportRenderCallback node) {
        X3drenderCallbackViewport = node;
    }

    static X3dViewportDoWithDataCallback X3ddoWithDataCallbackViewport;
    void setX3dViewportDoWithDataCallback(X3dViewportDoWithDataCallback node) {
        X3ddoWithDataCallbackViewport = node;
    }

    static X3dFogRenderCallback X3drenderCallbackFog;
    void setX3dFogRenderCallback(X3dFogRenderCallback node) {
        X3drenderCallbackFog = node;
    }

    static X3dFogDoWithDataCallback X3ddoWithDataCallbackFog;
    void setX3dFogDoWithDataCallback(X3dFogDoWithDataCallback node) {
        X3ddoWithDataCallbackFog = node;
    }

    static X3dShaderProgramRenderCallback X3drenderCallbackShaderProgram;
    void setX3dShaderProgramRenderCallback(X3dShaderProgramRenderCallback node) {
        X3drenderCallbackShaderProgram = node;
    }

    static X3dShaderProgramDoWithDataCallback X3ddoWithDataCallbackShaderProgram;
    void setX3dShaderProgramDoWithDataCallback(X3dShaderProgramDoWithDataCallback node) {
        X3ddoWithDataCallbackShaderProgram = node;
    }

    static X3dCollisionCollectionRenderCallback X3drenderCallbackCollisionCollection;
    void setX3dCollisionCollectionRenderCallback(X3dCollisionCollectionRenderCallback node) {
        X3drenderCallbackCollisionCollection = node;
    }

    static X3dCollisionCollectionDoWithDataCallback X3ddoWithDataCallbackCollisionCollection;
    void setX3dCollisionCollectionDoWithDataCallback(X3dCollisionCollectionDoWithDataCallback node) {
        X3ddoWithDataCallbackCollisionCollection = node;
    }

    static X3dStaticGroupRenderCallback X3drenderCallbackStaticGroup;
    void setX3dStaticGroupRenderCallback(X3dStaticGroupRenderCallback node) {
        X3drenderCallbackStaticGroup = node;
    }

    static X3dStaticGroupDoWithDataCallback X3ddoWithDataCallbackStaticGroup;
    void setX3dStaticGroupDoWithDataCallback(X3dStaticGroupDoWithDataCallback node) {
        X3ddoWithDataCallbackStaticGroup = node;
    }

    static X3dAnchorRenderCallback X3drenderCallbackAnchor;
    void setX3dAnchorRenderCallback(X3dAnchorRenderCallback node) {
        X3drenderCallbackAnchor = node;
    }

    static X3dAnchorDoWithDataCallback X3ddoWithDataCallbackAnchor;
    void setX3dAnchorDoWithDataCallback(X3dAnchorDoWithDataCallback node) {
        X3ddoWithDataCallbackAnchor = node;
    }

    static X3dBooleanTriggerRenderCallback X3drenderCallbackBooleanTrigger;
    void setX3dBooleanTriggerRenderCallback(X3dBooleanTriggerRenderCallback node) {
        X3drenderCallbackBooleanTrigger = node;
    }

    static X3dBooleanTriggerDoWithDataCallback X3ddoWithDataCallbackBooleanTrigger;
    void setX3dBooleanTriggerDoWithDataCallback(X3dBooleanTriggerDoWithDataCallback node) {
        X3ddoWithDataCallbackBooleanTrigger = node;
    }

    static X3dBooleanSequencerRenderCallback X3drenderCallbackBooleanSequencer;
    void setX3dBooleanSequencerRenderCallback(X3dBooleanSequencerRenderCallback node) {
        X3drenderCallbackBooleanSequencer = node;
    }

    static X3dBooleanSequencerDoWithDataCallback X3ddoWithDataCallbackBooleanSequencer;
    void setX3dBooleanSequencerDoWithDataCallback(X3dBooleanSequencerDoWithDataCallback node) {
        X3ddoWithDataCallbackBooleanSequencer = node;
    }

    static X3dColorRenderCallback X3drenderCallbackColor;
    void setX3dColorRenderCallback(X3dColorRenderCallback node) {
        X3drenderCallbackColor = node;
    }

    static X3dColorDoWithDataCallback X3ddoWithDataCallbackColor;
    void setX3dColorDoWithDataCallback(X3dColorDoWithDataCallback node) {
        X3ddoWithDataCallbackColor = node;
    }

    static X3dOrientationChaserRenderCallback X3drenderCallbackOrientationChaser;
    void setX3dOrientationChaserRenderCallback(X3dOrientationChaserRenderCallback node) {
        X3drenderCallbackOrientationChaser = node;
    }

    static X3dOrientationChaserDoWithDataCallback X3ddoWithDataCallbackOrientationChaser;
    void setX3dOrientationChaserDoWithDataCallback(X3dOrientationChaserDoWithDataCallback node) {
        X3ddoWithDataCallbackOrientationChaser = node;
    }

    static X3dOrientationDamperRenderCallback X3drenderCallbackOrientationDamper;
    void setX3dOrientationDamperRenderCallback(X3dOrientationDamperRenderCallback node) {
        X3drenderCallbackOrientationDamper = node;
    }

    static X3dOrientationDamperDoWithDataCallback X3ddoWithDataCallbackOrientationDamper;
    void setX3dOrientationDamperDoWithDataCallback(X3dOrientationDamperDoWithDataCallback node) {
        X3ddoWithDataCallbackOrientationDamper = node;
    }

    static X3dPointPickSensorRenderCallback X3drenderCallbackPointPickSensor;
    void setX3dPointPickSensorRenderCallback(X3dPointPickSensorRenderCallback node) {
        X3drenderCallbackPointPickSensor = node;
    }

    static X3dPointPickSensorDoWithDataCallback X3ddoWithDataCallbackPointPickSensor;
    void setX3dPointPickSensorDoWithDataCallback(X3dPointPickSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackPointPickSensor = node;
    }

    static X3dSplinePositionInterpolatorRenderCallback X3drenderCallbackSplinePositionInterpolator;
    void setX3dSplinePositionInterpolatorRenderCallback(X3dSplinePositionInterpolatorRenderCallback node) {
        X3drenderCallbackSplinePositionInterpolator = node;
    }

    static X3dSplinePositionInterpolatorDoWithDataCallback X3ddoWithDataCallbackSplinePositionInterpolator;
    void setX3dSplinePositionInterpolatorDoWithDataCallback(X3dSplinePositionInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackSplinePositionInterpolator = node;
    }

    static X3dTimeTriggerRenderCallback X3drenderCallbackTimeTrigger;
    void setX3dTimeTriggerRenderCallback(X3dTimeTriggerRenderCallback node) {
        X3drenderCallbackTimeTrigger = node;
    }

    static X3dTimeTriggerDoWithDataCallback X3ddoWithDataCallbackTimeTrigger;
    void setX3dTimeTriggerDoWithDataCallback(X3dTimeTriggerDoWithDataCallback node) {
        X3ddoWithDataCallbackTimeTrigger = node;
    }

    static X3dArc2DRenderCallback X3drenderCallbackArc2D;
    void setX3dArc2DRenderCallback(X3dArc2DRenderCallback node) {
        X3drenderCallbackArc2D = node;
    }

    static X3dArc2DDoWithDataCallback X3ddoWithDataCallbackArc2D;
    void setX3dArc2DDoWithDataCallback(X3dArc2DDoWithDataCallback node) {
        X3ddoWithDataCallbackArc2D = node;
    }

    static X3dDisk2DRenderCallback X3drenderCallbackDisk2D;
    void setX3dDisk2DRenderCallback(X3dDisk2DRenderCallback node) {
        X3drenderCallbackDisk2D = node;
    }

    static X3dDisk2DDoWithDataCallback X3ddoWithDataCallbackDisk2D;
    void setX3dDisk2DDoWithDataCallback(X3dDisk2DDoWithDataCallback node) {
        X3ddoWithDataCallbackDisk2D = node;
    }

    static X3dGeoElevationGridRenderCallback X3drenderCallbackGeoElevationGrid;
    void setX3dGeoElevationGridRenderCallback(X3dGeoElevationGridRenderCallback node) {
        X3drenderCallbackGeoElevationGrid = node;
    }

    static X3dGeoElevationGridDoWithDataCallback X3ddoWithDataCallbackGeoElevationGrid;
    void setX3dGeoElevationGridDoWithDataCallback(X3dGeoElevationGridDoWithDataCallback node) {
        X3ddoWithDataCallbackGeoElevationGrid = node;
    }

    static X3dIndexedTriangleSetRenderCallback X3drenderCallbackIndexedTriangleSet;
    void setX3dIndexedTriangleSetRenderCallback(X3dIndexedTriangleSetRenderCallback node) {
        X3drenderCallbackIndexedTriangleSet = node;
    }

    static X3dIndexedTriangleSetDoWithDataCallback X3ddoWithDataCallbackIndexedTriangleSet;
    void setX3dIndexedTriangleSetDoWithDataCallback(X3dIndexedTriangleSetDoWithDataCallback node) {
        X3ddoWithDataCallbackIndexedTriangleSet = node;
    }

    static X3dPolypoint2DRenderCallback X3drenderCallbackPolypoint2D;
    void setX3dPolypoint2DRenderCallback(X3dPolypoint2DRenderCallback node) {
        X3drenderCallbackPolypoint2D = node;
    }

    static X3dPolypoint2DDoWithDataCallback X3ddoWithDataCallbackPolypoint2D;
    void setX3dPolypoint2DDoWithDataCallback(X3dPolypoint2DDoWithDataCallback node) {
        X3ddoWithDataCallbackPolypoint2D = node;
    }

    static X3dPositionDamper2DRenderCallback X3drenderCallbackPositionDamper2D;
    void setX3dPositionDamper2DRenderCallback(X3dPositionDamper2DRenderCallback node) {
        X3drenderCallbackPositionDamper2D = node;
    }

    static X3dPositionDamper2DDoWithDataCallback X3ddoWithDataCallbackPositionDamper2D;
    void setX3dPositionDamper2DDoWithDataCallback(X3dPositionDamper2DDoWithDataCallback node) {
        X3ddoWithDataCallbackPositionDamper2D = node;
    }

    static X3dSuperEllipsoidRenderCallback X3drenderCallbackSuperEllipsoid;
    void setX3dSuperEllipsoidRenderCallback(X3dSuperEllipsoidRenderCallback node) {
        X3drenderCallbackSuperEllipsoid = node;
    }

    static X3dSuperEllipsoidDoWithDataCallback X3ddoWithDataCallbackSuperEllipsoid;
    void setX3dSuperEllipsoidDoWithDataCallback(X3dSuperEllipsoidDoWithDataCallback node) {
        X3ddoWithDataCallbackSuperEllipsoid = node;
    }

    static X3dBooleanToggleRenderCallback X3drenderCallbackBooleanToggle;
    void setX3dBooleanToggleRenderCallback(X3dBooleanToggleRenderCallback node) {
        X3drenderCallbackBooleanToggle = node;
    }

    static X3dBooleanToggleDoWithDataCallback X3ddoWithDataCallbackBooleanToggle;
    void setX3dBooleanToggleDoWithDataCallback(X3dBooleanToggleDoWithDataCallback node) {
        X3ddoWithDataCallbackBooleanToggle = node;
    }

    static X3dMatrix3VertexAttributeRenderCallback X3drenderCallbackMatrix3VertexAttribute;
    void setX3dMatrix3VertexAttributeRenderCallback(X3dMatrix3VertexAttributeRenderCallback node) {
        X3drenderCallbackMatrix3VertexAttribute = node;
    }

    static X3dMatrix3VertexAttributeDoWithDataCallback X3ddoWithDataCallbackMatrix3VertexAttribute;
    void setX3dMatrix3VertexAttributeDoWithDataCallback(X3dMatrix3VertexAttributeDoWithDataCallback node) {
        X3ddoWithDataCallbackMatrix3VertexAttribute = node;
    }

    static X3dMatrix4VertexAttributeRenderCallback X3drenderCallbackMatrix4VertexAttribute;
    void setX3dMatrix4VertexAttributeRenderCallback(X3dMatrix4VertexAttributeRenderCallback node) {
        X3drenderCallbackMatrix4VertexAttribute = node;
    }

    static X3dMatrix4VertexAttributeDoWithDataCallback X3ddoWithDataCallbackMatrix4VertexAttribute;
    void setX3dMatrix4VertexAttributeDoWithDataCallback(X3dMatrix4VertexAttributeDoWithDataCallback node) {
        X3ddoWithDataCallbackMatrix4VertexAttribute = node;
    }

    static X3dMultiTextureRenderCallback X3drenderCallbackMultiTexture;
    void setX3dMultiTextureRenderCallback(X3dMultiTextureRenderCallback node) {
        X3drenderCallbackMultiTexture = node;
    }

    static X3dMultiTextureDoWithDataCallback X3ddoWithDataCallbackMultiTexture;
    void setX3dMultiTextureDoWithDataCallback(X3dMultiTextureDoWithDataCallback node) {
        X3ddoWithDataCallbackMultiTexture = node;
    }

    static X3dShapeRenderCallback X3drenderCallbackShape;
    void setX3dShapeRenderCallback(X3dShapeRenderCallback node) {
        X3drenderCallbackShape = node;
    }

    static X3dShapeDoWithDataCallback X3ddoWithDataCallbackShape;
    void setX3dShapeDoWithDataCallback(X3dShapeDoWithDataCallback node) {
        X3ddoWithDataCallbackShape = node;
    }

    static X3dDISEntityTypeMappingRenderCallback X3drenderCallbackDISEntityTypeMapping;
    void setX3dDISEntityTypeMappingRenderCallback(X3dDISEntityTypeMappingRenderCallback node) {
        X3drenderCallbackDISEntityTypeMapping = node;
    }

    static X3dDISEntityTypeMappingDoWithDataCallback X3ddoWithDataCallbackDISEntityTypeMapping;
    void setX3dDISEntityTypeMappingDoWithDataCallback(X3dDISEntityTypeMappingDoWithDataCallback node) {
        X3ddoWithDataCallbackDISEntityTypeMapping = node;
    }

    static X3dLocalFogRenderCallback X3drenderCallbackLocalFog;
    void setX3dLocalFogRenderCallback(X3dLocalFogRenderCallback node) {
        X3drenderCallbackLocalFog = node;
    }

    static X3dLocalFogDoWithDataCallback X3ddoWithDataCallbackLocalFog;
    void setX3dLocalFogDoWithDataCallback(X3dLocalFogDoWithDataCallback node) {
        X3ddoWithDataCallbackLocalFog = node;
    }

    static X3dBoxRenderCallback X3drenderCallbackBox;
    void setX3dBoxRenderCallback(X3dBoxRenderCallback node) {
        X3drenderCallbackBox = node;
    }

    static X3dBoxDoWithDataCallback X3ddoWithDataCallbackBox;
    void setX3dBoxDoWithDataCallback(X3dBoxDoWithDataCallback node) {
        X3ddoWithDataCallbackBox = node;
    }

    static X3dGeoLocationRenderCallback X3drenderCallbackGeoLocation;
    void setX3dGeoLocationRenderCallback(X3dGeoLocationRenderCallback node) {
        X3drenderCallbackGeoLocation = node;
    }

    static X3dGeoLocationDoWithDataCallback X3ddoWithDataCallbackGeoLocation;
    void setX3dGeoLocationDoWithDataCallback(X3dGeoLocationDoWithDataCallback node) {
        X3ddoWithDataCallbackGeoLocation = node;
    }

    static X3dScreenGroupRenderCallback X3drenderCallbackScreenGroup;
    void setX3dScreenGroupRenderCallback(X3dScreenGroupRenderCallback node) {
        X3drenderCallbackScreenGroup = node;
    }

    static X3dScreenGroupDoWithDataCallback X3ddoWithDataCallbackScreenGroup;
    void setX3dScreenGroupDoWithDataCallback(X3dScreenGroupDoWithDataCallback node) {
        X3ddoWithDataCallbackScreenGroup = node;
    }

    static X3dCylinderRenderCallback X3drenderCallbackCylinder;
    void setX3dCylinderRenderCallback(X3dCylinderRenderCallback node) {
        X3drenderCallbackCylinder = node;
    }

    static X3dCylinderDoWithDataCallback X3ddoWithDataCallbackCylinder;
    void setX3dCylinderDoWithDataCallback(X3dCylinderDoWithDataCallback node) {
        X3ddoWithDataCallbackCylinder = node;
    }

    static X3dDISEntityManagerRenderCallback X3drenderCallbackDISEntityManager;
    void setX3dDISEntityManagerRenderCallback(X3dDISEntityManagerRenderCallback node) {
        X3drenderCallbackDISEntityManager = node;
    }

    static X3dDISEntityManagerDoWithDataCallback X3ddoWithDataCallbackDISEntityManager;
    void setX3dDISEntityManagerDoWithDataCallback(X3dDISEntityManagerDoWithDataCallback node) {
        X3ddoWithDataCallbackDISEntityManager = node;
    }

    static X3dNormalInterpolatorRenderCallback X3drenderCallbackNormalInterpolator;
    void setX3dNormalInterpolatorRenderCallback(X3dNormalInterpolatorRenderCallback node) {
        X3drenderCallbackNormalInterpolator = node;
    }

    static X3dNormalInterpolatorDoWithDataCallback X3ddoWithDataCallbackNormalInterpolator;
    void setX3dNormalInterpolatorDoWithDataCallback(X3dNormalInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackNormalInterpolator = node;
    }

    static X3dScalarInterpolatorRenderCallback X3drenderCallbackScalarInterpolator;
    void setX3dScalarInterpolatorRenderCallback(X3dScalarInterpolatorRenderCallback node) {
        X3drenderCallbackScalarInterpolator = node;
    }

    static X3dScalarInterpolatorDoWithDataCallback X3ddoWithDataCallbackScalarInterpolator;
    void setX3dScalarInterpolatorDoWithDataCallback(X3dScalarInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackScalarInterpolator = node;
    }

    static X3dTransformSensorRenderCallback X3drenderCallbackTransformSensor;
    void setX3dTransformSensorRenderCallback(X3dTransformSensorRenderCallback node) {
        X3drenderCallbackTransformSensor = node;
    }

    static X3dTransformSensorDoWithDataCallback X3ddoWithDataCallbackTransformSensor;
    void setX3dTransformSensorDoWithDataCallback(X3dTransformSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackTransformSensor = node;
    }

    static X3dCattExportRecRenderCallback X3drenderCallbackCattExportRec;
    void setX3dCattExportRecRenderCallback(X3dCattExportRecRenderCallback node) {
        X3drenderCallbackCattExportRec = node;
    }

    static X3dCattExportRecDoWithDataCallback X3ddoWithDataCallbackCattExportRec;
    void setX3dCattExportRecDoWithDataCallback(X3dCattExportRecDoWithDataCallback node) {
        X3ddoWithDataCallbackCattExportRec = node;
    }

    static X3dFillPropertiesRenderCallback X3drenderCallbackFillProperties;
    void setX3dFillPropertiesRenderCallback(X3dFillPropertiesRenderCallback node) {
        X3drenderCallbackFillProperties = node;
    }

    static X3dFillPropertiesDoWithDataCallback X3ddoWithDataCallbackFillProperties;
    void setX3dFillPropertiesDoWithDataCallback(X3dFillPropertiesDoWithDataCallback node) {
        X3ddoWithDataCallbackFillProperties = node;
    }

    static X3dHAnimSegmentRenderCallback X3drenderCallbackHAnimSegment;
    void setX3dHAnimSegmentRenderCallback(X3dHAnimSegmentRenderCallback node) {
        X3drenderCallbackHAnimSegment = node;
    }

    static X3dHAnimSegmentDoWithDataCallback X3ddoWithDataCallbackHAnimSegment;
    void setX3dHAnimSegmentDoWithDataCallback(X3dHAnimSegmentDoWithDataCallback node) {
        X3ddoWithDataCallbackHAnimSegment = node;
    }

    static X3dSplinePositionInterpolator2DRenderCallback X3drenderCallbackSplinePositionInterpolator2D;
    void setX3dSplinePositionInterpolator2DRenderCallback(X3dSplinePositionInterpolator2DRenderCallback node) {
        X3drenderCallbackSplinePositionInterpolator2D = node;
    }

    static X3dSplinePositionInterpolator2DDoWithDataCallback X3ddoWithDataCallbackSplinePositionInterpolator2D;
    void setX3dSplinePositionInterpolator2DDoWithDataCallback(X3dSplinePositionInterpolator2DDoWithDataCallback node) {
        X3ddoWithDataCallbackSplinePositionInterpolator2D = node;
    }

    static X3dTextureBackgroundRenderCallback X3drenderCallbackTextureBackground;
    void setX3dTextureBackgroundRenderCallback(X3dTextureBackgroundRenderCallback node) {
        X3drenderCallbackTextureBackground = node;
    }

    static X3dTextureBackgroundDoWithDataCallback X3ddoWithDataCallbackTextureBackground;
    void setX3dTextureBackgroundDoWithDataCallback(X3dTextureBackgroundDoWithDataCallback node) {
        X3ddoWithDataCallbackTextureBackground = node;
    }

    static X3dClipPlaneRenderCallback X3drenderCallbackClipPlane;
    void setX3dClipPlaneRenderCallback(X3dClipPlaneRenderCallback node) {
        X3drenderCallbackClipPlane = node;
    }

    static X3dClipPlaneDoWithDataCallback X3ddoWithDataCallbackClipPlane;
    void setX3dClipPlaneDoWithDataCallback(X3dClipPlaneDoWithDataCallback node) {
        X3ddoWithDataCallbackClipPlane = node;
    }

    static X3dReceiverPduRenderCallback X3drenderCallbackReceiverPdu;
    void setX3dReceiverPduRenderCallback(X3dReceiverPduRenderCallback node) {
        X3drenderCallbackReceiverPdu = node;
    }

    static X3dReceiverPduDoWithDataCallback X3ddoWithDataCallbackReceiverPdu;
    void setX3dReceiverPduDoWithDataCallback(X3dReceiverPduDoWithDataCallback node) {
        X3ddoWithDataCallbackReceiverPdu = node;
    }

    static X3dTextureCoordinateRenderCallback X3drenderCallbackTextureCoordinate;
    void setX3dTextureCoordinateRenderCallback(X3dTextureCoordinateRenderCallback node) {
        X3drenderCallbackTextureCoordinate = node;
    }

    static X3dTextureCoordinateDoWithDataCallback X3ddoWithDataCallbackTextureCoordinate;
    void setX3dTextureCoordinateDoWithDataCallback(X3dTextureCoordinateDoWithDataCallback node) {
        X3ddoWithDataCallbackTextureCoordinate = node;
    }

    static X3dNormalRenderCallback X3drenderCallbackNormal;
    void setX3dNormalRenderCallback(X3dNormalRenderCallback node) {
        X3drenderCallbackNormal = node;
    }

    static X3dNormalDoWithDataCallback X3ddoWithDataCallbackNormal;
    void setX3dNormalDoWithDataCallback(X3dNormalDoWithDataCallback node) {
        X3ddoWithDataCallbackNormal = node;
    }

    static X3dViewpointGroupRenderCallback X3drenderCallbackViewpointGroup;
    void setX3dViewpointGroupRenderCallback(X3dViewpointGroupRenderCallback node) {
        X3drenderCallbackViewpointGroup = node;
    }

    static X3dViewpointGroupDoWithDataCallback X3ddoWithDataCallbackViewpointGroup;
    void setX3dViewpointGroupDoWithDataCallback(X3dViewpointGroupDoWithDataCallback node) {
        X3ddoWithDataCallbackViewpointGroup = node;
    }

    static X3dBooleanFilterRenderCallback X3drenderCallbackBooleanFilter;
    void setX3dBooleanFilterRenderCallback(X3dBooleanFilterRenderCallback node) {
        X3drenderCallbackBooleanFilter = node;
    }

    static X3dBooleanFilterDoWithDataCallback X3ddoWithDataCallbackBooleanFilter;
    void setX3dBooleanFilterDoWithDataCallback(X3dBooleanFilterDoWithDataCallback node) {
        X3ddoWithDataCallbackBooleanFilter = node;
    }

    static X3dBillboardRenderCallback X3drenderCallbackBillboard;
    void setX3dBillboardRenderCallback(X3dBillboardRenderCallback node) {
        X3drenderCallbackBillboard = node;
    }

    static X3dBillboardDoWithDataCallback X3ddoWithDataCallbackBillboard;
    void setX3dBillboardDoWithDataCallback(X3dBillboardDoWithDataCallback node) {
        X3ddoWithDataCallbackBillboard = node;
    }

    static X3dSpotLightRenderCallback X3drenderCallbackSpotLight;
    void setX3dSpotLightRenderCallback(X3dSpotLightRenderCallback node) {
        X3drenderCallbackSpotLight = node;
    }

    static X3dSpotLightDoWithDataCallback X3ddoWithDataCallbackSpotLight;
    void setX3dSpotLightDoWithDataCallback(X3dSpotLightDoWithDataCallback node) {
        X3ddoWithDataCallbackSpotLight = node;
    }

    static X3dFogCoordinateRenderCallback X3drenderCallbackFogCoordinate;
    void setX3dFogCoordinateRenderCallback(X3dFogCoordinateRenderCallback node) {
        X3drenderCallbackFogCoordinate = node;
    }

    static X3dFogCoordinateDoWithDataCallback X3ddoWithDataCallbackFogCoordinate;
    void setX3dFogCoordinateDoWithDataCallback(X3dFogCoordinateDoWithDataCallback node) {
        X3ddoWithDataCallbackFogCoordinate = node;
    }

    static X3dGeoCoordinateRenderCallback X3drenderCallbackGeoCoordinate;
    void setX3dGeoCoordinateRenderCallback(X3dGeoCoordinateRenderCallback node) {
        X3drenderCallbackGeoCoordinate = node;
    }

    static X3dGeoCoordinateDoWithDataCallback X3ddoWithDataCallbackGeoCoordinate;
    void setX3dGeoCoordinateDoWithDataCallback(X3dGeoCoordinateDoWithDataCallback node) {
        X3ddoWithDataCallbackGeoCoordinate = node;
    }

    static X3dSphereRenderCallback X3drenderCallbackSphere;
    void setX3dSphereRenderCallback(X3dSphereRenderCallback node) {
        X3drenderCallbackSphere = node;
    }

    static X3dSphereDoWithDataCallback X3ddoWithDataCallbackSphere;
    void setX3dSphereDoWithDataCallback(X3dSphereDoWithDataCallback node) {
        X3ddoWithDataCallbackSphere = node;
    }

    static X3dRigidBodyCollectionRenderCallback X3drenderCallbackRigidBodyCollection;
    void setX3dRigidBodyCollectionRenderCallback(X3dRigidBodyCollectionRenderCallback node) {
        X3drenderCallbackRigidBodyCollection = node;
    }

    static X3dRigidBodyCollectionDoWithDataCallback X3ddoWithDataCallbackRigidBodyCollection;
    void setX3dRigidBodyCollectionDoWithDataCallback(X3dRigidBodyCollectionDoWithDataCallback node) {
        X3ddoWithDataCallbackRigidBodyCollection = node;
    }

    static X3dGeoMetadataRenderCallback X3drenderCallbackGeoMetadata;
    void setX3dGeoMetadataRenderCallback(X3dGeoMetadataRenderCallback node) {
        X3drenderCallbackGeoMetadata = node;
    }

    static X3dGeoMetadataDoWithDataCallback X3ddoWithDataCallbackGeoMetadata;
    void setX3dGeoMetadataDoWithDataCallback(X3dGeoMetadataDoWithDataCallback node) {
        X3ddoWithDataCallbackGeoMetadata = node;
    }

    static X3dColorInterpolatorRenderCallback X3drenderCallbackColorInterpolator;
    void setX3dColorInterpolatorRenderCallback(X3dColorInterpolatorRenderCallback node) {
        X3drenderCallbackColorInterpolator = node;
    }

    static X3dColorInterpolatorDoWithDataCallback X3ddoWithDataCallbackColorInterpolator;
    void setX3dColorInterpolatorDoWithDataCallback(X3dColorInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackColorInterpolator = node;
    }

    static X3dExplosionEmitterRenderCallback X3drenderCallbackExplosionEmitter;
    void setX3dExplosionEmitterRenderCallback(X3dExplosionEmitterRenderCallback node) {
        X3drenderCallbackExplosionEmitter = node;
    }

    static X3dExplosionEmitterDoWithDataCallback X3ddoWithDataCallbackExplosionEmitter;
    void setX3dExplosionEmitterDoWithDataCallback(X3dExplosionEmitterDoWithDataCallback node) {
        X3ddoWithDataCallbackExplosionEmitter = node;
    }

    static X3dLinePropertiesRenderCallback X3drenderCallbackLineProperties;
    void setX3dLinePropertiesRenderCallback(X3dLinePropertiesRenderCallback node) {
        X3drenderCallbackLineProperties = node;
    }

    static X3dLinePropertiesDoWithDataCallback X3ddoWithDataCallbackLineProperties;
    void setX3dLinePropertiesDoWithDataCallback(X3dLinePropertiesDoWithDataCallback node) {
        X3ddoWithDataCallbackLineProperties = node;
    }

    static X3dLineSetRenderCallback X3drenderCallbackLineSet;
    void setX3dLineSetRenderCallback(X3dLineSetRenderCallback node) {
        X3drenderCallbackLineSet = node;
    }

    static X3dLineSetDoWithDataCallback X3ddoWithDataCallbackLineSet;
    void setX3dLineSetDoWithDataCallback(X3dLineSetDoWithDataCallback node) {
        X3ddoWithDataCallbackLineSet = node;
    }

    static X3dNurbsSetRenderCallback X3drenderCallbackNurbsSet;
    void setX3dNurbsSetRenderCallback(X3dNurbsSetRenderCallback node) {
        X3drenderCallbackNurbsSet = node;
    }

    static X3dNurbsSetDoWithDataCallback X3ddoWithDataCallbackNurbsSet;
    void setX3dNurbsSetDoWithDataCallback(X3dNurbsSetDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsSet = node;
    }

    static X3dQuadSetRenderCallback X3drenderCallbackQuadSet;
    void setX3dQuadSetRenderCallback(X3dQuadSetRenderCallback node) {
        X3drenderCallbackQuadSet = node;
    }

    static X3dQuadSetDoWithDataCallback X3ddoWithDataCallbackQuadSet;
    void setX3dQuadSetDoWithDataCallback(X3dQuadSetDoWithDataCallback node) {
        X3ddoWithDataCallbackQuadSet = node;
    }

    static X3dTriangleStripSetRenderCallback X3drenderCallbackTriangleStripSet;
    void setX3dTriangleStripSetRenderCallback(X3dTriangleStripSetRenderCallback node) {
        X3drenderCallbackTriangleStripSet = node;
    }

    static X3dTriangleStripSetDoWithDataCallback X3ddoWithDataCallbackTriangleStripSet;
    void setX3dTriangleStripSetDoWithDataCallback(X3dTriangleStripSetDoWithDataCallback node) {
        X3ddoWithDataCallbackTriangleStripSet = node;
    }

    static X3dVrmlCutRenderCallback X3drenderCallbackVrmlCut;
    void setX3dVrmlCutRenderCallback(X3dVrmlCutRenderCallback node) {
        X3drenderCallbackVrmlCut = node;
    }

    static X3dVrmlCutDoWithDataCallback X3ddoWithDataCallbackVrmlCut;
    void setX3dVrmlCutDoWithDataCallback(X3dVrmlCutDoWithDataCallback node) {
        X3ddoWithDataCallbackVrmlCut = node;
    }

    static X3dCollidableShapeRenderCallback X3drenderCallbackCollidableShape;
    void setX3dCollidableShapeRenderCallback(X3dCollidableShapeRenderCallback node) {
        X3drenderCallbackCollidableShape = node;
    }

    static X3dCollidableShapeDoWithDataCallback X3ddoWithDataCallbackCollidableShape;
    void setX3dCollidableShapeDoWithDataCallback(X3dCollidableShapeDoWithDataCallback node) {
        X3ddoWithDataCallbackCollidableShape = node;
    }

    static X3dNurbsSweptSurfaceRenderCallback X3drenderCallbackNurbsSweptSurface;
    void setX3dNurbsSweptSurfaceRenderCallback(X3dNurbsSweptSurfaceRenderCallback node) {
        X3drenderCallbackNurbsSweptSurface = node;
    }

    static X3dNurbsSweptSurfaceDoWithDataCallback X3ddoWithDataCallbackNurbsSweptSurface;
    void setX3dNurbsSweptSurfaceDoWithDataCallback(X3dNurbsSweptSurfaceDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsSweptSurface = node;
    }

    static X3dPixelTextureRenderCallback X3drenderCallbackPixelTexture;
    void setX3dPixelTextureRenderCallback(X3dPixelTextureRenderCallback node) {
        X3drenderCallbackPixelTexture = node;
    }

    static X3dPixelTextureDoWithDataCallback X3ddoWithDataCallbackPixelTexture;
    void setX3dPixelTextureDoWithDataCallback(X3dPixelTextureDoWithDataCallback node) {
        X3ddoWithDataCallbackPixelTexture = node;
    }

    static X3dSwitchRenderCallback X3drenderCallbackSwitch;
    void setX3dSwitchRenderCallback(X3dSwitchRenderCallback node) {
        X3drenderCallbackSwitch = node;
    }

    static X3dSwitchDoWithDataCallback X3ddoWithDataCallbackSwitch;
    void setX3dSwitchDoWithDataCallback(X3dSwitchDoWithDataCallback node) {
        X3ddoWithDataCallbackSwitch = node;
    }

    static X3dLayoutGroupRenderCallback X3drenderCallbackLayoutGroup;
    void setX3dLayoutGroupRenderCallback(X3dLayoutGroupRenderCallback node) {
        X3drenderCallbackLayoutGroup = node;
    }

    static X3dLayoutGroupDoWithDataCallback X3ddoWithDataCallbackLayoutGroup;
    void setX3dLayoutGroupDoWithDataCallback(X3dLayoutGroupDoWithDataCallback node) {
        X3ddoWithDataCallbackLayoutGroup = node;
    }

    static X3dColorDamperRenderCallback X3drenderCallbackColorDamper;
    void setX3dColorDamperRenderCallback(X3dColorDamperRenderCallback node) {
        X3drenderCallbackColorDamper = node;
    }

    static X3dColorDamperDoWithDataCallback X3ddoWithDataCallbackColorDamper;
    void setX3dColorDamperDoWithDataCallback(X3dColorDamperDoWithDataCallback node) {
        X3ddoWithDataCallbackColorDamper = node;
    }

    static X3dIntegerSequencerRenderCallback X3drenderCallbackIntegerSequencer;
    void setX3dIntegerSequencerRenderCallback(X3dIntegerSequencerRenderCallback node) {
        X3drenderCallbackIntegerSequencer = node;
    }

    static X3dIntegerSequencerDoWithDataCallback X3ddoWithDataCallbackIntegerSequencer;
    void setX3dIntegerSequencerDoWithDataCallback(X3dIntegerSequencerDoWithDataCallback node) {
        X3ddoWithDataCallbackIntegerSequencer = node;
    }

    static X3dKeySensorRenderCallback X3drenderCallbackKeySensor;
    void setX3dKeySensorRenderCallback(X3dKeySensorRenderCallback node) {
        X3drenderCallbackKeySensor = node;
    }

    static X3dKeySensorDoWithDataCallback X3ddoWithDataCallbackKeySensor;
    void setX3dKeySensorDoWithDataCallback(X3dKeySensorDoWithDataCallback node) {
        X3ddoWithDataCallbackKeySensor = node;
    }

    static X3dLayoutLayerRenderCallback X3drenderCallbackLayoutLayer;
    void setX3dLayoutLayerRenderCallback(X3dLayoutLayerRenderCallback node) {
        X3drenderCallbackLayoutLayer = node;
    }

    static X3dLayoutLayerDoWithDataCallback X3ddoWithDataCallbackLayoutLayer;
    void setX3dLayoutLayerDoWithDataCallback(X3dLayoutLayerDoWithDataCallback node) {
        X3ddoWithDataCallbackLayoutLayer = node;
    }

    static X3dSquadOrientationInterpolatorRenderCallback X3drenderCallbackSquadOrientationInterpolator;
    void setX3dSquadOrientationInterpolatorRenderCallback(X3dSquadOrientationInterpolatorRenderCallback node) {
        X3drenderCallbackSquadOrientationInterpolator = node;
    }

    static X3dSquadOrientationInterpolatorDoWithDataCallback X3ddoWithDataCallbackSquadOrientationInterpolator;
    void setX3dSquadOrientationInterpolatorDoWithDataCallback(X3dSquadOrientationInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackSquadOrientationInterpolator = node;
    }

    static X3dEaseInEaseOutRenderCallback X3drenderCallbackEaseInEaseOut;
    void setX3dEaseInEaseOutRenderCallback(X3dEaseInEaseOutRenderCallback node) {
        X3drenderCallbackEaseInEaseOut = node;
    }

    static X3dEaseInEaseOutDoWithDataCallback X3ddoWithDataCallbackEaseInEaseOut;
    void setX3dEaseInEaseOutDoWithDataCallback(X3dEaseInEaseOutDoWithDataCallback node) {
        X3ddoWithDataCallbackEaseInEaseOut = node;
    }

    static X3dGeoViewpointRenderCallback X3drenderCallbackGeoViewpoint;
    void setX3dGeoViewpointRenderCallback(X3dGeoViewpointRenderCallback node) {
        X3drenderCallbackGeoViewpoint = node;
    }

    static X3dGeoViewpointDoWithDataCallback X3ddoWithDataCallbackGeoViewpoint;
    void setX3dGeoViewpointDoWithDataCallback(X3dGeoViewpointDoWithDataCallback node) {
        X3ddoWithDataCallbackGeoViewpoint = node;
    }

    static X3dOdeSliderJointRenderCallback X3drenderCallbackOdeSliderJoint;
    void setX3dOdeSliderJointRenderCallback(X3dOdeSliderJointRenderCallback node) {
        X3drenderCallbackOdeSliderJoint = node;
    }

    static X3dOdeSliderJointDoWithDataCallback X3ddoWithDataCallbackOdeSliderJoint;
    void setX3dOdeSliderJointDoWithDataCallback(X3dOdeSliderJointDoWithDataCallback node) {
        X3ddoWithDataCallbackOdeSliderJoint = node;
    }

    static X3dViewpointRenderCallback X3drenderCallbackViewpoint;
    void setX3dViewpointRenderCallback(X3dViewpointRenderCallback node) {
        X3drenderCallbackViewpoint = node;
    }

    static X3dViewpointDoWithDataCallback X3ddoWithDataCallbackViewpoint;
    void setX3dViewpointDoWithDataCallback(X3dViewpointDoWithDataCallback node) {
        X3ddoWithDataCallbackViewpoint = node;
    }

    static X3dExtrusionRenderCallback X3drenderCallbackExtrusion;
    void setX3dExtrusionRenderCallback(X3dExtrusionRenderCallback node) {
        X3drenderCallbackExtrusion = node;
    }

    static X3dExtrusionDoWithDataCallback X3ddoWithDataCallbackExtrusion;
    void setX3dExtrusionDoWithDataCallback(X3dExtrusionDoWithDataCallback node) {
        X3ddoWithDataCallbackExtrusion = node;
    }

    static X3dWorldInfoRenderCallback X3drenderCallbackWorldInfo;
    void setX3dWorldInfoRenderCallback(X3dWorldInfoRenderCallback node) {
        X3drenderCallbackWorldInfo = node;
    }

    static X3dWorldInfoDoWithDataCallback X3ddoWithDataCallbackWorldInfo;
    void setX3dWorldInfoDoWithDataCallback(X3dWorldInfoDoWithDataCallback node) {
        X3ddoWithDataCallbackWorldInfo = node;
    }

    static X3dAudioClipRenderCallback X3drenderCallbackAudioClip;
    void setX3dAudioClipRenderCallback(X3dAudioClipRenderCallback node) {
        X3drenderCallbackAudioClip = node;
    }

    static X3dAudioClipDoWithDataCallback X3ddoWithDataCallbackAudioClip;
    void setX3dAudioClipDoWithDataCallback(X3dAudioClipDoWithDataCallback node) {
        X3ddoWithDataCallbackAudioClip = node;
    }

    static X3dCADLayerRenderCallback X3drenderCallbackCADLayer;
    void setX3dCADLayerRenderCallback(X3dCADLayerRenderCallback node) {
        X3drenderCallbackCADLayer = node;
    }

    static X3dCADLayerDoWithDataCallback X3ddoWithDataCallbackCADLayer;
    void setX3dCADLayerDoWithDataCallback(X3dCADLayerDoWithDataCallback node) {
        X3ddoWithDataCallbackCADLayer = node;
    }

    static X3dIntegerTriggerRenderCallback X3drenderCallbackIntegerTrigger;
    void setX3dIntegerTriggerRenderCallback(X3dIntegerTriggerRenderCallback node) {
        X3drenderCallbackIntegerTrigger = node;
    }

    static X3dIntegerTriggerDoWithDataCallback X3ddoWithDataCallbackIntegerTrigger;
    void setX3dIntegerTriggerDoWithDataCallback(X3dIntegerTriggerDoWithDataCallback node) {
        X3ddoWithDataCallbackIntegerTrigger = node;
    }

    static X3dImageTexture3DRenderCallback X3drenderCallbackImageTexture3D;
    void setX3dImageTexture3DRenderCallback(X3dImageTexture3DRenderCallback node) {
        X3drenderCallbackImageTexture3D = node;
    }

    static X3dImageTexture3DDoWithDataCallback X3ddoWithDataCallbackImageTexture3D;
    void setX3dImageTexture3DDoWithDataCallback(X3dImageTexture3DDoWithDataCallback node) {
        X3ddoWithDataCallbackImageTexture3D = node;
    }

    static X3dMetadataSetRenderCallback X3drenderCallbackMetadataSet;
    void setX3dMetadataSetRenderCallback(X3dMetadataSetRenderCallback node) {
        X3drenderCallbackMetadataSet = node;
    }

    static X3dMetadataSetDoWithDataCallback X3ddoWithDataCallbackMetadataSet;
    void setX3dMetadataSetDoWithDataCallback(X3dMetadataSetDoWithDataCallback node) {
        X3ddoWithDataCallbackMetadataSet = node;
    }

    static X3dPointSetRenderCallback X3drenderCallbackPointSet;
    void setX3dPointSetRenderCallback(X3dPointSetRenderCallback node) {
        X3drenderCallbackPointSet = node;
    }

    static X3dPointSetDoWithDataCallback X3ddoWithDataCallbackPointSet;
    void setX3dPointSetDoWithDataCallback(X3dPointSetDoWithDataCallback node) {
        X3ddoWithDataCallbackPointSet = node;
    }

    static X3dGeneratedCubeMapTextureRenderCallback X3drenderCallbackGeneratedCubeMapTexture;
    void setX3dGeneratedCubeMapTextureRenderCallback(X3dGeneratedCubeMapTextureRenderCallback node) {
        X3drenderCallbackGeneratedCubeMapTexture = node;
    }

    static X3dGeneratedCubeMapTextureDoWithDataCallback X3ddoWithDataCallbackGeneratedCubeMapTexture;
    void setX3dGeneratedCubeMapTextureDoWithDataCallback(X3dGeneratedCubeMapTextureDoWithDataCallback node) {
        X3ddoWithDataCallbackGeneratedCubeMapTexture = node;
    }

    static X3dMetadataDoubleRenderCallback X3drenderCallbackMetadataDouble;
    void setX3dMetadataDoubleRenderCallback(X3dMetadataDoubleRenderCallback node) {
        X3drenderCallbackMetadataDouble = node;
    }

    static X3dMetadataDoubleDoWithDataCallback X3ddoWithDataCallbackMetadataDouble;
    void setX3dMetadataDoubleDoWithDataCallback(X3dMetadataDoubleDoWithDataCallback node) {
        X3ddoWithDataCallbackMetadataDouble = node;
    }

    static X3dTrimmedSurfaceRenderCallback X3drenderCallbackTrimmedSurface;
    void setX3dTrimmedSurfaceRenderCallback(X3dTrimmedSurfaceRenderCallback node) {
        X3drenderCallbackTrimmedSurface = node;
    }

    static X3dTrimmedSurfaceDoWithDataCallback X3ddoWithDataCallbackTrimmedSurface;
    void setX3dTrimmedSurfaceDoWithDataCallback(X3dTrimmedSurfaceDoWithDataCallback node) {
        X3ddoWithDataCallbackTrimmedSurface = node;
    }

    static X3dCADAssemblyRenderCallback X3drenderCallbackCADAssembly;
    void setX3dCADAssemblyRenderCallback(X3dCADAssemblyRenderCallback node) {
        X3drenderCallbackCADAssembly = node;
    }

    static X3dCADAssemblyDoWithDataCallback X3ddoWithDataCallbackCADAssembly;
    void setX3dCADAssemblyDoWithDataCallback(X3dCADAssemblyDoWithDataCallback node) {
        X3ddoWithDataCallbackCADAssembly = node;
    }

    static X3dBoundedPhysicsModelRenderCallback X3drenderCallbackBoundedPhysicsModel;
    void setX3dBoundedPhysicsModelRenderCallback(X3dBoundedPhysicsModelRenderCallback node) {
        X3drenderCallbackBoundedPhysicsModel = node;
    }

    static X3dBoundedPhysicsModelDoWithDataCallback X3ddoWithDataCallbackBoundedPhysicsModel;
    void setX3dBoundedPhysicsModelDoWithDataCallback(X3dBoundedPhysicsModelDoWithDataCallback node) {
        X3ddoWithDataCallbackBoundedPhysicsModel = node;
    }

    static X3dGravityPhysicsModelRenderCallback X3drenderCallbackGravityPhysicsModel;
    void setX3dGravityPhysicsModelRenderCallback(X3dGravityPhysicsModelRenderCallback node) {
        X3drenderCallbackGravityPhysicsModel = node;
    }

    static X3dGravityPhysicsModelDoWithDataCallback X3ddoWithDataCallbackGravityPhysicsModel;
    void setX3dGravityPhysicsModelDoWithDataCallback(X3dGravityPhysicsModelDoWithDataCallback node) {
        X3ddoWithDataCallbackGravityPhysicsModel = node;
    }

    static X3dGroupRenderCallback X3drenderCallbackGroup;
    void setX3dGroupRenderCallback(X3dGroupRenderCallback node) {
        X3drenderCallbackGroup = node;
    }

    static X3dGroupDoWithDataCallback X3ddoWithDataCallbackGroup;
    void setX3dGroupDoWithDataCallback(X3dGroupDoWithDataCallback node) {
        X3ddoWithDataCallbackGroup = node;
    }

    static X3dCoordinateDeformerRenderCallback X3drenderCallbackCoordinateDeformer;
    void setX3dCoordinateDeformerRenderCallback(X3dCoordinateDeformerRenderCallback node) {
        X3drenderCallbackCoordinateDeformer = node;
    }

    static X3dCoordinateDeformerDoWithDataCallback X3ddoWithDataCallbackCoordinateDeformer;
    void setX3dCoordinateDeformerDoWithDataCallback(X3dCoordinateDeformerDoWithDataCallback node) {
        X3ddoWithDataCallbackCoordinateDeformer = node;
    }

    static X3dGeoPositionInterpolatorRenderCallback X3drenderCallbackGeoPositionInterpolator;
    void setX3dGeoPositionInterpolatorRenderCallback(X3dGeoPositionInterpolatorRenderCallback node) {
        X3drenderCallbackGeoPositionInterpolator = node;
    }

    static X3dGeoPositionInterpolatorDoWithDataCallback X3ddoWithDataCallbackGeoPositionInterpolator;
    void setX3dGeoPositionInterpolatorDoWithDataCallback(X3dGeoPositionInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackGeoPositionInterpolator = node;
    }

    static X3dLayerRenderCallback X3drenderCallbackLayer;
    void setX3dLayerRenderCallback(X3dLayerRenderCallback node) {
        X3drenderCallbackLayer = node;
    }

    static X3dLayerDoWithDataCallback X3ddoWithDataCallbackLayer;
    void setX3dLayerDoWithDataCallback(X3dLayerDoWithDataCallback node) {
        X3ddoWithDataCallbackLayer = node;
    }

    static X3dPolylineEmitterRenderCallback X3drenderCallbackPolylineEmitter;
    void setX3dPolylineEmitterRenderCallback(X3dPolylineEmitterRenderCallback node) {
        X3drenderCallbackPolylineEmitter = node;
    }

    static X3dPolylineEmitterDoWithDataCallback X3ddoWithDataCallbackPolylineEmitter;
    void setX3dPolylineEmitterDoWithDataCallback(X3dPolylineEmitterDoWithDataCallback node) {
        X3ddoWithDataCallbackPolylineEmitter = node;
    }

    static X3dPositionInterpolatorRenderCallback X3drenderCallbackPositionInterpolator;
    void setX3dPositionInterpolatorRenderCallback(X3dPositionInterpolatorRenderCallback node) {
        X3drenderCallbackPositionInterpolator = node;
    }

    static X3dPositionInterpolatorDoWithDataCallback X3ddoWithDataCallbackPositionInterpolator;
    void setX3dPositionInterpolatorDoWithDataCallback(X3dPositionInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackPositionInterpolator = node;
    }

    static X3dPrimitivePickSensorRenderCallback X3drenderCallbackPrimitivePickSensor;
    void setX3dPrimitivePickSensorRenderCallback(X3dPrimitivePickSensorRenderCallback node) {
        X3drenderCallbackPrimitivePickSensor = node;
    }

    static X3dPrimitivePickSensorDoWithDataCallback X3ddoWithDataCallbackPrimitivePickSensor;
    void setX3dPrimitivePickSensorDoWithDataCallback(X3dPrimitivePickSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackPrimitivePickSensor = node;
    }

    static X3dCircle2DRenderCallback X3drenderCallbackCircle2D;
    void setX3dCircle2DRenderCallback(X3dCircle2DRenderCallback node) {
        X3drenderCallbackCircle2D = node;
    }

    static X3dCircle2DDoWithDataCallback X3ddoWithDataCallbackCircle2D;
    void setX3dCircle2DDoWithDataCallback(X3dCircle2DDoWithDataCallback node) {
        X3ddoWithDataCallbackCircle2D = node;
    }

    static X3dComposedTexture3DRenderCallback X3drenderCallbackComposedTexture3D;
    void setX3dComposedTexture3DRenderCallback(X3dComposedTexture3DRenderCallback node) {
        X3drenderCallbackComposedTexture3D = node;
    }

    static X3dComposedTexture3DDoWithDataCallback X3ddoWithDataCallbackComposedTexture3D;
    void setX3dComposedTexture3DDoWithDataCallback(X3dComposedTexture3DDoWithDataCallback node) {
        X3ddoWithDataCallbackComposedTexture3D = node;
    }

    static X3dLayoutRenderCallback X3drenderCallbackLayout;
    void setX3dLayoutRenderCallback(X3dLayoutRenderCallback node) {
        X3drenderCallbackLayout = node;
    }

    static X3dLayoutDoWithDataCallback X3ddoWithDataCallbackLayout;
    void setX3dLayoutDoWithDataCallback(X3dLayoutDoWithDataCallback node) {
        X3ddoWithDataCallbackLayout = node;
    }

    static X3dOrthoViewpointRenderCallback X3drenderCallbackOrthoViewpoint;
    void setX3dOrthoViewpointRenderCallback(X3dOrthoViewpointRenderCallback node) {
        X3drenderCallbackOrthoViewpoint = node;
    }

    static X3dOrthoViewpointDoWithDataCallback X3ddoWithDataCallbackOrthoViewpoint;
    void setX3dOrthoViewpointDoWithDataCallback(X3dOrthoViewpointDoWithDataCallback node) {
        X3ddoWithDataCallbackOrthoViewpoint = node;
    }

    static X3dPixelTexture3DRenderCallback X3drenderCallbackPixelTexture3D;
    void setX3dPixelTexture3DRenderCallback(X3dPixelTexture3DRenderCallback node) {
        X3drenderCallbackPixelTexture3D = node;
    }

    static X3dPixelTexture3DDoWithDataCallback X3ddoWithDataCallbackPixelTexture3D;
    void setX3dPixelTexture3DDoWithDataCallback(X3dPixelTexture3DDoWithDataCallback node) {
        X3ddoWithDataCallbackPixelTexture3D = node;
    }

    static X3dRectangle2DRenderCallback X3drenderCallbackRectangle2D;
    void setX3dRectangle2DRenderCallback(X3dRectangle2DRenderCallback node) {
        X3drenderCallbackRectangle2D = node;
    }

    static X3dRectangle2DDoWithDataCallback X3ddoWithDataCallbackRectangle2D;
    void setX3dRectangle2DDoWithDataCallback(X3dRectangle2DDoWithDataCallback node) {
        X3ddoWithDataCallbackRectangle2D = node;
    }

    static X3dCoordinateRenderCallback X3drenderCallbackCoordinate;
    void setX3dCoordinateRenderCallback(X3dCoordinateRenderCallback node) {
        X3drenderCallbackCoordinate = node;
    }

    static X3dCoordinateDoWithDataCallback X3ddoWithDataCallbackCoordinate;
    void setX3dCoordinateDoWithDataCallback(X3dCoordinateDoWithDataCallback node) {
        X3ddoWithDataCallbackCoordinate = node;
    }

    static X3dNurbsSwungSurfaceRenderCallback X3drenderCallbackNurbsSwungSurface;
    void setX3dNurbsSwungSurfaceRenderCallback(X3dNurbsSwungSurfaceRenderCallback node) {
        X3drenderCallbackNurbsSwungSurface = node;
    }

    static X3dNurbsSwungSurfaceDoWithDataCallback X3ddoWithDataCallbackNurbsSwungSurface;
    void setX3dNurbsSwungSurfaceDoWithDataCallback(X3dNurbsSwungSurfaceDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsSwungSurface = node;
    }

    static X3dNurbsTextureSurfaceRenderCallback X3drenderCallbackNurbsTextureSurface;
    void setX3dNurbsTextureSurfaceRenderCallback(X3dNurbsTextureSurfaceRenderCallback node) {
        X3drenderCallbackNurbsTextureSurface = node;
    }

    static X3dNurbsTextureSurfaceDoWithDataCallback X3ddoWithDataCallbackNurbsTextureSurface;
    void setX3dNurbsTextureSurfaceDoWithDataCallback(X3dNurbsTextureSurfaceDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsTextureSurface = node;
    }

    static X3dEspduTransformRenderCallback X3drenderCallbackEspduTransform;
    void setX3dEspduTransformRenderCallback(X3dEspduTransformRenderCallback node) {
        X3drenderCallbackEspduTransform = node;
    }

    static X3dEspduTransformDoWithDataCallback X3ddoWithDataCallbackEspduTransform;
    void setX3dEspduTransformDoWithDataCallback(X3dEspduTransformDoWithDataCallback node) {
        X3ddoWithDataCallbackEspduTransform = node;
    }

    static X3dComposedShaderRenderCallback X3drenderCallbackComposedShader;
    void setX3dComposedShaderRenderCallback(X3dComposedShaderRenderCallback node) {
        X3drenderCallbackComposedShader = node;
    }

    static X3dComposedShaderDoWithDataCallback X3ddoWithDataCallbackComposedShader;
    void setX3dComposedShaderDoWithDataCallback(X3dComposedShaderDoWithDataCallback node) {
        X3ddoWithDataCallbackComposedShader = node;
    }

    static X3dLinePickSensorRenderCallback X3drenderCallbackLinePickSensor;
    void setX3dLinePickSensorRenderCallback(X3dLinePickSensorRenderCallback node) {
        X3drenderCallbackLinePickSensor = node;
    }

    static X3dLinePickSensorDoWithDataCallback X3ddoWithDataCallbackLinePickSensor;
    void setX3dLinePickSensorDoWithDataCallback(X3dLinePickSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackLinePickSensor = node;
    }

    static X3dNurbsOrientationInterpolatorRenderCallback X3drenderCallbackNurbsOrientationInterpolator;
    void setX3dNurbsOrientationInterpolatorRenderCallback(X3dNurbsOrientationInterpolatorRenderCallback node) {
        X3drenderCallbackNurbsOrientationInterpolator = node;
    }

    static X3dNurbsOrientationInterpolatorDoWithDataCallback X3ddoWithDataCallbackNurbsOrientationInterpolator;
    void setX3dNurbsOrientationInterpolatorDoWithDataCallback(X3dNurbsOrientationInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsOrientationInterpolator = node;
    }

    static X3dNurbsPositionInterpolatorRenderCallback X3drenderCallbackNurbsPositionInterpolator;
    void setX3dNurbsPositionInterpolatorRenderCallback(X3dNurbsPositionInterpolatorRenderCallback node) {
        X3drenderCallbackNurbsPositionInterpolator = node;
    }

    static X3dNurbsPositionInterpolatorDoWithDataCallback X3ddoWithDataCallbackNurbsPositionInterpolator;
    void setX3dNurbsPositionInterpolatorDoWithDataCallback(X3dNurbsPositionInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsPositionInterpolator = node;
    }

    static X3dVolumePickSensorRenderCallback X3drenderCallbackVolumePickSensor;
    void setX3dVolumePickSensorRenderCallback(X3dVolumePickSensorRenderCallback node) {
        X3drenderCallbackVolumePickSensor = node;
    }

    static X3dVolumePickSensorDoWithDataCallback X3ddoWithDataCallbackVolumePickSensor;
    void setX3dVolumePickSensorDoWithDataCallback(X3dVolumePickSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackVolumePickSensor = node;
    }

    static X3dBallJointRenderCallback X3drenderCallbackBallJoint;
    void setX3dBallJointRenderCallback(X3dBallJointRenderCallback node) {
        X3drenderCallbackBallJoint = node;
    }

    static X3dBallJointDoWithDataCallback X3ddoWithDataCallbackBallJoint;
    void setX3dBallJointDoWithDataCallback(X3dBallJointDoWithDataCallback node) {
        X3ddoWithDataCallbackBallJoint = node;
    }

    static X3dCADPartRenderCallback X3drenderCallbackCADPart;
    void setX3dCADPartRenderCallback(X3dCADPartRenderCallback node) {
        X3drenderCallbackCADPart = node;
    }

    static X3dCADPartDoWithDataCallback X3ddoWithDataCallbackCADPart;
    void setX3dCADPartDoWithDataCallback(X3dCADPartDoWithDataCallback node) {
        X3ddoWithDataCallbackCADPart = node;
    }

    static X3dCollidableOffsetRenderCallback X3drenderCallbackCollidableOffset;
    void setX3dCollidableOffsetRenderCallback(X3dCollidableOffsetRenderCallback node) {
        X3drenderCallbackCollidableOffset = node;
    }

    static X3dCollidableOffsetDoWithDataCallback X3ddoWithDataCallbackCollidableOffset;
    void setX3dCollidableOffsetDoWithDataCallback(X3dCollidableOffsetDoWithDataCallback node) {
        X3ddoWithDataCallbackCollidableOffset = node;
    }

    static X3dTextureTransformMatrix3DRenderCallback X3drenderCallbackTextureTransformMatrix3D;
    void setX3dTextureTransformMatrix3DRenderCallback(X3dTextureTransformMatrix3DRenderCallback node) {
        X3drenderCallbackTextureTransformMatrix3D = node;
    }

    static X3dTextureTransformMatrix3DDoWithDataCallback X3ddoWithDataCallbackTextureTransformMatrix3D;
    void setX3dTextureTransformMatrix3DDoWithDataCallback(X3dTextureTransformMatrix3DDoWithDataCallback node) {
        X3ddoWithDataCallbackTextureTransformMatrix3D = node;
    }

    static X3dCADFaceRenderCallback X3drenderCallbackCADFace;
    void setX3dCADFaceRenderCallback(X3dCADFaceRenderCallback node) {
        X3drenderCallbackCADFace = node;
    }

    static X3dCADFaceDoWithDataCallback X3ddoWithDataCallbackCADFace;
    void setX3dCADFaceDoWithDataCallback(X3dCADFaceDoWithDataCallback node) {
        X3ddoWithDataCallbackCADFace = node;
    }

    static X3dVrmlSceneRenderCallback X3drenderCallbackVrmlScene;
    void setX3dVrmlSceneRenderCallback(X3dVrmlSceneRenderCallback node) {
        X3drenderCallbackVrmlScene = node;
    }

    static X3dVrmlSceneDoWithDataCallback X3ddoWithDataCallbackVrmlScene;
    void setX3dVrmlSceneDoWithDataCallback(X3dVrmlSceneDoWithDataCallback node) {
        X3ddoWithDataCallbackVrmlScene = node;
    }

    static X3dMetadataStringRenderCallback X3drenderCallbackMetadataString;
    void setX3dMetadataStringRenderCallback(X3dMetadataStringRenderCallback node) {
        X3drenderCallbackMetadataString = node;
    }

    static X3dMetadataStringDoWithDataCallback X3ddoWithDataCallbackMetadataString;
    void setX3dMetadataStringDoWithDataCallback(X3dMetadataStringDoWithDataCallback node) {
        X3ddoWithDataCallbackMetadataString = node;
    }

    static X3dForcePhysicsModelRenderCallback X3drenderCallbackForcePhysicsModel;
    void setX3dForcePhysicsModelRenderCallback(X3dForcePhysicsModelRenderCallback node) {
        X3drenderCallbackForcePhysicsModel = node;
    }

    static X3dForcePhysicsModelDoWithDataCallback X3ddoWithDataCallbackForcePhysicsModel;
    void setX3dForcePhysicsModelDoWithDataCallback(X3dForcePhysicsModelDoWithDataCallback node) {
        X3ddoWithDataCallbackForcePhysicsModel = node;
    }

    static X3dInlineLoadControlRenderCallback X3drenderCallbackInlineLoadControl;
    void setX3dInlineLoadControlRenderCallback(X3dInlineLoadControlRenderCallback node) {
        X3drenderCallbackInlineLoadControl = node;
    }

    static X3dInlineLoadControlDoWithDataCallback X3ddoWithDataCallbackInlineLoadControl;
    void setX3dInlineLoadControlDoWithDataCallback(X3dInlineLoadControlDoWithDataCallback node) {
        X3ddoWithDataCallbackInlineLoadControl = node;
    }

    static X3dNurbsSurfaceInterpolatorRenderCallback X3drenderCallbackNurbsSurfaceInterpolator;
    void setX3dNurbsSurfaceInterpolatorRenderCallback(X3dNurbsSurfaceInterpolatorRenderCallback node) {
        X3drenderCallbackNurbsSurfaceInterpolator = node;
    }

    static X3dNurbsSurfaceInterpolatorDoWithDataCallback X3ddoWithDataCallbackNurbsSurfaceInterpolator;
    void setX3dNurbsSurfaceInterpolatorDoWithDataCallback(X3dNurbsSurfaceInterpolatorDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsSurfaceInterpolator = node;
    }

    static X3dSphereSensorRenderCallback X3drenderCallbackSphereSensor;
    void setX3dSphereSensorRenderCallback(X3dSphereSensorRenderCallback node) {
        X3drenderCallbackSphereSensor = node;
    }

    static X3dSphereSensorDoWithDataCallback X3ddoWithDataCallbackSphereSensor;
    void setX3dSphereSensorDoWithDataCallback(X3dSphereSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackSphereSensor = node;
    }

    static X3dTexCoordDamperRenderCallback X3drenderCallbackTexCoordDamper;
    void setX3dTexCoordDamperRenderCallback(X3dTexCoordDamperRenderCallback node) {
        X3drenderCallbackTexCoordDamper = node;
    }

    static X3dTexCoordDamperDoWithDataCallback X3ddoWithDataCallbackTexCoordDamper;
    void setX3dTexCoordDamperDoWithDataCallback(X3dTexCoordDamperDoWithDataCallback node) {
        X3ddoWithDataCallbackTexCoordDamper = node;
    }

    static X3dBackgroundRenderCallback X3drenderCallbackBackground;
    void setX3dBackgroundRenderCallback(X3dBackgroundRenderCallback node) {
        X3drenderCallbackBackground = node;
    }

    static X3dBackgroundDoWithDataCallback X3ddoWithDataCallbackBackground;
    void setX3dBackgroundDoWithDataCallback(X3dBackgroundDoWithDataCallback node) {
        X3ddoWithDataCallbackBackground = node;
    }

    static X3dContactRenderCallback X3drenderCallbackContact;
    void setX3dContactRenderCallback(X3dContactRenderCallback node) {
        X3drenderCallbackContact = node;
    }

    static X3dContactDoWithDataCallback X3ddoWithDataCallbackContact;
    void setX3dContactDoWithDataCallback(X3dContactDoWithDataCallback node) {
        X3ddoWithDataCallbackContact = node;
    }

    static X3dContourPolyline2DRenderCallback X3drenderCallbackContourPolyline2D;
    void setX3dContourPolyline2DRenderCallback(X3dContourPolyline2DRenderCallback node) {
        X3drenderCallbackContourPolyline2D = node;
    }

    static X3dContourPolyline2DDoWithDataCallback X3ddoWithDataCallbackContourPolyline2D;
    void setX3dContourPolyline2DDoWithDataCallback(X3dContourPolyline2DDoWithDataCallback node) {
        X3ddoWithDataCallbackContourPolyline2D = node;
    }

    static X3dLayerSetRenderCallback X3drenderCallbackLayerSet;
    void setX3dLayerSetRenderCallback(X3dLayerSetRenderCallback node) {
        X3drenderCallbackLayerSet = node;
    }

    static X3dLayerSetDoWithDataCallback X3ddoWithDataCallbackLayerSet;
    void setX3dLayerSetDoWithDataCallback(X3dLayerSetDoWithDataCallback node) {
        X3ddoWithDataCallbackLayerSet = node;
    }

    static X3dMotorJointRenderCallback X3drenderCallbackMotorJoint;
    void setX3dMotorJointRenderCallback(X3dMotorJointRenderCallback node) {
        X3drenderCallbackMotorJoint = node;
    }

    static X3dMotorJointDoWithDataCallback X3ddoWithDataCallbackMotorJoint;
    void setX3dMotorJointDoWithDataCallback(X3dMotorJointDoWithDataCallback node) {
        X3ddoWithDataCallbackMotorJoint = node;
    }

    static X3dShaderPartRenderCallback X3drenderCallbackShaderPart;
    void setX3dShaderPartRenderCallback(X3dShaderPartRenderCallback node) {
        X3drenderCallbackShaderPart = node;
    }

    static X3dShaderPartDoWithDataCallback X3ddoWithDataCallbackShaderPart;
    void setX3dShaderPartDoWithDataCallback(X3dShaderPartDoWithDataCallback node) {
        X3ddoWithDataCallbackShaderPart = node;
    }

    static X3dTextureTransform3DRenderCallback X3drenderCallbackTextureTransform3D;
    void setX3dTextureTransform3DRenderCallback(X3dTextureTransform3DRenderCallback node) {
        X3drenderCallbackTextureTransform3D = node;
    }

    static X3dTextureTransform3DDoWithDataCallback X3ddoWithDataCallbackTextureTransform3D;
    void setX3dTextureTransform3DDoWithDataCallback(X3dTextureTransform3DDoWithDataCallback node) {
        X3ddoWithDataCallbackTextureTransform3D = node;
    }

    static X3dCoordinateDoubleRenderCallback X3drenderCallbackCoordinateDouble;
    void setX3dCoordinateDoubleRenderCallback(X3dCoordinateDoubleRenderCallback node) {
        X3drenderCallbackCoordinateDouble = node;
    }

    static X3dCoordinateDoubleDoWithDataCallback X3ddoWithDataCallbackCoordinateDouble;
    void setX3dCoordinateDoubleDoWithDataCallback(X3dCoordinateDoubleDoWithDataCallback node) {
        X3ddoWithDataCallbackCoordinateDouble = node;
    }

    static X3dNurbsTrimmedSurfaceRenderCallback X3drenderCallbackNurbsTrimmedSurface;
    void setX3dNurbsTrimmedSurfaceRenderCallback(X3dNurbsTrimmedSurfaceRenderCallback node) {
        X3drenderCallbackNurbsTrimmedSurface = node;
    }

    static X3dNurbsTrimmedSurfaceDoWithDataCallback X3ddoWithDataCallbackNurbsTrimmedSurface;
    void setX3dNurbsTrimmedSurfaceDoWithDataCallback(X3dNurbsTrimmedSurfaceDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsTrimmedSurface = node;
    }

    static X3dPositionChaserRenderCallback X3drenderCallbackPositionChaser;
    void setX3dPositionChaserRenderCallback(X3dPositionChaserRenderCallback node) {
        X3drenderCallbackPositionChaser = node;
    }

    static X3dPositionChaserDoWithDataCallback X3ddoWithDataCallbackPositionChaser;
    void setX3dPositionChaserDoWithDataCallback(X3dPositionChaserDoWithDataCallback node) {
        X3ddoWithDataCallbackPositionChaser = node;
    }

    static X3dPositionDamperRenderCallback X3drenderCallbackPositionDamper;
    void setX3dPositionDamperRenderCallback(X3dPositionDamperRenderCallback node) {
        X3drenderCallbackPositionDamper = node;
    }

    static X3dPositionDamperDoWithDataCallback X3ddoWithDataCallbackPositionDamper;
    void setX3dPositionDamperDoWithDataCallback(X3dPositionDamperDoWithDataCallback node) {
        X3ddoWithDataCallbackPositionDamper = node;
    }

    static X3dProgramShaderRenderCallback X3drenderCallbackProgramShader;
    void setX3dProgramShaderRenderCallback(X3dProgramShaderRenderCallback node) {
        X3drenderCallbackProgramShader = node;
    }

    static X3dProgramShaderDoWithDataCallback X3ddoWithDataCallbackProgramShader;
    void setX3dProgramShaderDoWithDataCallback(X3dProgramShaderDoWithDataCallback node) {
        X3ddoWithDataCallbackProgramShader = node;
    }

    static X3dSurfaceEmitterRenderCallback X3drenderCallbackSurfaceEmitter;
    void setX3dSurfaceEmitterRenderCallback(X3dSurfaceEmitterRenderCallback node) {
        X3drenderCallbackSurfaceEmitter = node;
    }

    static X3dSurfaceEmitterDoWithDataCallback X3ddoWithDataCallbackSurfaceEmitter;
    void setX3dSurfaceEmitterDoWithDataCallback(X3dSurfaceEmitterDoWithDataCallback node) {
        X3ddoWithDataCallbackSurfaceEmitter = node;
    }

    static X3dTouchSensorRenderCallback X3drenderCallbackTouchSensor;
    void setX3dTouchSensorRenderCallback(X3dTouchSensorRenderCallback node) {
        X3drenderCallbackTouchSensor = node;
    }

    static X3dTouchSensorDoWithDataCallback X3ddoWithDataCallbackTouchSensor;
    void setX3dTouchSensorDoWithDataCallback(X3dTouchSensorDoWithDataCallback node) {
        X3ddoWithDataCallbackTouchSensor = node;
    }

    static X3dPointLightRenderCallback X3drenderCallbackPointLight;
    void setX3dPointLightRenderCallback(X3dPointLightRenderCallback node) {
        X3drenderCallbackPointLight = node;
    }

    static X3dPointLightDoWithDataCallback X3ddoWithDataCallbackPointLight;
    void setX3dPointLightDoWithDataCallback(X3dPointLightDoWithDataCallback node) {
        X3ddoWithDataCallbackPointLight = node;
    }

    static X3dSliderJointRenderCallback X3drenderCallbackSliderJoint;
    void setX3dSliderJointRenderCallback(X3dSliderJointRenderCallback node) {
        X3drenderCallbackSliderJoint = node;
    }

    static X3dSliderJointDoWithDataCallback X3ddoWithDataCallbackSliderJoint;
    void setX3dSliderJointDoWithDataCallback(X3dSliderJointDoWithDataCallback node) {
        X3ddoWithDataCallbackSliderJoint = node;
    }

    static X3dTextRenderCallback X3drenderCallbackText;
    void setX3dTextRenderCallback(X3dTextRenderCallback node) {
        X3drenderCallbackText = node;
    }

    static X3dTextDoWithDataCallback X3ddoWithDataCallbackText;
    void setX3dTextDoWithDataCallback(X3dTextDoWithDataCallback node) {
        X3ddoWithDataCallbackText = node;
    }

    static X3dTextureCoordinate4DRenderCallback X3drenderCallbackTextureCoordinate4D;
    void setX3dTextureCoordinate4DRenderCallback(X3dTextureCoordinate4DRenderCallback node) {
        X3drenderCallbackTextureCoordinate4D = node;
    }

    static X3dTextureCoordinate4DDoWithDataCallback X3ddoWithDataCallbackTextureCoordinate4D;
    void setX3dTextureCoordinate4DDoWithDataCallback(X3dTextureCoordinate4DDoWithDataCallback node) {
        X3ddoWithDataCallbackTextureCoordinate4D = node;
    }

    static X3dTriangleSet2DRenderCallback X3drenderCallbackTriangleSet2D;
    void setX3dTriangleSet2DRenderCallback(X3dTriangleSet2DRenderCallback node) {
        X3drenderCallbackTriangleSet2D = node;
    }

    static X3dTriangleSet2DDoWithDataCallback X3ddoWithDataCallbackTriangleSet2D;
    void setX3dTriangleSet2DDoWithDataCallback(X3dTriangleSet2DDoWithDataCallback node) {
        X3ddoWithDataCallbackTriangleSet2D = node;
    }

    static X3dAppearanceRenderCallback X3drenderCallbackAppearance;
    void setX3dAppearanceRenderCallback(X3dAppearanceRenderCallback node) {
        X3drenderCallbackAppearance = node;
    }

    static X3dAppearanceDoWithDataCallback X3ddoWithDataCallbackAppearance;
    void setX3dAppearanceDoWithDataCallback(X3dAppearanceDoWithDataCallback node) {
        X3ddoWithDataCallbackAppearance = node;
    }

    static X3dCollisionSpaceRenderCallback X3drenderCallbackCollisionSpace;
    void setX3dCollisionSpaceRenderCallback(X3dCollisionSpaceRenderCallback node) {
        X3drenderCallbackCollisionSpace = node;
    }

    static X3dCollisionSpaceDoWithDataCallback X3ddoWithDataCallbackCollisionSpace;
    void setX3dCollisionSpaceDoWithDataCallback(X3dCollisionSpaceDoWithDataCallback node) {
        X3ddoWithDataCallbackCollisionSpace = node;
    }

    static X3dNurbsTextureCoordinateRenderCallback X3drenderCallbackNurbsTextureCoordinate;
    void setX3dNurbsTextureCoordinateRenderCallback(X3dNurbsTextureCoordinateRenderCallback node) {
        X3drenderCallbackNurbsTextureCoordinate = node;
    }

    static X3dNurbsTextureCoordinateDoWithDataCallback X3ddoWithDataCallbackNurbsTextureCoordinate;
    void setX3dNurbsTextureCoordinateDoWithDataCallback(X3dNurbsTextureCoordinateDoWithDataCallback node) {
        X3ddoWithDataCallbackNurbsTextureCoordinate = node;
    }

    static X3dParticleSystemRenderCallback X3drenderCallbackParticleSystem;
    void setX3dParticleSystemRenderCallback(X3dParticleSystemRenderCallback node) {
        X3drenderCallbackParticleSystem = node;
    }

    static X3dParticleSystemDoWithDataCallback X3ddoWithDataCallbackParticleSystem;
    void setX3dParticleSystemDoWithDataCallback(X3dParticleSystemDoWithDataCallback node) {
        X3ddoWithDataCallbackParticleSystem = node;
    }

    static X3dTextureTransformRenderCallback X3drenderCallbackTextureTransform;
    void setX3dTextureTransformRenderCallback(X3dTextureTransformRenderCallback node) {
        X3drenderCallbackTextureTransform = node;
    }

    static X3dTextureTransformDoWithDataCallback X3ddoWithDataCallbackTextureTransform;
    void setX3dTextureTransformDoWithDataCallback(X3dTextureTransformDoWithDataCallback node) {
        X3ddoWithDataCallbackTextureTransform = node;
    }

    void render() { root.treeRender(); }
    void doWithData() { root.treeDoWithData(); }
    void MFBoolSendEvent(boolean[] target, boolean[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFColorSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFColorRGBASendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFDoubleSendEvent(double[] target, double[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFFloatSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFInt32SendEvent(int[] target, int[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFMatrix3fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFMatrix4fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFNodeSendEvent(X3dNode [][] target, X3dNode [][] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFRotationSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFStringSendEvent(String[] target, String[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFTimeSendEvent(double[] target, double[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFVec2fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFVec3dSendEvent(double[] target, double[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFVec3fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
    void MFVec4fSendEvent(float[] target, float[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
        void SFColorSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 3; i++)
            target[i] = source[i];
    }
    void SFColorRGBASendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 4; i++)
            target[i] = source[i];
    }
            void SFImageSendEvent(int[] target, int[] source, int size) {
        int i;
        for (i = 0; i < size; i++)
            target[i] = source[i];
    }
        void SFMatrix3fSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 9; i++)
            target[i] = source[i];
    }
    void SFMatrix4fSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 9; i++)
            target[i] = source[i];
    }
        void SFRotationSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 4; i++)
            target[i] = source[i];
    }
            void SFVec2fSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 2; i++)
            target[i] = source[i];
    }
    void SFVec3dSendEvent(double[] target, double[] source) {
        int i;
        for (i = 0; i < 3; i++)
            target[i] = source[i];
    }
    void SFVec3fSendEvent(float[] target, float[] source) {
        int i;
        for (i = 0; i < 3; i++)
            target[i] = source[i];
    }
};

